﻿Shader "EVE/TerrainCityLight" {
	Properties {
	_Color ("Color Tint", Color) = (1,1,1,1)
	_SpecularColor ("Specular tint", Color) = (1,1,1,1)
	_CityOverlayTex ("Overlay (RGBA)", 2D) = "white" {}
	_CityOverlayDetailScale ("Overlay Detail Scale", Range(0,1000)) = 80
	_CityDarkOverlayDetailTex ("Overlay Detail (RGB) (A)", 2D) = "white" {}
	_CityLightOverlayDetailTex ("Overlay Detail (RGB) (A)", 2D) = "white" {}
	_PlanetOpacity ("PlanetOpacity", Float) = 1
	_PlanetOrigin("Sphere Center", Vector) = (0,0,0,1)
	}
	Category {
		Lighting On
		ZWrite Off
		Cull Back
		Offset 0, 0
		Blend SrcAlpha OneMinusSrcAlpha
		Tags {
			"Queue"="Geometry+2"
			"RenderMode"="Transparent"
			"IgnoreProjector"="True"
		}
		SubShader {
			Pass {

				Lighting On
				Tags { "LightMode"="ForwardBase"}

				Program "vp" {
// Vertex combos: 240
//   d3d9 - ALU: 33 to 38
//   d3d11 - ALU: 26 to 29, TEX: 0 to 0, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  vec4 tmpvar_13;
  tmpvar_13 = texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  cityoverlay_3.xyz = tmpvar_13.xyz;
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _CityOverlayDetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec4 tmpvar_27;
  tmpvar_27 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_27.xyz;
  vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  vec2 uv_29;
  vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_28);
  float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  float tmpvar_33;
  tmpvar_33 = sign(mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, tmpvar_31), tmpvar_32));
  vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = -(tmpvar_33);
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = tmpvar_33;
  vec3 tmpvar_36;
  tmpvar_36.xy = vec2(1.0, 1.0);
  tmpvar_36.z = -(tmpvar_33);
  vec3 tmpvar_37;
  tmpvar_37 = mix ((tmpvar_36 * tmpvar_28.yxz), mix ((tmpvar_34 * tmpvar_28.xzy), (tmpvar_35 * tmpvar_28.zxy), vec3(tmpvar_31)), vec3(tmpvar_32));
  uv_29.x = (((0.5 * tmpvar_37.y) / abs(tmpvar_37.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_37.z) / abs(tmpvar_37.x)) + 0.5);
  vec2 tmpvar_38;
  tmpvar_38 = (uv_29 * _CityOverlayDetailScale);
  vec2 tmpvar_39;
  tmpvar_39 = abs((tmpvar_38 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_40;
  tmpvar_40.xy = dFdx(tmpvar_39);
  tmpvar_40.zw = dFdy(tmpvar_39);
  vec4 tmpvar_41;
  tmpvar_41 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_38, tmpvar_40.xy, tmpvar_40.zw);
  citylightoverlaydetail_1.xyz = tmpvar_41.xyz;
  cityoverlay_3.w = (tmpvar_13.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_27.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_41.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_41.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_42;
  vec3 tmpvar_43;
  tmpvar_43 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD4);
  float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  c_42.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_45) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_43 + normalize(xlv_TEXCOORD7))), tmpvar_44), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_42.w = (tmpvar_45 * 4.0);
  float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_46)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_46)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_47;
  tmpvar_47 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_47.xyz;
  color_4.w = (tmpvar_47.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD7;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_57);
  viewDir_57 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_58);
  normal_58 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * 4.0);
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD7;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_57);
  viewDir_57 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_58);
  normal_58 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * 4.0);
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  vec4 tmpvar_13;
  tmpvar_13 = texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  cityoverlay_3.xyz = tmpvar_13.xyz;
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _CityOverlayDetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec4 tmpvar_27;
  tmpvar_27 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_27.xyz;
  vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  vec2 uv_29;
  vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_28);
  float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  float tmpvar_33;
  tmpvar_33 = sign(mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, tmpvar_31), tmpvar_32));
  vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = -(tmpvar_33);
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = tmpvar_33;
  vec3 tmpvar_36;
  tmpvar_36.xy = vec2(1.0, 1.0);
  tmpvar_36.z = -(tmpvar_33);
  vec3 tmpvar_37;
  tmpvar_37 = mix ((tmpvar_36 * tmpvar_28.yxz), mix ((tmpvar_34 * tmpvar_28.xzy), (tmpvar_35 * tmpvar_28.zxy), vec3(tmpvar_31)), vec3(tmpvar_32));
  uv_29.x = (((0.5 * tmpvar_37.y) / abs(tmpvar_37.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_37.z) / abs(tmpvar_37.x)) + 0.5);
  vec2 tmpvar_38;
  tmpvar_38 = (uv_29 * _CityOverlayDetailScale);
  vec2 tmpvar_39;
  tmpvar_39 = abs((tmpvar_38 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_40;
  tmpvar_40.xy = dFdx(tmpvar_39);
  tmpvar_40.zw = dFdy(tmpvar_39);
  vec4 tmpvar_41;
  tmpvar_41 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_38, tmpvar_40.xy, tmpvar_40.zw);
  citylightoverlaydetail_1.xyz = tmpvar_41.xyz;
  cityoverlay_3.w = (tmpvar_13.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_27.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_41.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_41.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_42;
  vec3 tmpvar_43;
  tmpvar_43 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD4);
  float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  c_42.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_45) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_43 + normalize(xlv_TEXCOORD7))), tmpvar_44), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_42.w = (tmpvar_45 * 4.0);
  float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_46)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_46)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_47;
  tmpvar_47 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_47.xyz;
  color_4.w = (tmpvar_47.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD7;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_57);
  viewDir_57 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_58);
  normal_58 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * 4.0);
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD7;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_57);
  viewDir_57 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_58);
  normal_58 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * 4.0);
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  vec4 tmpvar_13;
  tmpvar_13 = texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  cityoverlay_3.xyz = tmpvar_13.xyz;
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _CityOverlayDetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec4 tmpvar_27;
  tmpvar_27 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_27.xyz;
  vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  vec2 uv_29;
  vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_28);
  float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  float tmpvar_33;
  tmpvar_33 = sign(mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, tmpvar_31), tmpvar_32));
  vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = -(tmpvar_33);
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = tmpvar_33;
  vec3 tmpvar_36;
  tmpvar_36.xy = vec2(1.0, 1.0);
  tmpvar_36.z = -(tmpvar_33);
  vec3 tmpvar_37;
  tmpvar_37 = mix ((tmpvar_36 * tmpvar_28.yxz), mix ((tmpvar_34 * tmpvar_28.xzy), (tmpvar_35 * tmpvar_28.zxy), vec3(tmpvar_31)), vec3(tmpvar_32));
  uv_29.x = (((0.5 * tmpvar_37.y) / abs(tmpvar_37.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_37.z) / abs(tmpvar_37.x)) + 0.5);
  vec2 tmpvar_38;
  tmpvar_38 = (uv_29 * _CityOverlayDetailScale);
  vec2 tmpvar_39;
  tmpvar_39 = abs((tmpvar_38 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_40;
  tmpvar_40.xy = dFdx(tmpvar_39);
  tmpvar_40.zw = dFdy(tmpvar_39);
  vec4 tmpvar_41;
  tmpvar_41 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_38, tmpvar_40.xy, tmpvar_40.zw);
  citylightoverlaydetail_1.xyz = tmpvar_41.xyz;
  cityoverlay_3.w = (tmpvar_13.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_27.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_41.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_41.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_42;
  vec3 tmpvar_43;
  tmpvar_43 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD4);
  float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  c_42.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_45) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_43 + normalize(xlv_TEXCOORD7))), tmpvar_44), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_42.w = (tmpvar_45 * 4.0);
  float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_46)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_46)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_47;
  tmpvar_47 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_47.xyz;
  color_4.w = (tmpvar_47.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD7;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_57);
  viewDir_57 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_58);
  normal_58 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * 4.0);
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD7;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_57);
  viewDir_57 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_58);
  normal_58 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * 4.0);
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  vec4 tmpvar_13;
  tmpvar_13 = texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  cityoverlay_3.xyz = tmpvar_13.xyz;
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _CityOverlayDetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec4 tmpvar_27;
  tmpvar_27 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_27.xyz;
  vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  vec2 uv_29;
  vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_28);
  float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  float tmpvar_33;
  tmpvar_33 = sign(mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, tmpvar_31), tmpvar_32));
  vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = -(tmpvar_33);
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = tmpvar_33;
  vec3 tmpvar_36;
  tmpvar_36.xy = vec2(1.0, 1.0);
  tmpvar_36.z = -(tmpvar_33);
  vec3 tmpvar_37;
  tmpvar_37 = mix ((tmpvar_36 * tmpvar_28.yxz), mix ((tmpvar_34 * tmpvar_28.xzy), (tmpvar_35 * tmpvar_28.zxy), vec3(tmpvar_31)), vec3(tmpvar_32));
  uv_29.x = (((0.5 * tmpvar_37.y) / abs(tmpvar_37.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_37.z) / abs(tmpvar_37.x)) + 0.5);
  vec2 tmpvar_38;
  tmpvar_38 = (uv_29 * _CityOverlayDetailScale);
  vec2 tmpvar_39;
  tmpvar_39 = abs((tmpvar_38 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_40;
  tmpvar_40.xy = dFdx(tmpvar_39);
  tmpvar_40.zw = dFdy(tmpvar_39);
  vec4 tmpvar_41;
  tmpvar_41 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_38, tmpvar_40.xy, tmpvar_40.zw);
  citylightoverlaydetail_1.xyz = tmpvar_41.xyz;
  cityoverlay_3.w = (tmpvar_13.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_27.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_41.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_41.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_43;
  vec3 tmpvar_44;
  tmpvar_44 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD4);
  float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  c_43.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_46) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_44 + normalize(xlv_TEXCOORD7))), tmpvar_45), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_46 * (tmpvar_42.x * 4.0));
  float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_47)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_47)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_48;
  tmpvar_48 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_48.xyz;
  color_4.w = (tmpvar_48.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_56;
  mediump float lightShadowDataX_57;
  highp float dist_58;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_58 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = _LightShadowData.x;
  lightShadowDataX_57 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = max (float((dist_58 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_57);
  tmpvar_56 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_55;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_56;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_55;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD7;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = tmpvar_56;
  mediump vec4 c_61;
  highp float nh_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_57);
  lightDir_57 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(viewDir_58);
  viewDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_59);
  normal_59 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_63);
  mediump float tmpvar_67;
  tmpvar_67 = clamp (dot (normalize((tmpvar_63 + tmpvar_64)), tmpvar_65), 0.0, 1.0);
  nh_62 = tmpvar_67;
  highp vec3 tmpvar_68;
  tmpvar_68 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_62, _SpecularPower) * _SpecularColor.w))) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_68;
  c_61.w = (tmpvar_66 * (atten_60 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_73;
  tmpvar_73 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_73.xyz;
  highp float tmpvar_74;
  tmpvar_74 = (tmpvar_73.w * _PlanetOpacity);
  color_5.w = tmpvar_74;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  vec4 tmpvar_13;
  tmpvar_13 = texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  cityoverlay_3.xyz = tmpvar_13.xyz;
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _CityOverlayDetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec4 tmpvar_27;
  tmpvar_27 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_27.xyz;
  vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  vec2 uv_29;
  vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_28);
  float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  float tmpvar_33;
  tmpvar_33 = sign(mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, tmpvar_31), tmpvar_32));
  vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = -(tmpvar_33);
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = tmpvar_33;
  vec3 tmpvar_36;
  tmpvar_36.xy = vec2(1.0, 1.0);
  tmpvar_36.z = -(tmpvar_33);
  vec3 tmpvar_37;
  tmpvar_37 = mix ((tmpvar_36 * tmpvar_28.yxz), mix ((tmpvar_34 * tmpvar_28.xzy), (tmpvar_35 * tmpvar_28.zxy), vec3(tmpvar_31)), vec3(tmpvar_32));
  uv_29.x = (((0.5 * tmpvar_37.y) / abs(tmpvar_37.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_37.z) / abs(tmpvar_37.x)) + 0.5);
  vec2 tmpvar_38;
  tmpvar_38 = (uv_29 * _CityOverlayDetailScale);
  vec2 tmpvar_39;
  tmpvar_39 = abs((tmpvar_38 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_40;
  tmpvar_40.xy = dFdx(tmpvar_39);
  tmpvar_40.zw = dFdy(tmpvar_39);
  vec4 tmpvar_41;
  tmpvar_41 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_38, tmpvar_40.xy, tmpvar_40.zw);
  citylightoverlaydetail_1.xyz = tmpvar_41.xyz;
  cityoverlay_3.w = (tmpvar_13.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_27.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_41.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_41.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_43;
  vec3 tmpvar_44;
  tmpvar_44 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD4);
  float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  c_43.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_46) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_44 + normalize(xlv_TEXCOORD7))), tmpvar_45), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_46 * (tmpvar_42.x * 4.0));
  float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_47)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_47)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_48;
  tmpvar_48 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_48.xyz;
  color_4.w = (tmpvar_48.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_56;
  mediump float lightShadowDataX_57;
  highp float dist_58;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_58 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = _LightShadowData.x;
  lightShadowDataX_57 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = max (float((dist_58 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_57);
  tmpvar_56 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_55;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_56;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_55;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD7;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = tmpvar_56;
  mediump vec4 c_61;
  highp float nh_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_57);
  lightDir_57 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(viewDir_58);
  viewDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_59);
  normal_59 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_63);
  mediump float tmpvar_67;
  tmpvar_67 = clamp (dot (normalize((tmpvar_63 + tmpvar_64)), tmpvar_65), 0.0, 1.0);
  nh_62 = tmpvar_67;
  highp vec3 tmpvar_68;
  tmpvar_68 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_62, _SpecularPower) * _SpecularColor.w))) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_68;
  c_61.w = (tmpvar_66 * (atten_60 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_73;
  tmpvar_73 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_73.xyz;
  highp float tmpvar_74;
  tmpvar_74 = (tmpvar_73.w * _PlanetOpacity);
  color_5.w = tmpvar_74;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  vec4 tmpvar_13;
  tmpvar_13 = texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  cityoverlay_3.xyz = tmpvar_13.xyz;
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _CityOverlayDetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec4 tmpvar_27;
  tmpvar_27 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_27.xyz;
  vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  vec2 uv_29;
  vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_28);
  float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  float tmpvar_33;
  tmpvar_33 = sign(mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, tmpvar_31), tmpvar_32));
  vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = -(tmpvar_33);
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = tmpvar_33;
  vec3 tmpvar_36;
  tmpvar_36.xy = vec2(1.0, 1.0);
  tmpvar_36.z = -(tmpvar_33);
  vec3 tmpvar_37;
  tmpvar_37 = mix ((tmpvar_36 * tmpvar_28.yxz), mix ((tmpvar_34 * tmpvar_28.xzy), (tmpvar_35 * tmpvar_28.zxy), vec3(tmpvar_31)), vec3(tmpvar_32));
  uv_29.x = (((0.5 * tmpvar_37.y) / abs(tmpvar_37.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_37.z) / abs(tmpvar_37.x)) + 0.5);
  vec2 tmpvar_38;
  tmpvar_38 = (uv_29 * _CityOverlayDetailScale);
  vec2 tmpvar_39;
  tmpvar_39 = abs((tmpvar_38 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_40;
  tmpvar_40.xy = dFdx(tmpvar_39);
  tmpvar_40.zw = dFdy(tmpvar_39);
  vec4 tmpvar_41;
  tmpvar_41 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_38, tmpvar_40.xy, tmpvar_40.zw);
  citylightoverlaydetail_1.xyz = tmpvar_41.xyz;
  cityoverlay_3.w = (tmpvar_13.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_27.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_41.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_41.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_43;
  vec3 tmpvar_44;
  tmpvar_44 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD4);
  float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  c_43.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_46) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_44 + normalize(xlv_TEXCOORD7))), tmpvar_45), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_46 * (tmpvar_42.x * 4.0));
  float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_47)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_47)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_48;
  tmpvar_48 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_48.xyz;
  color_4.w = (tmpvar_48.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_56;
  mediump float lightShadowDataX_57;
  highp float dist_58;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_58 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = _LightShadowData.x;
  lightShadowDataX_57 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = max (float((dist_58 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_57);
  tmpvar_56 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_55;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_56;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_55;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD7;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = tmpvar_56;
  mediump vec4 c_61;
  highp float nh_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_57);
  lightDir_57 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(viewDir_58);
  viewDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_59);
  normal_59 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_63);
  mediump float tmpvar_67;
  tmpvar_67 = clamp (dot (normalize((tmpvar_63 + tmpvar_64)), tmpvar_65), 0.0, 1.0);
  nh_62 = tmpvar_67;
  highp vec3 tmpvar_68;
  tmpvar_68 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_62, _SpecularPower) * _SpecularColor.w))) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_68;
  c_61.w = (tmpvar_66 * (atten_60 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_73;
  tmpvar_73 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_73.xyz;
  highp float tmpvar_74;
  tmpvar_74 = (tmpvar_73.w * _PlanetOpacity);
  color_5.w = tmpvar_74;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  vec4 tmpvar_13;
  tmpvar_13 = texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  cityoverlay_3.xyz = tmpvar_13.xyz;
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _CityOverlayDetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec4 tmpvar_27;
  tmpvar_27 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_27.xyz;
  vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  vec2 uv_29;
  vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_28);
  float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  float tmpvar_33;
  tmpvar_33 = sign(mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, tmpvar_31), tmpvar_32));
  vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = -(tmpvar_33);
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = tmpvar_33;
  vec3 tmpvar_36;
  tmpvar_36.xy = vec2(1.0, 1.0);
  tmpvar_36.z = -(tmpvar_33);
  vec3 tmpvar_37;
  tmpvar_37 = mix ((tmpvar_36 * tmpvar_28.yxz), mix ((tmpvar_34 * tmpvar_28.xzy), (tmpvar_35 * tmpvar_28.zxy), vec3(tmpvar_31)), vec3(tmpvar_32));
  uv_29.x = (((0.5 * tmpvar_37.y) / abs(tmpvar_37.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_37.z) / abs(tmpvar_37.x)) + 0.5);
  vec2 tmpvar_38;
  tmpvar_38 = (uv_29 * _CityOverlayDetailScale);
  vec2 tmpvar_39;
  tmpvar_39 = abs((tmpvar_38 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_40;
  tmpvar_40.xy = dFdx(tmpvar_39);
  tmpvar_40.zw = dFdy(tmpvar_39);
  vec4 tmpvar_41;
  tmpvar_41 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_38, tmpvar_40.xy, tmpvar_40.zw);
  citylightoverlaydetail_1.xyz = tmpvar_41.xyz;
  cityoverlay_3.w = (tmpvar_13.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_27.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_41.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_41.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_42;
  vec3 tmpvar_43;
  tmpvar_43 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_44;
  tmpvar_44 = normalize(xlv_TEXCOORD4);
  float tmpvar_45;
  tmpvar_45 = dot (tmpvar_44, tmpvar_43);
  c_42.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_45) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_43 + normalize(xlv_TEXCOORD7))), tmpvar_44), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_42.w = (tmpvar_45 * 4.0);
  float tmpvar_46;
  tmpvar_46 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_42 * mix (1.0, clamp (floor((1.01 + tmpvar_46)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_46)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_47;
  tmpvar_47 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_47.xyz;
  color_4.w = (tmpvar_47.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD7;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_57);
  viewDir_57 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_58);
  normal_58 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * 4.0);
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_56;
  lightDir_56 = tmpvar_55;
  mediump vec3 viewDir_57;
  viewDir_57 = xlv_TEXCOORD7;
  mediump vec3 normal_58;
  normal_58 = xlv_TEXCOORD4;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_56);
  lightDir_56 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_57);
  viewDir_57 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_58);
  normal_58 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * 4.0);
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  vec4 tmpvar_13;
  tmpvar_13 = texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw);
  cityoverlay_3.xyz = tmpvar_13.xyz;
  vec3 tmpvar_14;
  tmpvar_14 = normalize(xlv_TEXCOORD5);
  vec2 uv_15;
  vec3 tmpvar_16;
  tmpvar_16 = abs(tmpvar_14);
  float tmpvar_17;
  tmpvar_17 = float((tmpvar_16.z >= tmpvar_16.x));
  float tmpvar_18;
  tmpvar_18 = float((max (tmpvar_16.x, tmpvar_16.z) >= tmpvar_16.y));
  float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_14.y, mix (tmpvar_14.x, tmpvar_14.z, tmpvar_17), tmpvar_18));
  vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(tmpvar_19);
  vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = tmpvar_19;
  vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(tmpvar_19);
  vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_14.yxz), mix ((tmpvar_20 * tmpvar_14.xzy), (tmpvar_21 * tmpvar_14.zxy), vec3(tmpvar_17)), vec3(tmpvar_18));
  uv_15.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_15.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  vec2 tmpvar_24;
  tmpvar_24 = (uv_15 * _CityOverlayDetailScale);
  vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  vec4 tmpvar_27;
  tmpvar_27 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_27.xyz;
  vec3 tmpvar_28;
  tmpvar_28 = normalize(xlv_TEXCOORD5);
  vec2 uv_29;
  vec3 tmpvar_30;
  tmpvar_30 = abs(tmpvar_28);
  float tmpvar_31;
  tmpvar_31 = float((tmpvar_30.z >= tmpvar_30.x));
  float tmpvar_32;
  tmpvar_32 = float((max (tmpvar_30.x, tmpvar_30.z) >= tmpvar_30.y));
  float tmpvar_33;
  tmpvar_33 = sign(mix (tmpvar_28.y, mix (tmpvar_28.x, tmpvar_28.z, tmpvar_31), tmpvar_32));
  vec3 tmpvar_34;
  tmpvar_34.xz = vec2(1.0, 1.0);
  tmpvar_34.y = -(tmpvar_33);
  vec3 tmpvar_35;
  tmpvar_35.xz = vec2(1.0, 1.0);
  tmpvar_35.y = tmpvar_33;
  vec3 tmpvar_36;
  tmpvar_36.xy = vec2(1.0, 1.0);
  tmpvar_36.z = -(tmpvar_33);
  vec3 tmpvar_37;
  tmpvar_37 = mix ((tmpvar_36 * tmpvar_28.yxz), mix ((tmpvar_34 * tmpvar_28.xzy), (tmpvar_35 * tmpvar_28.zxy), vec3(tmpvar_31)), vec3(tmpvar_32));
  uv_29.x = (((0.5 * tmpvar_37.y) / abs(tmpvar_37.x)) + 0.5);
  uv_29.y = (((0.5 * tmpvar_37.z) / abs(tmpvar_37.x)) + 0.5);
  vec2 tmpvar_38;
  tmpvar_38 = (uv_29 * _CityOverlayDetailScale);
  vec2 tmpvar_39;
  tmpvar_39 = abs((tmpvar_38 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_40;
  tmpvar_40.xy = dFdx(tmpvar_39);
  tmpvar_40.zw = dFdy(tmpvar_39);
  vec4 tmpvar_41;
  tmpvar_41 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_38, tmpvar_40.xy, tmpvar_40.zw);
  citylightoverlaydetail_1.xyz = tmpvar_41.xyz;
  cityoverlay_3.w = (tmpvar_13.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_27.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_41.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_41.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_42;
  tmpvar_42 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_43;
  vec3 tmpvar_44;
  tmpvar_44 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_45;
  tmpvar_45 = normalize(xlv_TEXCOORD4);
  float tmpvar_46;
  tmpvar_46 = dot (tmpvar_45, tmpvar_44);
  c_43.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_46) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_44 + normalize(xlv_TEXCOORD7))), tmpvar_45), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_42.x * 4.0));
  c_43.w = (tmpvar_46 * (tmpvar_42.x * 4.0));
  float tmpvar_47;
  tmpvar_47 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_43 * mix (1.0, clamp (floor((1.01 + tmpvar_47)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_47)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_48;
  tmpvar_48 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_48.xyz;
  color_4.w = (tmpvar_48.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_56;
  mediump float lightShadowDataX_57;
  highp float dist_58;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_58 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = _LightShadowData.x;
  lightShadowDataX_57 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = max (float((dist_58 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_57);
  tmpvar_56 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_55;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = tmpvar_56;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_56;
  tmpvar_56 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_57;
  lightDir_57 = tmpvar_55;
  mediump vec3 viewDir_58;
  viewDir_58 = xlv_TEXCOORD7;
  mediump vec3 normal_59;
  normal_59 = xlv_TEXCOORD4;
  mediump float atten_60;
  atten_60 = tmpvar_56;
  mediump vec4 c_61;
  highp float nh_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(lightDir_57);
  lightDir_57 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(viewDir_58);
  viewDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(normal_59);
  normal_59 = tmpvar_65;
  mediump float tmpvar_66;
  tmpvar_66 = dot (tmpvar_65, tmpvar_63);
  mediump float tmpvar_67;
  tmpvar_67 = clamp (dot (normalize((tmpvar_63 + tmpvar_64)), tmpvar_65), 0.0, 1.0);
  nh_62 = tmpvar_67;
  highp vec3 tmpvar_68;
  tmpvar_68 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_66) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_62, _SpecularPower) * _SpecularColor.w))) * (atten_60 * 4.0));
  c_61.xyz = tmpvar_68;
  c_61.w = (tmpvar_66 * (atten_60 * 4.0));
  lowp vec3 tmpvar_69;
  tmpvar_69 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_70;
  lightDir_70 = tmpvar_69;
  mediump vec3 normal_71;
  normal_71 = xlv_TEXCOORD4;
  mediump float tmpvar_72;
  tmpvar_72 = dot (normal_71, lightDir_70);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_61 * mix (1.0, clamp (floor((1.01 + tmpvar_72)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_72)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_73;
  tmpvar_73 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_73.xyz;
  highp float tmpvar_74;
  tmpvar_74 = (tmpvar_73.w * _PlanetOpacity);
  color_5.w = tmpvar_74;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_56;
  lowp float tmpvar_57;
  tmpvar_57 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_58;
  tmpvar_58 = (_LightShadowData.x + (tmpvar_57 * (1.0 - _LightShadowData.x)));
  shadow_56 = tmpvar_58;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_55;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float atten_62;
  atten_62 = shadow_56;
  mediump vec4 c_63;
  highp float nh_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_59);
  lightDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(viewDir_60);
  viewDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_61);
  normal_61 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_65);
  mediump float tmpvar_69;
  tmpvar_69 = clamp (dot (normalize((tmpvar_65 + tmpvar_66)), tmpvar_67), 0.0, 1.0);
  nh_64 = tmpvar_69;
  highp vec3 tmpvar_70;
  tmpvar_70 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_64, _SpecularPower) * _SpecularColor.w))) * (atten_62 * 4.0));
  c_63.xyz = tmpvar_70;
  c_63.w = (tmpvar_68 * (atten_62 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_75;
  tmpvar_75 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_75.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_75.w * _PlanetOpacity);
  color_5.w = tmpvar_76;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_56;
  lowp float tmpvar_57;
  tmpvar_57 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_58;
  tmpvar_58 = (_LightShadowData.x + (tmpvar_57 * (1.0 - _LightShadowData.x)));
  shadow_56 = tmpvar_58;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_55;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float atten_62;
  atten_62 = shadow_56;
  mediump vec4 c_63;
  highp float nh_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_59);
  lightDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(viewDir_60);
  viewDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_61);
  normal_61 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_65);
  mediump float tmpvar_69;
  tmpvar_69 = clamp (dot (normalize((tmpvar_65 + tmpvar_66)), tmpvar_67), 0.0, 1.0);
  nh_64 = tmpvar_69;
  highp vec3 tmpvar_70;
  tmpvar_70 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_64, _SpecularPower) * _SpecularColor.w))) * (atten_62 * 4.0));
  c_63.xyz = tmpvar_70;
  c_63.w = (tmpvar_68 * (atten_62 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_75;
  tmpvar_75 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_75.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_75.w * _PlanetOpacity);
  color_5.w = tmpvar_76;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_56;
  lowp float tmpvar_57;
  tmpvar_57 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_58;
  tmpvar_58 = (_LightShadowData.x + (tmpvar_57 * (1.0 - _LightShadowData.x)));
  shadow_56 = tmpvar_58;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_55;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float atten_62;
  atten_62 = shadow_56;
  mediump vec4 c_63;
  highp float nh_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_59);
  lightDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(viewDir_60);
  viewDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_61);
  normal_61 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_65);
  mediump float tmpvar_69;
  tmpvar_69 = clamp (dot (normalize((tmpvar_65 + tmpvar_66)), tmpvar_67), 0.0, 1.0);
  nh_64 = tmpvar_69;
  highp vec3 tmpvar_70;
  tmpvar_70 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_64, _SpecularPower) * _SpecularColor.w))) * (atten_62 * 4.0));
  c_63.xyz = tmpvar_70;
  c_63.w = (tmpvar_68 * (atten_62 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_75;
  tmpvar_75 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_75.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_75.w * _PlanetOpacity);
  color_5.w = tmpvar_76;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_18;
  mediump float s_19;
  mediump float nylerp_20;
  mediump float zxlerp_21;
  highp vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_17);
  highp float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  zxlerp_21 = tmpvar_23;
  highp float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  nylerp_20 = tmpvar_24;
  highp float tmpvar_25;
  tmpvar_25 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_21);
  s_19 = tmpvar_25;
  highp float tmpvar_26;
  tmpvar_26 = sign(mix (tmpvar_17.y, s_19, nylerp_20));
  s_19 = tmpvar_26;
  mediump vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = -(s_19);
  mediump vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = s_19;
  mediump vec3 tmpvar_29;
  tmpvar_29.xy = vec2(1.0, 1.0);
  tmpvar_29.z = -(s_19);
  highp vec3 tmpvar_30;
  tmpvar_30 = mix ((tmpvar_29 * tmpvar_17.yxz), mix ((tmpvar_27 * tmpvar_17.xzy), (tmpvar_28 * tmpvar_17.zxy), vec3(zxlerp_21)), vec3(nylerp_20));
  uv_18.x = (((0.5 * tmpvar_30.y) / abs(tmpvar_30.x)) + 0.5);
  uv_18.y = (((0.5 * tmpvar_30.z) / abs(tmpvar_30.x)) + 0.5);
  highp vec2 tmpvar_31;
  tmpvar_31 = (uv_18 * _CityOverlayDetailScale);
  highp vec2 tmpvar_32;
  tmpvar_32 = abs((tmpvar_31 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_33;
  tmpvar_33.xy = dFdx(tmpvar_32);
  tmpvar_33.zw = dFdy(tmpvar_32);
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_31, tmpvar_33.xy, tmpvar_33.zw);
  tex_16 = tmpvar_34;
  citydarkoverlaydetail_3.xyz = tex_16.xyz;
  mediump vec4 tex_35;
  highp vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_37;
  mediump float s_38;
  mediump float nylerp_39;
  mediump float zxlerp_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = abs(tmpvar_36);
  highp float tmpvar_42;
  tmpvar_42 = float((tmpvar_41.z >= tmpvar_41.x));
  zxlerp_40 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = float((max (tmpvar_41.x, tmpvar_41.z) >= tmpvar_41.y));
  nylerp_39 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = mix (tmpvar_36.x, tmpvar_36.z, zxlerp_40);
  s_38 = tmpvar_44;
  highp float tmpvar_45;
  tmpvar_45 = sign(mix (tmpvar_36.y, s_38, nylerp_39));
  s_38 = tmpvar_45;
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = -(s_38);
  mediump vec3 tmpvar_47;
  tmpvar_47.xz = vec2(1.0, 1.0);
  tmpvar_47.y = s_38;
  mediump vec3 tmpvar_48;
  tmpvar_48.xy = vec2(1.0, 1.0);
  tmpvar_48.z = -(s_38);
  highp vec3 tmpvar_49;
  tmpvar_49 = mix ((tmpvar_48 * tmpvar_36.yxz), mix ((tmpvar_46 * tmpvar_36.xzy), (tmpvar_47 * tmpvar_36.zxy), vec3(zxlerp_40)), vec3(nylerp_39));
  uv_37.x = (((0.5 * tmpvar_49.y) / abs(tmpvar_49.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_49.z) / abs(tmpvar_49.x)) + 0.5);
  highp vec2 tmpvar_50;
  tmpvar_50 = (uv_37 * _CityOverlayDetailScale);
  highp vec2 tmpvar_51;
  tmpvar_51 = abs((tmpvar_50 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_52;
  tmpvar_52.xy = dFdx(tmpvar_51);
  tmpvar_52.zw = dFdy(tmpvar_51);
  lowp vec4 tmpvar_53;
  tmpvar_53 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_50, tmpvar_52.xy, tmpvar_52.zw);
  tex_35 = tmpvar_53;
  citylightoverlaydetail_2.xyz = tex_35.xyz;
  highp float tmpvar_54;
  tmpvar_54 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_54;
  citydarkoverlaydetail_3.w = (tex_16.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_35.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_35.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_55;
  tmpvar_55 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_56;
  lowp float tmpvar_57;
  tmpvar_57 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_58;
  tmpvar_58 = (_LightShadowData.x + (tmpvar_57 * (1.0 - _LightShadowData.x)));
  shadow_56 = tmpvar_58;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_55;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump float atten_62;
  atten_62 = shadow_56;
  mediump vec4 c_63;
  highp float nh_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(lightDir_59);
  lightDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(viewDir_60);
  viewDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(normal_61);
  normal_61 = tmpvar_67;
  mediump float tmpvar_68;
  tmpvar_68 = dot (tmpvar_67, tmpvar_65);
  mediump float tmpvar_69;
  tmpvar_69 = clamp (dot (normalize((tmpvar_65 + tmpvar_66)), tmpvar_67), 0.0, 1.0);
  nh_64 = tmpvar_69;
  highp vec3 tmpvar_70;
  tmpvar_70 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_68) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_64, _SpecularPower) * _SpecularColor.w))) * (atten_62 * 4.0));
  c_63.xyz = tmpvar_70;
  c_63.w = (tmpvar_68 * (atten_62 * 4.0));
  lowp vec3 tmpvar_71;
  tmpvar_71 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 normal_73;
  normal_73 = xlv_TEXCOORD4;
  mediump float tmpvar_74;
  tmpvar_74 = dot (normal_73, lightDir_72);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_63 * mix (1.0, clamp (floor((1.01 + tmpvar_74)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_74)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_75;
  tmpvar_75 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_75.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_75.w * _PlanetOpacity);
  color_5.w = tmpvar_76;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD4);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD7))), tmpvar_46), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_44.w = (tmpvar_47 * 4.0);
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_49;
  tmpvar_49 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_49.xyz;
  color_4.w = (tmpvar_49.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD4);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD7))), tmpvar_46), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_44.w = (tmpvar_47 * 4.0);
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_49;
  tmpvar_49 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_49.xyz;
  color_4.w = (tmpvar_49.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD4);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD7))), tmpvar_46), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_44.w = (tmpvar_47 * 4.0);
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_49;
  tmpvar_49 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_49.xyz;
  color_4.w = (tmpvar_49.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD4);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD7))), tmpvar_47), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_44.x * 4.0));
  c_45.w = (tmpvar_48 * (tmpvar_44.x * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_50;
  tmpvar_50 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_50.xyz;
  color_4.w = (tmpvar_50.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD7;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  highp float nh_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_65);
  lightDir_65 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(viewDir_66);
  viewDir_66 = tmpvar_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_67);
  normal_67 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_71);
  mediump float tmpvar_75;
  tmpvar_75 = clamp (dot (normalize((tmpvar_71 + tmpvar_72)), tmpvar_73), 0.0, 1.0);
  nh_70 = tmpvar_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_74) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_70, _SpecularPower) * _SpecularColor.w))) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_76;
  c_69.w = (tmpvar_74 * (atten_68 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_81.xyz;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_81.w * _PlanetOpacity);
  color_5.w = tmpvar_82;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD7;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  highp float nh_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_60);
  lightDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(viewDir_61);
  viewDir_61 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_62);
  normal_62 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_66);
  mediump float tmpvar_70;
  tmpvar_70 = clamp (dot (normalize((tmpvar_66 + tmpvar_67)), tmpvar_68), 0.0, 1.0);
  nh_65 = tmpvar_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_65, _SpecularPower) * _SpecularColor.w))) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_71;
  c_64.w = (tmpvar_69 * (atten_63 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_76;
  tmpvar_76 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_76.xyz;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_76.w * _PlanetOpacity);
  color_5.w = tmpvar_77;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD4);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD7))), tmpvar_47), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_44.x * 4.0));
  c_45.w = (tmpvar_48 * (tmpvar_44.x * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_50;
  tmpvar_50 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_50.xyz;
  color_4.w = (tmpvar_50.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD7;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  highp float nh_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_65);
  lightDir_65 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(viewDir_66);
  viewDir_66 = tmpvar_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_67);
  normal_67 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_71);
  mediump float tmpvar_75;
  tmpvar_75 = clamp (dot (normalize((tmpvar_71 + tmpvar_72)), tmpvar_73), 0.0, 1.0);
  nh_70 = tmpvar_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_74) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_70, _SpecularPower) * _SpecularColor.w))) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_76;
  c_69.w = (tmpvar_74 * (atten_68 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_81.xyz;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_81.w * _PlanetOpacity);
  color_5.w = tmpvar_82;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD7;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  highp float nh_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_60);
  lightDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(viewDir_61);
  viewDir_61 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_62);
  normal_62 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_66);
  mediump float tmpvar_70;
  tmpvar_70 = clamp (dot (normalize((tmpvar_66 + tmpvar_67)), tmpvar_68), 0.0, 1.0);
  nh_65 = tmpvar_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_65, _SpecularPower) * _SpecularColor.w))) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_71;
  c_64.w = (tmpvar_69 * (atten_63 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_76;
  tmpvar_76 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_76.xyz;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_76.w * _PlanetOpacity);
  color_5.w = tmpvar_77;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD4);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD7))), tmpvar_47), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_44.x * 4.0));
  c_45.w = (tmpvar_48 * (tmpvar_44.x * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_50;
  tmpvar_50 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_50.xyz;
  color_4.w = (tmpvar_50.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD7;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  highp float nh_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_65);
  lightDir_65 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(viewDir_66);
  viewDir_66 = tmpvar_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_67);
  normal_67 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_71);
  mediump float tmpvar_75;
  tmpvar_75 = clamp (dot (normalize((tmpvar_71 + tmpvar_72)), tmpvar_73), 0.0, 1.0);
  nh_70 = tmpvar_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_74) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_70, _SpecularPower) * _SpecularColor.w))) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_76;
  c_69.w = (tmpvar_74 * (atten_68 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_81.xyz;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_81.w * _PlanetOpacity);
  color_5.w = tmpvar_82;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD7;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  highp float nh_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_60);
  lightDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(viewDir_61);
  viewDir_61 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_62);
  normal_62 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_66);
  mediump float tmpvar_70;
  tmpvar_70 = clamp (dot (normalize((tmpvar_66 + tmpvar_67)), tmpvar_68), 0.0, 1.0);
  nh_65 = tmpvar_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_65, _SpecularPower) * _SpecularColor.w))) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_71;
  c_64.w = (tmpvar_69 * (atten_63 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_76;
  tmpvar_76 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_76.xyz;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_76.w * _PlanetOpacity);
  color_5.w = tmpvar_77;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD4);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD7))), tmpvar_46), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_44.w = (tmpvar_47 * 4.0);
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_49;
  tmpvar_49 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_49.xyz;
  color_4.w = (tmpvar_49.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD4);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD7))), tmpvar_47), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_44.x * 4.0));
  c_45.w = (tmpvar_48 * (tmpvar_44.x * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_50;
  tmpvar_50 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_50.xyz;
  color_4.w = (tmpvar_50.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD7;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  highp float nh_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_65);
  lightDir_65 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(viewDir_66);
  viewDir_66 = tmpvar_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_67);
  normal_67 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_71);
  mediump float tmpvar_75;
  tmpvar_75 = clamp (dot (normalize((tmpvar_71 + tmpvar_72)), tmpvar_73), 0.0, 1.0);
  nh_70 = tmpvar_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_74) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_70, _SpecularPower) * _SpecularColor.w))) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_76;
  c_69.w = (tmpvar_74 * (atten_68 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_81.xyz;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_81.w * _PlanetOpacity);
  color_5.w = tmpvar_82;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD7;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  highp float nh_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_60);
  lightDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(viewDir_61);
  viewDir_61 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_62);
  normal_62 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_66);
  mediump float tmpvar_70;
  tmpvar_70 = clamp (dot (normalize((tmpvar_66 + tmpvar_67)), tmpvar_68), 0.0, 1.0);
  nh_65 = tmpvar_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_65, _SpecularPower) * _SpecularColor.w))) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_71;
  c_64.w = (tmpvar_69 * (atten_63 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_76;
  tmpvar_76 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_76.xyz;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_76.w * _PlanetOpacity);
  color_5.w = tmpvar_77;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD4);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD7))), tmpvar_46), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_44.w = (tmpvar_47 * 4.0);
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_49;
  tmpvar_49 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_49.xyz;
  color_4.w = (tmpvar_49.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD4);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD7))), tmpvar_46), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_44.w = (tmpvar_47 * 4.0);
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_49;
  tmpvar_49 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_49.xyz;
  color_4.w = (tmpvar_49.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD4);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD7))), tmpvar_46), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_44.w = (tmpvar_47 * 4.0);
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_49;
  tmpvar_49 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_49.xyz;
  color_4.w = (tmpvar_49.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD4);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD7))), tmpvar_47), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_44.x * 4.0));
  c_45.w = (tmpvar_48 * (tmpvar_44.x * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_50;
  tmpvar_50 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_50.xyz;
  color_4.w = (tmpvar_50.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD7;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  highp float nh_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_65);
  lightDir_65 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(viewDir_66);
  viewDir_66 = tmpvar_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_67);
  normal_67 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_71);
  mediump float tmpvar_75;
  tmpvar_75 = clamp (dot (normalize((tmpvar_71 + tmpvar_72)), tmpvar_73), 0.0, 1.0);
  nh_70 = tmpvar_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_74) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_70, _SpecularPower) * _SpecularColor.w))) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_76;
  c_69.w = (tmpvar_74 * (atten_68 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_81.xyz;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_81.w * _PlanetOpacity);
  color_5.w = tmpvar_82;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD7;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  highp float nh_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_60);
  lightDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(viewDir_61);
  viewDir_61 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_62);
  normal_62 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_66);
  mediump float tmpvar_70;
  tmpvar_70 = clamp (dot (normalize((tmpvar_66 + tmpvar_67)), tmpvar_68), 0.0, 1.0);
  nh_65 = tmpvar_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_65, _SpecularPower) * _SpecularColor.w))) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_71;
  c_64.w = (tmpvar_69 * (atten_63 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_76;
  tmpvar_76 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_76.xyz;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_76.w * _PlanetOpacity);
  color_5.w = tmpvar_77;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD4);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD7))), tmpvar_47), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_44.x * 4.0));
  c_45.w = (tmpvar_48 * (tmpvar_44.x * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_50;
  tmpvar_50 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_50.xyz;
  color_4.w = (tmpvar_50.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD7;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  highp float nh_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_65);
  lightDir_65 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(viewDir_66);
  viewDir_66 = tmpvar_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_67);
  normal_67 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_71);
  mediump float tmpvar_75;
  tmpvar_75 = clamp (dot (normalize((tmpvar_71 + tmpvar_72)), tmpvar_73), 0.0, 1.0);
  nh_70 = tmpvar_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_74) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_70, _SpecularPower) * _SpecularColor.w))) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_76;
  c_69.w = (tmpvar_74 * (atten_68 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_81.xyz;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_81.w * _PlanetOpacity);
  color_5.w = tmpvar_82;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD7;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  highp float nh_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_60);
  lightDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(viewDir_61);
  viewDir_61 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_62);
  normal_62 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_66);
  mediump float tmpvar_70;
  tmpvar_70 = clamp (dot (normalize((tmpvar_66 + tmpvar_67)), tmpvar_68), 0.0, 1.0);
  nh_65 = tmpvar_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_65, _SpecularPower) * _SpecularColor.w))) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_71;
  c_64.w = (tmpvar_69 * (atten_63 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_76;
  tmpvar_76 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_76.xyz;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_76.w * _PlanetOpacity);
  color_5.w = tmpvar_77;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD4);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD7))), tmpvar_47), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_44.x * 4.0));
  c_45.w = (tmpvar_48 * (tmpvar_44.x * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_50;
  tmpvar_50 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_50.xyz;
  color_4.w = (tmpvar_50.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD7;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  highp float nh_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_65);
  lightDir_65 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(viewDir_66);
  viewDir_66 = tmpvar_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_67);
  normal_67 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_71);
  mediump float tmpvar_75;
  tmpvar_75 = clamp (dot (normalize((tmpvar_71 + tmpvar_72)), tmpvar_73), 0.0, 1.0);
  nh_70 = tmpvar_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_74) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_70, _SpecularPower) * _SpecularColor.w))) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_76;
  c_69.w = (tmpvar_74 * (atten_68 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_81.xyz;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_81.w * _PlanetOpacity);
  color_5.w = tmpvar_82;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD7;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  highp float nh_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_60);
  lightDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(viewDir_61);
  viewDir_61 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_62);
  normal_62 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_66);
  mediump float tmpvar_70;
  tmpvar_70 = clamp (dot (normalize((tmpvar_66 + tmpvar_67)), tmpvar_68), 0.0, 1.0);
  nh_65 = tmpvar_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_65, _SpecularPower) * _SpecularColor.w))) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_71;
  c_64.w = (tmpvar_69 * (atten_63 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_76;
  tmpvar_76 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_76.xyz;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_76.w * _PlanetOpacity);
  color_5.w = tmpvar_77;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD4);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD7))), tmpvar_46), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_44.w = (tmpvar_47 * 4.0);
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_49;
  tmpvar_49 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_49.xyz;
  color_4.w = (tmpvar_49.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD4);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD7))), tmpvar_47), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_44.x * 4.0));
  c_45.w = (tmpvar_48 * (tmpvar_44.x * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_50;
  tmpvar_50 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_50.xyz;
  color_4.w = (tmpvar_50.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD7;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  highp float nh_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_65);
  lightDir_65 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(viewDir_66);
  viewDir_66 = tmpvar_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_67);
  normal_67 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_71);
  mediump float tmpvar_75;
  tmpvar_75 = clamp (dot (normalize((tmpvar_71 + tmpvar_72)), tmpvar_73), 0.0, 1.0);
  nh_70 = tmpvar_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_74) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_70, _SpecularPower) * _SpecularColor.w))) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_76;
  c_69.w = (tmpvar_74 * (atten_68 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_81.xyz;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_81.w * _PlanetOpacity);
  color_5.w = tmpvar_82;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD7;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  highp float nh_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_60);
  lightDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(viewDir_61);
  viewDir_61 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_62);
  normal_62 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_66);
  mediump float tmpvar_70;
  tmpvar_70 = clamp (dot (normalize((tmpvar_66 + tmpvar_67)), tmpvar_68), 0.0, 1.0);
  nh_65 = tmpvar_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_65, _SpecularPower) * _SpecularColor.w))) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_71;
  c_64.w = (tmpvar_69 * (atten_63 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_76;
  tmpvar_76 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_76.xyz;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_76.w * _PlanetOpacity);
  color_5.w = tmpvar_77;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD4);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD7))), tmpvar_46), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_44.w = (tmpvar_47 * 4.0);
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_49;
  tmpvar_49 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_49.xyz;
  color_4.w = (tmpvar_49.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD4);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD7))), tmpvar_46), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_44.w = (tmpvar_47 * 4.0);
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_49;
  tmpvar_49 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_49.xyz;
  color_4.w = (tmpvar_49.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD4);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD7))), tmpvar_46), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_44.w = (tmpvar_47 * 4.0);
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_49;
  tmpvar_49 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_49.xyz;
  color_4.w = (tmpvar_49.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD4);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD7))), tmpvar_47), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_44.x * 4.0));
  c_45.w = (tmpvar_48 * (tmpvar_44.x * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_50;
  tmpvar_50 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_50.xyz;
  color_4.w = (tmpvar_50.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD7;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  highp float nh_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_65);
  lightDir_65 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(viewDir_66);
  viewDir_66 = tmpvar_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_67);
  normal_67 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_71);
  mediump float tmpvar_75;
  tmpvar_75 = clamp (dot (normalize((tmpvar_71 + tmpvar_72)), tmpvar_73), 0.0, 1.0);
  nh_70 = tmpvar_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_74) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_70, _SpecularPower) * _SpecularColor.w))) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_76;
  c_69.w = (tmpvar_74 * (atten_68 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_81.xyz;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_81.w * _PlanetOpacity);
  color_5.w = tmpvar_82;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD7;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  highp float nh_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_60);
  lightDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(viewDir_61);
  viewDir_61 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_62);
  normal_62 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_66);
  mediump float tmpvar_70;
  tmpvar_70 = clamp (dot (normalize((tmpvar_66 + tmpvar_67)), tmpvar_68), 0.0, 1.0);
  nh_65 = tmpvar_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_65, _SpecularPower) * _SpecularColor.w))) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_71;
  c_64.w = (tmpvar_69 * (atten_63 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_76;
  tmpvar_76 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_76.xyz;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_76.w * _PlanetOpacity);
  color_5.w = tmpvar_77;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD4);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD7))), tmpvar_47), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_44.x * 4.0));
  c_45.w = (tmpvar_48 * (tmpvar_44.x * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_50;
  tmpvar_50 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_50.xyz;
  color_4.w = (tmpvar_50.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD7;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  highp float nh_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_65);
  lightDir_65 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(viewDir_66);
  viewDir_66 = tmpvar_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_67);
  normal_67 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_71);
  mediump float tmpvar_75;
  tmpvar_75 = clamp (dot (normalize((tmpvar_71 + tmpvar_72)), tmpvar_73), 0.0, 1.0);
  nh_70 = tmpvar_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_74) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_70, _SpecularPower) * _SpecularColor.w))) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_76;
  c_69.w = (tmpvar_74 * (atten_68 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_81.xyz;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_81.w * _PlanetOpacity);
  color_5.w = tmpvar_82;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD7;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  highp float nh_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_60);
  lightDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(viewDir_61);
  viewDir_61 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_62);
  normal_62 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_66);
  mediump float tmpvar_70;
  tmpvar_70 = clamp (dot (normalize((tmpvar_66 + tmpvar_67)), tmpvar_68), 0.0, 1.0);
  nh_65 = tmpvar_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_65, _SpecularPower) * _SpecularColor.w))) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_71;
  c_64.w = (tmpvar_69 * (atten_63 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_76;
  tmpvar_76 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_76.xyz;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_76.w * _PlanetOpacity);
  color_5.w = tmpvar_77;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD4);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD7))), tmpvar_47), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_44.x * 4.0));
  c_45.w = (tmpvar_48 * (tmpvar_44.x * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_50;
  tmpvar_50 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_50.xyz;
  color_4.w = (tmpvar_50.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD7;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  highp float nh_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_65);
  lightDir_65 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(viewDir_66);
  viewDir_66 = tmpvar_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_67);
  normal_67 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_71);
  mediump float tmpvar_75;
  tmpvar_75 = clamp (dot (normalize((tmpvar_71 + tmpvar_72)), tmpvar_73), 0.0, 1.0);
  nh_70 = tmpvar_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_74) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_70, _SpecularPower) * _SpecularColor.w))) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_76;
  c_69.w = (tmpvar_74 * (atten_68 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_81.xyz;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_81.w * _PlanetOpacity);
  color_5.w = tmpvar_82;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD7;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  highp float nh_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_60);
  lightDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(viewDir_61);
  viewDir_61 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_62);
  normal_62 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_66);
  mediump float tmpvar_70;
  tmpvar_70 = clamp (dot (normalize((tmpvar_66 + tmpvar_67)), tmpvar_68), 0.0, 1.0);
  nh_65 = tmpvar_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_65, _SpecularPower) * _SpecularColor.w))) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_71;
  c_64.w = (tmpvar_69 * (atten_63 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_76;
  tmpvar_76 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_76.xyz;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_76.w * _PlanetOpacity);
  color_5.w = tmpvar_77;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD4);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD7))), tmpvar_46), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_44.w = (tmpvar_47 * 4.0);
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_49;
  tmpvar_49 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_49.xyz;
  color_4.w = (tmpvar_49.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD4);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD7))), tmpvar_47), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_44.x * 4.0));
  c_45.w = (tmpvar_48 * (tmpvar_44.x * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_50;
  tmpvar_50 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_50.xyz;
  color_4.w = (tmpvar_50.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD7;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  highp float nh_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_65);
  lightDir_65 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(viewDir_66);
  viewDir_66 = tmpvar_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_67);
  normal_67 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_71);
  mediump float tmpvar_75;
  tmpvar_75 = clamp (dot (normalize((tmpvar_71 + tmpvar_72)), tmpvar_73), 0.0, 1.0);
  nh_70 = tmpvar_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_74) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_70, _SpecularPower) * _SpecularColor.w))) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_76;
  c_69.w = (tmpvar_74 * (atten_68 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_81.xyz;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_81.w * _PlanetOpacity);
  color_5.w = tmpvar_82;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD7;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  highp float nh_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_60);
  lightDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(viewDir_61);
  viewDir_61 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_62);
  normal_62 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_66);
  mediump float tmpvar_70;
  tmpvar_70 = clamp (dot (normalize((tmpvar_66 + tmpvar_67)), tmpvar_68), 0.0, 1.0);
  nh_65 = tmpvar_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_65, _SpecularPower) * _SpecularColor.w))) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_71;
  c_64.w = (tmpvar_69 * (atten_63 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_76;
  tmpvar_76 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_76.xyz;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_76.w * _PlanetOpacity);
  color_5.w = tmpvar_77;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD4);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD7))), tmpvar_46), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_44.w = (tmpvar_47 * 4.0);
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_49;
  tmpvar_49 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_49.xyz;
  color_4.w = (tmpvar_49.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD4);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD7))), tmpvar_46), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_44.w = (tmpvar_47 * 4.0);
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_49;
  tmpvar_49 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_49.xyz;
  color_4.w = (tmpvar_49.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD4);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD7))), tmpvar_46), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_44.w = (tmpvar_47 * 4.0);
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_49;
  tmpvar_49 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_49.xyz;
  color_4.w = (tmpvar_49.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD4);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD7))), tmpvar_47), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_44.x * 4.0));
  c_45.w = (tmpvar_48 * (tmpvar_44.x * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_50;
  tmpvar_50 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_50.xyz;
  color_4.w = (tmpvar_50.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD7;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  highp float nh_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_65);
  lightDir_65 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(viewDir_66);
  viewDir_66 = tmpvar_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_67);
  normal_67 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_71);
  mediump float tmpvar_75;
  tmpvar_75 = clamp (dot (normalize((tmpvar_71 + tmpvar_72)), tmpvar_73), 0.0, 1.0);
  nh_70 = tmpvar_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_74) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_70, _SpecularPower) * _SpecularColor.w))) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_76;
  c_69.w = (tmpvar_74 * (atten_68 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_81.xyz;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_81.w * _PlanetOpacity);
  color_5.w = tmpvar_82;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD7;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  highp float nh_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_60);
  lightDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(viewDir_61);
  viewDir_61 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_62);
  normal_62 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_66);
  mediump float tmpvar_70;
  tmpvar_70 = clamp (dot (normalize((tmpvar_66 + tmpvar_67)), tmpvar_68), 0.0, 1.0);
  nh_65 = tmpvar_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_65, _SpecularPower) * _SpecularColor.w))) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_71;
  c_64.w = (tmpvar_69 * (atten_63 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_76;
  tmpvar_76 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_76.xyz;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_76.w * _PlanetOpacity);
  color_5.w = tmpvar_77;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD4);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD7))), tmpvar_47), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_44.x * 4.0));
  c_45.w = (tmpvar_48 * (tmpvar_44.x * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_50;
  tmpvar_50 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_50.xyz;
  color_4.w = (tmpvar_50.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD7;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  highp float nh_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_65);
  lightDir_65 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(viewDir_66);
  viewDir_66 = tmpvar_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_67);
  normal_67 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_71);
  mediump float tmpvar_75;
  tmpvar_75 = clamp (dot (normalize((tmpvar_71 + tmpvar_72)), tmpvar_73), 0.0, 1.0);
  nh_70 = tmpvar_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_74) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_70, _SpecularPower) * _SpecularColor.w))) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_76;
  c_69.w = (tmpvar_74 * (atten_68 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_81.xyz;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_81.w * _PlanetOpacity);
  color_5.w = tmpvar_82;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD7;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  highp float nh_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_60);
  lightDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(viewDir_61);
  viewDir_61 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_62);
  normal_62 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_66);
  mediump float tmpvar_70;
  tmpvar_70 = clamp (dot (normalize((tmpvar_66 + tmpvar_67)), tmpvar_68), 0.0, 1.0);
  nh_65 = tmpvar_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_65, _SpecularPower) * _SpecularColor.w))) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_71;
  c_64.w = (tmpvar_69 * (atten_63 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_76;
  tmpvar_76 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_76.xyz;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_76.w * _PlanetOpacity);
  color_5.w = tmpvar_77;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD4);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD7))), tmpvar_47), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_44.x * 4.0));
  c_45.w = (tmpvar_48 * (tmpvar_44.x * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_50;
  tmpvar_50 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_50.xyz;
  color_4.w = (tmpvar_50.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD7;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  highp float nh_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_65);
  lightDir_65 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(viewDir_66);
  viewDir_66 = tmpvar_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_67);
  normal_67 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_71);
  mediump float tmpvar_75;
  tmpvar_75 = clamp (dot (normalize((tmpvar_71 + tmpvar_72)), tmpvar_73), 0.0, 1.0);
  nh_70 = tmpvar_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_74) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_70, _SpecularPower) * _SpecularColor.w))) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_76;
  c_69.w = (tmpvar_74 * (atten_68 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_81.xyz;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_81.w * _PlanetOpacity);
  color_5.w = tmpvar_82;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD7;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  highp float nh_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_60);
  lightDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(viewDir_61);
  viewDir_61 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_62);
  normal_62 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_66);
  mediump float tmpvar_70;
  tmpvar_70 = clamp (dot (normalize((tmpvar_66 + tmpvar_67)), tmpvar_68), 0.0, 1.0);
  nh_65 = tmpvar_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_65, _SpecularPower) * _SpecularColor.w))) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_71;
  c_64.w = (tmpvar_69 * (atten_63 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_76;
  tmpvar_76 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_76.xyz;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_76.w * _PlanetOpacity);
  color_5.w = tmpvar_77;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_44;
  vec3 tmpvar_45;
  tmpvar_45 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_46;
  tmpvar_46 = normalize(xlv_TEXCOORD4);
  float tmpvar_47;
  tmpvar_47 = dot (tmpvar_46, tmpvar_45);
  c_44.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_47) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_45 + normalize(xlv_TEXCOORD7))), tmpvar_46), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_44.w = (tmpvar_47 * 4.0);
  float tmpvar_48;
  tmpvar_48 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_44 * mix (1.0, clamp (floor((1.01 + tmpvar_48)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_48)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_49;
  tmpvar_49 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_49.xyz;
  color_4.w = (tmpvar_49.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_59;
  lightDir_59 = tmpvar_58;
  mediump vec3 viewDir_60;
  viewDir_60 = xlv_TEXCOORD7;
  mediump vec3 normal_61;
  normal_61 = xlv_TEXCOORD4;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_59);
  lightDir_59 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_60);
  viewDir_60 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_61);
  normal_61 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * 4.0);
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 413
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 417
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 466
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 470
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 497
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 499
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 503
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec2 uv_6;
  float r_7;
  if ((abs(tmpvar_5.z) > (1e-08 * abs(tmpvar_5.x)))) {
    float y_over_x_8;
    y_over_x_8 = (tmpvar_5.x / tmpvar_5.z);
    float s_9;
    float x_10;
    x_10 = (y_over_x_8 * inversesqrt(((y_over_x_8 * y_over_x_8) + 1.0)));
    s_9 = (sign(x_10) * (1.5708 - (sqrt((1.0 - abs(x_10))) * (1.5708 + (abs(x_10) * (-0.214602 + (abs(x_10) * (0.0865667 + (abs(x_10) * -0.0310296)))))))));
    r_7 = s_9;
    if ((tmpvar_5.z < 0.0)) {
      if ((tmpvar_5.x >= 0.0)) {
        r_7 = (s_9 + 3.14159);
      } else {
        r_7 = (r_7 - 3.14159);
      };
    };
  } else {
    r_7 = (sign(tmpvar_5.x) * 1.5708);
  };
  uv_6.x = (0.5 + (0.159155 * r_7));
  uv_6.y = (0.31831 * (1.5708 - (sign(tmpvar_5.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_5.y))) * (1.5708 + (abs(tmpvar_5.y) * (-0.214602 + (abs(tmpvar_5.y) * (0.0865667 + (abs(tmpvar_5.y) * -0.0310296)))))))))));
  vec2 uvCont_11;
  uvCont_11.y = uv_6.y;
  uvCont_11.x = abs((uv_6.x - 0.5));
  vec4 tmpvar_12;
  tmpvar_12.xy = dFdx(uvCont_11);
  tmpvar_12.zw = dFdy(uvCont_11);
  float tmpvar_13;
  vec4 v_14;
  v_14 = (texture2DGradARB (_CityOverlayTex, uv_6, tmpvar_12.xy, tmpvar_12.zw) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_13 = (((v_14.x + v_14.y) + v_14.z) + v_14.w);
  vec4 tmpvar_15;
  tmpvar_15.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_15.w = tmpvar_13;
  cityoverlay_3.xyz = tmpvar_15.xyz;
  vec3 tmpvar_16;
  tmpvar_16 = normalize(xlv_TEXCOORD5);
  vec2 uv_17;
  vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_16);
  float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  float tmpvar_21;
  tmpvar_21 = sign(mix (tmpvar_16.y, mix (tmpvar_16.x, tmpvar_16.z, tmpvar_19), tmpvar_20));
  vec3 tmpvar_22;
  tmpvar_22.xz = vec2(1.0, 1.0);
  tmpvar_22.y = -(tmpvar_21);
  vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = tmpvar_21;
  vec3 tmpvar_24;
  tmpvar_24.xy = vec2(1.0, 1.0);
  tmpvar_24.z = -(tmpvar_21);
  vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_24 * tmpvar_16.yxz), mix ((tmpvar_22 * tmpvar_16.xzy), (tmpvar_23 * tmpvar_16.zxy), vec3(tmpvar_19)), vec3(tmpvar_20));
  uv_17.x = (((0.5 * tmpvar_25.y) / abs(tmpvar_25.x)) + 0.5);
  uv_17.y = (((0.5 * tmpvar_25.z) / abs(tmpvar_25.x)) + 0.5);
  vec2 tmpvar_26;
  tmpvar_26 = (uv_17 * _CityOverlayDetailScale);
  vec2 tmpvar_27;
  tmpvar_27 = abs((tmpvar_26 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_28;
  tmpvar_28.xy = dFdx(tmpvar_27);
  tmpvar_28.zw = dFdy(tmpvar_27);
  vec4 tmpvar_29;
  tmpvar_29 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_26, tmpvar_28.xy, tmpvar_28.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_29.xyz;
  vec3 tmpvar_30;
  tmpvar_30 = normalize(xlv_TEXCOORD5);
  vec2 uv_31;
  vec3 tmpvar_32;
  tmpvar_32 = abs(tmpvar_30);
  float tmpvar_33;
  tmpvar_33 = float((tmpvar_32.z >= tmpvar_32.x));
  float tmpvar_34;
  tmpvar_34 = float((max (tmpvar_32.x, tmpvar_32.z) >= tmpvar_32.y));
  float tmpvar_35;
  tmpvar_35 = sign(mix (tmpvar_30.y, mix (tmpvar_30.x, tmpvar_30.z, tmpvar_33), tmpvar_34));
  vec3 tmpvar_36;
  tmpvar_36.xz = vec2(1.0, 1.0);
  tmpvar_36.y = -(tmpvar_35);
  vec3 tmpvar_37;
  tmpvar_37.xz = vec2(1.0, 1.0);
  tmpvar_37.y = tmpvar_35;
  vec3 tmpvar_38;
  tmpvar_38.xy = vec2(1.0, 1.0);
  tmpvar_38.z = -(tmpvar_35);
  vec3 tmpvar_39;
  tmpvar_39 = mix ((tmpvar_38 * tmpvar_30.yxz), mix ((tmpvar_36 * tmpvar_30.xzy), (tmpvar_37 * tmpvar_30.zxy), vec3(tmpvar_33)), vec3(tmpvar_34));
  uv_31.x = (((0.5 * tmpvar_39.y) / abs(tmpvar_39.x)) + 0.5);
  uv_31.y = (((0.5 * tmpvar_39.z) / abs(tmpvar_39.x)) + 0.5);
  vec2 tmpvar_40;
  tmpvar_40 = (uv_31 * _CityOverlayDetailScale);
  vec2 tmpvar_41;
  tmpvar_41 = abs((tmpvar_40 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_42;
  tmpvar_42.xy = dFdx(tmpvar_41);
  tmpvar_42.zw = dFdy(tmpvar_41);
  vec4 tmpvar_43;
  tmpvar_43 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_40, tmpvar_42.xy, tmpvar_42.zw);
  citylightoverlaydetail_1.xyz = tmpvar_43.xyz;
  cityoverlay_3.w = (tmpvar_13 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_29.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_43.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_43.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_44;
  tmpvar_44 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_45;
  vec3 tmpvar_46;
  tmpvar_46 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_47;
  tmpvar_47 = normalize(xlv_TEXCOORD4);
  float tmpvar_48;
  tmpvar_48 = dot (tmpvar_47, tmpvar_46);
  c_45.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_48) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_46 + normalize(xlv_TEXCOORD7))), tmpvar_47), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_44.x * 4.0));
  c_45.w = (tmpvar_48 * (tmpvar_44.x * 4.0));
  float tmpvar_49;
  tmpvar_49 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_45 * mix (1.0, clamp (floor((1.01 + tmpvar_49)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_49)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_50;
  tmpvar_50 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_50.xyz;
  color_4.w = (tmpvar_50.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  mediump float lightShadowDataX_60;
  highp float dist_61;
  lowp float tmpvar_62;
  tmpvar_62 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_61 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = _LightShadowData.x;
  lightShadowDataX_60 = tmpvar_63;
  highp float tmpvar_64;
  tmpvar_64 = max (float((dist_61 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_60);
  tmpvar_59 = tmpvar_64;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_58;
  mediump vec3 viewDir_66;
  viewDir_66 = xlv_TEXCOORD7;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float atten_68;
  atten_68 = tmpvar_59;
  mediump vec4 c_69;
  highp float nh_70;
  mediump vec3 tmpvar_71;
  tmpvar_71 = normalize(lightDir_65);
  lightDir_65 = tmpvar_71;
  mediump vec3 tmpvar_72;
  tmpvar_72 = normalize(viewDir_66);
  viewDir_66 = tmpvar_72;
  mediump vec3 tmpvar_73;
  tmpvar_73 = normalize(normal_67);
  normal_67 = tmpvar_73;
  mediump float tmpvar_74;
  tmpvar_74 = dot (tmpvar_73, tmpvar_71);
  mediump float tmpvar_75;
  tmpvar_75 = clamp (dot (normalize((tmpvar_71 + tmpvar_72)), tmpvar_73), 0.0, 1.0);
  nh_70 = tmpvar_75;
  highp vec3 tmpvar_76;
  tmpvar_76 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_74) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_70, _SpecularPower) * _SpecularColor.w))) * (atten_68 * 4.0));
  c_69.xyz = tmpvar_76;
  c_69.w = (tmpvar_74 * (atten_68 * 4.0));
  lowp vec3 tmpvar_77;
  tmpvar_77 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float tmpvar_80;
  tmpvar_80 = dot (normal_79, lightDir_78);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_69 * mix (1.0, clamp (floor((1.01 + tmpvar_80)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_80)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_81;
  tmpvar_81 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_81.xyz;
  highp float tmpvar_82;
  tmpvar_82 = (tmpvar_81.w * _PlanetOpacity);
  color_5.w = tmpvar_82;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_59;
  tmpvar_59 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_60;
  lightDir_60 = tmpvar_58;
  mediump vec3 viewDir_61;
  viewDir_61 = xlv_TEXCOORD7;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float atten_63;
  atten_63 = tmpvar_59;
  mediump vec4 c_64;
  highp float nh_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(lightDir_60);
  lightDir_60 = tmpvar_66;
  mediump vec3 tmpvar_67;
  tmpvar_67 = normalize(viewDir_61);
  viewDir_61 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(normal_62);
  normal_62 = tmpvar_68;
  mediump float tmpvar_69;
  tmpvar_69 = dot (tmpvar_68, tmpvar_66);
  mediump float tmpvar_70;
  tmpvar_70 = clamp (dot (normalize((tmpvar_66 + tmpvar_67)), tmpvar_68), 0.0, 1.0);
  nh_65 = tmpvar_70;
  highp vec3 tmpvar_71;
  tmpvar_71 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_69) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_65, _SpecularPower) * _SpecularColor.w))) * (atten_63 * 4.0));
  c_64.xyz = tmpvar_71;
  c_64.w = (tmpvar_69 * (atten_63 * 4.0));
  lowp vec3 tmpvar_72;
  tmpvar_72 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_72;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump float tmpvar_75;
  tmpvar_75 = dot (normal_74, lightDir_73);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_64 * mix (1.0, clamp (floor((1.01 + tmpvar_75)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_75)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_76;
  tmpvar_76 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_76.xyz;
  highp float tmpvar_77;
  tmpvar_77 = (tmpvar_76.w * _PlanetOpacity);
  color_5.w = tmpvar_77;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D _CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_8;
  highp float r_9;
  if ((abs(tmpvar_7.z) > (1e-08 * abs(tmpvar_7.x)))) {
    highp float y_over_x_10;
    y_over_x_10 = (tmpvar_7.x / tmpvar_7.z);
    highp float s_11;
    highp float x_12;
    x_12 = (y_over_x_10 * inversesqrt(((y_over_x_10 * y_over_x_10) + 1.0)));
    s_11 = (sign(x_12) * (1.5708 - (sqrt((1.0 - abs(x_12))) * (1.5708 + (abs(x_12) * (-0.214602 + (abs(x_12) * (0.0865667 + (abs(x_12) * -0.0310296)))))))));
    r_9 = s_11;
    if ((tmpvar_7.z < 0.0)) {
      if ((tmpvar_7.x >= 0.0)) {
        r_9 = (s_11 + 3.14159);
      } else {
        r_9 = (r_9 - 3.14159);
      };
    };
  } else {
    r_9 = (sign(tmpvar_7.x) * 1.5708);
  };
  uv_8.x = (0.5 + (0.159155 * r_9));
  uv_8.y = (0.31831 * (1.5708 - (sign(tmpvar_7.y) * (1.5708 - (sqrt((1.0 - abs(tmpvar_7.y))) * (1.5708 + (abs(tmpvar_7.y) * (-0.214602 + (abs(tmpvar_7.y) * (0.0865667 + (abs(tmpvar_7.y) * -0.0310296)))))))))));
  highp vec2 uvCont_13;
  uvCont_13.y = uv_8.y;
  uvCont_13.x = abs((uv_8.x - 0.5));
  highp vec4 tmpvar_14;
  tmpvar_14.xy = dFdx(uvCont_13);
  tmpvar_14.zw = dFdy(uvCont_13);
  lowp vec4 tmpvar_15;
  tmpvar_15 = texture2DGradEXT (_CityOverlayTex, uv_8, tmpvar_14.xy, tmpvar_14.zw);
  tex_6 = tmpvar_15;
  mediump float tmpvar_16;
  mediump vec4 v_17;
  v_17 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_16 = (((v_17.x + v_17.y) + v_17.z) + v_17.w);
  mediump vec4 tmpvar_18;
  tmpvar_18.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_18.w = tmpvar_16;
  cityoverlay_4.xyz = tmpvar_18.xyz;
  mediump vec4 tex_19;
  highp vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_21;
  mediump float s_22;
  mediump float nylerp_23;
  mediump float zxlerp_24;
  highp vec3 tmpvar_25;
  tmpvar_25 = abs(tmpvar_20);
  highp float tmpvar_26;
  tmpvar_26 = float((tmpvar_25.z >= tmpvar_25.x));
  zxlerp_24 = tmpvar_26;
  highp float tmpvar_27;
  tmpvar_27 = float((max (tmpvar_25.x, tmpvar_25.z) >= tmpvar_25.y));
  nylerp_23 = tmpvar_27;
  highp float tmpvar_28;
  tmpvar_28 = mix (tmpvar_20.x, tmpvar_20.z, zxlerp_24);
  s_22 = tmpvar_28;
  highp float tmpvar_29;
  tmpvar_29 = sign(mix (tmpvar_20.y, s_22, nylerp_23));
  s_22 = tmpvar_29;
  mediump vec3 tmpvar_30;
  tmpvar_30.xz = vec2(1.0, 1.0);
  tmpvar_30.y = -(s_22);
  mediump vec3 tmpvar_31;
  tmpvar_31.xz = vec2(1.0, 1.0);
  tmpvar_31.y = s_22;
  mediump vec3 tmpvar_32;
  tmpvar_32.xy = vec2(1.0, 1.0);
  tmpvar_32.z = -(s_22);
  highp vec3 tmpvar_33;
  tmpvar_33 = mix ((tmpvar_32 * tmpvar_20.yxz), mix ((tmpvar_30 * tmpvar_20.xzy), (tmpvar_31 * tmpvar_20.zxy), vec3(zxlerp_24)), vec3(nylerp_23));
  uv_21.x = (((0.5 * tmpvar_33.y) / abs(tmpvar_33.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_33.z) / abs(tmpvar_33.x)) + 0.5);
  highp vec2 tmpvar_34;
  tmpvar_34 = (uv_21 * _CityOverlayDetailScale);
  highp vec2 tmpvar_35;
  tmpvar_35 = abs((tmpvar_34 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_36;
  tmpvar_36.xy = dFdx(tmpvar_35);
  tmpvar_36.zw = dFdy(tmpvar_35);
  lowp vec4 tmpvar_37;
  tmpvar_37 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_34, tmpvar_36.xy, tmpvar_36.zw);
  tex_19 = tmpvar_37;
  citydarkoverlaydetail_3.xyz = tex_19.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citylightoverlaydetail_2.xyz = tex_38.xyz;
  highp float tmpvar_57;
  tmpvar_57 = (tmpvar_16 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_57;
  citydarkoverlaydetail_3.w = (tex_19.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_38.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_38.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_58;
  tmpvar_58 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_59;
  lowp float tmpvar_60;
  tmpvar_60 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_61;
  tmpvar_61 = (_LightShadowData.x + (tmpvar_60 * (1.0 - _LightShadowData.x)));
  shadow_59 = tmpvar_61;
  mediump vec3 lightDir_62;
  lightDir_62 = tmpvar_58;
  mediump vec3 viewDir_63;
  viewDir_63 = xlv_TEXCOORD7;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float atten_65;
  atten_65 = shadow_59;
  mediump vec4 c_66;
  highp float nh_67;
  mediump vec3 tmpvar_68;
  tmpvar_68 = normalize(lightDir_62);
  lightDir_62 = tmpvar_68;
  mediump vec3 tmpvar_69;
  tmpvar_69 = normalize(viewDir_63);
  viewDir_63 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70 = normalize(normal_64);
  normal_64 = tmpvar_70;
  mediump float tmpvar_71;
  tmpvar_71 = dot (tmpvar_70, tmpvar_68);
  mediump float tmpvar_72;
  tmpvar_72 = clamp (dot (normalize((tmpvar_68 + tmpvar_69)), tmpvar_70), 0.0, 1.0);
  nh_67 = tmpvar_72;
  highp vec3 tmpvar_73;
  tmpvar_73 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_71) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_67, _SpecularPower) * _SpecularColor.w))) * (atten_65 * 4.0));
  c_66.xyz = tmpvar_73;
  c_66.w = (tmpvar_71 * (atten_65 * 4.0));
  lowp vec3 tmpvar_74;
  tmpvar_74 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_74;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump float tmpvar_77;
  tmpvar_77 = dot (normal_76, lightDir_75);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_66 * mix (1.0, clamp (floor((1.01 + tmpvar_77)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_77)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_78;
  tmpvar_78 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_78.xyz;
  highp float tmpvar_79;
  tmpvar_79 = (tmpvar_78.w * _PlanetOpacity);
  color_5.w = tmpvar_79;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 421
highp vec4 Derivatives( in highp vec2 uv ) {
    highp vec2 uvCont = uv;
    uvCont.x = abs((uvCont.x - 0.5));
    #line 425
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeUV( in highp vec3 cubeVect, in highp vec2 uvOffset ) {
    highp vec2 uv;
    uv.x = (0.5 + (0.159155 * atan( cubeVect.x, cubeVect.z)));
    #line 478
    uv.y = (0.31831 * acos(cubeVect.y));
    uv += uvOffset;
    return uv;
}
#line 505
mediump vec4 GetCubeMap( in sampler2D texSampler, in highp vec3 cubeVect ) {
    #line 507
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = GetCubeUV( cubeVectNorm, vec2( 0.0, 0.0));
    highp vec4 uvdd = Derivatives( uv);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    #line 511
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( _CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec4 tmpvar_5;
  tmpvar_5 = textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5));
  cityoverlay_3.xyz = tmpvar_5.xyz;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD5);
  vec2 uv_7;
  vec3 tmpvar_8;
  tmpvar_8 = abs(tmpvar_6);
  float tmpvar_9;
  tmpvar_9 = float((tmpvar_8.z >= tmpvar_8.x));
  float tmpvar_10;
  tmpvar_10 = float((max (tmpvar_8.x, tmpvar_8.z) >= tmpvar_8.y));
  float tmpvar_11;
  tmpvar_11 = sign(mix (tmpvar_6.y, mix (tmpvar_6.x, tmpvar_6.z, tmpvar_9), tmpvar_10));
  vec3 tmpvar_12;
  tmpvar_12.xz = vec2(1.0, 1.0);
  tmpvar_12.y = -(tmpvar_11);
  vec3 tmpvar_13;
  tmpvar_13.xz = vec2(1.0, 1.0);
  tmpvar_13.y = tmpvar_11;
  vec3 tmpvar_14;
  tmpvar_14.xy = vec2(1.0, 1.0);
  tmpvar_14.z = -(tmpvar_11);
  vec3 tmpvar_15;
  tmpvar_15 = mix ((tmpvar_14 * tmpvar_6.yxz), mix ((tmpvar_12 * tmpvar_6.xzy), (tmpvar_13 * tmpvar_6.zxy), vec3(tmpvar_9)), vec3(tmpvar_10));
  uv_7.x = (((0.5 * tmpvar_15.y) / abs(tmpvar_15.x)) + 0.5);
  uv_7.y = (((0.5 * tmpvar_15.z) / abs(tmpvar_15.x)) + 0.5);
  vec2 tmpvar_16;
  tmpvar_16 = (uv_7 * _CityOverlayDetailScale);
  vec2 tmpvar_17;
  tmpvar_17 = abs((tmpvar_16 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(tmpvar_17);
  tmpvar_18.zw = dFdy(tmpvar_17);
  vec4 tmpvar_19;
  tmpvar_19 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_16, tmpvar_18.xy, tmpvar_18.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citylightoverlaydetail_1.xyz = tmpvar_33.xyz;
  cityoverlay_3.w = (tmpvar_5.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_19.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_33.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_33.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_34;
  vec3 tmpvar_35;
  tmpvar_35 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD4);
  float tmpvar_37;
  tmpvar_37 = dot (tmpvar_36, tmpvar_35);
  c_34.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_37) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_35 + normalize(xlv_TEXCOORD7))), tmpvar_36), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_34.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_39;
  tmpvar_39 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_39.xyz;
  color_4.w = (tmpvar_39.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD7;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_51);
  normal_51 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * 4.0);
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_64;
  tmpvar_64 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_64.xyz;
  highp float tmpvar_65;
  tmpvar_65 = (tmpvar_64.w * _PlanetOpacity);
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD7;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_51);
  normal_51 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * 4.0);
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_64;
  tmpvar_64 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_64.xyz;
  highp float tmpvar_65;
  tmpvar_65 = (tmpvar_64.w * _PlanetOpacity);
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec4 tmpvar_5;
  tmpvar_5 = textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5));
  cityoverlay_3.xyz = tmpvar_5.xyz;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD5);
  vec2 uv_7;
  vec3 tmpvar_8;
  tmpvar_8 = abs(tmpvar_6);
  float tmpvar_9;
  tmpvar_9 = float((tmpvar_8.z >= tmpvar_8.x));
  float tmpvar_10;
  tmpvar_10 = float((max (tmpvar_8.x, tmpvar_8.z) >= tmpvar_8.y));
  float tmpvar_11;
  tmpvar_11 = sign(mix (tmpvar_6.y, mix (tmpvar_6.x, tmpvar_6.z, tmpvar_9), tmpvar_10));
  vec3 tmpvar_12;
  tmpvar_12.xz = vec2(1.0, 1.0);
  tmpvar_12.y = -(tmpvar_11);
  vec3 tmpvar_13;
  tmpvar_13.xz = vec2(1.0, 1.0);
  tmpvar_13.y = tmpvar_11;
  vec3 tmpvar_14;
  tmpvar_14.xy = vec2(1.0, 1.0);
  tmpvar_14.z = -(tmpvar_11);
  vec3 tmpvar_15;
  tmpvar_15 = mix ((tmpvar_14 * tmpvar_6.yxz), mix ((tmpvar_12 * tmpvar_6.xzy), (tmpvar_13 * tmpvar_6.zxy), vec3(tmpvar_9)), vec3(tmpvar_10));
  uv_7.x = (((0.5 * tmpvar_15.y) / abs(tmpvar_15.x)) + 0.5);
  uv_7.y = (((0.5 * tmpvar_15.z) / abs(tmpvar_15.x)) + 0.5);
  vec2 tmpvar_16;
  tmpvar_16 = (uv_7 * _CityOverlayDetailScale);
  vec2 tmpvar_17;
  tmpvar_17 = abs((tmpvar_16 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(tmpvar_17);
  tmpvar_18.zw = dFdy(tmpvar_17);
  vec4 tmpvar_19;
  tmpvar_19 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_16, tmpvar_18.xy, tmpvar_18.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citylightoverlaydetail_1.xyz = tmpvar_33.xyz;
  cityoverlay_3.w = (tmpvar_5.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_19.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_33.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_33.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_34;
  vec3 tmpvar_35;
  tmpvar_35 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD4);
  float tmpvar_37;
  tmpvar_37 = dot (tmpvar_36, tmpvar_35);
  c_34.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_37) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_35 + normalize(xlv_TEXCOORD7))), tmpvar_36), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_34.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_39;
  tmpvar_39 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_39.xyz;
  color_4.w = (tmpvar_39.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD7;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_51);
  normal_51 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * 4.0);
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_64;
  tmpvar_64 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_64.xyz;
  highp float tmpvar_65;
  tmpvar_65 = (tmpvar_64.w * _PlanetOpacity);
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD7;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_51);
  normal_51 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * 4.0);
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_64;
  tmpvar_64 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_64.xyz;
  highp float tmpvar_65;
  tmpvar_65 = (tmpvar_64.w * _PlanetOpacity);
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec4 tmpvar_5;
  tmpvar_5 = textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5));
  cityoverlay_3.xyz = tmpvar_5.xyz;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD5);
  vec2 uv_7;
  vec3 tmpvar_8;
  tmpvar_8 = abs(tmpvar_6);
  float tmpvar_9;
  tmpvar_9 = float((tmpvar_8.z >= tmpvar_8.x));
  float tmpvar_10;
  tmpvar_10 = float((max (tmpvar_8.x, tmpvar_8.z) >= tmpvar_8.y));
  float tmpvar_11;
  tmpvar_11 = sign(mix (tmpvar_6.y, mix (tmpvar_6.x, tmpvar_6.z, tmpvar_9), tmpvar_10));
  vec3 tmpvar_12;
  tmpvar_12.xz = vec2(1.0, 1.0);
  tmpvar_12.y = -(tmpvar_11);
  vec3 tmpvar_13;
  tmpvar_13.xz = vec2(1.0, 1.0);
  tmpvar_13.y = tmpvar_11;
  vec3 tmpvar_14;
  tmpvar_14.xy = vec2(1.0, 1.0);
  tmpvar_14.z = -(tmpvar_11);
  vec3 tmpvar_15;
  tmpvar_15 = mix ((tmpvar_14 * tmpvar_6.yxz), mix ((tmpvar_12 * tmpvar_6.xzy), (tmpvar_13 * tmpvar_6.zxy), vec3(tmpvar_9)), vec3(tmpvar_10));
  uv_7.x = (((0.5 * tmpvar_15.y) / abs(tmpvar_15.x)) + 0.5);
  uv_7.y = (((0.5 * tmpvar_15.z) / abs(tmpvar_15.x)) + 0.5);
  vec2 tmpvar_16;
  tmpvar_16 = (uv_7 * _CityOverlayDetailScale);
  vec2 tmpvar_17;
  tmpvar_17 = abs((tmpvar_16 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(tmpvar_17);
  tmpvar_18.zw = dFdy(tmpvar_17);
  vec4 tmpvar_19;
  tmpvar_19 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_16, tmpvar_18.xy, tmpvar_18.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citylightoverlaydetail_1.xyz = tmpvar_33.xyz;
  cityoverlay_3.w = (tmpvar_5.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_19.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_33.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_33.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_34;
  vec3 tmpvar_35;
  tmpvar_35 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD4);
  float tmpvar_37;
  tmpvar_37 = dot (tmpvar_36, tmpvar_35);
  c_34.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_37) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_35 + normalize(xlv_TEXCOORD7))), tmpvar_36), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_34.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_39;
  tmpvar_39 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_39.xyz;
  color_4.w = (tmpvar_39.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD7;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_51);
  normal_51 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * 4.0);
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_64;
  tmpvar_64 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_64.xyz;
  highp float tmpvar_65;
  tmpvar_65 = (tmpvar_64.w * _PlanetOpacity);
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD7;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_51);
  normal_51 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * 4.0);
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_64;
  tmpvar_64 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_64.xyz;
  highp float tmpvar_65;
  tmpvar_65 = (tmpvar_64.w * _PlanetOpacity);
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec4 tmpvar_5;
  tmpvar_5 = textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5));
  cityoverlay_3.xyz = tmpvar_5.xyz;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD5);
  vec2 uv_7;
  vec3 tmpvar_8;
  tmpvar_8 = abs(tmpvar_6);
  float tmpvar_9;
  tmpvar_9 = float((tmpvar_8.z >= tmpvar_8.x));
  float tmpvar_10;
  tmpvar_10 = float((max (tmpvar_8.x, tmpvar_8.z) >= tmpvar_8.y));
  float tmpvar_11;
  tmpvar_11 = sign(mix (tmpvar_6.y, mix (tmpvar_6.x, tmpvar_6.z, tmpvar_9), tmpvar_10));
  vec3 tmpvar_12;
  tmpvar_12.xz = vec2(1.0, 1.0);
  tmpvar_12.y = -(tmpvar_11);
  vec3 tmpvar_13;
  tmpvar_13.xz = vec2(1.0, 1.0);
  tmpvar_13.y = tmpvar_11;
  vec3 tmpvar_14;
  tmpvar_14.xy = vec2(1.0, 1.0);
  tmpvar_14.z = -(tmpvar_11);
  vec3 tmpvar_15;
  tmpvar_15 = mix ((tmpvar_14 * tmpvar_6.yxz), mix ((tmpvar_12 * tmpvar_6.xzy), (tmpvar_13 * tmpvar_6.zxy), vec3(tmpvar_9)), vec3(tmpvar_10));
  uv_7.x = (((0.5 * tmpvar_15.y) / abs(tmpvar_15.x)) + 0.5);
  uv_7.y = (((0.5 * tmpvar_15.z) / abs(tmpvar_15.x)) + 0.5);
  vec2 tmpvar_16;
  tmpvar_16 = (uv_7 * _CityOverlayDetailScale);
  vec2 tmpvar_17;
  tmpvar_17 = abs((tmpvar_16 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(tmpvar_17);
  tmpvar_18.zw = dFdy(tmpvar_17);
  vec4 tmpvar_19;
  tmpvar_19 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_16, tmpvar_18.xy, tmpvar_18.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citylightoverlaydetail_1.xyz = tmpvar_33.xyz;
  cityoverlay_3.w = (tmpvar_5.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_19.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_33.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_33.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_35;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD4);
  float tmpvar_38;
  tmpvar_38 = dot (tmpvar_37, tmpvar_36);
  c_35.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_38) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_36 + normalize(xlv_TEXCOORD7))), tmpvar_37), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_38 * (tmpvar_34.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_40;
  tmpvar_40 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_40.xyz;
  color_4.w = (tmpvar_40.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedcdoggogihdljpfhdcfofibacmlmplcmoabaaaaaapeagaaaaadaaaaaa
cmaaaaaapeaaaaaanmabaaaaejfdeheomaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaakbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaakhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapadaaaakoaaaaaa
abaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapabaaaalhaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfceneb
emaafeeffiedepepfceeaafeebeoehefeofeaaklepfdeheooaaaaaaaaiaaaaaa
aiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaaneaaaaaaabaaaaaaaaaaaaaa
adaaaaaaacaaaaaaapaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaneaaaaaa
agaaaaaaaaaaaaaaadaaaaaaaeaaaaaaaiahaaaaneaaaaaaafaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaiaaaaneaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahaiaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
baafaaaaeaaaabaaeeabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaafjaaaaae
egiocaaaadaaaaaabaaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadpcbabaaa
abaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaaddcbabaaaadaaaaaafpaaaaad
bcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadpccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
hccabaaaaeaaaaaagfaaaaadiccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiocaaaadaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaadaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaadaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaadaaaaaapgbpbaaa
aaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaaaaaaaaa
dgaaaaafpccabaaaabaaaaaaegbobaaaabaaaaaadiaaaaaihcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaadaaaaaaapaaaaaapgbpbaaa
aaaaaaaaegacbaaaabaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaaa
abaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaaficcabaaaacaaaaaadkaabaaa
abaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhccabaaa
agaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaadgaaaaafhccabaaaacaaaaaa
egbcbaaaacaaaaaadiaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaa
abaaaaaaafaaaaaadiaaaaakncaabaaaacaaaaaaagahbaaaaaaaaaaaaceaaaaa
aaaaaadpaaaaaaaaaaaaaadpaaaaaadpdgaaaaafmccabaaaadaaaaaakgaobaaa
aaaaaaaaaaaaaaahdccabaaaadaaaaaakgakbaaaacaaaaaamgaabaaaacaaaaaa
baaaaaahbcaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
bcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahhccabaaaaeaaaaaaagaabaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaajbcaabaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaadgaaaaafdcaabaaaabaaaaaaegbabaaaadaaaaaadgaaaaafecaabaaa
abaaaaaaakbabaaaaeaaaaaabaaaaaaibcaabaaaaaaaaaaaegacbaiaebaaaaaa
abaaaaaaegacbaaaaaaaaaaadgaaaaaghccabaaaafaaaaaaegacbaiaebaaaaaa
abaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaialpdcaaaaajiccabaaaaeaaaaaaakaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_49;
  mediump float lightShadowDataX_50;
  highp float dist_51;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_51 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = _LightShadowData.x;
  lightShadowDataX_50 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = max (float((dist_51 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_50);
  tmpvar_49 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_48;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_49;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_48;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD7;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = tmpvar_49;
  mediump vec4 c_54;
  highp float nh_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_50);
  lightDir_50 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(viewDir_51);
  viewDir_51 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_52);
  normal_52 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_56);
  mediump float tmpvar_60;
  tmpvar_60 = clamp (dot (normalize((tmpvar_56 + tmpvar_57)), tmpvar_58), 0.0, 1.0);
  nh_55 = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_59) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_55, _SpecularPower) * _SpecularColor.w))) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_61;
  c_54.w = (tmpvar_59 * (atten_53 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_66;
  tmpvar_66 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_66.xyz;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_66.w * _PlanetOpacity);
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec4 tmpvar_5;
  tmpvar_5 = textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5));
  cityoverlay_3.xyz = tmpvar_5.xyz;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD5);
  vec2 uv_7;
  vec3 tmpvar_8;
  tmpvar_8 = abs(tmpvar_6);
  float tmpvar_9;
  tmpvar_9 = float((tmpvar_8.z >= tmpvar_8.x));
  float tmpvar_10;
  tmpvar_10 = float((max (tmpvar_8.x, tmpvar_8.z) >= tmpvar_8.y));
  float tmpvar_11;
  tmpvar_11 = sign(mix (tmpvar_6.y, mix (tmpvar_6.x, tmpvar_6.z, tmpvar_9), tmpvar_10));
  vec3 tmpvar_12;
  tmpvar_12.xz = vec2(1.0, 1.0);
  tmpvar_12.y = -(tmpvar_11);
  vec3 tmpvar_13;
  tmpvar_13.xz = vec2(1.0, 1.0);
  tmpvar_13.y = tmpvar_11;
  vec3 tmpvar_14;
  tmpvar_14.xy = vec2(1.0, 1.0);
  tmpvar_14.z = -(tmpvar_11);
  vec3 tmpvar_15;
  tmpvar_15 = mix ((tmpvar_14 * tmpvar_6.yxz), mix ((tmpvar_12 * tmpvar_6.xzy), (tmpvar_13 * tmpvar_6.zxy), vec3(tmpvar_9)), vec3(tmpvar_10));
  uv_7.x = (((0.5 * tmpvar_15.y) / abs(tmpvar_15.x)) + 0.5);
  uv_7.y = (((0.5 * tmpvar_15.z) / abs(tmpvar_15.x)) + 0.5);
  vec2 tmpvar_16;
  tmpvar_16 = (uv_7 * _CityOverlayDetailScale);
  vec2 tmpvar_17;
  tmpvar_17 = abs((tmpvar_16 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(tmpvar_17);
  tmpvar_18.zw = dFdy(tmpvar_17);
  vec4 tmpvar_19;
  tmpvar_19 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_16, tmpvar_18.xy, tmpvar_18.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citylightoverlaydetail_1.xyz = tmpvar_33.xyz;
  cityoverlay_3.w = (tmpvar_5.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_19.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_33.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_33.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_35;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD4);
  float tmpvar_38;
  tmpvar_38 = dot (tmpvar_37, tmpvar_36);
  c_35.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_38) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_36 + normalize(xlv_TEXCOORD7))), tmpvar_37), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_38 * (tmpvar_34.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_40;
  tmpvar_40 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_40.xyz;
  color_4.w = (tmpvar_40.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_49;
  mediump float lightShadowDataX_50;
  highp float dist_51;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_51 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = _LightShadowData.x;
  lightShadowDataX_50 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = max (float((dist_51 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_50);
  tmpvar_49 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_48;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_49;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_48;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD7;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = tmpvar_49;
  mediump vec4 c_54;
  highp float nh_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_50);
  lightDir_50 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(viewDir_51);
  viewDir_51 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_52);
  normal_52 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_56);
  mediump float tmpvar_60;
  tmpvar_60 = clamp (dot (normalize((tmpvar_56 + tmpvar_57)), tmpvar_58), 0.0, 1.0);
  nh_55 = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_59) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_55, _SpecularPower) * _SpecularColor.w))) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_61;
  c_54.w = (tmpvar_59 * (atten_53 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_66;
  tmpvar_66 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_66.xyz;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_66.w * _PlanetOpacity);
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec4 tmpvar_5;
  tmpvar_5 = textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5));
  cityoverlay_3.xyz = tmpvar_5.xyz;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD5);
  vec2 uv_7;
  vec3 tmpvar_8;
  tmpvar_8 = abs(tmpvar_6);
  float tmpvar_9;
  tmpvar_9 = float((tmpvar_8.z >= tmpvar_8.x));
  float tmpvar_10;
  tmpvar_10 = float((max (tmpvar_8.x, tmpvar_8.z) >= tmpvar_8.y));
  float tmpvar_11;
  tmpvar_11 = sign(mix (tmpvar_6.y, mix (tmpvar_6.x, tmpvar_6.z, tmpvar_9), tmpvar_10));
  vec3 tmpvar_12;
  tmpvar_12.xz = vec2(1.0, 1.0);
  tmpvar_12.y = -(tmpvar_11);
  vec3 tmpvar_13;
  tmpvar_13.xz = vec2(1.0, 1.0);
  tmpvar_13.y = tmpvar_11;
  vec3 tmpvar_14;
  tmpvar_14.xy = vec2(1.0, 1.0);
  tmpvar_14.z = -(tmpvar_11);
  vec3 tmpvar_15;
  tmpvar_15 = mix ((tmpvar_14 * tmpvar_6.yxz), mix ((tmpvar_12 * tmpvar_6.xzy), (tmpvar_13 * tmpvar_6.zxy), vec3(tmpvar_9)), vec3(tmpvar_10));
  uv_7.x = (((0.5 * tmpvar_15.y) / abs(tmpvar_15.x)) + 0.5);
  uv_7.y = (((0.5 * tmpvar_15.z) / abs(tmpvar_15.x)) + 0.5);
  vec2 tmpvar_16;
  tmpvar_16 = (uv_7 * _CityOverlayDetailScale);
  vec2 tmpvar_17;
  tmpvar_17 = abs((tmpvar_16 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(tmpvar_17);
  tmpvar_18.zw = dFdy(tmpvar_17);
  vec4 tmpvar_19;
  tmpvar_19 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_16, tmpvar_18.xy, tmpvar_18.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citylightoverlaydetail_1.xyz = tmpvar_33.xyz;
  cityoverlay_3.w = (tmpvar_5.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_19.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_33.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_33.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_35;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD4);
  float tmpvar_38;
  tmpvar_38 = dot (tmpvar_37, tmpvar_36);
  c_35.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_38) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_36 + normalize(xlv_TEXCOORD7))), tmpvar_37), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_38 * (tmpvar_34.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_40;
  tmpvar_40 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_40.xyz;
  color_4.w = (tmpvar_40.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_49;
  mediump float lightShadowDataX_50;
  highp float dist_51;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_51 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = _LightShadowData.x;
  lightShadowDataX_50 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = max (float((dist_51 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_50);
  tmpvar_49 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_48;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_49;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_48;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD7;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = tmpvar_49;
  mediump vec4 c_54;
  highp float nh_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_50);
  lightDir_50 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(viewDir_51);
  viewDir_51 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_52);
  normal_52 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_56);
  mediump float tmpvar_60;
  tmpvar_60 = clamp (dot (normalize((tmpvar_56 + tmpvar_57)), tmpvar_58), 0.0, 1.0);
  nh_55 = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_59) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_55, _SpecularPower) * _SpecularColor.w))) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_61;
  c_54.w = (tmpvar_59 * (atten_53 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_66;
  tmpvar_66 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_66.xyz;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_66.w * _PlanetOpacity);
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec4 tmpvar_5;
  tmpvar_5 = textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5));
  cityoverlay_3.xyz = tmpvar_5.xyz;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD5);
  vec2 uv_7;
  vec3 tmpvar_8;
  tmpvar_8 = abs(tmpvar_6);
  float tmpvar_9;
  tmpvar_9 = float((tmpvar_8.z >= tmpvar_8.x));
  float tmpvar_10;
  tmpvar_10 = float((max (tmpvar_8.x, tmpvar_8.z) >= tmpvar_8.y));
  float tmpvar_11;
  tmpvar_11 = sign(mix (tmpvar_6.y, mix (tmpvar_6.x, tmpvar_6.z, tmpvar_9), tmpvar_10));
  vec3 tmpvar_12;
  tmpvar_12.xz = vec2(1.0, 1.0);
  tmpvar_12.y = -(tmpvar_11);
  vec3 tmpvar_13;
  tmpvar_13.xz = vec2(1.0, 1.0);
  tmpvar_13.y = tmpvar_11;
  vec3 tmpvar_14;
  tmpvar_14.xy = vec2(1.0, 1.0);
  tmpvar_14.z = -(tmpvar_11);
  vec3 tmpvar_15;
  tmpvar_15 = mix ((tmpvar_14 * tmpvar_6.yxz), mix ((tmpvar_12 * tmpvar_6.xzy), (tmpvar_13 * tmpvar_6.zxy), vec3(tmpvar_9)), vec3(tmpvar_10));
  uv_7.x = (((0.5 * tmpvar_15.y) / abs(tmpvar_15.x)) + 0.5);
  uv_7.y = (((0.5 * tmpvar_15.z) / abs(tmpvar_15.x)) + 0.5);
  vec2 tmpvar_16;
  tmpvar_16 = (uv_7 * _CityOverlayDetailScale);
  vec2 tmpvar_17;
  tmpvar_17 = abs((tmpvar_16 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(tmpvar_17);
  tmpvar_18.zw = dFdy(tmpvar_17);
  vec4 tmpvar_19;
  tmpvar_19 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_16, tmpvar_18.xy, tmpvar_18.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citylightoverlaydetail_1.xyz = tmpvar_33.xyz;
  cityoverlay_3.w = (tmpvar_5.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_19.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_33.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_33.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_34;
  vec3 tmpvar_35;
  tmpvar_35 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD4);
  float tmpvar_37;
  tmpvar_37 = dot (tmpvar_36, tmpvar_35);
  c_34.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_37) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_35 + normalize(xlv_TEXCOORD7))), tmpvar_36), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_34.w = (tmpvar_37 * 4.0);
  float tmpvar_38;
  tmpvar_38 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_34 * mix (1.0, clamp (floor((1.01 + tmpvar_38)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_38)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_39;
  tmpvar_39 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_39.xyz;
  color_4.w = (tmpvar_39.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD7;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_51);
  normal_51 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * 4.0);
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_64;
  tmpvar_64 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_64.xyz;
  highp float tmpvar_65;
  tmpvar_65 = (tmpvar_64.w * _PlanetOpacity);
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_49;
  lightDir_49 = tmpvar_48;
  mediump vec3 viewDir_50;
  viewDir_50 = xlv_TEXCOORD7;
  mediump vec3 normal_51;
  normal_51 = xlv_TEXCOORD4;
  mediump vec4 c_52;
  highp float nh_53;
  mediump vec3 tmpvar_54;
  tmpvar_54 = normalize(lightDir_49);
  lightDir_49 = tmpvar_54;
  mediump vec3 tmpvar_55;
  tmpvar_55 = normalize(viewDir_50);
  viewDir_50 = tmpvar_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(normal_51);
  normal_51 = tmpvar_56;
  mediump float tmpvar_57;
  tmpvar_57 = dot (tmpvar_56, tmpvar_54);
  mediump float tmpvar_58;
  tmpvar_58 = clamp (dot (normalize((tmpvar_54 + tmpvar_55)), tmpvar_56), 0.0, 1.0);
  nh_53 = tmpvar_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_57) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_53, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_52.xyz = tmpvar_59;
  c_52.w = (tmpvar_57 * 4.0);
  lowp vec3 tmpvar_60;
  tmpvar_60 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_61;
  lightDir_61 = tmpvar_60;
  mediump vec3 normal_62;
  normal_62 = xlv_TEXCOORD4;
  mediump float tmpvar_63;
  tmpvar_63 = dot (normal_62, lightDir_61);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_52 * mix (1.0, clamp (floor((1.01 + tmpvar_63)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_63)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_64;
  tmpvar_64 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_64.xyz;
  highp float tmpvar_65;
  tmpvar_65 = (tmpvar_64.w * _PlanetOpacity);
  color_5.w = tmpvar_65;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec4 tmpvar_5;
  tmpvar_5 = textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5));
  cityoverlay_3.xyz = tmpvar_5.xyz;
  vec3 tmpvar_6;
  tmpvar_6 = normalize(xlv_TEXCOORD5);
  vec2 uv_7;
  vec3 tmpvar_8;
  tmpvar_8 = abs(tmpvar_6);
  float tmpvar_9;
  tmpvar_9 = float((tmpvar_8.z >= tmpvar_8.x));
  float tmpvar_10;
  tmpvar_10 = float((max (tmpvar_8.x, tmpvar_8.z) >= tmpvar_8.y));
  float tmpvar_11;
  tmpvar_11 = sign(mix (tmpvar_6.y, mix (tmpvar_6.x, tmpvar_6.z, tmpvar_9), tmpvar_10));
  vec3 tmpvar_12;
  tmpvar_12.xz = vec2(1.0, 1.0);
  tmpvar_12.y = -(tmpvar_11);
  vec3 tmpvar_13;
  tmpvar_13.xz = vec2(1.0, 1.0);
  tmpvar_13.y = tmpvar_11;
  vec3 tmpvar_14;
  tmpvar_14.xy = vec2(1.0, 1.0);
  tmpvar_14.z = -(tmpvar_11);
  vec3 tmpvar_15;
  tmpvar_15 = mix ((tmpvar_14 * tmpvar_6.yxz), mix ((tmpvar_12 * tmpvar_6.xzy), (tmpvar_13 * tmpvar_6.zxy), vec3(tmpvar_9)), vec3(tmpvar_10));
  uv_7.x = (((0.5 * tmpvar_15.y) / abs(tmpvar_15.x)) + 0.5);
  uv_7.y = (((0.5 * tmpvar_15.z) / abs(tmpvar_15.x)) + 0.5);
  vec2 tmpvar_16;
  tmpvar_16 = (uv_7 * _CityOverlayDetailScale);
  vec2 tmpvar_17;
  tmpvar_17 = abs((tmpvar_16 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_18;
  tmpvar_18.xy = dFdx(tmpvar_17);
  tmpvar_18.zw = dFdy(tmpvar_17);
  vec4 tmpvar_19;
  tmpvar_19 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_16, tmpvar_18.xy, tmpvar_18.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citylightoverlaydetail_1.xyz = tmpvar_33.xyz;
  cityoverlay_3.w = (tmpvar_5.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_19.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_33.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_33.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_34;
  tmpvar_34 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_35;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_37;
  tmpvar_37 = normalize(xlv_TEXCOORD4);
  float tmpvar_38;
  tmpvar_38 = dot (tmpvar_37, tmpvar_36);
  c_35.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_38) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_36 + normalize(xlv_TEXCOORD7))), tmpvar_37), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_34.x * 4.0));
  c_35.w = (tmpvar_38 * (tmpvar_34.x * 4.0));
  float tmpvar_39;
  tmpvar_39 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_35 * mix (1.0, clamp (floor((1.01 + tmpvar_39)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_39)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_40;
  tmpvar_40 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_40.xyz;
  color_4.w = (tmpvar_40.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_49;
  mediump float lightShadowDataX_50;
  highp float dist_51;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_51 = tmpvar_52;
  highp float tmpvar_53;
  tmpvar_53 = _LightShadowData.x;
  lightShadowDataX_50 = tmpvar_53;
  highp float tmpvar_54;
  tmpvar_54 = max (float((dist_51 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_50);
  tmpvar_49 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_48;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = tmpvar_49;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_49;
  tmpvar_49 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_50;
  lightDir_50 = tmpvar_48;
  mediump vec3 viewDir_51;
  viewDir_51 = xlv_TEXCOORD7;
  mediump vec3 normal_52;
  normal_52 = xlv_TEXCOORD4;
  mediump float atten_53;
  atten_53 = tmpvar_49;
  mediump vec4 c_54;
  highp float nh_55;
  mediump vec3 tmpvar_56;
  tmpvar_56 = normalize(lightDir_50);
  lightDir_50 = tmpvar_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(viewDir_51);
  viewDir_51 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(normal_52);
  normal_52 = tmpvar_58;
  mediump float tmpvar_59;
  tmpvar_59 = dot (tmpvar_58, tmpvar_56);
  mediump float tmpvar_60;
  tmpvar_60 = clamp (dot (normalize((tmpvar_56 + tmpvar_57)), tmpvar_58), 0.0, 1.0);
  nh_55 = tmpvar_60;
  highp vec3 tmpvar_61;
  tmpvar_61 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_59) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_55, _SpecularPower) * _SpecularColor.w))) * (atten_53 * 4.0));
  c_54.xyz = tmpvar_61;
  c_54.w = (tmpvar_59 * (atten_53 * 4.0));
  lowp vec3 tmpvar_62;
  tmpvar_62 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_63;
  lightDir_63 = tmpvar_62;
  mediump vec3 normal_64;
  normal_64 = xlv_TEXCOORD4;
  mediump float tmpvar_65;
  tmpvar_65 = dot (normal_64, lightDir_63);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_54 * mix (1.0, clamp (floor((1.01 + tmpvar_65)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_65)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_66;
  tmpvar_66 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_66.xyz;
  highp float tmpvar_67;
  tmpvar_67 = (tmpvar_66.w * _PlanetOpacity);
  color_5.w = tmpvar_67;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_49;
  lowp float tmpvar_50;
  tmpvar_50 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_51;
  tmpvar_51 = (_LightShadowData.x + (tmpvar_50 * (1.0 - _LightShadowData.x)));
  shadow_49 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_48;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = shadow_49;
  mediump vec4 c_56;
  highp float nh_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_52);
  lightDir_52 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(viewDir_53);
  viewDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_54);
  normal_54 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_58);
  mediump float tmpvar_62;
  tmpvar_62 = clamp (dot (normalize((tmpvar_58 + tmpvar_59)), tmpvar_60), 0.0, 1.0);
  nh_57 = tmpvar_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_61) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_57, _SpecularPower) * _SpecularColor.w))) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_63;
  c_56.w = (tmpvar_61 * (atten_55 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_68.xyz;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_68.w * _PlanetOpacity);
  color_5.w = tmpvar_69;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_49;
  lowp float tmpvar_50;
  tmpvar_50 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_51;
  tmpvar_51 = (_LightShadowData.x + (tmpvar_50 * (1.0 - _LightShadowData.x)));
  shadow_49 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_48;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = shadow_49;
  mediump vec4 c_56;
  highp float nh_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_52);
  lightDir_52 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(viewDir_53);
  viewDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_54);
  normal_54 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_58);
  mediump float tmpvar_62;
  tmpvar_62 = clamp (dot (normalize((tmpvar_58 + tmpvar_59)), tmpvar_60), 0.0, 1.0);
  nh_57 = tmpvar_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_61) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_57, _SpecularPower) * _SpecularColor.w))) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_63;
  c_56.w = (tmpvar_61 * (atten_55 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_68.xyz;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_68.w * _PlanetOpacity);
  color_5.w = tmpvar_69;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_49;
  lowp float tmpvar_50;
  tmpvar_50 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_51;
  tmpvar_51 = (_LightShadowData.x + (tmpvar_50 * (1.0 - _LightShadowData.x)));
  shadow_49 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_48;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = shadow_49;
  mediump vec4 c_56;
  highp float nh_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_52);
  lightDir_52 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(viewDir_53);
  viewDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_54);
  normal_54 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_58);
  mediump float tmpvar_62;
  tmpvar_62 = clamp (dot (normalize((tmpvar_58 + tmpvar_59)), tmpvar_60), 0.0, 1.0);
  nh_57 = tmpvar_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_61) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_57, _SpecularPower) * _SpecularColor.w))) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_63;
  c_56.w = (tmpvar_61 * (atten_55 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_68.xyz;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_68.w * _PlanetOpacity);
  color_5.w = tmpvar_69;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  cityoverlay_4.xyz = tex_6.xyz;
  mediump vec4 tex_9;
  highp vec3 tmpvar_10;
  tmpvar_10 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_11;
  mediump float s_12;
  mediump float nylerp_13;
  mediump float zxlerp_14;
  highp vec3 tmpvar_15;
  tmpvar_15 = abs(tmpvar_10);
  highp float tmpvar_16;
  tmpvar_16 = float((tmpvar_15.z >= tmpvar_15.x));
  zxlerp_14 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = float((max (tmpvar_15.x, tmpvar_15.z) >= tmpvar_15.y));
  nylerp_13 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = mix (tmpvar_10.x, tmpvar_10.z, zxlerp_14);
  s_12 = tmpvar_18;
  highp float tmpvar_19;
  tmpvar_19 = sign(mix (tmpvar_10.y, s_12, nylerp_13));
  s_12 = tmpvar_19;
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = -(s_12);
  mediump vec3 tmpvar_21;
  tmpvar_21.xz = vec2(1.0, 1.0);
  tmpvar_21.y = s_12;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_12);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_10.yxz), mix ((tmpvar_20 * tmpvar_10.xzy), (tmpvar_21 * tmpvar_10.zxy), vec3(zxlerp_14)), vec3(nylerp_13));
  uv_11.x = (((0.5 * tmpvar_23.y) / abs(tmpvar_23.x)) + 0.5);
  uv_11.y = (((0.5 * tmpvar_23.z) / abs(tmpvar_23.x)) + 0.5);
  highp vec2 tmpvar_24;
  tmpvar_24 = (uv_11 * _CityOverlayDetailScale);
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((tmpvar_24 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_24, tmpvar_26.xy, tmpvar_26.zw);
  tex_9 = tmpvar_27;
  citydarkoverlaydetail_3.xyz = tex_9.xyz;
  mediump vec4 tex_28;
  highp vec3 tmpvar_29;
  tmpvar_29 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_30;
  mediump float s_31;
  mediump float nylerp_32;
  mediump float zxlerp_33;
  highp vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_29);
  highp float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  zxlerp_33 = tmpvar_35;
  highp float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  nylerp_32 = tmpvar_36;
  highp float tmpvar_37;
  tmpvar_37 = mix (tmpvar_29.x, tmpvar_29.z, zxlerp_33);
  s_31 = tmpvar_37;
  highp float tmpvar_38;
  tmpvar_38 = sign(mix (tmpvar_29.y, s_31, nylerp_32));
  s_31 = tmpvar_38;
  mediump vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = -(s_31);
  mediump vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = s_31;
  mediump vec3 tmpvar_41;
  tmpvar_41.xy = vec2(1.0, 1.0);
  tmpvar_41.z = -(s_31);
  highp vec3 tmpvar_42;
  tmpvar_42 = mix ((tmpvar_41 * tmpvar_29.yxz), mix ((tmpvar_39 * tmpvar_29.xzy), (tmpvar_40 * tmpvar_29.zxy), vec3(zxlerp_33)), vec3(nylerp_32));
  uv_30.x = (((0.5 * tmpvar_42.y) / abs(tmpvar_42.x)) + 0.5);
  uv_30.y = (((0.5 * tmpvar_42.z) / abs(tmpvar_42.x)) + 0.5);
  highp vec2 tmpvar_43;
  tmpvar_43 = (uv_30 * _CityOverlayDetailScale);
  highp vec2 tmpvar_44;
  tmpvar_44 = abs((tmpvar_43 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_45;
  tmpvar_45.xy = dFdx(tmpvar_44);
  tmpvar_45.zw = dFdy(tmpvar_44);
  lowp vec4 tmpvar_46;
  tmpvar_46 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_43, tmpvar_45.xy, tmpvar_45.zw);
  tex_28 = tmpvar_46;
  citylightoverlaydetail_2.xyz = tex_28.xyz;
  highp float tmpvar_47;
  tmpvar_47 = (tex_6.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_47;
  citydarkoverlaydetail_3.w = (tex_9.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_28.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_28.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_48;
  tmpvar_48 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_49;
  lowp float tmpvar_50;
  tmpvar_50 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_51;
  tmpvar_51 = (_LightShadowData.x + (tmpvar_50 * (1.0 - _LightShadowData.x)));
  shadow_49 = tmpvar_51;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_48;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump float atten_55;
  atten_55 = shadow_49;
  mediump vec4 c_56;
  highp float nh_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(lightDir_52);
  lightDir_52 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(viewDir_53);
  viewDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(normal_54);
  normal_54 = tmpvar_60;
  mediump float tmpvar_61;
  tmpvar_61 = dot (tmpvar_60, tmpvar_58);
  mediump float tmpvar_62;
  tmpvar_62 = clamp (dot (normalize((tmpvar_58 + tmpvar_59)), tmpvar_60), 0.0, 1.0);
  nh_57 = tmpvar_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_61) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_57, _SpecularPower) * _SpecularColor.w))) * (atten_55 * 4.0));
  c_56.xyz = tmpvar_63;
  c_56.w = (tmpvar_61 * (atten_55 * 4.0));
  lowp vec3 tmpvar_64;
  tmpvar_64 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_65;
  lightDir_65 = tmpvar_64;
  mediump vec3 normal_66;
  normal_66 = xlv_TEXCOORD4;
  mediump float tmpvar_67;
  tmpvar_67 = dot (normal_66, lightDir_65);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_56 * mix (1.0, clamp (floor((1.01 + tmpvar_67)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_67)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_68;
  tmpvar_68 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_68.xyz;
  highp float tmpvar_69;
  tmpvar_69 = (tmpvar_68.w * _PlanetOpacity);
  color_5.w = tmpvar_69;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD4);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD7))), tmpvar_38), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_36.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_41;
  tmpvar_41 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_41.xyz;
  color_4.w = (tmpvar_41.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD4);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD7))), tmpvar_38), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_36.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_41;
  tmpvar_41 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_41.xyz;
  color_4.w = (tmpvar_41.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD4);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD7))), tmpvar_38), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_36.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_41;
  tmpvar_41 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_41.xyz;
  color_4.w = (tmpvar_41.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_37;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD4);
  float tmpvar_40;
  tmpvar_40 = dot (tmpvar_39, tmpvar_38);
  c_37.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_40) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_38 + normalize(xlv_TEXCOORD7))), tmpvar_39), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_40 * (tmpvar_36.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_42;
  tmpvar_42 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_42.xyz;
  color_4.w = (tmpvar_42.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD7;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_58);
  lightDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_59);
  viewDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_60);
  normal_60 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * (atten_61 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD7;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_53);
  lightDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_54);
  viewDir_54 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_55);
  normal_55 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_69.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_69.w * _PlanetOpacity);
  color_5.w = tmpvar_70;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_37;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD4);
  float tmpvar_40;
  tmpvar_40 = dot (tmpvar_39, tmpvar_38);
  c_37.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_40) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_38 + normalize(xlv_TEXCOORD7))), tmpvar_39), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_40 * (tmpvar_36.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_42;
  tmpvar_42 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_42.xyz;
  color_4.w = (tmpvar_42.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD7;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_58);
  lightDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_59);
  viewDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_60);
  normal_60 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * (atten_61 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD7;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_53);
  lightDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_54);
  viewDir_54 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_55);
  normal_55 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_69.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_69.w * _PlanetOpacity);
  color_5.w = tmpvar_70;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_37;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD4);
  float tmpvar_40;
  tmpvar_40 = dot (tmpvar_39, tmpvar_38);
  c_37.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_40) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_38 + normalize(xlv_TEXCOORD7))), tmpvar_39), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_40 * (tmpvar_36.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_42;
  tmpvar_42 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_42.xyz;
  color_4.w = (tmpvar_42.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD7;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_58);
  lightDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_59);
  viewDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_60);
  normal_60 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * (atten_61 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD7;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_53);
  lightDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_54);
  viewDir_54 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_55);
  normal_55 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_69.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_69.w * _PlanetOpacity);
  color_5.w = tmpvar_70;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD4);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD7))), tmpvar_38), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_36.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_41;
  tmpvar_41 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_41.xyz;
  color_4.w = (tmpvar_41.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_37;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD4);
  float tmpvar_40;
  tmpvar_40 = dot (tmpvar_39, tmpvar_38);
  c_37.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_40) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_38 + normalize(xlv_TEXCOORD7))), tmpvar_39), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_40 * (tmpvar_36.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_42;
  tmpvar_42 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_42.xyz;
  color_4.w = (tmpvar_42.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedcdoggogihdljpfhdcfofibacmlmplcmoabaaaaaapeagaaaaadaaaaaa
cmaaaaaapeaaaaaanmabaaaaejfdeheomaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaakbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaakhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapadaaaakoaaaaaa
abaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapabaaaalhaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfceneb
emaafeeffiedepepfceeaafeebeoehefeofeaaklepfdeheooaaaaaaaaiaaaaaa
aiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaaneaaaaaaabaaaaaaaaaaaaaa
adaaaaaaacaaaaaaapaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaneaaaaaa
agaaaaaaaaaaaaaaadaaaaaaaeaaaaaaaiahaaaaneaaaaaaafaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaiaaaaneaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahaiaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
baafaaaaeaaaabaaeeabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaafjaaaaae
egiocaaaadaaaaaabaaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadpcbabaaa
abaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaaddcbabaaaadaaaaaafpaaaaad
bcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadpccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
hccabaaaaeaaaaaagfaaaaadiccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiocaaaadaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaadaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaadaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaadaaaaaapgbpbaaa
aaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaaaaaaaaa
dgaaaaafpccabaaaabaaaaaaegbobaaaabaaaaaadiaaaaaihcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaadaaaaaaapaaaaaapgbpbaaa
aaaaaaaaegacbaaaabaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaaa
abaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaaficcabaaaacaaaaaadkaabaaa
abaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhccabaaa
agaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaadgaaaaafhccabaaaacaaaaaa
egbcbaaaacaaaaaadiaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaa
abaaaaaaafaaaaaadiaaaaakncaabaaaacaaaaaaagahbaaaaaaaaaaaaceaaaaa
aaaaaadpaaaaaaaaaaaaaadpaaaaaadpdgaaaaafmccabaaaadaaaaaakgaobaaa
aaaaaaaaaaaaaaahdccabaaaadaaaaaakgakbaaaacaaaaaamgaabaaaacaaaaaa
baaaaaahbcaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
bcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahhccabaaaaeaaaaaaagaabaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaajbcaabaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaadgaaaaafdcaabaaaabaaaaaaegbabaaaadaaaaaadgaaaaafecaabaaa
abaaaaaaakbabaaaaeaaaaaabaaaaaaibcaabaaaaaaaaaaaegacbaiaebaaaaaa
abaaaaaaegacbaaaaaaaaaaadgaaaaaghccabaaaafaaaaaaegacbaiaebaaaaaa
abaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaialpdcaaaaajiccabaaaaeaaaaaaakaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD7;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_58);
  lightDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_59);
  viewDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_60);
  normal_60 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * (atten_61 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD7;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_53);
  lightDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_54);
  viewDir_54 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_55);
  normal_55 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_69.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_69.w * _PlanetOpacity);
  color_5.w = tmpvar_70;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD4);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD7))), tmpvar_38), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_36.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_41;
  tmpvar_41 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_41.xyz;
  color_4.w = (tmpvar_41.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD4);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD7))), tmpvar_38), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_36.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_41;
  tmpvar_41 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_41.xyz;
  color_4.w = (tmpvar_41.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD4);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD7))), tmpvar_38), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_36.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_41;
  tmpvar_41 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_41.xyz;
  color_4.w = (tmpvar_41.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_37;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD4);
  float tmpvar_40;
  tmpvar_40 = dot (tmpvar_39, tmpvar_38);
  c_37.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_40) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_38 + normalize(xlv_TEXCOORD7))), tmpvar_39), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_40 * (tmpvar_36.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_42;
  tmpvar_42 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_42.xyz;
  color_4.w = (tmpvar_42.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD7;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_58);
  lightDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_59);
  viewDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_60);
  normal_60 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * (atten_61 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD7;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_53);
  lightDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_54);
  viewDir_54 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_55);
  normal_55 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_69.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_69.w * _PlanetOpacity);
  color_5.w = tmpvar_70;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_37;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD4);
  float tmpvar_40;
  tmpvar_40 = dot (tmpvar_39, tmpvar_38);
  c_37.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_40) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_38 + normalize(xlv_TEXCOORD7))), tmpvar_39), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_40 * (tmpvar_36.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_42;
  tmpvar_42 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_42.xyz;
  color_4.w = (tmpvar_42.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD7;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_58);
  lightDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_59);
  viewDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_60);
  normal_60 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * (atten_61 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD7;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_53);
  lightDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_54);
  viewDir_54 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_55);
  normal_55 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_69.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_69.w * _PlanetOpacity);
  color_5.w = tmpvar_70;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_37;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD4);
  float tmpvar_40;
  tmpvar_40 = dot (tmpvar_39, tmpvar_38);
  c_37.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_40) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_38 + normalize(xlv_TEXCOORD7))), tmpvar_39), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_40 * (tmpvar_36.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_42;
  tmpvar_42 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_42.xyz;
  color_4.w = (tmpvar_42.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD7;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_58);
  lightDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_59);
  viewDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_60);
  normal_60 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * (atten_61 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD7;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_53);
  lightDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_54);
  viewDir_54 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_55);
  normal_55 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_69.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_69.w * _PlanetOpacity);
  color_5.w = tmpvar_70;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD4);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD7))), tmpvar_38), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_36.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_41;
  tmpvar_41 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_41.xyz;
  color_4.w = (tmpvar_41.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_37;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD4);
  float tmpvar_40;
  tmpvar_40 = dot (tmpvar_39, tmpvar_38);
  c_37.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_40) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_38 + normalize(xlv_TEXCOORD7))), tmpvar_39), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_40 * (tmpvar_36.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_42;
  tmpvar_42 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_42.xyz;
  color_4.w = (tmpvar_42.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD7;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_58);
  lightDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_59);
  viewDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_60);
  normal_60 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * (atten_61 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD7;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_53);
  lightDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_54);
  viewDir_54 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_55);
  normal_55 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_69.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_69.w * _PlanetOpacity);
  color_5.w = tmpvar_70;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD4);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD7))), tmpvar_38), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_36.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_41;
  tmpvar_41 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_41.xyz;
  color_4.w = (tmpvar_41.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD4);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD7))), tmpvar_38), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_36.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_41;
  tmpvar_41 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_41.xyz;
  color_4.w = (tmpvar_41.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD4);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD7))), tmpvar_38), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_36.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_41;
  tmpvar_41 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_41.xyz;
  color_4.w = (tmpvar_41.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_37;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD4);
  float tmpvar_40;
  tmpvar_40 = dot (tmpvar_39, tmpvar_38);
  c_37.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_40) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_38 + normalize(xlv_TEXCOORD7))), tmpvar_39), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_40 * (tmpvar_36.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_42;
  tmpvar_42 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_42.xyz;
  color_4.w = (tmpvar_42.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD7;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_58);
  lightDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_59);
  viewDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_60);
  normal_60 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * (atten_61 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD7;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_53);
  lightDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_54);
  viewDir_54 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_55);
  normal_55 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_69.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_69.w * _PlanetOpacity);
  color_5.w = tmpvar_70;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_37;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD4);
  float tmpvar_40;
  tmpvar_40 = dot (tmpvar_39, tmpvar_38);
  c_37.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_40) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_38 + normalize(xlv_TEXCOORD7))), tmpvar_39), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_40 * (tmpvar_36.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_42;
  tmpvar_42 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_42.xyz;
  color_4.w = (tmpvar_42.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD7;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_58);
  lightDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_59);
  viewDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_60);
  normal_60 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * (atten_61 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD7;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_53);
  lightDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_54);
  viewDir_54 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_55);
  normal_55 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_69.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_69.w * _PlanetOpacity);
  color_5.w = tmpvar_70;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_37;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD4);
  float tmpvar_40;
  tmpvar_40 = dot (tmpvar_39, tmpvar_38);
  c_37.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_40) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_38 + normalize(xlv_TEXCOORD7))), tmpvar_39), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_40 * (tmpvar_36.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_42;
  tmpvar_42 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_42.xyz;
  color_4.w = (tmpvar_42.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedcdoggogihdljpfhdcfofibacmlmplcmoabaaaaaapeagaaaaadaaaaaa
cmaaaaaapeaaaaaanmabaaaaejfdeheomaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaakbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaakhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapadaaaakoaaaaaa
abaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapabaaaalhaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfceneb
emaafeeffiedepepfceeaafeebeoehefeofeaaklepfdeheooaaaaaaaaiaaaaaa
aiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaaneaaaaaaabaaaaaaaaaaaaaa
adaaaaaaacaaaaaaapaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaneaaaaaa
agaaaaaaaaaaaaaaadaaaaaaaeaaaaaaaiahaaaaneaaaaaaafaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaiaaaaneaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahaiaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
baafaaaaeaaaabaaeeabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaafjaaaaae
egiocaaaadaaaaaabaaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadpcbabaaa
abaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaaddcbabaaaadaaaaaafpaaaaad
bcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadpccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
hccabaaaaeaaaaaagfaaaaadiccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiocaaaadaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaadaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaadaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaadaaaaaapgbpbaaa
aaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaaaaaaaaa
dgaaaaafpccabaaaabaaaaaaegbobaaaabaaaaaadiaaaaaihcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaadaaaaaaapaaaaaapgbpbaaa
aaaaaaaaegacbaaaabaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaaa
abaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaaficcabaaaacaaaaaadkaabaaa
abaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhccabaaa
agaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaadgaaaaafhccabaaaacaaaaaa
egbcbaaaacaaaaaadiaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaa
abaaaaaaafaaaaaadiaaaaakncaabaaaacaaaaaaagahbaaaaaaaaaaaaceaaaaa
aaaaaadpaaaaaaaaaaaaaadpaaaaaadpdgaaaaafmccabaaaadaaaaaakgaobaaa
aaaaaaaaaaaaaaahdccabaaaadaaaaaakgakbaaaacaaaaaamgaabaaaacaaaaaa
baaaaaahbcaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
bcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahhccabaaaaeaaaaaaagaabaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaajbcaabaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaadgaaaaafdcaabaaaabaaaaaaegbabaaaadaaaaaadgaaaaafecaabaaa
abaaaaaaakbabaaaaeaaaaaabaaaaaaibcaabaaaaaaaaaaaegacbaiaebaaaaaa
abaaaaaaegacbaaaaaaaaaaadgaaaaaghccabaaaafaaaaaaegacbaiaebaaaaaa
abaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaialpdcaaaaajiccabaaaaeaaaaaaakaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD7;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_58);
  lightDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_59);
  viewDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_60);
  normal_60 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * (atten_61 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD7;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_53);
  lightDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_54);
  viewDir_54 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_55);
  normal_55 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_69.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_69.w * _PlanetOpacity);
  color_5.w = tmpvar_70;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD4);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD7))), tmpvar_38), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_36.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_41;
  tmpvar_41 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_41.xyz;
  color_4.w = (tmpvar_41.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_37;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD4);
  float tmpvar_40;
  tmpvar_40 = dot (tmpvar_39, tmpvar_38);
  c_37.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_40) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_38 + normalize(xlv_TEXCOORD7))), tmpvar_39), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_40 * (tmpvar_36.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_42;
  tmpvar_42 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_42.xyz;
  color_4.w = (tmpvar_42.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD7;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_58);
  lightDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_59);
  viewDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_60);
  normal_60 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * (atten_61 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD7;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_53);
  lightDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_54);
  viewDir_54 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_55);
  normal_55 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_69.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_69.w * _PlanetOpacity);
  color_5.w = tmpvar_70;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD4);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD7))), tmpvar_38), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_36.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_41;
  tmpvar_41 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_41.xyz;
  color_4.w = (tmpvar_41.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD4);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD7))), tmpvar_38), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_36.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_41;
  tmpvar_41 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_41.xyz;
  color_4.w = (tmpvar_41.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD4);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD7))), tmpvar_38), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_36.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_41;
  tmpvar_41 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_41.xyz;
  color_4.w = (tmpvar_41.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_37;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD4);
  float tmpvar_40;
  tmpvar_40 = dot (tmpvar_39, tmpvar_38);
  c_37.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_40) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_38 + normalize(xlv_TEXCOORD7))), tmpvar_39), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_40 * (tmpvar_36.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_42;
  tmpvar_42 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_42.xyz;
  color_4.w = (tmpvar_42.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD7;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_58);
  lightDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_59);
  viewDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_60);
  normal_60 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * (atten_61 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD7;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_53);
  lightDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_54);
  viewDir_54 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_55);
  normal_55 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_69.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_69.w * _PlanetOpacity);
  color_5.w = tmpvar_70;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_37;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD4);
  float tmpvar_40;
  tmpvar_40 = dot (tmpvar_39, tmpvar_38);
  c_37.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_40) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_38 + normalize(xlv_TEXCOORD7))), tmpvar_39), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_40 * (tmpvar_36.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_42;
  tmpvar_42 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_42.xyz;
  color_4.w = (tmpvar_42.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD7;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_58);
  lightDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_59);
  viewDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_60);
  normal_60 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * (atten_61 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD7;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_53);
  lightDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_54);
  viewDir_54 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_55);
  normal_55 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_69.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_69.w * _PlanetOpacity);
  color_5.w = tmpvar_70;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_37;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD4);
  float tmpvar_40;
  tmpvar_40 = dot (tmpvar_39, tmpvar_38);
  c_37.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_40) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_38 + normalize(xlv_TEXCOORD7))), tmpvar_39), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_40 * (tmpvar_36.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_42;
  tmpvar_42 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_42.xyz;
  color_4.w = (tmpvar_42.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD7;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_58);
  lightDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_59);
  viewDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_60);
  normal_60 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * (atten_61 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD7;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_53);
  lightDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_54);
  viewDir_54 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_55);
  normal_55 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_69.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_69.w * _PlanetOpacity);
  color_5.w = tmpvar_70;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_36;
  vec3 tmpvar_37;
  tmpvar_37 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_38;
  tmpvar_38 = normalize(xlv_TEXCOORD4);
  float tmpvar_39;
  tmpvar_39 = dot (tmpvar_38, tmpvar_37);
  c_36.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_39) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_37 + normalize(xlv_TEXCOORD7))), tmpvar_38), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_36.w = (tmpvar_39 * 4.0);
  float tmpvar_40;
  tmpvar_40 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_36 * mix (1.0, clamp (floor((1.01 + tmpvar_40)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_40)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_41;
  tmpvar_41 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_41.xyz;
  color_4.w = (tmpvar_41.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_52;
  lightDir_52 = tmpvar_51;
  mediump vec3 viewDir_53;
  viewDir_53 = xlv_TEXCOORD7;
  mediump vec3 normal_54;
  normal_54 = xlv_TEXCOORD4;
  mediump vec4 c_55;
  highp float nh_56;
  mediump vec3 tmpvar_57;
  tmpvar_57 = normalize(lightDir_52);
  lightDir_52 = tmpvar_57;
  mediump vec3 tmpvar_58;
  tmpvar_58 = normalize(viewDir_53);
  viewDir_53 = tmpvar_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(normal_54);
  normal_54 = tmpvar_59;
  mediump float tmpvar_60;
  tmpvar_60 = dot (tmpvar_59, tmpvar_57);
  mediump float tmpvar_61;
  tmpvar_61 = clamp (dot (normalize((tmpvar_57 + tmpvar_58)), tmpvar_59), 0.0, 1.0);
  nh_56 = tmpvar_61;
  highp vec3 tmpvar_62;
  tmpvar_62 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_60) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_56, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_55.xyz = tmpvar_62;
  c_55.w = (tmpvar_60 * 4.0);
  lowp vec3 tmpvar_63;
  tmpvar_63 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_64;
  lightDir_64 = tmpvar_63;
  mediump vec3 normal_65;
  normal_65 = xlv_TEXCOORD4;
  mediump float tmpvar_66;
  tmpvar_66 = dot (normal_65, lightDir_64);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_55 * mix (1.0, clamp (floor((1.01 + tmpvar_66)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_66)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_67;
  tmpvar_67 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_67.xyz;
  highp float tmpvar_68;
  tmpvar_68 = (tmpvar_67.w * _PlanetOpacity);
  color_5.w = tmpvar_68;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 513
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 515
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  float tmpvar_5;
  vec4 v_6;
  v_6 = (textureCube (cube_CityOverlayTex, normalize(xlv_TEXCOORD5)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_5 = (((v_6.x + v_6.y) + v_6.z) + v_6.w);
  vec4 tmpvar_7;
  tmpvar_7.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_7.w = tmpvar_5;
  cityoverlay_3.xyz = tmpvar_7.xyz;
  vec3 tmpvar_8;
  tmpvar_8 = normalize(xlv_TEXCOORD5);
  vec2 uv_9;
  vec3 tmpvar_10;
  tmpvar_10 = abs(tmpvar_8);
  float tmpvar_11;
  tmpvar_11 = float((tmpvar_10.z >= tmpvar_10.x));
  float tmpvar_12;
  tmpvar_12 = float((max (tmpvar_10.x, tmpvar_10.z) >= tmpvar_10.y));
  float tmpvar_13;
  tmpvar_13 = sign(mix (tmpvar_8.y, mix (tmpvar_8.x, tmpvar_8.z, tmpvar_11), tmpvar_12));
  vec3 tmpvar_14;
  tmpvar_14.xz = vec2(1.0, 1.0);
  tmpvar_14.y = -(tmpvar_13);
  vec3 tmpvar_15;
  tmpvar_15.xz = vec2(1.0, 1.0);
  tmpvar_15.y = tmpvar_13;
  vec3 tmpvar_16;
  tmpvar_16.xy = vec2(1.0, 1.0);
  tmpvar_16.z = -(tmpvar_13);
  vec3 tmpvar_17;
  tmpvar_17 = mix ((tmpvar_16 * tmpvar_8.yxz), mix ((tmpvar_14 * tmpvar_8.xzy), (tmpvar_15 * tmpvar_8.zxy), vec3(tmpvar_11)), vec3(tmpvar_12));
  uv_9.x = (((0.5 * tmpvar_17.y) / abs(tmpvar_17.x)) + 0.5);
  uv_9.y = (((0.5 * tmpvar_17.z) / abs(tmpvar_17.x)) + 0.5);
  vec2 tmpvar_18;
  tmpvar_18 = (uv_9 * _CityOverlayDetailScale);
  vec2 tmpvar_19;
  tmpvar_19 = abs((tmpvar_18 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_20;
  tmpvar_20.xy = dFdx(tmpvar_19);
  tmpvar_20.zw = dFdy(tmpvar_19);
  vec4 tmpvar_21;
  tmpvar_21 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_18, tmpvar_20.xy, tmpvar_20.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citylightoverlaydetail_1.xyz = tmpvar_35.xyz;
  cityoverlay_3.w = (tmpvar_5 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_21.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_35.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_35.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_36;
  tmpvar_36 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_37;
  vec3 tmpvar_38;
  tmpvar_38 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD4);
  float tmpvar_40;
  tmpvar_40 = dot (tmpvar_39, tmpvar_38);
  c_37.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_40) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_38 + normalize(xlv_TEXCOORD7))), tmpvar_39), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_36.x * 4.0));
  c_37.w = (tmpvar_40 * (tmpvar_36.x * 4.0));
  float tmpvar_41;
  tmpvar_41 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_37 * mix (1.0, clamp (floor((1.01 + tmpvar_41)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_41)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_42;
  tmpvar_42 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_42.xyz;
  color_4.w = (tmpvar_42.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  mediump float lightShadowDataX_53;
  highp float dist_54;
  lowp float tmpvar_55;
  tmpvar_55 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_54 = tmpvar_55;
  highp float tmpvar_56;
  tmpvar_56 = _LightShadowData.x;
  lightShadowDataX_53 = tmpvar_56;
  highp float tmpvar_57;
  tmpvar_57 = max (float((dist_54 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_53);
  tmpvar_52 = tmpvar_57;
  mediump vec3 lightDir_58;
  lightDir_58 = tmpvar_51;
  mediump vec3 viewDir_59;
  viewDir_59 = xlv_TEXCOORD7;
  mediump vec3 normal_60;
  normal_60 = xlv_TEXCOORD4;
  mediump float atten_61;
  atten_61 = tmpvar_52;
  mediump vec4 c_62;
  highp float nh_63;
  mediump vec3 tmpvar_64;
  tmpvar_64 = normalize(lightDir_58);
  lightDir_58 = tmpvar_64;
  mediump vec3 tmpvar_65;
  tmpvar_65 = normalize(viewDir_59);
  viewDir_59 = tmpvar_65;
  mediump vec3 tmpvar_66;
  tmpvar_66 = normalize(normal_60);
  normal_60 = tmpvar_66;
  mediump float tmpvar_67;
  tmpvar_67 = dot (tmpvar_66, tmpvar_64);
  mediump float tmpvar_68;
  tmpvar_68 = clamp (dot (normalize((tmpvar_64 + tmpvar_65)), tmpvar_66), 0.0, 1.0);
  nh_63 = tmpvar_68;
  highp vec3 tmpvar_69;
  tmpvar_69 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_67) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_63, _SpecularPower) * _SpecularColor.w))) * (atten_61 * 4.0));
  c_62.xyz = tmpvar_69;
  c_62.w = (tmpvar_67 * (atten_61 * 4.0));
  lowp vec3 tmpvar_70;
  tmpvar_70 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_71;
  lightDir_71 = tmpvar_70;
  mediump vec3 normal_72;
  normal_72 = xlv_TEXCOORD4;
  mediump float tmpvar_73;
  tmpvar_73 = dot (normal_72, lightDir_71);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_62 * mix (1.0, clamp (floor((1.01 + tmpvar_73)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_73)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_74;
  tmpvar_74 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_74.xyz;
  highp float tmpvar_75;
  tmpvar_75 = (tmpvar_74.w * _PlanetOpacity);
  color_5.w = tmpvar_75;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_52;
  tmpvar_52 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_53;
  lightDir_53 = tmpvar_51;
  mediump vec3 viewDir_54;
  viewDir_54 = xlv_TEXCOORD7;
  mediump vec3 normal_55;
  normal_55 = xlv_TEXCOORD4;
  mediump float atten_56;
  atten_56 = tmpvar_52;
  mediump vec4 c_57;
  highp float nh_58;
  mediump vec3 tmpvar_59;
  tmpvar_59 = normalize(lightDir_53);
  lightDir_53 = tmpvar_59;
  mediump vec3 tmpvar_60;
  tmpvar_60 = normalize(viewDir_54);
  viewDir_54 = tmpvar_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(normal_55);
  normal_55 = tmpvar_61;
  mediump float tmpvar_62;
  tmpvar_62 = dot (tmpvar_61, tmpvar_59);
  mediump float tmpvar_63;
  tmpvar_63 = clamp (dot (normalize((tmpvar_59 + tmpvar_60)), tmpvar_61), 0.0, 1.0);
  nh_58 = tmpvar_63;
  highp vec3 tmpvar_64;
  tmpvar_64 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_62) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_58, _SpecularPower) * _SpecularColor.w))) * (atten_56 * 4.0));
  c_57.xyz = tmpvar_64;
  c_57.w = (tmpvar_62 * (atten_56 * 4.0));
  lowp vec3 tmpvar_65;
  tmpvar_65 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_66;
  lightDir_66 = tmpvar_65;
  mediump vec3 normal_67;
  normal_67 = xlv_TEXCOORD4;
  mediump float tmpvar_68;
  tmpvar_68 = dot (normal_67, lightDir_66);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_57 * mix (1.0, clamp (floor((1.01 + tmpvar_68)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_68)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_69;
  tmpvar_69 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_69.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_69.w * _PlanetOpacity);
  color_5.w = tmpvar_70;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform samplerCube cube_CityOverlayTex;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 tex_6;
  highp vec3 tmpvar_7;
  tmpvar_7 = normalize(xlv_TEXCOORD5);
  lowp vec4 tmpvar_8;
  tmpvar_8 = textureCube (cube_CityOverlayTex, tmpvar_7);
  tex_6 = tmpvar_8;
  mediump float tmpvar_9;
  mediump vec4 v_10;
  v_10 = (tex_6 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_9 = (((v_10.x + v_10.y) + v_10.z) + v_10.w);
  mediump vec4 tmpvar_11;
  tmpvar_11.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_11.w = tmpvar_9;
  cityoverlay_4.xyz = tmpvar_11.xyz;
  mediump vec4 tex_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_14;
  mediump float s_15;
  mediump float nylerp_16;
  mediump float zxlerp_17;
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_13);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_17 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((max (tmpvar_18.x, tmpvar_18.z) >= tmpvar_18.y));
  nylerp_16 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_17);
  s_15 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (tmpvar_13.y, s_15, nylerp_16));
  s_15 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_15);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_15;
  mediump vec3 tmpvar_25;
  tmpvar_25.xy = vec2(1.0, 1.0);
  tmpvar_25.z = -(s_15);
  highp vec3 tmpvar_26;
  tmpvar_26 = mix ((tmpvar_25 * tmpvar_13.yxz), mix ((tmpvar_23 * tmpvar_13.xzy), (tmpvar_24 * tmpvar_13.zxy), vec3(zxlerp_17)), vec3(nylerp_16));
  uv_14.x = (((0.5 * tmpvar_26.y) / abs(tmpvar_26.x)) + 0.5);
  uv_14.y = (((0.5 * tmpvar_26.z) / abs(tmpvar_26.x)) + 0.5);
  highp vec2 tmpvar_27;
  tmpvar_27 = (uv_14 * _CityOverlayDetailScale);
  highp vec2 tmpvar_28;
  tmpvar_28 = abs((tmpvar_27 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_29;
  tmpvar_29.xy = dFdx(tmpvar_28);
  tmpvar_29.zw = dFdy(tmpvar_28);
  lowp vec4 tmpvar_30;
  tmpvar_30 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_27, tmpvar_29.xy, tmpvar_29.zw);
  tex_12 = tmpvar_30;
  citydarkoverlaydetail_3.xyz = tex_12.xyz;
  mediump vec4 tex_31;
  highp vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_33;
  mediump float s_34;
  mediump float nylerp_35;
  mediump float zxlerp_36;
  highp vec3 tmpvar_37;
  tmpvar_37 = abs(tmpvar_32);
  highp float tmpvar_38;
  tmpvar_38 = float((tmpvar_37.z >= tmpvar_37.x));
  zxlerp_36 = tmpvar_38;
  highp float tmpvar_39;
  tmpvar_39 = float((max (tmpvar_37.x, tmpvar_37.z) >= tmpvar_37.y));
  nylerp_35 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = mix (tmpvar_32.x, tmpvar_32.z, zxlerp_36);
  s_34 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_32.y, s_34, nylerp_35));
  s_34 = tmpvar_41;
  mediump vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(s_34);
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = s_34;
  mediump vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(s_34);
  highp vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_32.yxz), mix ((tmpvar_42 * tmpvar_32.xzy), (tmpvar_43 * tmpvar_32.zxy), vec3(zxlerp_36)), vec3(nylerp_35));
  uv_33.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  highp vec2 tmpvar_46;
  tmpvar_46 = (uv_33 * _CityOverlayDetailScale);
  highp vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  lowp vec4 tmpvar_49;
  tmpvar_49 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  tex_31 = tmpvar_49;
  citylightoverlaydetail_2.xyz = tex_31.xyz;
  highp float tmpvar_50;
  tmpvar_50 = (tmpvar_9 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_50;
  citydarkoverlaydetail_3.w = (tex_12.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_31.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_31.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_51;
  tmpvar_51 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_52;
  lowp float tmpvar_53;
  tmpvar_53 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_54;
  tmpvar_54 = (_LightShadowData.x + (tmpvar_53 * (1.0 - _LightShadowData.x)));
  shadow_52 = tmpvar_54;
  mediump vec3 lightDir_55;
  lightDir_55 = tmpvar_51;
  mediump vec3 viewDir_56;
  viewDir_56 = xlv_TEXCOORD7;
  mediump vec3 normal_57;
  normal_57 = xlv_TEXCOORD4;
  mediump float atten_58;
  atten_58 = shadow_52;
  mediump vec4 c_59;
  highp float nh_60;
  mediump vec3 tmpvar_61;
  tmpvar_61 = normalize(lightDir_55);
  lightDir_55 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62 = normalize(viewDir_56);
  viewDir_56 = tmpvar_62;
  mediump vec3 tmpvar_63;
  tmpvar_63 = normalize(normal_57);
  normal_57 = tmpvar_63;
  mediump float tmpvar_64;
  tmpvar_64 = dot (tmpvar_63, tmpvar_61);
  mediump float tmpvar_65;
  tmpvar_65 = clamp (dot (normalize((tmpvar_61 + tmpvar_62)), tmpvar_63), 0.0, 1.0);
  nh_60 = tmpvar_65;
  highp vec3 tmpvar_66;
  tmpvar_66 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_64) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_60, _SpecularPower) * _SpecularColor.w))) * (atten_58 * 4.0));
  c_59.xyz = tmpvar_66;
  c_59.w = (tmpvar_64 * (atten_58 * 4.0));
  lowp vec3 tmpvar_67;
  tmpvar_67 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_68;
  lightDir_68 = tmpvar_67;
  mediump vec3 normal_69;
  normal_69 = xlv_TEXCOORD4;
  mediump float tmpvar_70;
  tmpvar_70 = dot (normal_69, lightDir_68);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_59 * mix (1.0, clamp (floor((1.01 + tmpvar_70)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_70)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_71;
  tmpvar_71 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_71.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_71.w * _PlanetOpacity);
  color_5.w = tmpvar_72;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 521
mediump vec4 GetCubeMap( in samplerCube texSampler, in highp vec3 cubeVect ) {
    #line 523
    mediump vec4 tex = texture( texSampler, normalize(cubeVect));
    return tex;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTex, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  float tmpvar_18;
  tmpvar_18 = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  vec4 tmpvar_19;
  tmpvar_19.x = tmpvar_17.w;
  tmpvar_19.y = tmpvar_17.w;
  tmpvar_19.z = tmpvar_17.w;
  tmpvar_19.w = tmpvar_18;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_18 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD7;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_73);
  viewDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_74);
  normal_74 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_87.xyz;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_87.w * _PlanetOpacity);
  color_5.w = tmpvar_88;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD7;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_73);
  viewDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_74);
  normal_74 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_87.xyz;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_87.w * _PlanetOpacity);
  color_5.w = tmpvar_88;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  float tmpvar_18;
  tmpvar_18 = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  vec4 tmpvar_19;
  tmpvar_19.x = tmpvar_17.w;
  tmpvar_19.y = tmpvar_17.w;
  tmpvar_19.z = tmpvar_17.w;
  tmpvar_19.w = tmpvar_18;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_18 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD7;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_73);
  viewDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_74);
  normal_74 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_87.xyz;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_87.w * _PlanetOpacity);
  color_5.w = tmpvar_88;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD7;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_73);
  viewDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_74);
  normal_74 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_87.xyz;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_87.w * _PlanetOpacity);
  color_5.w = tmpvar_88;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  float tmpvar_18;
  tmpvar_18 = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  vec4 tmpvar_19;
  tmpvar_19.x = tmpvar_17.w;
  tmpvar_19.y = tmpvar_17.w;
  tmpvar_19.z = tmpvar_17.w;
  tmpvar_19.w = tmpvar_18;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_18 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD7;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_73);
  viewDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_74);
  normal_74 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_87.xyz;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_87.w * _PlanetOpacity);
  color_5.w = tmpvar_88;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD7;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_73);
  viewDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_74);
  normal_74 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_87.xyz;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_87.w * _PlanetOpacity);
  color_5.w = tmpvar_88;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  float tmpvar_18;
  tmpvar_18 = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  vec4 tmpvar_19;
  tmpvar_19.x = tmpvar_17.w;
  tmpvar_19.y = tmpvar_17.w;
  tmpvar_19.z = tmpvar_17.w;
  tmpvar_19.w = tmpvar_18;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_18 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_72;
  mediump float lightShadowDataX_73;
  highp float dist_74;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_74 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = _LightShadowData.x;
  lightShadowDataX_73 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = max (float((dist_74 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_73);
  tmpvar_72 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_71;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD7;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = tmpvar_72;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_78);
  lightDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_79);
  viewDir_79 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normal_80);
  normal_80 = tmpvar_86;
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_94.xyz;
  highp float tmpvar_95;
  tmpvar_95 = (tmpvar_94.w * _PlanetOpacity);
  color_5.w = tmpvar_95;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_71;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD7;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_72;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_73);
  lightDir_73 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_74);
  viewDir_74 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_75);
  normal_75 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  float tmpvar_18;
  tmpvar_18 = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  vec4 tmpvar_19;
  tmpvar_19.x = tmpvar_17.w;
  tmpvar_19.y = tmpvar_17.w;
  tmpvar_19.z = tmpvar_17.w;
  tmpvar_19.w = tmpvar_18;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_18 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_72;
  mediump float lightShadowDataX_73;
  highp float dist_74;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_74 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = _LightShadowData.x;
  lightShadowDataX_73 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = max (float((dist_74 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_73);
  tmpvar_72 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_71;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD7;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = tmpvar_72;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_78);
  lightDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_79);
  viewDir_79 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normal_80);
  normal_80 = tmpvar_86;
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_94.xyz;
  highp float tmpvar_95;
  tmpvar_95 = (tmpvar_94.w * _PlanetOpacity);
  color_5.w = tmpvar_95;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_71;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD7;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_72;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_73);
  lightDir_73 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_74);
  viewDir_74 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_75);
  normal_75 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  float tmpvar_18;
  tmpvar_18 = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  vec4 tmpvar_19;
  tmpvar_19.x = tmpvar_17.w;
  tmpvar_19.y = tmpvar_17.w;
  tmpvar_19.z = tmpvar_17.w;
  tmpvar_19.w = tmpvar_18;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_18 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_72;
  mediump float lightShadowDataX_73;
  highp float dist_74;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_74 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = _LightShadowData.x;
  lightShadowDataX_73 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = max (float((dist_74 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_73);
  tmpvar_72 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_71;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD7;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = tmpvar_72;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_78);
  lightDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_79);
  viewDir_79 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normal_80);
  normal_80 = tmpvar_86;
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_94.xyz;
  highp float tmpvar_95;
  tmpvar_95 = (tmpvar_94.w * _PlanetOpacity);
  color_5.w = tmpvar_95;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_71;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD7;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_72;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_73);
  lightDir_73 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_74);
  viewDir_74 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_75);
  normal_75 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  float tmpvar_18;
  tmpvar_18 = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  vec4 tmpvar_19;
  tmpvar_19.x = tmpvar_17.w;
  tmpvar_19.y = tmpvar_17.w;
  tmpvar_19.z = tmpvar_17.w;
  tmpvar_19.w = tmpvar_18;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_18 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD7;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_73);
  viewDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_74);
  normal_74 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_87.xyz;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_87.w * _PlanetOpacity);
  color_5.w = tmpvar_88;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_72;
  lightDir_72 = tmpvar_71;
  mediump vec3 viewDir_73;
  viewDir_73 = xlv_TEXCOORD7;
  mediump vec3 normal_74;
  normal_74 = xlv_TEXCOORD4;
  mediump vec4 c_75;
  highp float nh_76;
  mediump vec3 tmpvar_77;
  tmpvar_77 = normalize(lightDir_72);
  lightDir_72 = tmpvar_77;
  mediump vec3 tmpvar_78;
  tmpvar_78 = normalize(viewDir_73);
  viewDir_73 = tmpvar_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(normal_74);
  normal_74 = tmpvar_79;
  mediump float tmpvar_80;
  tmpvar_80 = dot (tmpvar_79, tmpvar_77);
  mediump float tmpvar_81;
  tmpvar_81 = clamp (dot (normalize((tmpvar_77 + tmpvar_78)), tmpvar_79), 0.0, 1.0);
  nh_76 = tmpvar_81;
  highp vec3 tmpvar_82;
  tmpvar_82 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_80) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_76, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_75.xyz = tmpvar_82;
  c_75.w = (tmpvar_80 * 4.0);
  lowp vec3 tmpvar_83;
  tmpvar_83 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_83;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float tmpvar_86;
  tmpvar_86 = dot (normal_85, lightDir_84);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_75 * mix (1.0, clamp (floor((1.01 + tmpvar_86)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_86)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_87;
  tmpvar_87 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_87.xyz;
  highp float tmpvar_88;
  tmpvar_88 = (tmpvar_87.w * _PlanetOpacity);
  color_5.w = tmpvar_88;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  float tmpvar_18;
  tmpvar_18 = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  vec4 tmpvar_19;
  tmpvar_19.x = tmpvar_17.w;
  tmpvar_19.y = tmpvar_17.w;
  tmpvar_19.z = tmpvar_17.w;
  tmpvar_19.w = tmpvar_18;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_18 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedcdoggogihdljpfhdcfofibacmlmplcmoabaaaaaapeagaaaaadaaaaaa
cmaaaaaapeaaaaaanmabaaaaejfdeheomaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaakbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaakhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapadaaaakoaaaaaa
abaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapabaaaalhaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfceneb
emaafeeffiedepepfceeaafeebeoehefeofeaaklepfdeheooaaaaaaaaiaaaaaa
aiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaaneaaaaaaabaaaaaaaaaaaaaa
adaaaaaaacaaaaaaapaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaneaaaaaa
agaaaaaaaaaaaaaaadaaaaaaaeaaaaaaaiahaaaaneaaaaaaafaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaiaaaaneaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahaiaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
baafaaaaeaaaabaaeeabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaafjaaaaae
egiocaaaadaaaaaabaaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadpcbabaaa
abaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaaddcbabaaaadaaaaaafpaaaaad
bcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadpccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
hccabaaaaeaaaaaagfaaaaadiccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiocaaaadaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaadaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaadaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaadaaaaaapgbpbaaa
aaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaaaaaaaaa
dgaaaaafpccabaaaabaaaaaaegbobaaaabaaaaaadiaaaaaihcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaadaaaaaaapaaaaaapgbpbaaa
aaaaaaaaegacbaaaabaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaaa
abaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaaficcabaaaacaaaaaadkaabaaa
abaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhccabaaa
agaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaadgaaaaafhccabaaaacaaaaaa
egbcbaaaacaaaaaadiaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaa
abaaaaaaafaaaaaadiaaaaakncaabaaaacaaaaaaagahbaaaaaaaaaaaaceaaaaa
aaaaaadpaaaaaaaaaaaaaadpaaaaaadpdgaaaaafmccabaaaadaaaaaakgaobaaa
aaaaaaaaaaaaaaahdccabaaaadaaaaaakgakbaaaacaaaaaamgaabaaaacaaaaaa
baaaaaahbcaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
bcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahhccabaaaaeaaaaaaagaabaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaajbcaabaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaadgaaaaafdcaabaaaabaaaaaaegbabaaaadaaaaaadgaaaaafecaabaaa
abaaaaaaakbabaaaaeaaaaaabaaaaaaibcaabaaaaaaaaaaaegacbaiaebaaaaaa
abaaaaaaegacbaaaaaaaaaaadgaaaaaghccabaaaafaaaaaaegacbaiaebaaaaaa
abaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaialpdcaaaaajiccabaaaaeaaaaaaakaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_72;
  mediump float lightShadowDataX_73;
  highp float dist_74;
  lowp float tmpvar_75;
  tmpvar_75 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_74 = tmpvar_75;
  highp float tmpvar_76;
  tmpvar_76 = _LightShadowData.x;
  lightShadowDataX_73 = tmpvar_76;
  highp float tmpvar_77;
  tmpvar_77 = max (float((dist_74 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_73);
  tmpvar_72 = tmpvar_77;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_71;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD7;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump float atten_81;
  atten_81 = tmpvar_72;
  mediump vec4 c_82;
  highp float nh_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(lightDir_78);
  lightDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(viewDir_79);
  viewDir_79 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(normal_80);
  normal_80 = tmpvar_86;
  mediump float tmpvar_87;
  tmpvar_87 = dot (tmpvar_86, tmpvar_84);
  mediump float tmpvar_88;
  tmpvar_88 = clamp (dot (normalize((tmpvar_84 + tmpvar_85)), tmpvar_86), 0.0, 1.0);
  nh_83 = tmpvar_88;
  highp vec3 tmpvar_89;
  tmpvar_89 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_87) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_83, _SpecularPower) * _SpecularColor.w))) * (atten_81 * 4.0));
  c_82.xyz = tmpvar_89;
  c_82.w = (tmpvar_87 * (atten_81 * 4.0));
  lowp vec3 tmpvar_90;
  tmpvar_90 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_91;
  lightDir_91 = tmpvar_90;
  mediump vec3 normal_92;
  normal_92 = xlv_TEXCOORD4;
  mediump float tmpvar_93;
  tmpvar_93 = dot (normal_92, lightDir_91);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_82 * mix (1.0, clamp (floor((1.01 + tmpvar_93)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_93)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_94;
  tmpvar_94 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_94.xyz;
  highp float tmpvar_95;
  tmpvar_95 = (tmpvar_94.w * _PlanetOpacity);
  color_5.w = tmpvar_95;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_72;
  tmpvar_72 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_73;
  lightDir_73 = tmpvar_71;
  mediump vec3 viewDir_74;
  viewDir_74 = xlv_TEXCOORD7;
  mediump vec3 normal_75;
  normal_75 = xlv_TEXCOORD4;
  mediump float atten_76;
  atten_76 = tmpvar_72;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_73);
  lightDir_73 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_74);
  viewDir_74 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_75);
  normal_75 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * (atten_76 * 4.0));
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * (atten_76 * 4.0));
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_72;
  lowp float tmpvar_73;
  tmpvar_73 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_74;
  tmpvar_74 = (_LightShadowData.x + (tmpvar_73 * (1.0 - _LightShadowData.x)));
  shadow_72 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_71;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = shadow_72;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_72;
  lowp float tmpvar_73;
  tmpvar_73 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_74;
  tmpvar_74 = (_LightShadowData.x + (tmpvar_73 * (1.0 - _LightShadowData.x)));
  shadow_72 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_71;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = shadow_72;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_72;
  lowp float tmpvar_73;
  tmpvar_73 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_74;
  tmpvar_74 = (_LightShadowData.x + (tmpvar_73 * (1.0 - _LightShadowData.x)));
  shadow_72 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_71;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = shadow_72;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump float tmpvar_30;
  tmpvar_30 = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump vec4 tmpvar_31;
  tmpvar_31.x = tmpvar_29.w;
  tmpvar_31.y = tmpvar_29.w;
  tmpvar_31.z = tmpvar_29.w;
  tmpvar_31.w = tmpvar_30;
  cityoverlay_4.xyz = tmpvar_31.xyz;
  mediump vec4 tex_32;
  highp vec3 tmpvar_33;
  tmpvar_33 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_34;
  mediump float s_35;
  mediump float nylerp_36;
  mediump float zxlerp_37;
  highp vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_33);
  highp float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  zxlerp_37 = tmpvar_39;
  highp float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  nylerp_36 = tmpvar_40;
  highp float tmpvar_41;
  tmpvar_41 = mix (tmpvar_33.x, tmpvar_33.z, zxlerp_37);
  s_35 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = sign(mix (tmpvar_33.y, s_35, nylerp_36));
  s_35 = tmpvar_42;
  mediump vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = -(s_35);
  mediump vec3 tmpvar_44;
  tmpvar_44.xz = vec2(1.0, 1.0);
  tmpvar_44.y = s_35;
  mediump vec3 tmpvar_45;
  tmpvar_45.xy = vec2(1.0, 1.0);
  tmpvar_45.z = -(s_35);
  highp vec3 tmpvar_46;
  tmpvar_46 = mix ((tmpvar_45 * tmpvar_33.yxz), mix ((tmpvar_43 * tmpvar_33.xzy), (tmpvar_44 * tmpvar_33.zxy), vec3(zxlerp_37)), vec3(nylerp_36));
  uv_34.x = (((0.5 * tmpvar_46.y) / abs(tmpvar_46.x)) + 0.5);
  uv_34.y = (((0.5 * tmpvar_46.z) / abs(tmpvar_46.x)) + 0.5);
  highp vec2 tmpvar_47;
  tmpvar_47 = (uv_34 * _CityOverlayDetailScale);
  highp vec2 tmpvar_48;
  tmpvar_48 = abs((tmpvar_47 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_49;
  tmpvar_49.xy = dFdx(tmpvar_48);
  tmpvar_49.zw = dFdy(tmpvar_48);
  lowp vec4 tmpvar_50;
  tmpvar_50 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_47, tmpvar_49.xy, tmpvar_49.zw);
  tex_32 = tmpvar_50;
  citydarkoverlaydetail_3.xyz = tex_32.xyz;
  mediump vec4 tex_51;
  highp vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_53;
  mediump float s_54;
  mediump float nylerp_55;
  mediump float zxlerp_56;
  highp vec3 tmpvar_57;
  tmpvar_57 = abs(tmpvar_52);
  highp float tmpvar_58;
  tmpvar_58 = float((tmpvar_57.z >= tmpvar_57.x));
  zxlerp_56 = tmpvar_58;
  highp float tmpvar_59;
  tmpvar_59 = float((max (tmpvar_57.x, tmpvar_57.z) >= tmpvar_57.y));
  nylerp_55 = tmpvar_59;
  highp float tmpvar_60;
  tmpvar_60 = mix (tmpvar_52.x, tmpvar_52.z, zxlerp_56);
  s_54 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = sign(mix (tmpvar_52.y, s_54, nylerp_55));
  s_54 = tmpvar_61;
  mediump vec3 tmpvar_62;
  tmpvar_62.xz = vec2(1.0, 1.0);
  tmpvar_62.y = -(s_54);
  mediump vec3 tmpvar_63;
  tmpvar_63.xz = vec2(1.0, 1.0);
  tmpvar_63.y = s_54;
  mediump vec3 tmpvar_64;
  tmpvar_64.xy = vec2(1.0, 1.0);
  tmpvar_64.z = -(s_54);
  highp vec3 tmpvar_65;
  tmpvar_65 = mix ((tmpvar_64 * tmpvar_52.yxz), mix ((tmpvar_62 * tmpvar_52.xzy), (tmpvar_63 * tmpvar_52.zxy), vec3(zxlerp_56)), vec3(nylerp_55));
  uv_53.x = (((0.5 * tmpvar_65.y) / abs(tmpvar_65.x)) + 0.5);
  uv_53.y = (((0.5 * tmpvar_65.z) / abs(tmpvar_65.x)) + 0.5);
  highp vec2 tmpvar_66;
  tmpvar_66 = (uv_53 * _CityOverlayDetailScale);
  highp vec2 tmpvar_67;
  tmpvar_67 = abs((tmpvar_66 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_68;
  tmpvar_68.xy = dFdx(tmpvar_67);
  tmpvar_68.zw = dFdy(tmpvar_67);
  lowp vec4 tmpvar_69;
  tmpvar_69 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_66, tmpvar_68.xy, tmpvar_68.zw);
  tex_51 = tmpvar_69;
  citylightoverlaydetail_2.xyz = tex_51.xyz;
  highp float tmpvar_70;
  tmpvar_70 = (tmpvar_30 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_70;
  citydarkoverlaydetail_3.w = (tex_32.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_51.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_51.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_71;
  tmpvar_71 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_72;
  lowp float tmpvar_73;
  tmpvar_73 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_74;
  tmpvar_74 = (_LightShadowData.x + (tmpvar_73 * (1.0 - _LightShadowData.x)));
  shadow_72 = tmpvar_74;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_71;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = shadow_72;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_50;
  vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD4);
  float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  c_50.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_53) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_51 + normalize(xlv_TEXCOORD7))), tmpvar_52), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_50.w = (tmpvar_53 * 4.0);
  float tmpvar_54;
  tmpvar_54 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_55;
  tmpvar_55 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_55.xyz;
  color_4.w = (tmpvar_55.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_50;
  vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD4);
  float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  c_50.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_53) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_51 + normalize(xlv_TEXCOORD7))), tmpvar_52), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_50.w = (tmpvar_53 * 4.0);
  float tmpvar_54;
  tmpvar_54 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_55;
  tmpvar_55 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_55.xyz;
  color_4.w = (tmpvar_55.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_50;
  vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD4);
  float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  c_50.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_53) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_51 + normalize(xlv_TEXCOORD7))), tmpvar_52), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_50.w = (tmpvar_53 * 4.0);
  float tmpvar_54;
  tmpvar_54 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_55;
  tmpvar_55 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_55.xyz;
  color_4.w = (tmpvar_55.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_51;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD4);
  float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  c_51.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_52 + normalize(xlv_TEXCOORD7))), tmpvar_53), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_50.x * 4.0));
  c_51.w = (tmpvar_54 * (tmpvar_50.x * 4.0));
  float tmpvar_55;
  tmpvar_55 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_56;
  tmpvar_56 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_56.xyz;
  color_4.w = (tmpvar_56.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_80);
  lightDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_81);
  viewDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_82);
  normal_82 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD4;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_96.xyz;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_96.w * _PlanetOpacity);
  color_5.w = tmpvar_97;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_51;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD4);
  float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  c_51.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_52 + normalize(xlv_TEXCOORD7))), tmpvar_53), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_50.x * 4.0));
  c_51.w = (tmpvar_54 * (tmpvar_50.x * 4.0));
  float tmpvar_55;
  tmpvar_55 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_56;
  tmpvar_56 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_56.xyz;
  color_4.w = (tmpvar_56.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedcdoggogihdljpfhdcfofibacmlmplcmoabaaaaaapeagaaaaadaaaaaa
cmaaaaaapeaaaaaanmabaaaaejfdeheomaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaakbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaakhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapadaaaakoaaaaaa
abaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapabaaaalhaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfceneb
emaafeeffiedepepfceeaafeebeoehefeofeaaklepfdeheooaaaaaaaaiaaaaaa
aiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaaneaaaaaaabaaaaaaaaaaaaaa
adaaaaaaacaaaaaaapaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaneaaaaaa
agaaaaaaaaaaaaaaadaaaaaaaeaaaaaaaiahaaaaneaaaaaaafaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaiaaaaneaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahaiaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
baafaaaaeaaaabaaeeabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaafjaaaaae
egiocaaaadaaaaaabaaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadpcbabaaa
abaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaaddcbabaaaadaaaaaafpaaaaad
bcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadpccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
hccabaaaaeaaaaaagfaaaaadiccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiocaaaadaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaadaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaadaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaadaaaaaapgbpbaaa
aaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaaaaaaaaa
dgaaaaafpccabaaaabaaaaaaegbobaaaabaaaaaadiaaaaaihcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaadaaaaaaapaaaaaapgbpbaaa
aaaaaaaaegacbaaaabaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaaa
abaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaaficcabaaaacaaaaaadkaabaaa
abaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhccabaaa
agaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaadgaaaaafhccabaaaacaaaaaa
egbcbaaaacaaaaaadiaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaa
abaaaaaaafaaaaaadiaaaaakncaabaaaacaaaaaaagahbaaaaaaaaaaaaceaaaaa
aaaaaadpaaaaaaaaaaaaaadpaaaaaadpdgaaaaafmccabaaaadaaaaaakgaobaaa
aaaaaaaaaaaaaaahdccabaaaadaaaaaakgakbaaaacaaaaaamgaabaaaacaaaaaa
baaaaaahbcaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
bcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahhccabaaaaeaaaaaaagaabaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaajbcaabaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaadgaaaaafdcaabaaaabaaaaaaegbabaaaadaaaaaadgaaaaafecaabaaa
abaaaaaaakbabaaaaeaaaaaabaaaaaaibcaabaaaaaaaaaaaegacbaiaebaaaaaa
abaaaaaaegacbaaaaaaaaaaadgaaaaaghccabaaaafaaaaaaegacbaiaebaaaaaa
abaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaialpdcaaaaajiccabaaaaeaaaaaaakaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_80);
  lightDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_81);
  viewDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_82);
  normal_82 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD4;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_96.xyz;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_96.w * _PlanetOpacity);
  color_5.w = tmpvar_97;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_51;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD4);
  float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  c_51.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_52 + normalize(xlv_TEXCOORD7))), tmpvar_53), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_50.x * 4.0));
  c_51.w = (tmpvar_54 * (tmpvar_50.x * 4.0));
  float tmpvar_55;
  tmpvar_55 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_56;
  tmpvar_56 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_56.xyz;
  color_4.w = (tmpvar_56.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_80);
  lightDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_81);
  viewDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_82);
  normal_82 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD4;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_96.xyz;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_96.w * _PlanetOpacity);
  color_5.w = tmpvar_97;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_50;
  vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD4);
  float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  c_50.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_53) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_51 + normalize(xlv_TEXCOORD7))), tmpvar_52), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_50.w = (tmpvar_53 * 4.0);
  float tmpvar_54;
  tmpvar_54 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_55;
  tmpvar_55 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_55.xyz;
  color_4.w = (tmpvar_55.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_51;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD4);
  float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  c_51.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_52 + normalize(xlv_TEXCOORD7))), tmpvar_53), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_50.x * 4.0));
  c_51.w = (tmpvar_54 * (tmpvar_50.x * 4.0));
  float tmpvar_55;
  tmpvar_55 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_56;
  tmpvar_56 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_56.xyz;
  color_4.w = (tmpvar_56.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_80);
  lightDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_81);
  viewDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_82);
  normal_82 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD4;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_96.xyz;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_96.w * _PlanetOpacity);
  color_5.w = tmpvar_97;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD7;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_77);
  lightDir_77 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_78);
  viewDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_79);
  normal_79 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD7;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_77);
  lightDir_77 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_78);
  viewDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_79);
  normal_79 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD7;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_77);
  lightDir_77 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_78);
  viewDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_79);
  normal_79 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD7;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_77);
  lightDir_77 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_78);
  viewDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_79);
  normal_79 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_50;
  vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD4);
  float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  c_50.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_53) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_51 + normalize(xlv_TEXCOORD7))), tmpvar_52), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_50.w = (tmpvar_53 * 4.0);
  float tmpvar_54;
  tmpvar_54 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_55;
  tmpvar_55 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_55.xyz;
  color_4.w = (tmpvar_55.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_50;
  vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD4);
  float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  c_50.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_53) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_51 + normalize(xlv_TEXCOORD7))), tmpvar_52), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_50.w = (tmpvar_53 * 4.0);
  float tmpvar_54;
  tmpvar_54 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_55;
  tmpvar_55 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_55.xyz;
  color_4.w = (tmpvar_55.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_50;
  vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD4);
  float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  c_50.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_53) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_51 + normalize(xlv_TEXCOORD7))), tmpvar_52), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_50.w = (tmpvar_53 * 4.0);
  float tmpvar_54;
  tmpvar_54 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_55;
  tmpvar_55 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_55.xyz;
  color_4.w = (tmpvar_55.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_51;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD4);
  float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  c_51.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_52 + normalize(xlv_TEXCOORD7))), tmpvar_53), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_50.x * 4.0));
  c_51.w = (tmpvar_54 * (tmpvar_50.x * 4.0));
  float tmpvar_55;
  tmpvar_55 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_56;
  tmpvar_56 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_56.xyz;
  color_4.w = (tmpvar_56.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_80);
  lightDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_81);
  viewDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_82);
  normal_82 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD4;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_96.xyz;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_96.w * _PlanetOpacity);
  color_5.w = tmpvar_97;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_51;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD4);
  float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  c_51.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_52 + normalize(xlv_TEXCOORD7))), tmpvar_53), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_50.x * 4.0));
  c_51.w = (tmpvar_54 * (tmpvar_50.x * 4.0));
  float tmpvar_55;
  tmpvar_55 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_56;
  tmpvar_56 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_56.xyz;
  color_4.w = (tmpvar_56.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_80);
  lightDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_81);
  viewDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_82);
  normal_82 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD4;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_96.xyz;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_96.w * _PlanetOpacity);
  color_5.w = tmpvar_97;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_51;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD4);
  float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  c_51.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_52 + normalize(xlv_TEXCOORD7))), tmpvar_53), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_50.x * 4.0));
  c_51.w = (tmpvar_54 * (tmpvar_50.x * 4.0));
  float tmpvar_55;
  tmpvar_55 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_56;
  tmpvar_56 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_56.xyz;
  color_4.w = (tmpvar_56.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_80);
  lightDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_81);
  viewDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_82);
  normal_82 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD4;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_96.xyz;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_96.w * _PlanetOpacity);
  color_5.w = tmpvar_97;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_50;
  vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD4);
  float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  c_50.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_53) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_51 + normalize(xlv_TEXCOORD7))), tmpvar_52), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_50.w = (tmpvar_53 * 4.0);
  float tmpvar_54;
  tmpvar_54 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_55;
  tmpvar_55 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_55.xyz;
  color_4.w = (tmpvar_55.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_51;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD4);
  float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  c_51.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_52 + normalize(xlv_TEXCOORD7))), tmpvar_53), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_50.x * 4.0));
  c_51.w = (tmpvar_54 * (tmpvar_50.x * 4.0));
  float tmpvar_55;
  tmpvar_55 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_56;
  tmpvar_56 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_56.xyz;
  color_4.w = (tmpvar_56.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_80);
  lightDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_81);
  viewDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_82);
  normal_82 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD4;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_96.xyz;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_96.w * _PlanetOpacity);
  color_5.w = tmpvar_97;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD7;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_77);
  lightDir_77 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_78);
  viewDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_79);
  normal_79 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD7;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_77);
  lightDir_77 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_78);
  viewDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_79);
  normal_79 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD7;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_77);
  lightDir_77 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_78);
  viewDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_79);
  normal_79 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD7;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_77);
  lightDir_77 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_78);
  viewDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_79);
  normal_79 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_50;
  vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD4);
  float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  c_50.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_53) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_51 + normalize(xlv_TEXCOORD7))), tmpvar_52), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_50.w = (tmpvar_53 * 4.0);
  float tmpvar_54;
  tmpvar_54 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_55;
  tmpvar_55 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_55.xyz;
  color_4.w = (tmpvar_55.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_50;
  vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD4);
  float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  c_50.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_53) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_51 + normalize(xlv_TEXCOORD7))), tmpvar_52), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_50.w = (tmpvar_53 * 4.0);
  float tmpvar_54;
  tmpvar_54 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_55;
  tmpvar_55 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_55.xyz;
  color_4.w = (tmpvar_55.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_50;
  vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD4);
  float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  c_50.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_53) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_51 + normalize(xlv_TEXCOORD7))), tmpvar_52), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_50.w = (tmpvar_53 * 4.0);
  float tmpvar_54;
  tmpvar_54 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_55;
  tmpvar_55 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_55.xyz;
  color_4.w = (tmpvar_55.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_51;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD4);
  float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  c_51.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_52 + normalize(xlv_TEXCOORD7))), tmpvar_53), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_50.x * 4.0));
  c_51.w = (tmpvar_54 * (tmpvar_50.x * 4.0));
  float tmpvar_55;
  tmpvar_55 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_56;
  tmpvar_56 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_56.xyz;
  color_4.w = (tmpvar_56.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_80);
  lightDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_81);
  viewDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_82);
  normal_82 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD4;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_96.xyz;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_96.w * _PlanetOpacity);
  color_5.w = tmpvar_97;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_51;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD4);
  float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  c_51.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_52 + normalize(xlv_TEXCOORD7))), tmpvar_53), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_50.x * 4.0));
  c_51.w = (tmpvar_54 * (tmpvar_50.x * 4.0));
  float tmpvar_55;
  tmpvar_55 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_56;
  tmpvar_56 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_56.xyz;
  color_4.w = (tmpvar_56.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_80);
  lightDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_81);
  viewDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_82);
  normal_82 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD4;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_96.xyz;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_96.w * _PlanetOpacity);
  color_5.w = tmpvar_97;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_51;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD4);
  float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  c_51.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_52 + normalize(xlv_TEXCOORD7))), tmpvar_53), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_50.x * 4.0));
  c_51.w = (tmpvar_54 * (tmpvar_50.x * 4.0));
  float tmpvar_55;
  tmpvar_55 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_56;
  tmpvar_56 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_56.xyz;
  color_4.w = (tmpvar_56.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_80);
  lightDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_81);
  viewDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_82);
  normal_82 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD4;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_96.xyz;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_96.w * _PlanetOpacity);
  color_5.w = tmpvar_97;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_50;
  vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD4);
  float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  c_50.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_53) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_51 + normalize(xlv_TEXCOORD7))), tmpvar_52), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_50.w = (tmpvar_53 * 4.0);
  float tmpvar_54;
  tmpvar_54 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_55;
  tmpvar_55 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_55.xyz;
  color_4.w = (tmpvar_55.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_51;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD4);
  float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  c_51.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_52 + normalize(xlv_TEXCOORD7))), tmpvar_53), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_50.x * 4.0));
  c_51.w = (tmpvar_54 * (tmpvar_50.x * 4.0));
  float tmpvar_55;
  tmpvar_55 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_56;
  tmpvar_56 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_56.xyz;
  color_4.w = (tmpvar_56.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_80);
  lightDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_81);
  viewDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_82);
  normal_82 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD4;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_96.xyz;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_96.w * _PlanetOpacity);
  color_5.w = tmpvar_97;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD7;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_77);
  lightDir_77 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_78);
  viewDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_79);
  normal_79 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD7;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_77);
  lightDir_77 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_78);
  viewDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_79);
  normal_79 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD7;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_77);
  lightDir_77 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_78);
  viewDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_79);
  normal_79 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD7;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_77);
  lightDir_77 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_78);
  viewDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_79);
  normal_79 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_50;
  vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD4);
  float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  c_50.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_53) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_51 + normalize(xlv_TEXCOORD7))), tmpvar_52), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_50.w = (tmpvar_53 * 4.0);
  float tmpvar_54;
  tmpvar_54 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_55;
  tmpvar_55 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_55.xyz;
  color_4.w = (tmpvar_55.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_50;
  vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD4);
  float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  c_50.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_53) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_51 + normalize(xlv_TEXCOORD7))), tmpvar_52), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_50.w = (tmpvar_53 * 4.0);
  float tmpvar_54;
  tmpvar_54 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_55;
  tmpvar_55 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_55.xyz;
  color_4.w = (tmpvar_55.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_50;
  vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD4);
  float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  c_50.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_53) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_51 + normalize(xlv_TEXCOORD7))), tmpvar_52), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_50.w = (tmpvar_53 * 4.0);
  float tmpvar_54;
  tmpvar_54 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_55;
  tmpvar_55 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_55.xyz;
  color_4.w = (tmpvar_55.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_51;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD4);
  float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  c_51.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_52 + normalize(xlv_TEXCOORD7))), tmpvar_53), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_50.x * 4.0));
  c_51.w = (tmpvar_54 * (tmpvar_50.x * 4.0));
  float tmpvar_55;
  tmpvar_55 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_56;
  tmpvar_56 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_56.xyz;
  color_4.w = (tmpvar_56.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedcdoggogihdljpfhdcfofibacmlmplcmoabaaaaaapeagaaaaadaaaaaa
cmaaaaaapeaaaaaanmabaaaaejfdeheomaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaakbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaakhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapadaaaakoaaaaaa
abaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapabaaaalhaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfceneb
emaafeeffiedepepfceeaafeebeoehefeofeaaklepfdeheooaaaaaaaaiaaaaaa
aiaaaaaamiaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaaneaaaaaaabaaaaaaaaaaaaaa
adaaaaaaacaaaaaaapaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaa
apaaaaaaneaaaaaaaeaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaaneaaaaaa
agaaaaaaaaaaaaaaadaaaaaaaeaaaaaaaiahaaaaneaaaaaaafaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaiaaaaneaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaa
ahaiaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefc
baafaaaaeaaaabaaeeabaaaafjaaaaaeegiocaaaaaaaaaaabeaaaaaafjaaaaae
egiocaaaabaaaaaaagaaaaaafjaaaaaeegiocaaaacaaaaaaabaaaaaafjaaaaae
egiocaaaadaaaaaabaaaaaaafpaaaaadpcbabaaaaaaaaaaafpaaaaadpcbabaaa
abaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaaddcbabaaaadaaaaaafpaaaaad
bcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaadpccabaaa
abaaaaaagfaaaaadpccabaaaacaaaaaagfaaaaadpccabaaaadaaaaaagfaaaaad
hccabaaaaeaaaaaagfaaaaadiccabaaaaeaaaaaagfaaaaadhccabaaaafaaaaaa
gfaaaaadhccabaaaagaaaaaagiaaaaacadaaaaaadiaaaaaipcaabaaaaaaaaaaa
fgbfbaaaaaaaaaaaegiocaaaadaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaa
egiocaaaadaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaak
pcaabaaaaaaaaaaaegiocaaaadaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaa
aaaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaaadaaaaaaadaaaaaapgbpbaaa
aaaaaaaaegaobaaaaaaaaaaadgaaaaafpccabaaaaaaaaaaaegaobaaaaaaaaaaa
dgaaaaafpccabaaaabaaaaaaegbobaaaabaaaaaadiaaaaaihcaabaaaabaaaaaa
fgbfbaaaaaaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaakhcaabaaaabaaaaaa
egiccaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaaabaaaaaadcaaaaak
hcaabaaaabaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaaaaaaaaaaegacbaaa
abaaaaaadcaaaaakhcaabaaaabaaaaaaegiccaaaadaaaaaaapaaaaaapgbpbaaa
aaaaaaaaegacbaaaabaaaaaaaaaaaaajhcaabaaaacaaaaaaegacbaaaabaaaaaa
egiccaiaebaaaaaaabaaaaaaaeaaaaaaaaaaaaajhcaabaaaabaaaaaaegacbaaa
abaaaaaaegiccaiaebaaaaaaaaaaaaaabdaaaaaabaaaaaahicaabaaaabaaaaaa
egacbaaaacaaaaaaegacbaaaacaaaaaaelaaaaaficcabaaaacaaaaaadkaabaaa
abaaaaaaeeaaaaaficaabaaaabaaaaaadkaabaaaabaaaaaadiaaaaahhccabaaa
agaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaadgaaaaafhccabaaaacaaaaaa
egbcbaaaacaaaaaadiaaaaaiccaabaaaaaaaaaaabkaabaaaaaaaaaaaakiacaaa
abaaaaaaafaaaaaadiaaaaakncaabaaaacaaaaaaagahbaaaaaaaaaaaaceaaaaa
aaaaaadpaaaaaaaaaaaaaadpaaaaaadpdgaaaaafmccabaaaadaaaaaakgaobaaa
aaaaaaaaaaaaaaahdccabaaaadaaaaaakgakbaaaacaaaaaamgaabaaaacaaaaaa
baaaaaahbcaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaeeaaaaaf
bcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaahhccabaaaaeaaaaaaagaabaaa
aaaaaaaaegacbaaaabaaaaaabaaaaaajbcaabaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaaegiccaaaacaaaaaaaaaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaacaaaaaa
aaaaaaaadgaaaaafdcaabaaaabaaaaaaegbabaaaadaaaaaadgaaaaafecaabaaa
abaaaaaaakbabaaaaeaaaaaabaaaaaaibcaabaaaaaaaaaaaegacbaiaebaaaaaa
abaaaaaaegacbaaaaaaaaaaadgaaaaaghccabaaaafaaaaaaegacbaiaebaaaaaa
abaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaakoehibdp
dicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaaf
ccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaialpdcaaaaajiccabaaaaeaaaaaaakaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaiadpdoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_80);
  lightDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_81);
  viewDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_82);
  normal_82 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD4;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_96.xyz;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_96.w * _PlanetOpacity);
  color_5.w = tmpvar_97;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_51;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD4);
  float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  c_51.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_52 + normalize(xlv_TEXCOORD7))), tmpvar_53), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_50.x * 4.0));
  c_51.w = (tmpvar_54 * (tmpvar_50.x * 4.0));
  float tmpvar_55;
  tmpvar_55 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_56;
  tmpvar_56 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_56.xyz;
  color_4.w = (tmpvar_56.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_80);
  lightDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_81);
  viewDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_82);
  normal_82 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD4;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_96.xyz;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_96.w * _PlanetOpacity);
  color_5.w = tmpvar_97;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_51;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD4);
  float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  c_51.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_52 + normalize(xlv_TEXCOORD7))), tmpvar_53), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_50.x * 4.0));
  c_51.w = (tmpvar_54 * (tmpvar_50.x * 4.0));
  float tmpvar_55;
  tmpvar_55 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_56;
  tmpvar_56 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_56.xyz;
  color_4.w = (tmpvar_56.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_80);
  lightDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_81);
  viewDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_82);
  normal_82 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD4;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_96.xyz;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_96.w * _PlanetOpacity);
  color_5.w = tmpvar_97;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_50;
  vec3 tmpvar_51;
  tmpvar_51 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_52;
  tmpvar_52 = normalize(xlv_TEXCOORD4);
  float tmpvar_53;
  tmpvar_53 = dot (tmpvar_52, tmpvar_51);
  c_50.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_53) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_51 + normalize(xlv_TEXCOORD7))), tmpvar_52), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_50.w = (tmpvar_53 * 4.0);
  float tmpvar_54;
  tmpvar_54 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_50 * mix (1.0, clamp (floor((1.01 + tmpvar_54)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_54)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_55;
  tmpvar_55 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_55.xyz;
  color_4.w = (tmpvar_55.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_74;
  lightDir_74 = tmpvar_73;
  mediump vec3 viewDir_75;
  viewDir_75 = xlv_TEXCOORD7;
  mediump vec3 normal_76;
  normal_76 = xlv_TEXCOORD4;
  mediump vec4 c_77;
  highp float nh_78;
  mediump vec3 tmpvar_79;
  tmpvar_79 = normalize(lightDir_74);
  lightDir_74 = tmpvar_79;
  mediump vec3 tmpvar_80;
  tmpvar_80 = normalize(viewDir_75);
  viewDir_75 = tmpvar_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(normal_76);
  normal_76 = tmpvar_81;
  mediump float tmpvar_82;
  tmpvar_82 = dot (tmpvar_81, tmpvar_79);
  mediump float tmpvar_83;
  tmpvar_83 = clamp (dot (normalize((tmpvar_79 + tmpvar_80)), tmpvar_81), 0.0, 1.0);
  nh_78 = tmpvar_83;
  highp vec3 tmpvar_84;
  tmpvar_84 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_82) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_78, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_77.xyz = tmpvar_84;
  c_77.w = (tmpvar_82 * 4.0);
  lowp vec3 tmpvar_85;
  tmpvar_85 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_85;
  mediump vec3 normal_87;
  normal_87 = xlv_TEXCOORD4;
  mediump float tmpvar_88;
  tmpvar_88 = dot (normal_87, lightDir_86);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_77 * mix (1.0, clamp (floor((1.01 + tmpvar_88)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_88)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_89;
  tmpvar_89 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_89.xyz;
  highp float tmpvar_90;
  tmpvar_90 = (tmpvar_89.w * _PlanetOpacity);
  color_5.w = tmpvar_90;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 615
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 617
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 621
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 625
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 629
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (texture2DGradARB (cube_CityOverlayTexNEG, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexPOS, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0))));
  vec4 tmpvar_18;
  tmpvar_18.x = tmpvar_17.w;
  tmpvar_18.y = tmpvar_17.w;
  tmpvar_18.z = tmpvar_17.w;
  tmpvar_18.w = mix (tmpvar_17.y, mix (tmpvar_17.x, tmpvar_17.z, tmpvar_7), tmpvar_8);
  float tmpvar_19;
  vec4 v_20;
  v_20 = (tmpvar_18 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_19 = (((v_20.x + v_20.y) + v_20.z) + v_20.w);
  vec4 tmpvar_21;
  tmpvar_21.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_21.w = tmpvar_19;
  cityoverlay_3.xyz = tmpvar_21.xyz;
  vec3 tmpvar_22;
  tmpvar_22 = normalize(xlv_TEXCOORD5);
  vec2 uv_23;
  vec3 tmpvar_24;
  tmpvar_24 = abs(tmpvar_22);
  float tmpvar_25;
  tmpvar_25 = float((tmpvar_24.z >= tmpvar_24.x));
  float tmpvar_26;
  tmpvar_26 = float((max (tmpvar_24.x, tmpvar_24.z) >= tmpvar_24.y));
  float tmpvar_27;
  tmpvar_27 = sign(mix (tmpvar_22.y, mix (tmpvar_22.x, tmpvar_22.z, tmpvar_25), tmpvar_26));
  vec3 tmpvar_28;
  tmpvar_28.xz = vec2(1.0, 1.0);
  tmpvar_28.y = -(tmpvar_27);
  vec3 tmpvar_29;
  tmpvar_29.xz = vec2(1.0, 1.0);
  tmpvar_29.y = tmpvar_27;
  vec3 tmpvar_30;
  tmpvar_30.xy = vec2(1.0, 1.0);
  tmpvar_30.z = -(tmpvar_27);
  vec3 tmpvar_31;
  tmpvar_31 = mix ((tmpvar_30 * tmpvar_22.yxz), mix ((tmpvar_28 * tmpvar_22.xzy), (tmpvar_29 * tmpvar_22.zxy), vec3(tmpvar_25)), vec3(tmpvar_26));
  uv_23.x = (((0.5 * tmpvar_31.y) / abs(tmpvar_31.x)) + 0.5);
  uv_23.y = (((0.5 * tmpvar_31.z) / abs(tmpvar_31.x)) + 0.5);
  vec2 tmpvar_32;
  tmpvar_32 = (uv_23 * _CityOverlayDetailScale);
  vec2 tmpvar_33;
  tmpvar_33 = abs((tmpvar_32 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_34;
  tmpvar_34.xy = dFdx(tmpvar_33);
  tmpvar_34.zw = dFdy(tmpvar_33);
  vec4 tmpvar_35;
  tmpvar_35 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_32, tmpvar_34.xy, tmpvar_34.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_35.xyz;
  vec3 tmpvar_36;
  tmpvar_36 = normalize(xlv_TEXCOORD5);
  vec2 uv_37;
  vec3 tmpvar_38;
  tmpvar_38 = abs(tmpvar_36);
  float tmpvar_39;
  tmpvar_39 = float((tmpvar_38.z >= tmpvar_38.x));
  float tmpvar_40;
  tmpvar_40 = float((max (tmpvar_38.x, tmpvar_38.z) >= tmpvar_38.y));
  float tmpvar_41;
  tmpvar_41 = sign(mix (tmpvar_36.y, mix (tmpvar_36.x, tmpvar_36.z, tmpvar_39), tmpvar_40));
  vec3 tmpvar_42;
  tmpvar_42.xz = vec2(1.0, 1.0);
  tmpvar_42.y = -(tmpvar_41);
  vec3 tmpvar_43;
  tmpvar_43.xz = vec2(1.0, 1.0);
  tmpvar_43.y = tmpvar_41;
  vec3 tmpvar_44;
  tmpvar_44.xy = vec2(1.0, 1.0);
  tmpvar_44.z = -(tmpvar_41);
  vec3 tmpvar_45;
  tmpvar_45 = mix ((tmpvar_44 * tmpvar_36.yxz), mix ((tmpvar_42 * tmpvar_36.xzy), (tmpvar_43 * tmpvar_36.zxy), vec3(tmpvar_39)), vec3(tmpvar_40));
  uv_37.x = (((0.5 * tmpvar_45.y) / abs(tmpvar_45.x)) + 0.5);
  uv_37.y = (((0.5 * tmpvar_45.z) / abs(tmpvar_45.x)) + 0.5);
  vec2 tmpvar_46;
  tmpvar_46 = (uv_37 * _CityOverlayDetailScale);
  vec2 tmpvar_47;
  tmpvar_47 = abs((tmpvar_46 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_48;
  tmpvar_48.xy = dFdx(tmpvar_47);
  tmpvar_48.zw = dFdy(tmpvar_47);
  vec4 tmpvar_49;
  tmpvar_49 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_46, tmpvar_48.xy, tmpvar_48.zw);
  citylightoverlaydetail_1.xyz = tmpvar_49.xyz;
  cityoverlay_3.w = (tmpvar_19 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_35.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_49.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_49.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_50;
  tmpvar_50 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_51;
  vec3 tmpvar_52;
  tmpvar_52 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_53;
  tmpvar_53 = normalize(xlv_TEXCOORD4);
  float tmpvar_54;
  tmpvar_54 = dot (tmpvar_53, tmpvar_52);
  c_51.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_54) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_52 + normalize(xlv_TEXCOORD7))), tmpvar_53), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_50.x * 4.0));
  c_51.w = (tmpvar_54 * (tmpvar_50.x * 4.0));
  float tmpvar_55;
  tmpvar_55 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_51 * mix (1.0, clamp (floor((1.01 + tmpvar_55)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_55)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_56;
  tmpvar_56 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_56.xyz;
  color_4.w = (tmpvar_56.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  mediump float lightShadowDataX_75;
  highp float dist_76;
  lowp float tmpvar_77;
  tmpvar_77 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_76 = tmpvar_77;
  highp float tmpvar_78;
  tmpvar_78 = _LightShadowData.x;
  lightShadowDataX_75 = tmpvar_78;
  highp float tmpvar_79;
  tmpvar_79 = max (float((dist_76 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_75);
  tmpvar_74 = tmpvar_79;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_73;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump float atten_83;
  atten_83 = tmpvar_74;
  mediump vec4 c_84;
  highp float nh_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(lightDir_80);
  lightDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(viewDir_81);
  viewDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(normal_82);
  normal_82 = tmpvar_88;
  mediump float tmpvar_89;
  tmpvar_89 = dot (tmpvar_88, tmpvar_86);
  mediump float tmpvar_90;
  tmpvar_90 = clamp (dot (normalize((tmpvar_86 + tmpvar_87)), tmpvar_88), 0.0, 1.0);
  nh_85 = tmpvar_90;
  highp vec3 tmpvar_91;
  tmpvar_91 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_89) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_85, _SpecularPower) * _SpecularColor.w))) * (atten_83 * 4.0));
  c_84.xyz = tmpvar_91;
  c_84.w = (tmpvar_89 * (atten_83 * 4.0));
  lowp vec3 tmpvar_92;
  tmpvar_92 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_93;
  lightDir_93 = tmpvar_92;
  mediump vec3 normal_94;
  normal_94 = xlv_TEXCOORD4;
  mediump float tmpvar_95;
  tmpvar_95 = dot (normal_94, lightDir_93);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_84 * mix (1.0, clamp (floor((1.01 + tmpvar_95)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_95)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_96;
  tmpvar_96 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_96.xyz;
  highp float tmpvar_97;
  tmpvar_97 = (tmpvar_96.w * _PlanetOpacity);
  color_5.w = tmpvar_97;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_74;
  tmpvar_74 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_75;
  lightDir_75 = tmpvar_73;
  mediump vec3 viewDir_76;
  viewDir_76 = xlv_TEXCOORD7;
  mediump vec3 normal_77;
  normal_77 = xlv_TEXCOORD4;
  mediump float atten_78;
  atten_78 = tmpvar_74;
  mediump vec4 c_79;
  highp float nh_80;
  mediump vec3 tmpvar_81;
  tmpvar_81 = normalize(lightDir_75);
  lightDir_75 = tmpvar_81;
  mediump vec3 tmpvar_82;
  tmpvar_82 = normalize(viewDir_76);
  viewDir_76 = tmpvar_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(normal_77);
  normal_77 = tmpvar_83;
  mediump float tmpvar_84;
  tmpvar_84 = dot (tmpvar_83, tmpvar_81);
  mediump float tmpvar_85;
  tmpvar_85 = clamp (dot (normalize((tmpvar_81 + tmpvar_82)), tmpvar_83), 0.0, 1.0);
  nh_80 = tmpvar_85;
  highp vec3 tmpvar_86;
  tmpvar_86 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_84) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_80, _SpecularPower) * _SpecularColor.w))) * (atten_78 * 4.0));
  c_79.xyz = tmpvar_86;
  c_79.w = (tmpvar_84 * (atten_78 * 4.0));
  lowp vec3 tmpvar_87;
  tmpvar_87 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_88;
  lightDir_88 = tmpvar_87;
  mediump vec3 normal_89;
  normal_89 = xlv_TEXCOORD4;
  mediump float tmpvar_90;
  tmpvar_90 = dot (normal_89, lightDir_88);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_79 * mix (1.0, clamp (floor((1.01 + tmpvar_90)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_90)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_91;
  tmpvar_91 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_91.xyz;
  highp float tmpvar_92;
  tmpvar_92 = (tmpvar_91.w * _PlanetOpacity);
  color_5.w = tmpvar_92;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD7;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_77);
  lightDir_77 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_78);
  viewDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_79);
  normal_79 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD7;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_77);
  lightDir_77 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_78);
  viewDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_79);
  normal_79 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD7;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_77);
  lightDir_77 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_78);
  viewDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_79);
  normal_79 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D cube_CityOverlayTexPOS;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 texNeg_6;
  mediump vec4 texPos_7;
  highp vec2 uv_8;
  mediump vec3 detailCoords_9;
  mediump float s_10;
  mediump float nylerp_11;
  mediump float zxlerp_12;
  highp vec3 tmpvar_13;
  tmpvar_13 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_14;
  tmpvar_14 = abs(tmpvar_13);
  highp float tmpvar_15;
  tmpvar_15 = float((tmpvar_14.z >= tmpvar_14.x));
  zxlerp_12 = tmpvar_15;
  highp float tmpvar_16;
  tmpvar_16 = float((mix (tmpvar_14.x, tmpvar_14.z, zxlerp_12) >= tmpvar_14.y));
  nylerp_11 = tmpvar_16;
  highp float tmpvar_17;
  tmpvar_17 = mix (tmpvar_13.x, tmpvar_13.z, zxlerp_12);
  s_10 = tmpvar_17;
  highp float tmpvar_18;
  tmpvar_18 = sign(mix (-(tmpvar_13.y), s_10, nylerp_11));
  s_10 = tmpvar_18;
  mediump vec3 tmpvar_19;
  tmpvar_19.xz = vec2(1.0, 1.0);
  tmpvar_19.y = -(s_10);
  mediump vec3 tmpvar_20;
  tmpvar_20.xz = vec2(1.0, 1.0);
  tmpvar_20.y = s_10;
  highp vec3 tmpvar_21;
  tmpvar_21 = mix ((tmpvar_19 * tmpvar_13.xzy), (tmpvar_20 * tmpvar_13.zxy), vec3(zxlerp_12));
  detailCoords_9 = tmpvar_21;
  mediump vec3 tmpvar_22;
  tmpvar_22.xy = vec2(1.0, 1.0);
  tmpvar_22.z = -(s_10);
  highp vec3 tmpvar_23;
  tmpvar_23 = mix ((tmpvar_22 * tmpvar_13.yzx), detailCoords_9, vec3(nylerp_11));
  detailCoords_9 = tmpvar_23;
  mediump vec2 tmpvar_24;
  tmpvar_24 = (((0.5 * detailCoords_9.yz) / abs(detailCoords_9.x)) + 0.5);
  uv_8 = tmpvar_24;
  highp vec2 tmpvar_25;
  tmpvar_25 = abs((uv_8 - 0.5));
  highp vec4 tmpvar_26;
  tmpvar_26.xy = dFdx(tmpvar_25);
  tmpvar_26.zw = dFdy(tmpvar_25);
  lowp vec4 tmpvar_27;
  tmpvar_27 = texture2DGradEXT (cube_CityOverlayTexPOS, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texPos_7 = tmpvar_27;
  lowp vec4 tmpvar_28;
  tmpvar_28 = texture2DGradEXT (cube_CityOverlayTexNEG, uv_8, tmpvar_26.xy, tmpvar_26.zw);
  texNeg_6 = tmpvar_28;
  mediump vec4 tmpvar_29;
  tmpvar_29 = mix (texNeg_6, texPos_7, vec4(float((s_10 >= 0.0))));
  mediump vec4 tmpvar_30;
  tmpvar_30.x = tmpvar_29.w;
  tmpvar_30.y = tmpvar_29.w;
  tmpvar_30.z = tmpvar_29.w;
  tmpvar_30.w = mix (tmpvar_29.y, mix (tmpvar_29.x, tmpvar_29.z, zxlerp_12), nylerp_11);
  mediump float tmpvar_31;
  mediump vec4 v_32;
  v_32 = (tmpvar_30 * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_31 = (((v_32.x + v_32.y) + v_32.z) + v_32.w);
  mediump vec4 tmpvar_33;
  tmpvar_33.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_33.w = tmpvar_31;
  cityoverlay_4.xyz = tmpvar_33.xyz;
  mediump vec4 tex_34;
  highp vec3 tmpvar_35;
  tmpvar_35 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_36;
  mediump float s_37;
  mediump float nylerp_38;
  mediump float zxlerp_39;
  highp vec3 tmpvar_40;
  tmpvar_40 = abs(tmpvar_35);
  highp float tmpvar_41;
  tmpvar_41 = float((tmpvar_40.z >= tmpvar_40.x));
  zxlerp_39 = tmpvar_41;
  highp float tmpvar_42;
  tmpvar_42 = float((max (tmpvar_40.x, tmpvar_40.z) >= tmpvar_40.y));
  nylerp_38 = tmpvar_42;
  highp float tmpvar_43;
  tmpvar_43 = mix (tmpvar_35.x, tmpvar_35.z, zxlerp_39);
  s_37 = tmpvar_43;
  highp float tmpvar_44;
  tmpvar_44 = sign(mix (tmpvar_35.y, s_37, nylerp_38));
  s_37 = tmpvar_44;
  mediump vec3 tmpvar_45;
  tmpvar_45.xz = vec2(1.0, 1.0);
  tmpvar_45.y = -(s_37);
  mediump vec3 tmpvar_46;
  tmpvar_46.xz = vec2(1.0, 1.0);
  tmpvar_46.y = s_37;
  mediump vec3 tmpvar_47;
  tmpvar_47.xy = vec2(1.0, 1.0);
  tmpvar_47.z = -(s_37);
  highp vec3 tmpvar_48;
  tmpvar_48 = mix ((tmpvar_47 * tmpvar_35.yxz), mix ((tmpvar_45 * tmpvar_35.xzy), (tmpvar_46 * tmpvar_35.zxy), vec3(zxlerp_39)), vec3(nylerp_38));
  uv_36.x = (((0.5 * tmpvar_48.y) / abs(tmpvar_48.x)) + 0.5);
  uv_36.y = (((0.5 * tmpvar_48.z) / abs(tmpvar_48.x)) + 0.5);
  highp vec2 tmpvar_49;
  tmpvar_49 = (uv_36 * _CityOverlayDetailScale);
  highp vec2 tmpvar_50;
  tmpvar_50 = abs((tmpvar_49 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_51;
  tmpvar_51.xy = dFdx(tmpvar_50);
  tmpvar_51.zw = dFdy(tmpvar_50);
  lowp vec4 tmpvar_52;
  tmpvar_52 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_49, tmpvar_51.xy, tmpvar_51.zw);
  tex_34 = tmpvar_52;
  citydarkoverlaydetail_3.xyz = tex_34.xyz;
  mediump vec4 tex_53;
  highp vec3 tmpvar_54;
  tmpvar_54 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_55;
  mediump float s_56;
  mediump float nylerp_57;
  mediump float zxlerp_58;
  highp vec3 tmpvar_59;
  tmpvar_59 = abs(tmpvar_54);
  highp float tmpvar_60;
  tmpvar_60 = float((tmpvar_59.z >= tmpvar_59.x));
  zxlerp_58 = tmpvar_60;
  highp float tmpvar_61;
  tmpvar_61 = float((max (tmpvar_59.x, tmpvar_59.z) >= tmpvar_59.y));
  nylerp_57 = tmpvar_61;
  highp float tmpvar_62;
  tmpvar_62 = mix (tmpvar_54.x, tmpvar_54.z, zxlerp_58);
  s_56 = tmpvar_62;
  highp float tmpvar_63;
  tmpvar_63 = sign(mix (tmpvar_54.y, s_56, nylerp_57));
  s_56 = tmpvar_63;
  mediump vec3 tmpvar_64;
  tmpvar_64.xz = vec2(1.0, 1.0);
  tmpvar_64.y = -(s_56);
  mediump vec3 tmpvar_65;
  tmpvar_65.xz = vec2(1.0, 1.0);
  tmpvar_65.y = s_56;
  mediump vec3 tmpvar_66;
  tmpvar_66.xy = vec2(1.0, 1.0);
  tmpvar_66.z = -(s_56);
  highp vec3 tmpvar_67;
  tmpvar_67 = mix ((tmpvar_66 * tmpvar_54.yxz), mix ((tmpvar_64 * tmpvar_54.xzy), (tmpvar_65 * tmpvar_54.zxy), vec3(zxlerp_58)), vec3(nylerp_57));
  uv_55.x = (((0.5 * tmpvar_67.y) / abs(tmpvar_67.x)) + 0.5);
  uv_55.y = (((0.5 * tmpvar_67.z) / abs(tmpvar_67.x)) + 0.5);
  highp vec2 tmpvar_68;
  tmpvar_68 = (uv_55 * _CityOverlayDetailScale);
  highp vec2 tmpvar_69;
  tmpvar_69 = abs((tmpvar_68 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_70;
  tmpvar_70.xy = dFdx(tmpvar_69);
  tmpvar_70.zw = dFdy(tmpvar_69);
  lowp vec4 tmpvar_71;
  tmpvar_71 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_68, tmpvar_70.xy, tmpvar_70.zw);
  tex_53 = tmpvar_71;
  citylightoverlaydetail_2.xyz = tex_53.xyz;
  highp float tmpvar_72;
  tmpvar_72 = (tmpvar_31 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_72;
  citydarkoverlaydetail_3.w = (tex_34.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_53.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_53.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_73;
  tmpvar_73 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_74;
  lowp float tmpvar_75;
  tmpvar_75 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_76;
  tmpvar_76 = (_LightShadowData.x + (tmpvar_75 * (1.0 - _LightShadowData.x)));
  shadow_74 = tmpvar_76;
  mediump vec3 lightDir_77;
  lightDir_77 = tmpvar_73;
  mediump vec3 viewDir_78;
  viewDir_78 = xlv_TEXCOORD7;
  mediump vec3 normal_79;
  normal_79 = xlv_TEXCOORD4;
  mediump float atten_80;
  atten_80 = shadow_74;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_77);
  lightDir_77 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_78);
  viewDir_78 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_79);
  normal_79 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * (atten_80 * 4.0));
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * (atten_80 * 4.0));
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 623
mediump vec4 GetCubeMap( in sampler2D texSamplerPos, in sampler2D texSamplerNeg, in highp vec3 cubeVect ) {
    #line 625
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 629
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 633
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 texPos = xll_tex2Dgrad( texSamplerPos, uv, uvdd.xy, uvdd.zw);
    mediump vec4 texNeg = xll_tex2Dgrad( texSamplerNeg, uv, uvdd.xy, uvdd.zw);
    #line 637
    mediump vec4 tex = mix( texNeg, texPos, vec4( step( 0.0, s)));
    mediump float alpha = mix( tex.x, tex.z, zxlerp);
    alpha = mix( tex.y, alpha, nylerp);
    return vec4( tex.w, tex.w, tex.w, alpha);
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexPOS, cube_CityOverlayTexNEG, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8));
  cityoverlay_3.xyz = tmpvar_17.xyz;
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _CityOverlayDetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec4 tmpvar_31;
  tmpvar_31 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_31.xyz;
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _CityOverlayDetailScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  citylightoverlaydetail_1.xyz = tmpvar_45.xyz;
  cityoverlay_3.w = (tmpvar_17.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_31.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_45.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_45.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_46;
  vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD4);
  float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  c_46.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_49) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_47 + normalize(xlv_TEXCOORD7))), tmpvar_48), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_46.w = (tmpvar_49 * 4.0);
  float tmpvar_50;
  tmpvar_50 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_51;
  tmpvar_51 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_51.xyz;
  color_4.w = (tmpvar_51.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedaopcdaaphddnfkhbfemppofpbjdaacjaabaaaaaaeeagaaaaadaaaaaa
cmaaaaaapeaaaaaameabaaaaejfdeheomaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaakbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaakhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapadaaaakoaaaaaa
abaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapabaaaalhaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfceneb
emaafeeffiedepepfceeaafeebeoehefeofeaaklepfdeheomiaaaaaaahaaaaaa
aiaaaaaalaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaalmaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaalmaaaaaaabaaaaaaaaaaaaaa
adaaaaaaacaaaaaaapaaaaaalmaaaaaaaeaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaalmaaaaaaagaaaaaaaaaaaaaaadaaaaaaadaaaaaaaiahaaaalmaaaaaa
afaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaalmaaaaaaahaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefchiaeaaaaeaaaabaaboabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
abaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafpaaaaadpcbabaaaaaaaaaaa
fpaaaaadpcbabaaaabaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaaddcbabaaa
adaaaaaafpaaaaadbcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadpccabaaaabaaaaaagfaaaaadpccabaaaacaaaaaagfaaaaadhccabaaa
adaaaaaagfaaaaadiccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaad
hccabaaaafaaaaaagiaaaaacacaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaadaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
adaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaadaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpccabaaaaaaaaaaaegiocaaaadaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadgaaaaafpccabaaaabaaaaaaegbobaaaabaaaaaadiaaaaai
hcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaak
hcaabaaaaaaaaaaaegiccaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaa
aaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaa
aaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaadaaaaaa
apaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaaaaaaaaajhcaabaaaabaaaaaa
egacbaaaaaaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaaaaaaaaajhcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaelaaaaaficcabaaa
acaaaaaadkaabaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhccabaaaafaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaadgaaaaaf
hccabaaaacaaaaaaegbcbaaaacaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhccabaaaadaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaaj
bcaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
eeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaa
agaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaadgaaaaafdcaabaaaabaaaaaa
egbabaaaadaaaaaadgaaaaafecaabaaaabaaaaaaakbabaaaaeaaaaaabaaaaaai
bcaabaaaaaaaaaaaegacbaiaebaaaaaaabaaaaaaegacbaaaaaaaaaaadgaaaaag
hccabaaaaeaaaaaaegacbaiaebaaaaaaabaaaaaaaaaaaaahccaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaaaaacambebcaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaa
aaaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaaj
iccabaaaadaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadp
doaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD7;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_79);
  viewDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_80);
  normal_80 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * 4.0);
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD7;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_79);
  viewDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_80);
  normal_80 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * 4.0);
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8));
  cityoverlay_3.xyz = tmpvar_17.xyz;
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _CityOverlayDetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec4 tmpvar_31;
  tmpvar_31 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_31.xyz;
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _CityOverlayDetailScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  citylightoverlaydetail_1.xyz = tmpvar_45.xyz;
  cityoverlay_3.w = (tmpvar_17.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_31.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_45.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_45.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_46;
  vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD4);
  float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  c_46.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_49) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_47 + normalize(xlv_TEXCOORD7))), tmpvar_48), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_46.w = (tmpvar_49 * 4.0);
  float tmpvar_50;
  tmpvar_50 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_51;
  tmpvar_51 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_51.xyz;
  color_4.w = (tmpvar_51.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD7;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_79);
  viewDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_80);
  normal_80 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * 4.0);
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD7;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_79);
  viewDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_80);
  normal_80 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * 4.0);
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8));
  cityoverlay_3.xyz = tmpvar_17.xyz;
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _CityOverlayDetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec4 tmpvar_31;
  tmpvar_31 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_31.xyz;
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _CityOverlayDetailScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  citylightoverlaydetail_1.xyz = tmpvar_45.xyz;
  cityoverlay_3.w = (tmpvar_17.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_31.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_45.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_45.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_46;
  vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD4);
  float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  c_46.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_49) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_47 + normalize(xlv_TEXCOORD7))), tmpvar_48), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_46.w = (tmpvar_49 * 4.0);
  float tmpvar_50;
  tmpvar_50 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_51;
  tmpvar_51 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_51.xyz;
  color_4.w = (tmpvar_51.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD7;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_79);
  viewDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_80);
  normal_80 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * 4.0);
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD7;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_79);
  viewDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_80);
  normal_80 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * 4.0);
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8));
  cityoverlay_3.xyz = tmpvar_17.xyz;
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _CityOverlayDetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec4 tmpvar_31;
  tmpvar_31 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_31.xyz;
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _CityOverlayDetailScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  citylightoverlaydetail_1.xyz = tmpvar_45.xyz;
  cityoverlay_3.w = (tmpvar_17.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_31.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_45.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_45.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_47;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_49;
  tmpvar_49 = normalize(xlv_TEXCOORD4);
  float tmpvar_50;
  tmpvar_50 = dot (tmpvar_49, tmpvar_48);
  c_47.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_50) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_48 + normalize(xlv_TEXCOORD7))), tmpvar_49), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_46.x * 4.0));
  c_47.w = (tmpvar_50 * (tmpvar_46.x * 4.0));
  float tmpvar_51;
  tmpvar_51 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_47 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_52;
  tmpvar_52 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_52.xyz;
  color_4.w = (tmpvar_52.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_78;
  mediump float lightShadowDataX_79;
  highp float dist_80;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_80 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = _LightShadowData.x;
  lightShadowDataX_79 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = max (float((dist_80 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_79);
  tmpvar_78 = tmpvar_83;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_77;
  mediump vec3 viewDir_85;
  viewDir_85 = xlv_TEXCOORD7;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float atten_87;
  atten_87 = tmpvar_78;
  mediump vec4 c_88;
  highp float nh_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(lightDir_84);
  lightDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(viewDir_85);
  viewDir_85 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(normal_86);
  normal_86 = tmpvar_92;
  mediump float tmpvar_93;
  tmpvar_93 = dot (tmpvar_92, tmpvar_90);
  mediump float tmpvar_94;
  tmpvar_94 = clamp (dot (normalize((tmpvar_90 + tmpvar_91)), tmpvar_92), 0.0, 1.0);
  nh_89 = tmpvar_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_93) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_89, _SpecularPower) * _SpecularColor.w))) * (atten_87 * 4.0));
  c_88.xyz = tmpvar_95;
  c_88.w = (tmpvar_93 * (atten_87 * 4.0));
  lowp vec3 tmpvar_96;
  tmpvar_96 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_97;
  lightDir_97 = tmpvar_96;
  mediump vec3 normal_98;
  normal_98 = xlv_TEXCOORD4;
  mediump float tmpvar_99;
  tmpvar_99 = dot (normal_98, lightDir_97);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_88 * mix (1.0, clamp (floor((1.01 + tmpvar_99)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_99)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_100;
  tmpvar_100 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_100.xyz;
  highp float tmpvar_101;
  tmpvar_101 = (tmpvar_100.w * _PlanetOpacity);
  color_5.w = tmpvar_101;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_77;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD7;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = tmpvar_78;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_79);
  lightDir_79 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_80);
  viewDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_81);
  normal_81 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * (atten_82 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8));
  cityoverlay_3.xyz = tmpvar_17.xyz;
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _CityOverlayDetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec4 tmpvar_31;
  tmpvar_31 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_31.xyz;
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _CityOverlayDetailScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  citylightoverlaydetail_1.xyz = tmpvar_45.xyz;
  cityoverlay_3.w = (tmpvar_17.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_31.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_45.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_45.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_47;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_49;
  tmpvar_49 = normalize(xlv_TEXCOORD4);
  float tmpvar_50;
  tmpvar_50 = dot (tmpvar_49, tmpvar_48);
  c_47.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_50) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_48 + normalize(xlv_TEXCOORD7))), tmpvar_49), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_46.x * 4.0));
  c_47.w = (tmpvar_50 * (tmpvar_46.x * 4.0));
  float tmpvar_51;
  tmpvar_51 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_47 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_52;
  tmpvar_52 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_52.xyz;
  color_4.w = (tmpvar_52.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_78;
  mediump float lightShadowDataX_79;
  highp float dist_80;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_80 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = _LightShadowData.x;
  lightShadowDataX_79 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = max (float((dist_80 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_79);
  tmpvar_78 = tmpvar_83;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_77;
  mediump vec3 viewDir_85;
  viewDir_85 = xlv_TEXCOORD7;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float atten_87;
  atten_87 = tmpvar_78;
  mediump vec4 c_88;
  highp float nh_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(lightDir_84);
  lightDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(viewDir_85);
  viewDir_85 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(normal_86);
  normal_86 = tmpvar_92;
  mediump float tmpvar_93;
  tmpvar_93 = dot (tmpvar_92, tmpvar_90);
  mediump float tmpvar_94;
  tmpvar_94 = clamp (dot (normalize((tmpvar_90 + tmpvar_91)), tmpvar_92), 0.0, 1.0);
  nh_89 = tmpvar_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_93) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_89, _SpecularPower) * _SpecularColor.w))) * (atten_87 * 4.0));
  c_88.xyz = tmpvar_95;
  c_88.w = (tmpvar_93 * (atten_87 * 4.0));
  lowp vec3 tmpvar_96;
  tmpvar_96 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_97;
  lightDir_97 = tmpvar_96;
  mediump vec3 normal_98;
  normal_98 = xlv_TEXCOORD4;
  mediump float tmpvar_99;
  tmpvar_99 = dot (normal_98, lightDir_97);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_88 * mix (1.0, clamp (floor((1.01 + tmpvar_99)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_99)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_100;
  tmpvar_100 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_100.xyz;
  highp float tmpvar_101;
  tmpvar_101 = (tmpvar_100.w * _PlanetOpacity);
  color_5.w = tmpvar_101;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_77;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD7;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = tmpvar_78;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_79);
  lightDir_79 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_80);
  viewDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_81);
  normal_81 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * (atten_82 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8));
  cityoverlay_3.xyz = tmpvar_17.xyz;
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _CityOverlayDetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec4 tmpvar_31;
  tmpvar_31 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_31.xyz;
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _CityOverlayDetailScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  citylightoverlaydetail_1.xyz = tmpvar_45.xyz;
  cityoverlay_3.w = (tmpvar_17.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_31.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_45.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_45.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_47;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_49;
  tmpvar_49 = normalize(xlv_TEXCOORD4);
  float tmpvar_50;
  tmpvar_50 = dot (tmpvar_49, tmpvar_48);
  c_47.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_50) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_48 + normalize(xlv_TEXCOORD7))), tmpvar_49), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_46.x * 4.0));
  c_47.w = (tmpvar_50 * (tmpvar_46.x * 4.0));
  float tmpvar_51;
  tmpvar_51 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_47 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_52;
  tmpvar_52 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_52.xyz;
  color_4.w = (tmpvar_52.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_78;
  mediump float lightShadowDataX_79;
  highp float dist_80;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_80 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = _LightShadowData.x;
  lightShadowDataX_79 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = max (float((dist_80 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_79);
  tmpvar_78 = tmpvar_83;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_77;
  mediump vec3 viewDir_85;
  viewDir_85 = xlv_TEXCOORD7;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float atten_87;
  atten_87 = tmpvar_78;
  mediump vec4 c_88;
  highp float nh_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(lightDir_84);
  lightDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(viewDir_85);
  viewDir_85 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(normal_86);
  normal_86 = tmpvar_92;
  mediump float tmpvar_93;
  tmpvar_93 = dot (tmpvar_92, tmpvar_90);
  mediump float tmpvar_94;
  tmpvar_94 = clamp (dot (normalize((tmpvar_90 + tmpvar_91)), tmpvar_92), 0.0, 1.0);
  nh_89 = tmpvar_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_93) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_89, _SpecularPower) * _SpecularColor.w))) * (atten_87 * 4.0));
  c_88.xyz = tmpvar_95;
  c_88.w = (tmpvar_93 * (atten_87 * 4.0));
  lowp vec3 tmpvar_96;
  tmpvar_96 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_97;
  lightDir_97 = tmpvar_96;
  mediump vec3 normal_98;
  normal_98 = xlv_TEXCOORD4;
  mediump float tmpvar_99;
  tmpvar_99 = dot (normal_98, lightDir_97);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_88 * mix (1.0, clamp (floor((1.01 + tmpvar_99)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_99)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_100;
  tmpvar_100 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_100.xyz;
  highp float tmpvar_101;
  tmpvar_101 = (tmpvar_100.w * _PlanetOpacity);
  color_5.w = tmpvar_101;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_77;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD7;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = tmpvar_78;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_79);
  lightDir_79 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_80);
  viewDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_81);
  normal_81 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * (atten_82 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8));
  cityoverlay_3.xyz = tmpvar_17.xyz;
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _CityOverlayDetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec4 tmpvar_31;
  tmpvar_31 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_31.xyz;
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _CityOverlayDetailScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  citylightoverlaydetail_1.xyz = tmpvar_45.xyz;
  cityoverlay_3.w = (tmpvar_17.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_31.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_45.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_45.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_46;
  vec3 tmpvar_47;
  tmpvar_47 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_48;
  tmpvar_48 = normalize(xlv_TEXCOORD4);
  float tmpvar_49;
  tmpvar_49 = dot (tmpvar_48, tmpvar_47);
  c_46.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_49) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_47 + normalize(xlv_TEXCOORD7))), tmpvar_48), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_46.w = (tmpvar_49 * 4.0);
  float tmpvar_50;
  tmpvar_50 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_46 * mix (1.0, clamp (floor((1.01 + tmpvar_50)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_50)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_51;
  tmpvar_51 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_51.xyz;
  color_4.w = (tmpvar_51.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD7;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_79);
  viewDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_80);
  normal_80 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * 4.0);
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_78;
  lightDir_78 = tmpvar_77;
  mediump vec3 viewDir_79;
  viewDir_79 = xlv_TEXCOORD7;
  mediump vec3 normal_80;
  normal_80 = xlv_TEXCOORD4;
  mediump vec4 c_81;
  highp float nh_82;
  mediump vec3 tmpvar_83;
  tmpvar_83 = normalize(lightDir_78);
  lightDir_78 = tmpvar_83;
  mediump vec3 tmpvar_84;
  tmpvar_84 = normalize(viewDir_79);
  viewDir_79 = tmpvar_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(normal_80);
  normal_80 = tmpvar_85;
  mediump float tmpvar_86;
  tmpvar_86 = dot (tmpvar_85, tmpvar_83);
  mediump float tmpvar_87;
  tmpvar_87 = clamp (dot (normalize((tmpvar_83 + tmpvar_84)), tmpvar_85), 0.0, 1.0);
  nh_82 = tmpvar_87;
  highp vec3 tmpvar_88;
  tmpvar_88 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_86) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_82, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_81.xyz = tmpvar_88;
  c_81.w = (tmpvar_86 * 4.0);
  lowp vec3 tmpvar_89;
  tmpvar_89 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_90;
  lightDir_90 = tmpvar_89;
  mediump vec3 normal_91;
  normal_91 = xlv_TEXCOORD4;
  mediump float tmpvar_92;
  tmpvar_92 = dot (normal_91, lightDir_90);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_81 * mix (1.0, clamp (floor((1.01 + tmpvar_92)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_92)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_93;
  tmpvar_93 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_93.xyz;
  highp float tmpvar_94;
  tmpvar_94 = (tmpvar_93.w * _PlanetOpacity);
  color_5.w = tmpvar_94;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  vec4 tmpvar_17;
  tmpvar_17 = mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8));
  cityoverlay_3.xyz = tmpvar_17.xyz;
  vec3 tmpvar_18;
  tmpvar_18 = normalize(xlv_TEXCOORD5);
  vec2 uv_19;
  vec3 tmpvar_20;
  tmpvar_20 = abs(tmpvar_18);
  float tmpvar_21;
  tmpvar_21 = float((tmpvar_20.z >= tmpvar_20.x));
  float tmpvar_22;
  tmpvar_22 = float((max (tmpvar_20.x, tmpvar_20.z) >= tmpvar_20.y));
  float tmpvar_23;
  tmpvar_23 = sign(mix (tmpvar_18.y, mix (tmpvar_18.x, tmpvar_18.z, tmpvar_21), tmpvar_22));
  vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = -(tmpvar_23);
  vec3 tmpvar_25;
  tmpvar_25.xz = vec2(1.0, 1.0);
  tmpvar_25.y = tmpvar_23;
  vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(tmpvar_23);
  vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_18.yxz), mix ((tmpvar_24 * tmpvar_18.xzy), (tmpvar_25 * tmpvar_18.zxy), vec3(tmpvar_21)), vec3(tmpvar_22));
  uv_19.x = (((0.5 * tmpvar_27.y) / abs(tmpvar_27.x)) + 0.5);
  uv_19.y = (((0.5 * tmpvar_27.z) / abs(tmpvar_27.x)) + 0.5);
  vec2 tmpvar_28;
  tmpvar_28 = (uv_19 * _CityOverlayDetailScale);
  vec2 tmpvar_29;
  tmpvar_29 = abs((tmpvar_28 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  vec4 tmpvar_31;
  tmpvar_31 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_28, tmpvar_30.xy, tmpvar_30.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_31.xyz;
  vec3 tmpvar_32;
  tmpvar_32 = normalize(xlv_TEXCOORD5);
  vec2 uv_33;
  vec3 tmpvar_34;
  tmpvar_34 = abs(tmpvar_32);
  float tmpvar_35;
  tmpvar_35 = float((tmpvar_34.z >= tmpvar_34.x));
  float tmpvar_36;
  tmpvar_36 = float((max (tmpvar_34.x, tmpvar_34.z) >= tmpvar_34.y));
  float tmpvar_37;
  tmpvar_37 = sign(mix (tmpvar_32.y, mix (tmpvar_32.x, tmpvar_32.z, tmpvar_35), tmpvar_36));
  vec3 tmpvar_38;
  tmpvar_38.xz = vec2(1.0, 1.0);
  tmpvar_38.y = -(tmpvar_37);
  vec3 tmpvar_39;
  tmpvar_39.xz = vec2(1.0, 1.0);
  tmpvar_39.y = tmpvar_37;
  vec3 tmpvar_40;
  tmpvar_40.xy = vec2(1.0, 1.0);
  tmpvar_40.z = -(tmpvar_37);
  vec3 tmpvar_41;
  tmpvar_41 = mix ((tmpvar_40 * tmpvar_32.yxz), mix ((tmpvar_38 * tmpvar_32.xzy), (tmpvar_39 * tmpvar_32.zxy), vec3(tmpvar_35)), vec3(tmpvar_36));
  uv_33.x = (((0.5 * tmpvar_41.y) / abs(tmpvar_41.x)) + 0.5);
  uv_33.y = (((0.5 * tmpvar_41.z) / abs(tmpvar_41.x)) + 0.5);
  vec2 tmpvar_42;
  tmpvar_42 = (uv_33 * _CityOverlayDetailScale);
  vec2 tmpvar_43;
  tmpvar_43 = abs((tmpvar_42 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_44;
  tmpvar_44.xy = dFdx(tmpvar_43);
  tmpvar_44.zw = dFdy(tmpvar_43);
  vec4 tmpvar_45;
  tmpvar_45 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_42, tmpvar_44.xy, tmpvar_44.zw);
  citylightoverlaydetail_1.xyz = tmpvar_45.xyz;
  cityoverlay_3.w = (tmpvar_17.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_31.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_45.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_45.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_46;
  tmpvar_46 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_47;
  vec3 tmpvar_48;
  tmpvar_48 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_49;
  tmpvar_49 = normalize(xlv_TEXCOORD4);
  float tmpvar_50;
  tmpvar_50 = dot (tmpvar_49, tmpvar_48);
  c_47.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_50) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_48 + normalize(xlv_TEXCOORD7))), tmpvar_49), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_46.x * 4.0));
  c_47.w = (tmpvar_50 * (tmpvar_46.x * 4.0));
  float tmpvar_51;
  tmpvar_51 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_47 * mix (1.0, clamp (floor((1.01 + tmpvar_51)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_51)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_52;
  tmpvar_52 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_52.xyz;
  color_4.w = (tmpvar_52.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_78;
  mediump float lightShadowDataX_79;
  highp float dist_80;
  lowp float tmpvar_81;
  tmpvar_81 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_80 = tmpvar_81;
  highp float tmpvar_82;
  tmpvar_82 = _LightShadowData.x;
  lightShadowDataX_79 = tmpvar_82;
  highp float tmpvar_83;
  tmpvar_83 = max (float((dist_80 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_79);
  tmpvar_78 = tmpvar_83;
  mediump vec3 lightDir_84;
  lightDir_84 = tmpvar_77;
  mediump vec3 viewDir_85;
  viewDir_85 = xlv_TEXCOORD7;
  mediump vec3 normal_86;
  normal_86 = xlv_TEXCOORD4;
  mediump float atten_87;
  atten_87 = tmpvar_78;
  mediump vec4 c_88;
  highp float nh_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(lightDir_84);
  lightDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(viewDir_85);
  viewDir_85 = tmpvar_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(normal_86);
  normal_86 = tmpvar_92;
  mediump float tmpvar_93;
  tmpvar_93 = dot (tmpvar_92, tmpvar_90);
  mediump float tmpvar_94;
  tmpvar_94 = clamp (dot (normalize((tmpvar_90 + tmpvar_91)), tmpvar_92), 0.0, 1.0);
  nh_89 = tmpvar_94;
  highp vec3 tmpvar_95;
  tmpvar_95 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_93) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_89, _SpecularPower) * _SpecularColor.w))) * (atten_87 * 4.0));
  c_88.xyz = tmpvar_95;
  c_88.w = (tmpvar_93 * (atten_87 * 4.0));
  lowp vec3 tmpvar_96;
  tmpvar_96 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_97;
  lightDir_97 = tmpvar_96;
  mediump vec3 normal_98;
  normal_98 = xlv_TEXCOORD4;
  mediump float tmpvar_99;
  tmpvar_99 = dot (normal_98, lightDir_97);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_88 * mix (1.0, clamp (floor((1.01 + tmpvar_99)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_99)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_100;
  tmpvar_100 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_100.xyz;
  highp float tmpvar_101;
  tmpvar_101 = (tmpvar_100.w * _PlanetOpacity);
  color_5.w = tmpvar_101;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_78;
  tmpvar_78 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_79;
  lightDir_79 = tmpvar_77;
  mediump vec3 viewDir_80;
  viewDir_80 = xlv_TEXCOORD7;
  mediump vec3 normal_81;
  normal_81 = xlv_TEXCOORD4;
  mediump float atten_82;
  atten_82 = tmpvar_78;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_79);
  lightDir_79 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_80);
  viewDir_80 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_81);
  normal_81 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * (atten_82 * 4.0));
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * (atten_82 * 4.0));
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_78;
  lowp float tmpvar_79;
  tmpvar_79 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_80;
  tmpvar_80 = (_LightShadowData.x + (tmpvar_79 * (1.0 - _LightShadowData.x)));
  shadow_78 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_77;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = shadow_78;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_78;
  lowp float tmpvar_79;
  tmpvar_79 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_80;
  tmpvar_80 = (_LightShadowData.x + (tmpvar_79 * (1.0 - _LightShadowData.x)));
  shadow_78 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_77;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = shadow_78;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_78;
  lowp float tmpvar_79;
  tmpvar_79 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_80;
  tmpvar_80 = (_LightShadowData.x + (tmpvar_79 * (1.0 - _LightShadowData.x)));
  shadow_78 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_77;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = shadow_78;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump vec4 tmpvar_37;
  tmpvar_37 = mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15));
  cityoverlay_4.xyz = tmpvar_37.xyz;
  mediump vec4 tex_38;
  highp vec3 tmpvar_39;
  tmpvar_39 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_40;
  mediump float s_41;
  mediump float nylerp_42;
  mediump float zxlerp_43;
  highp vec3 tmpvar_44;
  tmpvar_44 = abs(tmpvar_39);
  highp float tmpvar_45;
  tmpvar_45 = float((tmpvar_44.z >= tmpvar_44.x));
  zxlerp_43 = tmpvar_45;
  highp float tmpvar_46;
  tmpvar_46 = float((max (tmpvar_44.x, tmpvar_44.z) >= tmpvar_44.y));
  nylerp_42 = tmpvar_46;
  highp float tmpvar_47;
  tmpvar_47 = mix (tmpvar_39.x, tmpvar_39.z, zxlerp_43);
  s_41 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = sign(mix (tmpvar_39.y, s_41, nylerp_42));
  s_41 = tmpvar_48;
  mediump vec3 tmpvar_49;
  tmpvar_49.xz = vec2(1.0, 1.0);
  tmpvar_49.y = -(s_41);
  mediump vec3 tmpvar_50;
  tmpvar_50.xz = vec2(1.0, 1.0);
  tmpvar_50.y = s_41;
  mediump vec3 tmpvar_51;
  tmpvar_51.xy = vec2(1.0, 1.0);
  tmpvar_51.z = -(s_41);
  highp vec3 tmpvar_52;
  tmpvar_52 = mix ((tmpvar_51 * tmpvar_39.yxz), mix ((tmpvar_49 * tmpvar_39.xzy), (tmpvar_50 * tmpvar_39.zxy), vec3(zxlerp_43)), vec3(nylerp_42));
  uv_40.x = (((0.5 * tmpvar_52.y) / abs(tmpvar_52.x)) + 0.5);
  uv_40.y = (((0.5 * tmpvar_52.z) / abs(tmpvar_52.x)) + 0.5);
  highp vec2 tmpvar_53;
  tmpvar_53 = (uv_40 * _CityOverlayDetailScale);
  highp vec2 tmpvar_54;
  tmpvar_54 = abs((tmpvar_53 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_55;
  tmpvar_55.xy = dFdx(tmpvar_54);
  tmpvar_55.zw = dFdy(tmpvar_54);
  lowp vec4 tmpvar_56;
  tmpvar_56 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_53, tmpvar_55.xy, tmpvar_55.zw);
  tex_38 = tmpvar_56;
  citydarkoverlaydetail_3.xyz = tex_38.xyz;
  mediump vec4 tex_57;
  highp vec3 tmpvar_58;
  tmpvar_58 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_59;
  mediump float s_60;
  mediump float nylerp_61;
  mediump float zxlerp_62;
  highp vec3 tmpvar_63;
  tmpvar_63 = abs(tmpvar_58);
  highp float tmpvar_64;
  tmpvar_64 = float((tmpvar_63.z >= tmpvar_63.x));
  zxlerp_62 = tmpvar_64;
  highp float tmpvar_65;
  tmpvar_65 = float((max (tmpvar_63.x, tmpvar_63.z) >= tmpvar_63.y));
  nylerp_61 = tmpvar_65;
  highp float tmpvar_66;
  tmpvar_66 = mix (tmpvar_58.x, tmpvar_58.z, zxlerp_62);
  s_60 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = sign(mix (tmpvar_58.y, s_60, nylerp_61));
  s_60 = tmpvar_67;
  mediump vec3 tmpvar_68;
  tmpvar_68.xz = vec2(1.0, 1.0);
  tmpvar_68.y = -(s_60);
  mediump vec3 tmpvar_69;
  tmpvar_69.xz = vec2(1.0, 1.0);
  tmpvar_69.y = s_60;
  mediump vec3 tmpvar_70;
  tmpvar_70.xy = vec2(1.0, 1.0);
  tmpvar_70.z = -(s_60);
  highp vec3 tmpvar_71;
  tmpvar_71 = mix ((tmpvar_70 * tmpvar_58.yxz), mix ((tmpvar_68 * tmpvar_58.xzy), (tmpvar_69 * tmpvar_58.zxy), vec3(zxlerp_62)), vec3(nylerp_61));
  uv_59.x = (((0.5 * tmpvar_71.y) / abs(tmpvar_71.x)) + 0.5);
  uv_59.y = (((0.5 * tmpvar_71.z) / abs(tmpvar_71.x)) + 0.5);
  highp vec2 tmpvar_72;
  tmpvar_72 = (uv_59 * _CityOverlayDetailScale);
  highp vec2 tmpvar_73;
  tmpvar_73 = abs((tmpvar_72 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_74;
  tmpvar_74.xy = dFdx(tmpvar_73);
  tmpvar_74.zw = dFdy(tmpvar_73);
  lowp vec4 tmpvar_75;
  tmpvar_75 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_72, tmpvar_74.xy, tmpvar_74.zw);
  tex_57 = tmpvar_75;
  citylightoverlaydetail_2.xyz = tex_57.xyz;
  highp float tmpvar_76;
  tmpvar_76 = (tmpvar_37.w * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_76;
  citydarkoverlaydetail_3.w = (tex_38.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_57.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_57.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_77;
  tmpvar_77 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_78;
  lowp float tmpvar_79;
  tmpvar_79 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_80;
  tmpvar_80 = (_LightShadowData.x + (tmpvar_79 * (1.0 - _LightShadowData.x)));
  shadow_78 = tmpvar_80;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_77;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = shadow_78;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = cityoverlay;
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_79;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD7;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float atten_89;
  atten_89 = tmpvar_80;
  mediump vec4 c_90;
  highp float nh_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(lightDir_86);
  lightDir_86 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(viewDir_87);
  viewDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(normal_88);
  normal_88 = tmpvar_94;
  mediump float tmpvar_95;
  tmpvar_95 = dot (tmpvar_94, tmpvar_92);
  mediump float tmpvar_96;
  tmpvar_96 = clamp (dot (normalize((tmpvar_92 + tmpvar_93)), tmpvar_94), 0.0, 1.0);
  nh_91 = tmpvar_96;
  highp vec3 tmpvar_97;
  tmpvar_97 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_95) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_91, _SpecularPower) * _SpecularColor.w))) * (atten_89 * 4.0));
  c_90.xyz = tmpvar_97;
  c_90.w = (tmpvar_95 * (atten_89 * 4.0));
  lowp vec3 tmpvar_98;
  tmpvar_98 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_99;
  lightDir_99 = tmpvar_98;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float tmpvar_101;
  tmpvar_101 = dot (normal_100, lightDir_99);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_90 * mix (1.0, clamp (floor((1.01 + tmpvar_101)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_101)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_102;
  tmpvar_102 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_102.xyz;
  highp float tmpvar_103;
  tmpvar_103 = (tmpvar_102.w * _PlanetOpacity);
  color_5.w = tmpvar_103;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_79;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_80;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_79;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD7;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float atten_89;
  atten_89 = tmpvar_80;
  mediump vec4 c_90;
  highp float nh_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(lightDir_86);
  lightDir_86 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(viewDir_87);
  viewDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(normal_88);
  normal_88 = tmpvar_94;
  mediump float tmpvar_95;
  tmpvar_95 = dot (tmpvar_94, tmpvar_92);
  mediump float tmpvar_96;
  tmpvar_96 = clamp (dot (normalize((tmpvar_92 + tmpvar_93)), tmpvar_94), 0.0, 1.0);
  nh_91 = tmpvar_96;
  highp vec3 tmpvar_97;
  tmpvar_97 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_95) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_91, _SpecularPower) * _SpecularColor.w))) * (atten_89 * 4.0));
  c_90.xyz = tmpvar_97;
  c_90.w = (tmpvar_95 * (atten_89 * 4.0));
  lowp vec3 tmpvar_98;
  tmpvar_98 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_99;
  lightDir_99 = tmpvar_98;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float tmpvar_101;
  tmpvar_101 = dot (normal_100, lightDir_99);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_90 * mix (1.0, clamp (floor((1.01 + tmpvar_101)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_101)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_102;
  tmpvar_102 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_102.xyz;
  highp float tmpvar_103;
  tmpvar_103 = (tmpvar_102.w * _PlanetOpacity);
  color_5.w = tmpvar_103;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_79;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_80;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_79;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD7;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float atten_89;
  atten_89 = tmpvar_80;
  mediump vec4 c_90;
  highp float nh_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(lightDir_86);
  lightDir_86 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(viewDir_87);
  viewDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(normal_88);
  normal_88 = tmpvar_94;
  mediump float tmpvar_95;
  tmpvar_95 = dot (tmpvar_94, tmpvar_92);
  mediump float tmpvar_96;
  tmpvar_96 = clamp (dot (normalize((tmpvar_92 + tmpvar_93)), tmpvar_94), 0.0, 1.0);
  nh_91 = tmpvar_96;
  highp vec3 tmpvar_97;
  tmpvar_97 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_95) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_91, _SpecularPower) * _SpecularColor.w))) * (atten_89 * 4.0));
  c_90.xyz = tmpvar_97;
  c_90.w = (tmpvar_95 * (atten_89 * 4.0));
  lowp vec3 tmpvar_98;
  tmpvar_98 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_99;
  lightDir_99 = tmpvar_98;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float tmpvar_101;
  tmpvar_101 = dot (normal_100, lightDir_99);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_90 * mix (1.0, clamp (floor((1.01 + tmpvar_101)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_101)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_102;
  tmpvar_102 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_102.xyz;
  highp float tmpvar_103;
  tmpvar_103 = (tmpvar_102.w * _PlanetOpacity);
  color_5.w = tmpvar_103;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_79;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_80;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_79;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD7;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float atten_89;
  atten_89 = tmpvar_80;
  mediump vec4 c_90;
  highp float nh_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(lightDir_86);
  lightDir_86 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(viewDir_87);
  viewDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(normal_88);
  normal_88 = tmpvar_94;
  mediump float tmpvar_95;
  tmpvar_95 = dot (tmpvar_94, tmpvar_92);
  mediump float tmpvar_96;
  tmpvar_96 = clamp (dot (normalize((tmpvar_92 + tmpvar_93)), tmpvar_94), 0.0, 1.0);
  nh_91 = tmpvar_96;
  highp vec3 tmpvar_97;
  tmpvar_97 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_95) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_91, _SpecularPower) * _SpecularColor.w))) * (atten_89 * 4.0));
  c_90.xyz = tmpvar_97;
  c_90.w = (tmpvar_95 * (atten_89 * 4.0));
  lowp vec3 tmpvar_98;
  tmpvar_98 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_99;
  lightDir_99 = tmpvar_98;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float tmpvar_101;
  tmpvar_101 = dot (normal_100, lightDir_99);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_90 * mix (1.0, clamp (floor((1.01 + tmpvar_101)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_101)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_102;
  tmpvar_102 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_102.xyz;
  highp float tmpvar_103;
  tmpvar_103 = (tmpvar_102.w * _PlanetOpacity);
  color_5.w = tmpvar_103;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_79;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_80;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_79;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD7;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float atten_86;
  atten_86 = shadow_80;
  mediump vec4 c_87;
  highp float nh_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(lightDir_83);
  lightDir_83 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(viewDir_84);
  viewDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(normal_85);
  normal_85 = tmpvar_91;
  mediump float tmpvar_92;
  tmpvar_92 = dot (tmpvar_91, tmpvar_89);
  mediump float tmpvar_93;
  tmpvar_93 = clamp (dot (normalize((tmpvar_89 + tmpvar_90)), tmpvar_91), 0.0, 1.0);
  nh_88 = tmpvar_93;
  highp vec3 tmpvar_94;
  tmpvar_94 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_92) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_88, _SpecularPower) * _SpecularColor.w))) * (atten_86 * 4.0));
  c_87.xyz = tmpvar_94;
  c_87.w = (tmpvar_92 * (atten_86 * 4.0));
  lowp vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_95;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float tmpvar_98;
  tmpvar_98 = dot (normal_97, lightDir_96);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_87 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_99;
  tmpvar_99 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_99.xyz;
  highp float tmpvar_100;
  tmpvar_100 = (tmpvar_99.w * _PlanetOpacity);
  color_5.w = tmpvar_100;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_79;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD7;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float atten_86;
  atten_86 = shadow_80;
  mediump vec4 c_87;
  highp float nh_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(lightDir_83);
  lightDir_83 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(viewDir_84);
  viewDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(normal_85);
  normal_85 = tmpvar_91;
  mediump float tmpvar_92;
  tmpvar_92 = dot (tmpvar_91, tmpvar_89);
  mediump float tmpvar_93;
  tmpvar_93 = clamp (dot (normalize((tmpvar_89 + tmpvar_90)), tmpvar_91), 0.0, 1.0);
  nh_88 = tmpvar_93;
  highp vec3 tmpvar_94;
  tmpvar_94 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_92) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_88, _SpecularPower) * _SpecularColor.w))) * (atten_86 * 4.0));
  c_87.xyz = tmpvar_94;
  c_87.w = (tmpvar_92 * (atten_86 * 4.0));
  lowp vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_95;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float tmpvar_98;
  tmpvar_98 = dot (normal_97, lightDir_96);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_87 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_99;
  tmpvar_99 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_99.xyz;
  highp float tmpvar_100;
  tmpvar_100 = (tmpvar_99.w * _PlanetOpacity);
  color_5.w = tmpvar_100;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_79;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD7;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float atten_86;
  atten_86 = shadow_80;
  mediump vec4 c_87;
  highp float nh_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(lightDir_83);
  lightDir_83 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(viewDir_84);
  viewDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(normal_85);
  normal_85 = tmpvar_91;
  mediump float tmpvar_92;
  tmpvar_92 = dot (tmpvar_91, tmpvar_89);
  mediump float tmpvar_93;
  tmpvar_93 = clamp (dot (normalize((tmpvar_89 + tmpvar_90)), tmpvar_91), 0.0, 1.0);
  nh_88 = tmpvar_93;
  highp vec3 tmpvar_94;
  tmpvar_94 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_92) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_88, _SpecularPower) * _SpecularColor.w))) * (atten_86 * 4.0));
  c_87.xyz = tmpvar_94;
  c_87.w = (tmpvar_92 * (atten_86 * 4.0));
  lowp vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_95;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float tmpvar_98;
  tmpvar_98 = dot (normal_97, lightDir_96);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_87 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_99;
  tmpvar_99 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_99.xyz;
  highp float tmpvar_100;
  tmpvar_100 = (tmpvar_99.w * _PlanetOpacity);
  color_5.w = tmpvar_100;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(1.0, 0.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_79;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD7;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float atten_86;
  atten_86 = shadow_80;
  mediump vec4 c_87;
  highp float nh_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(lightDir_83);
  lightDir_83 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(viewDir_84);
  viewDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(normal_85);
  normal_85 = tmpvar_91;
  mediump float tmpvar_92;
  tmpvar_92 = dot (tmpvar_91, tmpvar_89);
  mediump float tmpvar_93;
  tmpvar_93 = clamp (dot (normalize((tmpvar_89 + tmpvar_90)), tmpvar_91), 0.0, 1.0);
  nh_88 = tmpvar_93;
  highp vec3 tmpvar_94;
  tmpvar_94 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_92) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_88, _SpecularPower) * _SpecularColor.w))) * (atten_86 * 4.0));
  c_87.xyz = tmpvar_94;
  c_87.w = (tmpvar_92 * (atten_86 * 4.0));
  lowp vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_95;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float tmpvar_98;
  tmpvar_98 = dot (normal_97, lightDir_96);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_87 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_99;
  tmpvar_99 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_99.xyz;
  highp float tmpvar_100;
  tmpvar_100 = (tmpvar_99.w * _PlanetOpacity);
  color_5.w = tmpvar_100;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 1.0, 0.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_79;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD7;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float atten_89;
  atten_89 = tmpvar_80;
  mediump vec4 c_90;
  highp float nh_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(lightDir_86);
  lightDir_86 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(viewDir_87);
  viewDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(normal_88);
  normal_88 = tmpvar_94;
  mediump float tmpvar_95;
  tmpvar_95 = dot (tmpvar_94, tmpvar_92);
  mediump float tmpvar_96;
  tmpvar_96 = clamp (dot (normalize((tmpvar_92 + tmpvar_93)), tmpvar_94), 0.0, 1.0);
  nh_91 = tmpvar_96;
  highp vec3 tmpvar_97;
  tmpvar_97 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_95) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_91, _SpecularPower) * _SpecularColor.w))) * (atten_89 * 4.0));
  c_90.xyz = tmpvar_97;
  c_90.w = (tmpvar_95 * (atten_89 * 4.0));
  lowp vec3 tmpvar_98;
  tmpvar_98 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_99;
  lightDir_99 = tmpvar_98;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float tmpvar_101;
  tmpvar_101 = dot (normal_100, lightDir_99);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_90 * mix (1.0, clamp (floor((1.01 + tmpvar_101)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_101)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_102;
  tmpvar_102 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_102.xyz;
  highp float tmpvar_103;
  tmpvar_103 = (tmpvar_102.w * _PlanetOpacity);
  color_5.w = tmpvar_103;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_79;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_80;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_79;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD7;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float atten_89;
  atten_89 = tmpvar_80;
  mediump vec4 c_90;
  highp float nh_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(lightDir_86);
  lightDir_86 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(viewDir_87);
  viewDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(normal_88);
  normal_88 = tmpvar_94;
  mediump float tmpvar_95;
  tmpvar_95 = dot (tmpvar_94, tmpvar_92);
  mediump float tmpvar_96;
  tmpvar_96 = clamp (dot (normalize((tmpvar_92 + tmpvar_93)), tmpvar_94), 0.0, 1.0);
  nh_91 = tmpvar_96;
  highp vec3 tmpvar_97;
  tmpvar_97 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_95) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_91, _SpecularPower) * _SpecularColor.w))) * (atten_89 * 4.0));
  c_90.xyz = tmpvar_97;
  c_90.w = (tmpvar_95 * (atten_89 * 4.0));
  lowp vec3 tmpvar_98;
  tmpvar_98 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_99;
  lightDir_99 = tmpvar_98;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float tmpvar_101;
  tmpvar_101 = dot (normal_100, lightDir_99);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_90 * mix (1.0, clamp (floor((1.01 + tmpvar_101)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_101)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_102;
  tmpvar_102 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_102.xyz;
  highp float tmpvar_103;
  tmpvar_103 = (tmpvar_102.w * _PlanetOpacity);
  color_5.w = tmpvar_103;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_79;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_80;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_79;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD7;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float atten_89;
  atten_89 = tmpvar_80;
  mediump vec4 c_90;
  highp float nh_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(lightDir_86);
  lightDir_86 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(viewDir_87);
  viewDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(normal_88);
  normal_88 = tmpvar_94;
  mediump float tmpvar_95;
  tmpvar_95 = dot (tmpvar_94, tmpvar_92);
  mediump float tmpvar_96;
  tmpvar_96 = clamp (dot (normalize((tmpvar_92 + tmpvar_93)), tmpvar_94), 0.0, 1.0);
  nh_91 = tmpvar_96;
  highp vec3 tmpvar_97;
  tmpvar_97 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_95) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_91, _SpecularPower) * _SpecularColor.w))) * (atten_89 * 4.0));
  c_90.xyz = tmpvar_97;
  c_90.w = (tmpvar_95 * (atten_89 * 4.0));
  lowp vec3 tmpvar_98;
  tmpvar_98 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_99;
  lightDir_99 = tmpvar_98;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float tmpvar_101;
  tmpvar_101 = dot (normal_100, lightDir_99);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_90 * mix (1.0, clamp (floor((1.01 + tmpvar_101)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_101)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_102;
  tmpvar_102 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_102.xyz;
  highp float tmpvar_103;
  tmpvar_103 = (tmpvar_102.w * _PlanetOpacity);
  color_5.w = tmpvar_103;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_79;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_80;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_79;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD7;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float atten_89;
  atten_89 = tmpvar_80;
  mediump vec4 c_90;
  highp float nh_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(lightDir_86);
  lightDir_86 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(viewDir_87);
  viewDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(normal_88);
  normal_88 = tmpvar_94;
  mediump float tmpvar_95;
  tmpvar_95 = dot (tmpvar_94, tmpvar_92);
  mediump float tmpvar_96;
  tmpvar_96 = clamp (dot (normalize((tmpvar_92 + tmpvar_93)), tmpvar_94), 0.0, 1.0);
  nh_91 = tmpvar_96;
  highp vec3 tmpvar_97;
  tmpvar_97 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_95) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_91, _SpecularPower) * _SpecularColor.w))) * (atten_89 * 4.0));
  c_90.xyz = tmpvar_97;
  c_90.w = (tmpvar_95 * (atten_89 * 4.0));
  lowp vec3 tmpvar_98;
  tmpvar_98 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_99;
  lightDir_99 = tmpvar_98;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float tmpvar_101;
  tmpvar_101 = dot (normal_100, lightDir_99);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_90 * mix (1.0, clamp (floor((1.01 + tmpvar_101)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_101)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_102;
  tmpvar_102 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_102.xyz;
  highp float tmpvar_103;
  tmpvar_103 = (tmpvar_102.w * _PlanetOpacity);
  color_5.w = tmpvar_103;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_79;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_80;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_79;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD7;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float atten_86;
  atten_86 = shadow_80;
  mediump vec4 c_87;
  highp float nh_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(lightDir_83);
  lightDir_83 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(viewDir_84);
  viewDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(normal_85);
  normal_85 = tmpvar_91;
  mediump float tmpvar_92;
  tmpvar_92 = dot (tmpvar_91, tmpvar_89);
  mediump float tmpvar_93;
  tmpvar_93 = clamp (dot (normalize((tmpvar_89 + tmpvar_90)), tmpvar_91), 0.0, 1.0);
  nh_88 = tmpvar_93;
  highp vec3 tmpvar_94;
  tmpvar_94 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_92) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_88, _SpecularPower) * _SpecularColor.w))) * (atten_86 * 4.0));
  c_87.xyz = tmpvar_94;
  c_87.w = (tmpvar_92 * (atten_86 * 4.0));
  lowp vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_95;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float tmpvar_98;
  tmpvar_98 = dot (normal_97, lightDir_96);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_87 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_99;
  tmpvar_99 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_99.xyz;
  highp float tmpvar_100;
  tmpvar_100 = (tmpvar_99.w * _PlanetOpacity);
  color_5.w = tmpvar_100;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_79;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD7;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float atten_86;
  atten_86 = shadow_80;
  mediump vec4 c_87;
  highp float nh_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(lightDir_83);
  lightDir_83 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(viewDir_84);
  viewDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(normal_85);
  normal_85 = tmpvar_91;
  mediump float tmpvar_92;
  tmpvar_92 = dot (tmpvar_91, tmpvar_89);
  mediump float tmpvar_93;
  tmpvar_93 = clamp (dot (normalize((tmpvar_89 + tmpvar_90)), tmpvar_91), 0.0, 1.0);
  nh_88 = tmpvar_93;
  highp vec3 tmpvar_94;
  tmpvar_94 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_92) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_88, _SpecularPower) * _SpecularColor.w))) * (atten_86 * 4.0));
  c_87.xyz = tmpvar_94;
  c_87.w = (tmpvar_92 * (atten_86 * 4.0));
  lowp vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_95;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float tmpvar_98;
  tmpvar_98 = dot (normal_97, lightDir_96);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_87 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_99;
  tmpvar_99 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_99.xyz;
  highp float tmpvar_100;
  tmpvar_100 = (tmpvar_99.w * _PlanetOpacity);
  color_5.w = tmpvar_100;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_79;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD7;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float atten_86;
  atten_86 = shadow_80;
  mediump vec4 c_87;
  highp float nh_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(lightDir_83);
  lightDir_83 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(viewDir_84);
  viewDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(normal_85);
  normal_85 = tmpvar_91;
  mediump float tmpvar_92;
  tmpvar_92 = dot (tmpvar_91, tmpvar_89);
  mediump float tmpvar_93;
  tmpvar_93 = clamp (dot (normalize((tmpvar_89 + tmpvar_90)), tmpvar_91), 0.0, 1.0);
  nh_88 = tmpvar_93;
  highp vec3 tmpvar_94;
  tmpvar_94 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_92) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_88, _SpecularPower) * _SpecularColor.w))) * (atten_86 * 4.0));
  c_87.xyz = tmpvar_94;
  c_87.w = (tmpvar_92 * (atten_86 * 4.0));
  lowp vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_95;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float tmpvar_98;
  tmpvar_98 = dot (normal_97, lightDir_96);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_87 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_99;
  tmpvar_99 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_99.xyz;
  highp float tmpvar_100;
  tmpvar_100 = (tmpvar_99.w * _PlanetOpacity);
  color_5.w = tmpvar_100;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 1.0, 0.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_79;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD7;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float atten_86;
  atten_86 = shadow_80;
  mediump vec4 c_87;
  highp float nh_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(lightDir_83);
  lightDir_83 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(viewDir_84);
  viewDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(normal_85);
  normal_85 = tmpvar_91;
  mediump float tmpvar_92;
  tmpvar_92 = dot (tmpvar_91, tmpvar_89);
  mediump float tmpvar_93;
  tmpvar_93 = clamp (dot (normalize((tmpvar_89 + tmpvar_90)), tmpvar_91), 0.0, 1.0);
  nh_88 = tmpvar_93;
  highp vec3 tmpvar_94;
  tmpvar_94 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_92) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_88, _SpecularPower) * _SpecularColor.w))) * (atten_86 * 4.0));
  c_87.xyz = tmpvar_94;
  c_87.w = (tmpvar_92 * (atten_86 * 4.0));
  lowp vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_95;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float tmpvar_98;
  tmpvar_98 = dot (normal_97, lightDir_96);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_87 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_99;
  tmpvar_99 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_99.xyz;
  highp float tmpvar_100;
  tmpvar_100 = (tmpvar_99.w * _PlanetOpacity);
  color_5.w = tmpvar_100;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 1.0, 0.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedaopcdaaphddnfkhbfemppofpbjdaacjaabaaaaaaeeagaaaaadaaaaaa
cmaaaaaapeaaaaaameabaaaaejfdeheomaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaakbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaakhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapadaaaakoaaaaaa
abaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapabaaaalhaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfceneb
emaafeeffiedepepfceeaafeebeoehefeofeaaklepfdeheomiaaaaaaahaaaaaa
aiaaaaaalaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaalmaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaalmaaaaaaabaaaaaaaaaaaaaa
adaaaaaaacaaaaaaapaaaaaalmaaaaaaaeaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaalmaaaaaaagaaaaaaaaaaaaaaadaaaaaaadaaaaaaaiahaaaalmaaaaaa
afaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaalmaaaaaaahaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefchiaeaaaaeaaaabaaboabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
abaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafpaaaaadpcbabaaaaaaaaaaa
fpaaaaadpcbabaaaabaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaaddcbabaaa
adaaaaaafpaaaaadbcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadpccabaaaabaaaaaagfaaaaadpccabaaaacaaaaaagfaaaaadhccabaaa
adaaaaaagfaaaaadiccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaad
hccabaaaafaaaaaagiaaaaacacaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaadaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
adaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaadaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpccabaaaaaaaaaaaegiocaaaadaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadgaaaaafpccabaaaabaaaaaaegbobaaaabaaaaaadiaaaaai
hcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaak
hcaabaaaaaaaaaaaegiccaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaa
aaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaa
aaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaadaaaaaa
apaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaaaaaaaaajhcaabaaaabaaaaaa
egacbaaaaaaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaaaaaaaaajhcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaelaaaaaficcabaaa
acaaaaaadkaabaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhccabaaaafaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaadgaaaaaf
hccabaaaacaaaaaaegbcbaaaacaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhccabaaaadaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaaj
bcaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
eeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaa
agaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaadgaaaaafdcaabaaaabaaaaaa
egbabaaaadaaaaaadgaaaaafecaabaaaabaaaaaaakbabaaaaeaaaaaabaaaaaai
bcaabaaaaaaaaaaaegacbaiaebaaaaaaabaaaaaaegacbaaaaaaaaaaadgaaaaag
hccabaaaaeaaaaaaegacbaiaebaaaaaaabaaaaaaaaaaaaahccaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaaaaacambebcaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaa
aaaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaaj
iccabaaaadaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadp
doaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0
eefiecedaopcdaaphddnfkhbfemppofpbjdaacjaabaaaaaaeeagaaaaadaaaaaa
cmaaaaaapeaaaaaameabaaaaejfdeheomaaaaaaaagaaaaaaaiaaaaaajiaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapapaaaakbaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapapaaaakhaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
ahahaaaakoaaaaaaaaaaaaaaaaaaaaaaadaaaaaaadaaaaaaapadaaaakoaaaaaa
abaaaaaaaaaaaaaaadaaaaaaaeaaaaaaapabaaaalhaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaaaaaafaepfdejfeejepeoaaedepemepfcaaeoepfceneb
emaafeeffiedepepfceeaafeebeoehefeofeaaklepfdeheomiaaaaaaahaaaaaa
aiaaaaaalaaaaaaaaaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaalmaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaabaaaaaaapaaaaaalmaaaaaaabaaaaaaaaaaaaaa
adaaaaaaacaaaaaaapaaaaaalmaaaaaaaeaaaaaaaaaaaaaaadaaaaaaadaaaaaa
ahaiaaaalmaaaaaaagaaaaaaaaaaaaaaadaaaaaaadaaaaaaaiahaaaalmaaaaaa
afaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahaiaaaalmaaaaaaahaaaaaaaaaaaaaa
adaaaaaaafaaaaaaahaiaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfcee
aaklklklfdeieefchiaeaaaaeaaaabaaboabaaaafjaaaaaeegiocaaaaaaaaaaa
baaaaaaafjaaaaaeegiocaaaabaaaaaaafaaaaaafjaaaaaeegiocaaaacaaaaaa
abaaaaaafjaaaaaeegiocaaaadaaaaaabaaaaaaafpaaaaadpcbabaaaaaaaaaaa
fpaaaaadpcbabaaaabaaaaaafpaaaaadhcbabaaaacaaaaaafpaaaaaddcbabaaa
adaaaaaafpaaaaadbcbabaaaaeaaaaaaghaaaaaepccabaaaaaaaaaaaabaaaaaa
gfaaaaadpccabaaaabaaaaaagfaaaaadpccabaaaacaaaaaagfaaaaadhccabaaa
adaaaaaagfaaaaadiccabaaaadaaaaaagfaaaaadhccabaaaaeaaaaaagfaaaaad
hccabaaaafaaaaaagiaaaaacacaaaaaadiaaaaaipcaabaaaaaaaaaaafgbfbaaa
aaaaaaaaegiocaaaadaaaaaaabaaaaaadcaaaaakpcaabaaaaaaaaaaaegiocaaa
adaaaaaaaaaaaaaaagbabaaaaaaaaaaaegaobaaaaaaaaaaadcaaaaakpcaabaaa
aaaaaaaaegiocaaaadaaaaaaacaaaaaakgbkbaaaaaaaaaaaegaobaaaaaaaaaaa
dcaaaaakpccabaaaaaaaaaaaegiocaaaadaaaaaaadaaaaaapgbpbaaaaaaaaaaa
egaobaaaaaaaaaaadgaaaaafpccabaaaabaaaaaaegbobaaaabaaaaaadiaaaaai
hcaabaaaaaaaaaaafgbfbaaaaaaaaaaaegiccaaaadaaaaaaanaaaaaadcaaaaak
hcaabaaaaaaaaaaaegiccaaaadaaaaaaamaaaaaaagbabaaaaaaaaaaaegacbaaa
aaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaadaaaaaaaoaaaaaakgbkbaaa
aaaaaaaaegacbaaaaaaaaaaadcaaaaakhcaabaaaaaaaaaaaegiccaaaadaaaaaa
apaaaaaapgbpbaaaaaaaaaaaegacbaaaaaaaaaaaaaaaaaajhcaabaaaabaaaaaa
egacbaaaaaaaaaaaegiccaiaebaaaaaaabaaaaaaaeaaaaaaaaaaaaajhcaabaaa
aaaaaaaaegacbaaaaaaaaaaaegiccaiaebaaaaaaaaaaaaaaapaaaaaabaaaaaah
icaabaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaabaaaaaaelaaaaaficcabaaa
acaaaaaadkaabaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhccabaaaafaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaadgaaaaaf
hccabaaaacaaaaaaegbcbaaaacaaaaaabaaaaaahicaabaaaaaaaaaaaegacbaaa
aaaaaaaaegacbaaaaaaaaaaaeeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaa
diaaaaahhccabaaaadaaaaaapgapbaaaaaaaaaaaegacbaaaaaaaaaaabaaaaaaj
bcaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaa
eeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaa
agaabaaaaaaaaaaaegiccaaaacaaaaaaaaaaaaaadgaaaaafdcaabaaaabaaaaaa
egbabaaaadaaaaaadgaaaaafecaabaaaabaaaaaaakbabaaaaeaaaaaabaaaaaai
bcaabaaaaaaaaaaaegacbaiaebaaaaaaabaaaaaaegacbaaaaaaaaaaadgaaaaag
hccabaaaaeaaaaaaegacbaiaebaaaaaaabaaaaaaaaaaaaahccaabaaaaaaaaaaa
akaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahbcaabaaaaaaaaaaaakaabaaa
aaaaaaaaabeaaaaaaaaacambebcaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaa
aaaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaaj
iccabaaaadaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadp
doaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_79;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD7;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float atten_89;
  atten_89 = tmpvar_80;
  mediump vec4 c_90;
  highp float nh_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(lightDir_86);
  lightDir_86 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(viewDir_87);
  viewDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(normal_88);
  normal_88 = tmpvar_94;
  mediump float tmpvar_95;
  tmpvar_95 = dot (tmpvar_94, tmpvar_92);
  mediump float tmpvar_96;
  tmpvar_96 = clamp (dot (normalize((tmpvar_92 + tmpvar_93)), tmpvar_94), 0.0, 1.0);
  nh_91 = tmpvar_96;
  highp vec3 tmpvar_97;
  tmpvar_97 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_95) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_91, _SpecularPower) * _SpecularColor.w))) * (atten_89 * 4.0));
  c_90.xyz = tmpvar_97;
  c_90.w = (tmpvar_95 * (atten_89 * 4.0));
  lowp vec3 tmpvar_98;
  tmpvar_98 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_99;
  lightDir_99 = tmpvar_98;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float tmpvar_101;
  tmpvar_101 = dot (normal_100, lightDir_99);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_90 * mix (1.0, clamp (floor((1.01 + tmpvar_101)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_101)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_102;
  tmpvar_102 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_102.xyz;
  highp float tmpvar_103;
  tmpvar_103 = (tmpvar_102.w * _PlanetOpacity);
  color_5.w = tmpvar_103;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_79;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_80;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_79;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD7;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float atten_89;
  atten_89 = tmpvar_80;
  mediump vec4 c_90;
  highp float nh_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(lightDir_86);
  lightDir_86 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(viewDir_87);
  viewDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(normal_88);
  normal_88 = tmpvar_94;
  mediump float tmpvar_95;
  tmpvar_95 = dot (tmpvar_94, tmpvar_92);
  mediump float tmpvar_96;
  tmpvar_96 = clamp (dot (normalize((tmpvar_92 + tmpvar_93)), tmpvar_94), 0.0, 1.0);
  nh_91 = tmpvar_96;
  highp vec3 tmpvar_97;
  tmpvar_97 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_95) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_91, _SpecularPower) * _SpecularColor.w))) * (atten_89 * 4.0));
  c_90.xyz = tmpvar_97;
  c_90.w = (tmpvar_95 * (atten_89 * 4.0));
  lowp vec3 tmpvar_98;
  tmpvar_98 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_99;
  lightDir_99 = tmpvar_98;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float tmpvar_101;
  tmpvar_101 = dot (normal_100, lightDir_99);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_90 * mix (1.0, clamp (floor((1.01 + tmpvar_101)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_101)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_102;
  tmpvar_102 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_102.xyz;
  highp float tmpvar_103;
  tmpvar_103 = (tmpvar_102.w * _PlanetOpacity);
  color_5.w = tmpvar_103;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_79;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_80;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_79;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD7;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float atten_89;
  atten_89 = tmpvar_80;
  mediump vec4 c_90;
  highp float nh_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(lightDir_86);
  lightDir_86 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(viewDir_87);
  viewDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(normal_88);
  normal_88 = tmpvar_94;
  mediump float tmpvar_95;
  tmpvar_95 = dot (tmpvar_94, tmpvar_92);
  mediump float tmpvar_96;
  tmpvar_96 = clamp (dot (normalize((tmpvar_92 + tmpvar_93)), tmpvar_94), 0.0, 1.0);
  nh_91 = tmpvar_96;
  highp vec3 tmpvar_97;
  tmpvar_97 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_95) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_91, _SpecularPower) * _SpecularColor.w))) * (atten_89 * 4.0));
  c_90.xyz = tmpvar_97;
  c_90.w = (tmpvar_95 * (atten_89 * 4.0));
  lowp vec3 tmpvar_98;
  tmpvar_98 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_99;
  lightDir_99 = tmpvar_98;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float tmpvar_101;
  tmpvar_101 = dot (normal_100, lightDir_99);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_90 * mix (1.0, clamp (floor((1.01 + tmpvar_101)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_101)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_102;
  tmpvar_102 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_102.xyz;
  highp float tmpvar_103;
  tmpvar_103 = (tmpvar_102.w * _PlanetOpacity);
  color_5.w = tmpvar_103;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_79;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_80;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_79;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD7;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float atten_89;
  atten_89 = tmpvar_80;
  mediump vec4 c_90;
  highp float nh_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(lightDir_86);
  lightDir_86 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(viewDir_87);
  viewDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(normal_88);
  normal_88 = tmpvar_94;
  mediump float tmpvar_95;
  tmpvar_95 = dot (tmpvar_94, tmpvar_92);
  mediump float tmpvar_96;
  tmpvar_96 = clamp (dot (normalize((tmpvar_92 + tmpvar_93)), tmpvar_94), 0.0, 1.0);
  nh_91 = tmpvar_96;
  highp vec3 tmpvar_97;
  tmpvar_97 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_95) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_91, _SpecularPower) * _SpecularColor.w))) * (atten_89 * 4.0));
  c_90.xyz = tmpvar_97;
  c_90.w = (tmpvar_95 * (atten_89 * 4.0));
  lowp vec3 tmpvar_98;
  tmpvar_98 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_99;
  lightDir_99 = tmpvar_98;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float tmpvar_101;
  tmpvar_101 = dot (normal_100, lightDir_99);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_90 * mix (1.0, clamp (floor((1.01 + tmpvar_101)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_101)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_102;
  tmpvar_102 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_102.xyz;
  highp float tmpvar_103;
  tmpvar_103 = (tmpvar_102.w * _PlanetOpacity);
  color_5.w = tmpvar_103;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_79;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_80;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_79;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD7;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float atten_86;
  atten_86 = shadow_80;
  mediump vec4 c_87;
  highp float nh_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(lightDir_83);
  lightDir_83 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(viewDir_84);
  viewDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(normal_85);
  normal_85 = tmpvar_91;
  mediump float tmpvar_92;
  tmpvar_92 = dot (tmpvar_91, tmpvar_89);
  mediump float tmpvar_93;
  tmpvar_93 = clamp (dot (normalize((tmpvar_89 + tmpvar_90)), tmpvar_91), 0.0, 1.0);
  nh_88 = tmpvar_93;
  highp vec3 tmpvar_94;
  tmpvar_94 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_92) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_88, _SpecularPower) * _SpecularColor.w))) * (atten_86 * 4.0));
  c_87.xyz = tmpvar_94;
  c_87.w = (tmpvar_92 * (atten_86 * 4.0));
  lowp vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_95;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float tmpvar_98;
  tmpvar_98 = dot (normal_97, lightDir_96);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_87 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_99;
  tmpvar_99 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_99.xyz;
  highp float tmpvar_100;
  tmpvar_100 = (tmpvar_99.w * _PlanetOpacity);
  color_5.w = tmpvar_100;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_79;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD7;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float atten_86;
  atten_86 = shadow_80;
  mediump vec4 c_87;
  highp float nh_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(lightDir_83);
  lightDir_83 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(viewDir_84);
  viewDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(normal_85);
  normal_85 = tmpvar_91;
  mediump float tmpvar_92;
  tmpvar_92 = dot (tmpvar_91, tmpvar_89);
  mediump float tmpvar_93;
  tmpvar_93 = clamp (dot (normalize((tmpvar_89 + tmpvar_90)), tmpvar_91), 0.0, 1.0);
  nh_88 = tmpvar_93;
  highp vec3 tmpvar_94;
  tmpvar_94 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_92) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_88, _SpecularPower) * _SpecularColor.w))) * (atten_86 * 4.0));
  c_87.xyz = tmpvar_94;
  c_87.w = (tmpvar_92 * (atten_86 * 4.0));
  lowp vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_95;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float tmpvar_98;
  tmpvar_98 = dot (normal_97, lightDir_96);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_87 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_99;
  tmpvar_99 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_99.xyz;
  highp float tmpvar_100;
  tmpvar_100 = (tmpvar_99.w * _PlanetOpacity);
  color_5.w = tmpvar_100;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_79;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD7;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float atten_86;
  atten_86 = shadow_80;
  mediump vec4 c_87;
  highp float nh_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(lightDir_83);
  lightDir_83 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(viewDir_84);
  viewDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(normal_85);
  normal_85 = tmpvar_91;
  mediump float tmpvar_92;
  tmpvar_92 = dot (tmpvar_91, tmpvar_89);
  mediump float tmpvar_93;
  tmpvar_93 = clamp (dot (normalize((tmpvar_89 + tmpvar_90)), tmpvar_91), 0.0, 1.0);
  nh_88 = tmpvar_93;
  highp vec3 tmpvar_94;
  tmpvar_94 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_92) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_88, _SpecularPower) * _SpecularColor.w))) * (atten_86 * 4.0));
  c_87.xyz = tmpvar_94;
  c_87.w = (tmpvar_92 * (atten_86 * 4.0));
  lowp vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_95;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float tmpvar_98;
  tmpvar_98 = dot (normal_97, lightDir_96);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_87 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_99;
  tmpvar_99 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_99.xyz;
  highp float tmpvar_100;
  tmpvar_100 = (tmpvar_99.w * _PlanetOpacity);
  color_5.w = tmpvar_100;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 1.0, 0.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_79;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD7;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float atten_86;
  atten_86 = shadow_80;
  mediump vec4 c_87;
  highp float nh_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(lightDir_83);
  lightDir_83 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(viewDir_84);
  viewDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(normal_85);
  normal_85 = tmpvar_91;
  mediump float tmpvar_92;
  tmpvar_92 = dot (tmpvar_91, tmpvar_89);
  mediump float tmpvar_93;
  tmpvar_93 = clamp (dot (normalize((tmpvar_89 + tmpvar_90)), tmpvar_91), 0.0, 1.0);
  nh_88 = tmpvar_93;
  highp vec3 tmpvar_94;
  tmpvar_94 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_92) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_88, _SpecularPower) * _SpecularColor.w))) * (atten_86 * 4.0));
  c_87.xyz = tmpvar_94;
  c_87.w = (tmpvar_92 * (atten_86 * 4.0));
  lowp vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_95;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float tmpvar_98;
  tmpvar_98 = dot (normal_97, lightDir_96);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_87 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_99;
  tmpvar_99 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_99.xyz;
  highp float tmpvar_100;
  tmpvar_100 = (tmpvar_99.w * _PlanetOpacity);
  color_5.w = tmpvar_100;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 1.0, 0.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_79;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD7;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float atten_89;
  atten_89 = tmpvar_80;
  mediump vec4 c_90;
  highp float nh_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(lightDir_86);
  lightDir_86 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(viewDir_87);
  viewDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(normal_88);
  normal_88 = tmpvar_94;
  mediump float tmpvar_95;
  tmpvar_95 = dot (tmpvar_94, tmpvar_92);
  mediump float tmpvar_96;
  tmpvar_96 = clamp (dot (normalize((tmpvar_92 + tmpvar_93)), tmpvar_94), 0.0, 1.0);
  nh_91 = tmpvar_96;
  highp vec3 tmpvar_97;
  tmpvar_97 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_95) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_91, _SpecularPower) * _SpecularColor.w))) * (atten_89 * 4.0));
  c_90.xyz = tmpvar_97;
  c_90.w = (tmpvar_95 * (atten_89 * 4.0));
  lowp vec3 tmpvar_98;
  tmpvar_98 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_99;
  lightDir_99 = tmpvar_98;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float tmpvar_101;
  tmpvar_101 = dot (normal_100, lightDir_99);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_90 * mix (1.0, clamp (floor((1.01 + tmpvar_101)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_101)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_102;
  tmpvar_102 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_102.xyz;
  highp float tmpvar_103;
  tmpvar_103 = (tmpvar_102.w * _PlanetOpacity);
  color_5.w = tmpvar_103;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_79;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_80;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_79;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD7;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float atten_89;
  atten_89 = tmpvar_80;
  mediump vec4 c_90;
  highp float nh_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(lightDir_86);
  lightDir_86 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(viewDir_87);
  viewDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(normal_88);
  normal_88 = tmpvar_94;
  mediump float tmpvar_95;
  tmpvar_95 = dot (tmpvar_94, tmpvar_92);
  mediump float tmpvar_96;
  tmpvar_96 = clamp (dot (normalize((tmpvar_92 + tmpvar_93)), tmpvar_94), 0.0, 1.0);
  nh_91 = tmpvar_96;
  highp vec3 tmpvar_97;
  tmpvar_97 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_95) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_91, _SpecularPower) * _SpecularColor.w))) * (atten_89 * 4.0));
  c_90.xyz = tmpvar_97;
  c_90.w = (tmpvar_95 * (atten_89 * 4.0));
  lowp vec3 tmpvar_98;
  tmpvar_98 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_99;
  lightDir_99 = tmpvar_98;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float tmpvar_101;
  tmpvar_101 = dot (normal_100, lightDir_99);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_90 * mix (1.0, clamp (floor((1.01 + tmpvar_101)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_101)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_102;
  tmpvar_102 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_102.xyz;
  highp float tmpvar_103;
  tmpvar_103 = (tmpvar_102.w * _PlanetOpacity);
  color_5.w = tmpvar_103;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_79;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_80;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_79;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD7;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float atten_89;
  atten_89 = tmpvar_80;
  mediump vec4 c_90;
  highp float nh_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(lightDir_86);
  lightDir_86 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(viewDir_87);
  viewDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(normal_88);
  normal_88 = tmpvar_94;
  mediump float tmpvar_95;
  tmpvar_95 = dot (tmpvar_94, tmpvar_92);
  mediump float tmpvar_96;
  tmpvar_96 = clamp (dot (normalize((tmpvar_92 + tmpvar_93)), tmpvar_94), 0.0, 1.0);
  nh_91 = tmpvar_96;
  highp vec3 tmpvar_97;
  tmpvar_97 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_95) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_91, _SpecularPower) * _SpecularColor.w))) * (atten_89 * 4.0));
  c_90.xyz = tmpvar_97;
  c_90.w = (tmpvar_95 * (atten_89 * 4.0));
  lowp vec3 tmpvar_98;
  tmpvar_98 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_99;
  lightDir_99 = tmpvar_98;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float tmpvar_101;
  tmpvar_101 = dot (normal_100, lightDir_99);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_90 * mix (1.0, clamp (floor((1.01 + tmpvar_101)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_101)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_102;
  tmpvar_102 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_102.xyz;
  highp float tmpvar_103;
  tmpvar_103 = (tmpvar_102.w * _PlanetOpacity);
  color_5.w = tmpvar_103;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_79;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_80;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec3 tmpvar_2;
  tmpvar_2 = (_Object2World * gl_Vertex).xyz;
  vec3 p_3;
  p_3 = (tmpvar_2 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_3, p_3));
  vec4 tmpvar_4;
  tmpvar_4.x = gl_MultiTexCoord0.x;
  tmpvar_4.y = gl_MultiTexCoord0.y;
  tmpvar_4.z = gl_MultiTexCoord1.x;
  tmpvar_4.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_5;
  tmpvar_5 = -(tmpvar_4.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_6;
  tmpvar_6 = dot (tmpvar_5, normalize(_WorldSpaceLightPos0.xyz));
  gl_Position = (gl_ModelViewProjectionMatrix * gl_Vertex);
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD4 = normalize((tmpvar_2 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_5;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_6)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_6)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_2 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 c_48;
  vec3 tmpvar_49;
  tmpvar_49 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_50;
  tmpvar_50 = normalize(xlv_TEXCOORD4);
  float tmpvar_51;
  tmpvar_51 = dot (tmpvar_50, tmpvar_49);
  c_48.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_51) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_49 + normalize(xlv_TEXCOORD7))), tmpvar_50), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_48.w = (tmpvar_51 * 4.0);
  float tmpvar_52;
  tmpvar_52 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_48 * mix (1.0, clamp (floor((1.01 + tmpvar_52)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_52)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_53;
  tmpvar_53 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_53.xyz;
  color_4.w = (tmpvar_53.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 10 [_PlanetOrigin]
"vs_3_0
; 33 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord4 o3
dcl_texcoord5 o4
dcl_texcoord6 o5
dcl_texcoord7 o6
def c11, 10.00000000, 1.00976563, -1.00000000, 1.00000000
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c9, c9
rsq r0.x, r0.x
mul r1.xyz, r0.x, c9
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c11.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.x, r1, c11.z
mul_sat r0.w, -r0, c11.x
mad o5.x, r0.w, r1, c11.w
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
add r2.xyz, r1, -c10
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o3.xyz, r1.w, r2
mul o6.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o4.xyz, -r0
dp4 o0.w, v0, c3
dp4 o0.z, v0, c2
dp4 o0.y, v0, c1
dp4 o0.x, v0, c0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 256 // 252 used size, 12 vars
Vector 240 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 76 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 32 instructions, 2 temp regs, 0 temp arrays:
// ALU 26 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  mediump vec3 lightDir_80;
  lightDir_80 = tmpvar_79;
  mediump vec3 viewDir_81;
  viewDir_81 = xlv_TEXCOORD7;
  mediump vec3 normal_82;
  normal_82 = xlv_TEXCOORD4;
  mediump vec4 c_83;
  highp float nh_84;
  mediump vec3 tmpvar_85;
  tmpvar_85 = normalize(lightDir_80);
  lightDir_80 = tmpvar_85;
  mediump vec3 tmpvar_86;
  tmpvar_86 = normalize(viewDir_81);
  viewDir_81 = tmpvar_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(normal_82);
  normal_82 = tmpvar_87;
  mediump float tmpvar_88;
  tmpvar_88 = dot (tmpvar_87, tmpvar_85);
  mediump float tmpvar_89;
  tmpvar_89 = clamp (dot (normalize((tmpvar_85 + tmpvar_86)), tmpvar_87), 0.0, 1.0);
  nh_84 = tmpvar_89;
  highp vec3 tmpvar_90;
  tmpvar_90 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_88) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_84, _SpecularPower) * _SpecularColor.w))) * 4.0);
  c_83.xyz = tmpvar_90;
  c_83.w = (tmpvar_88 * 4.0);
  lowp vec3 tmpvar_91;
  tmpvar_91 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_92;
  lightDir_92 = tmpvar_91;
  mediump vec3 normal_93;
  normal_93 = xlv_TEXCOORD4;
  mediump float tmpvar_94;
  tmpvar_94 = dot (normal_93, lightDir_92);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_83 * mix (1.0, clamp (floor((1.01 + tmpvar_94)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_94)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_95;
  tmpvar_95 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_95.xyz;
  highp float tmpvar_96;
  tmpvar_96 = (tmpvar_95.w * _PlanetOpacity);
  color_5.w = tmpvar_96;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 688
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 692
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 696
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 700
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    #line 704
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 315
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 677
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 667
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 325
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 338
#line 346
#line 360
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 393
#line 409
#line 413
#line 425
#line 449
#line 466
#line 474
#line 634
#line 643
#line 651
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 655
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 659
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 663
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 688
#line 460
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 462
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 474
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 478
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 482
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 486
    return uv;
}
#line 643
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 647
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 570
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 572
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 576
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 580
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 584
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 588
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 592
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 435
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 437
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 441
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 445
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 449
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 453
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 456
mediump float vectorSum( in mediump vec4 v ) {
    #line 458
    return (((v.x + v.y) + v.z) + v.w);
}
#line 706
lowp vec4 frag( in v2f IN ) {
    #line 708
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 712
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 716
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, 1.0);
    #line 720
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 724
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLSL
#ifdef VERTEX
varying vec3 xlv_TEXCOORD7;
varying float xlv_TEXCOORD6;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD1;
varying vec4 xlv_TEXCOORD0;
uniform vec3 _PlanetOrigin;
uniform mat4 _Object2World;

uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _ProjectionParams;
uniform vec3 _WorldSpaceCameraPos;
void main ()
{
  vec4 tmpvar_1;
  vec4 tmpvar_2;
  tmpvar_2 = (gl_ModelViewProjectionMatrix * gl_Vertex);
  vec3 tmpvar_3;
  tmpvar_3 = (_Object2World * gl_Vertex).xyz;
  vec3 p_4;
  p_4 = (tmpvar_3 - _WorldSpaceCameraPos);
  tmpvar_1.w = sqrt(dot (p_4, p_4));
  vec4 tmpvar_5;
  tmpvar_5.x = gl_MultiTexCoord0.x;
  tmpvar_5.y = gl_MultiTexCoord0.y;
  tmpvar_5.z = gl_MultiTexCoord1.x;
  tmpvar_5.w = gl_MultiTexCoord1.y;
  vec3 tmpvar_6;
  tmpvar_6 = -(tmpvar_5.xyz);
  tmpvar_1.xyz = gl_Normal;
  float tmpvar_7;
  tmpvar_7 = dot (tmpvar_6, normalize(_WorldSpaceLightPos0.xyz));
  vec4 o_8;
  vec4 tmpvar_9;
  tmpvar_9 = (tmpvar_2 * 0.5);
  vec2 tmpvar_10;
  tmpvar_10.x = tmpvar_9.x;
  tmpvar_10.y = (tmpvar_9.y * _ProjectionParams.x);
  o_8.xy = (tmpvar_10 + tmpvar_9.w);
  o_8.zw = tmpvar_2.zw;
  gl_Position = tmpvar_2;
  xlv_TEXCOORD0 = gl_Color;
  xlv_TEXCOORD1 = tmpvar_1;
  xlv_TEXCOORD2 = o_8;
  xlv_TEXCOORD4 = normalize((tmpvar_3 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_6;
  xlv_TEXCOORD6 = mix (1.0, clamp (floor((1.01 + tmpvar_7)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_7)), 0.0, 1.0));
  xlv_TEXCOORD7 = normalize((tmpvar_3 - _WorldSpaceCameraPos));
}


#endif
#ifdef FRAGMENT
#extension GL_ARB_shader_texture_lod : enable
varying vec3 xlv_TEXCOORD7;
varying vec3 xlv_TEXCOORD5;
varying vec3 xlv_TEXCOORD4;
varying vec4 xlv_TEXCOORD2;
varying vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform float _CityOverlayDetailScale;
uniform float _PlanetOpacity;
uniform vec4 _SpecularColor;
uniform float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform vec4 _WorldSpaceLightPos0;
void main ()
{
  vec4 citylightoverlaydetail_1;
  vec4 citydarkoverlaydetail_2;
  vec4 cityoverlay_3;
  vec4 color_4;
  vec3 tmpvar_5;
  tmpvar_5 = normalize(xlv_TEXCOORD5);
  vec3 tmpvar_6;
  tmpvar_6 = abs(tmpvar_5);
  float tmpvar_7;
  tmpvar_7 = float((tmpvar_6.z >= tmpvar_6.x));
  float tmpvar_8;
  tmpvar_8 = float((mix (tmpvar_6.x, tmpvar_6.z, tmpvar_7) >= tmpvar_6.y));
  float tmpvar_9;
  tmpvar_9 = sign(mix (-(tmpvar_5.y), mix (tmpvar_5.x, tmpvar_5.z, tmpvar_7), tmpvar_8));
  vec3 tmpvar_10;
  tmpvar_10.xz = vec2(1.0, 1.0);
  tmpvar_10.y = -(tmpvar_9);
  vec3 tmpvar_11;
  tmpvar_11.xz = vec2(1.0, 1.0);
  tmpvar_11.y = tmpvar_9;
  vec3 tmpvar_12;
  tmpvar_12.xy = vec2(1.0, 1.0);
  tmpvar_12.z = -(tmpvar_9);
  vec3 tmpvar_13;
  tmpvar_13 = mix ((tmpvar_12 * tmpvar_5.yzx), mix ((tmpvar_10 * tmpvar_5.xzy), (tmpvar_11 * tmpvar_5.zxy), vec3(tmpvar_7)), vec3(tmpvar_8));
  vec2 tmpvar_14;
  tmpvar_14 = (((0.5 * tmpvar_13.yz) / abs(tmpvar_13.x)) + 0.5);
  vec2 tmpvar_15;
  tmpvar_15 = abs((tmpvar_14 - 0.5));
  vec4 tmpvar_16;
  tmpvar_16.xy = dFdx(tmpvar_15);
  tmpvar_16.zw = dFdy(tmpvar_15);
  float tmpvar_17;
  vec4 v_18;
  v_18 = (mix (mix (texture2DGradARB (cube_CityOverlayTexyn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexyp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (mix (texture2DGradARB (cube_CityOverlayTexxn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexxp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), mix (texture2DGradARB (cube_CityOverlayTexzn, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), texture2DGradARB (cube_CityOverlayTexzp, tmpvar_14, tmpvar_16.xy, tmpvar_16.zw), vec4(float((tmpvar_9 >= 0.0)))), vec4(tmpvar_7)), vec4(tmpvar_8)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_17 = (((v_18.x + v_18.y) + v_18.z) + v_18.w);
  vec4 tmpvar_19;
  tmpvar_19.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_19.w = tmpvar_17;
  cityoverlay_3.xyz = tmpvar_19.xyz;
  vec3 tmpvar_20;
  tmpvar_20 = normalize(xlv_TEXCOORD5);
  vec2 uv_21;
  vec3 tmpvar_22;
  tmpvar_22 = abs(tmpvar_20);
  float tmpvar_23;
  tmpvar_23 = float((tmpvar_22.z >= tmpvar_22.x));
  float tmpvar_24;
  tmpvar_24 = float((max (tmpvar_22.x, tmpvar_22.z) >= tmpvar_22.y));
  float tmpvar_25;
  tmpvar_25 = sign(mix (tmpvar_20.y, mix (tmpvar_20.x, tmpvar_20.z, tmpvar_23), tmpvar_24));
  vec3 tmpvar_26;
  tmpvar_26.xz = vec2(1.0, 1.0);
  tmpvar_26.y = -(tmpvar_25);
  vec3 tmpvar_27;
  tmpvar_27.xz = vec2(1.0, 1.0);
  tmpvar_27.y = tmpvar_25;
  vec3 tmpvar_28;
  tmpvar_28.xy = vec2(1.0, 1.0);
  tmpvar_28.z = -(tmpvar_25);
  vec3 tmpvar_29;
  tmpvar_29 = mix ((tmpvar_28 * tmpvar_20.yxz), mix ((tmpvar_26 * tmpvar_20.xzy), (tmpvar_27 * tmpvar_20.zxy), vec3(tmpvar_23)), vec3(tmpvar_24));
  uv_21.x = (((0.5 * tmpvar_29.y) / abs(tmpvar_29.x)) + 0.5);
  uv_21.y = (((0.5 * tmpvar_29.z) / abs(tmpvar_29.x)) + 0.5);
  vec2 tmpvar_30;
  tmpvar_30 = (uv_21 * _CityOverlayDetailScale);
  vec2 tmpvar_31;
  tmpvar_31 = abs((tmpvar_30 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_32;
  tmpvar_32.xy = dFdx(tmpvar_31);
  tmpvar_32.zw = dFdy(tmpvar_31);
  vec4 tmpvar_33;
  tmpvar_33 = texture2DGradARB (_CityDarkOverlayDetailTex, tmpvar_30, tmpvar_32.xy, tmpvar_32.zw);
  citydarkoverlaydetail_2.xyz = tmpvar_33.xyz;
  vec3 tmpvar_34;
  tmpvar_34 = normalize(xlv_TEXCOORD5);
  vec2 uv_35;
  vec3 tmpvar_36;
  tmpvar_36 = abs(tmpvar_34);
  float tmpvar_37;
  tmpvar_37 = float((tmpvar_36.z >= tmpvar_36.x));
  float tmpvar_38;
  tmpvar_38 = float((max (tmpvar_36.x, tmpvar_36.z) >= tmpvar_36.y));
  float tmpvar_39;
  tmpvar_39 = sign(mix (tmpvar_34.y, mix (tmpvar_34.x, tmpvar_34.z, tmpvar_37), tmpvar_38));
  vec3 tmpvar_40;
  tmpvar_40.xz = vec2(1.0, 1.0);
  tmpvar_40.y = -(tmpvar_39);
  vec3 tmpvar_41;
  tmpvar_41.xz = vec2(1.0, 1.0);
  tmpvar_41.y = tmpvar_39;
  vec3 tmpvar_42;
  tmpvar_42.xy = vec2(1.0, 1.0);
  tmpvar_42.z = -(tmpvar_39);
  vec3 tmpvar_43;
  tmpvar_43 = mix ((tmpvar_42 * tmpvar_34.yxz), mix ((tmpvar_40 * tmpvar_34.xzy), (tmpvar_41 * tmpvar_34.zxy), vec3(tmpvar_37)), vec3(tmpvar_38));
  uv_35.x = (((0.5 * tmpvar_43.y) / abs(tmpvar_43.x)) + 0.5);
  uv_35.y = (((0.5 * tmpvar_43.z) / abs(tmpvar_43.x)) + 0.5);
  vec2 tmpvar_44;
  tmpvar_44 = (uv_35 * _CityOverlayDetailScale);
  vec2 tmpvar_45;
  tmpvar_45 = abs((tmpvar_44 - (0.5 * _CityOverlayDetailScale)));
  vec4 tmpvar_46;
  tmpvar_46.xy = dFdx(tmpvar_45);
  tmpvar_46.zw = dFdy(tmpvar_45);
  vec4 tmpvar_47;
  tmpvar_47 = texture2DGradARB (_CityLightOverlayDetailTex, tmpvar_44, tmpvar_46.xy, tmpvar_46.zw);
  citylightoverlaydetail_1.xyz = tmpvar_47.xyz;
  cityoverlay_3.w = (tmpvar_17 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  citydarkoverlaydetail_2.w = (tmpvar_33.w * cityoverlay_3.w);
  citylightoverlaydetail_1.w = (tmpvar_47.w * cityoverlay_3.w);
  color_4.xyz = mix (vec3(0.0, 0.0, 0.0), tmpvar_47.xyz, citylightoverlaydetail_1.www);
  color_4.w = 0.0;
  vec4 tmpvar_48;
  tmpvar_48 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2);
  vec4 c_49;
  vec3 tmpvar_50;
  tmpvar_50 = normalize(_WorldSpaceLightPos0.xyz);
  vec3 tmpvar_51;
  tmpvar_51 = normalize(xlv_TEXCOORD4);
  float tmpvar_52;
  tmpvar_52 = dot (tmpvar_51, tmpvar_50);
  c_49.xyz = ((((color_4.xyz * _LightColor0.xyz) * tmpvar_52) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (clamp (dot (normalize((tmpvar_50 + normalize(xlv_TEXCOORD7))), tmpvar_51), 0.0, 1.0), _SpecularPower) * _SpecularColor.w))) * (tmpvar_48.x * 4.0));
  c_49.w = (tmpvar_52 * (tmpvar_48.x * 4.0));
  float tmpvar_53;
  tmpvar_53 = dot (xlv_TEXCOORD4, normalize(_WorldSpaceLightPos0).xyz);
  citydarkoverlaydetail_2.w = (citydarkoverlaydetail_2.w * (1.0 - clamp ((c_49 * mix (1.0, clamp (floor((1.01 + tmpvar_53)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_53)), 0.0, 1.0))).w, 0.0, 1.0)));
  vec4 tmpvar_54;
  tmpvar_54 = mix (citylightoverlaydetail_1, citydarkoverlaydetail_2, citydarkoverlaydetail_2.wwww);
  color_4.xyz = tmpvar_54.xyz;
  color_4.w = (tmpvar_54.w * _PlanetOpacity);
  gl_FragData[0] = color_4;
}


#endif
"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
Matrix 0 [glstate_matrix_mvp]
Vector 8 [_WorldSpaceCameraPos]
Vector 9 [_ProjectionParams]
Vector 10 [_ScreenParams]
Vector 11 [_WorldSpaceLightPos0]
Matrix 4 [_Object2World]
Vector 12 [_PlanetOrigin]
"vs_3_0
; 38 ALU
dcl_position o0
dcl_texcoord0 o1
dcl_texcoord1 o2
dcl_texcoord2 o3
dcl_texcoord4 o4
dcl_texcoord5 o5
dcl_texcoord6 o6
dcl_texcoord7 o7
def c13, 10.00000000, 1.00976563, -1.00000000, 0.50000000
def c14, 1.00000000, 0, 0, 0
dcl_position0 v0
dcl_color0 v1
dcl_normal0 v2
dcl_texcoord0 v3
dcl_texcoord1 v4
dp3 r0.x, c11, c11
rsq r0.x, r0.x
mul r1.xyz, r0.x, c11
dp4 r1.w, v0, c3
mov r0.xy, v3
mov r0.z, v4.x
dp3 r0.w, -r0, r1
add r1.x, r0.w, c13.y
frc r1.y, r1.x
add_sat r1.x, r1, -r1.y
add r1.z, r1.x, c13
mul_sat r0.w, -r0, c13.x
mad o6.x, r0.w, r1.z, c14
dp4 r1.z, v0, c2
dp4 r1.x, v0, c0
dp4 r1.y, v0, c1
mul r2.xyz, r1.xyww, c13.w
mov o0, r1
mul r2.y, r2, c9.x
mov o3.zw, r1
dp4 r1.z, v0, c6
dp4 r1.x, v0, c4
dp4 r1.y, v0, c5
mad o3.xy, r2.z, c10.zwzw, r2
add r2.xyz, r1, -c12
add r1.xyz, -r1, c8
dp3 r1.w, r2, r2
dp3 r0.w, r1, r1
rsq r0.w, r0.w
rsq r1.w, r1.w
mov o1, v1
mul o4.xyz, r1.w, r2
mul o7.xyz, r0.w, -r1
mov o2.xyz, v2
rcp o2.w, r0.w
mov o5.xyz, -r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
Bind "vertex" Vertex
Bind "color" Color
Bind "normal" Normal
Bind "texcoord" TexCoord0
Bind "texcoord1" TexCoord1
ConstBuffer "$Globals" 320 // 316 used size, 13 vars
Vector 304 [_PlanetOrigin] 3
ConstBuffer "UnityPerCamera" 128 // 96 used size, 8 vars
Vector 64 [_WorldSpaceCameraPos] 3
Vector 80 [_ProjectionParams] 4
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
ConstBuffer "UnityPerDraw" 336 // 256 used size, 6 vars
Matrix 0 [glstate_matrix_mvp] 4
Matrix 192 [_Object2World] 4
BindCB "$Globals" 0
BindCB "UnityPerCamera" 1
BindCB "UnityLighting" 2
BindCB "UnityPerDraw" 3
// 37 instructions, 3 temp regs, 0 temp arrays:
// ALU 29 float, 0 int, 0 uint
// TEX 0 (0 load, 0 comp, 0 bias, 0 grad)
// FLOW 1 static, 0 dynamic
"vs_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  mediump float lightShadowDataX_81;
  highp float dist_82;
  lowp float tmpvar_83;
  tmpvar_83 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  dist_82 = tmpvar_83;
  highp float tmpvar_84;
  tmpvar_84 = _LightShadowData.x;
  lightShadowDataX_81 = tmpvar_84;
  highp float tmpvar_85;
  tmpvar_85 = max (float((dist_82 > (xlv_TEXCOORD2.z / xlv_TEXCOORD2.w))), lightShadowDataX_81);
  tmpvar_80 = tmpvar_85;
  mediump vec3 lightDir_86;
  lightDir_86 = tmpvar_79;
  mediump vec3 viewDir_87;
  viewDir_87 = xlv_TEXCOORD7;
  mediump vec3 normal_88;
  normal_88 = xlv_TEXCOORD4;
  mediump float atten_89;
  atten_89 = tmpvar_80;
  mediump vec4 c_90;
  highp float nh_91;
  mediump vec3 tmpvar_92;
  tmpvar_92 = normalize(lightDir_86);
  lightDir_86 = tmpvar_92;
  mediump vec3 tmpvar_93;
  tmpvar_93 = normalize(viewDir_87);
  viewDir_87 = tmpvar_93;
  mediump vec3 tmpvar_94;
  tmpvar_94 = normalize(normal_88);
  normal_88 = tmpvar_94;
  mediump float tmpvar_95;
  tmpvar_95 = dot (tmpvar_94, tmpvar_92);
  mediump float tmpvar_96;
  tmpvar_96 = clamp (dot (normalize((tmpvar_92 + tmpvar_93)), tmpvar_94), 0.0, 1.0);
  nh_91 = tmpvar_96;
  highp vec3 tmpvar_97;
  tmpvar_97 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_95) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_91, _SpecularPower) * _SpecularColor.w))) * (atten_89 * 4.0));
  c_90.xyz = tmpvar_97;
  c_90.w = (tmpvar_95 * (atten_89 * 4.0));
  lowp vec3 tmpvar_98;
  tmpvar_98 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_99;
  lightDir_99 = tmpvar_98;
  mediump vec3 normal_100;
  normal_100 = xlv_TEXCOORD4;
  mediump float tmpvar_101;
  tmpvar_101 = dot (normal_100, lightDir_99);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_90 * mix (1.0, clamp (floor((1.01 + tmpvar_101)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_101)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_102;
  tmpvar_102 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_102.xyz;
  highp float tmpvar_103;
  tmpvar_103 = (tmpvar_102.w * _PlanetOpacity);
  color_5.w = tmpvar_103;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _ProjectionParams;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec4 tmpvar_5;
  tmpvar_5 = (glstate_matrix_mvp * _glesVertex);
  highp vec3 tmpvar_6;
  tmpvar_6 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_7;
  p_7 = (tmpvar_6 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_7, p_7));
  highp vec4 tmpvar_8;
  tmpvar_8.x = _glesMultiTexCoord0.x;
  tmpvar_8.y = _glesMultiTexCoord0.y;
  tmpvar_8.z = _glesMultiTexCoord1.x;
  tmpvar_8.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_9;
  tmpvar_9 = -(tmpvar_8.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_10;
  tmpvar_10 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_10;
  highp float tmpvar_11;
  tmpvar_11 = dot (tmpvar_9, lightDirection_2);
  NdotL_1 = tmpvar_11;
  mediump float tmpvar_12;
  tmpvar_12 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_12;
  highp vec4 o_13;
  highp vec4 tmpvar_14;
  tmpvar_14 = (tmpvar_5 * 0.5);
  highp vec2 tmpvar_15;
  tmpvar_15.x = tmpvar_14.x;
  tmpvar_15.y = (tmpvar_14.y * _ProjectionParams.x);
  o_13.xy = (tmpvar_15 + tmpvar_14.w);
  o_13.zw = tmpvar_5.zw;
  gl_Position = tmpvar_5;
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = o_13;
  xlv_TEXCOORD4 = normalize((tmpvar_6 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_9;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_6 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform sampler2D _ShadowMapTexture;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float tmpvar_80;
  tmpvar_80 = texture2DProj (_ShadowMapTexture, xlv_TEXCOORD2).x;
  mediump vec3 lightDir_81;
  lightDir_81 = tmpvar_79;
  mediump vec3 viewDir_82;
  viewDir_82 = xlv_TEXCOORD7;
  mediump vec3 normal_83;
  normal_83 = xlv_TEXCOORD4;
  mediump float atten_84;
  atten_84 = tmpvar_80;
  mediump vec4 c_85;
  highp float nh_86;
  mediump vec3 tmpvar_87;
  tmpvar_87 = normalize(lightDir_81);
  lightDir_81 = tmpvar_87;
  mediump vec3 tmpvar_88;
  tmpvar_88 = normalize(viewDir_82);
  viewDir_82 = tmpvar_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(normal_83);
  normal_83 = tmpvar_89;
  mediump float tmpvar_90;
  tmpvar_90 = dot (tmpvar_89, tmpvar_87);
  mediump float tmpvar_91;
  tmpvar_91 = clamp (dot (normalize((tmpvar_87 + tmpvar_88)), tmpvar_89), 0.0, 1.0);
  nh_86 = tmpvar_91;
  highp vec3 tmpvar_92;
  tmpvar_92 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_90) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_86, _SpecularPower) * _SpecularColor.w))) * (atten_84 * 4.0));
  c_85.xyz = tmpvar_92;
  c_85.w = (tmpvar_90 * (atten_84 * 4.0));
  lowp vec3 tmpvar_93;
  tmpvar_93 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_94;
  lightDir_94 = tmpvar_93;
  mediump vec3 normal_95;
  normal_95 = xlv_TEXCOORD4;
  mediump float tmpvar_96;
  tmpvar_96 = dot (normal_95, lightDir_94);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_85 * mix (1.0, clamp (floor((1.01 + tmpvar_96)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_96)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_97;
  tmpvar_97 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_97.xyz;
  highp float tmpvar_98;
  tmpvar_98 = (tmpvar_97.w * _PlanetOpacity);
  color_5.w = tmpvar_98;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform sampler2D _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    highp float dist = textureProj( _ShadowMapTexture, shadowCoord).x;
    mediump float lightShadowDataX = _LightShadowData.x;
    return max( float((dist > (shadowCoord.z / shadowCoord.w))), lightShadowDataX);
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_79;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD7;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float atten_86;
  atten_86 = shadow_80;
  mediump vec4 c_87;
  highp float nh_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(lightDir_83);
  lightDir_83 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(viewDir_84);
  viewDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(normal_85);
  normal_85 = tmpvar_91;
  mediump float tmpvar_92;
  tmpvar_92 = dot (tmpvar_91, tmpvar_89);
  mediump float tmpvar_93;
  tmpvar_93 = clamp (dot (normalize((tmpvar_89 + tmpvar_90)), tmpvar_91), 0.0, 1.0);
  nh_88 = tmpvar_93;
  highp vec3 tmpvar_94;
  tmpvar_94 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_92) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_88, _SpecularPower) * _SpecularColor.w))) * (atten_86 * 4.0));
  c_87.xyz = tmpvar_94;
  c_87.w = (tmpvar_92 * (atten_86 * 4.0));
  lowp vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_95;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float tmpvar_98;
  tmpvar_98 = dot (normal_97, lightDir_96);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_87 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_99;
  tmpvar_99 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_99.xyz;
  highp float tmpvar_100;
  tmpvar_100 = (tmpvar_99.w * _PlanetOpacity);
  color_5.w = tmpvar_100;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_79;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD7;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float atten_86;
  atten_86 = shadow_80;
  mediump vec4 c_87;
  highp float nh_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(lightDir_83);
  lightDir_83 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(viewDir_84);
  viewDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(normal_85);
  normal_85 = tmpvar_91;
  mediump float tmpvar_92;
  tmpvar_92 = dot (tmpvar_91, tmpvar_89);
  mediump float tmpvar_93;
  tmpvar_93 = clamp (dot (normalize((tmpvar_89 + tmpvar_90)), tmpvar_91), 0.0, 1.0);
  nh_88 = tmpvar_93;
  highp vec3 tmpvar_94;
  tmpvar_94 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_92) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_88, _SpecularPower) * _SpecularColor.w))) * (atten_86 * 4.0));
  c_87.xyz = tmpvar_94;
  c_87.w = (tmpvar_92 * (atten_86 * 4.0));
  lowp vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_95;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float tmpvar_98;
  tmpvar_98 = dot (normal_97, lightDir_96);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_87 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_99;
  tmpvar_99 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_99.xyz;
  highp float tmpvar_100;
  tmpvar_100 = (tmpvar_99.w * _PlanetOpacity);
  color_5.w = tmpvar_100;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_79;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD7;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float atten_86;
  atten_86 = shadow_80;
  mediump vec4 c_87;
  highp float nh_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(lightDir_83);
  lightDir_83 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(viewDir_84);
  viewDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(normal_85);
  normal_85 = tmpvar_91;
  mediump float tmpvar_92;
  tmpvar_92 = dot (tmpvar_91, tmpvar_89);
  mediump float tmpvar_93;
  tmpvar_93 = clamp (dot (normalize((tmpvar_89 + tmpvar_90)), tmpvar_91), 0.0, 1.0);
  nh_88 = tmpvar_93;
  highp vec3 tmpvar_94;
  tmpvar_94 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_92) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_88, _SpecularPower) * _SpecularColor.w))) * (atten_86 * 4.0));
  c_87.xyz = tmpvar_94;
  c_87.w = (tmpvar_92 * (atten_86 * 4.0));
  lowp vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_95;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float tmpvar_98;
  tmpvar_98 = dot (normal_97, lightDir_96);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_87 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_99;
  tmpvar_99 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_99.xyz;
  highp float tmpvar_100;
  tmpvar_100 = (tmpvar_99.w * _PlanetOpacity);
  color_5.w = tmpvar_100;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" "SHADOWS_NATIVE" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES


#ifdef VERTEX

#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp float xlv_TEXCOORD6;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD1;
varying highp vec4 xlv_TEXCOORD0;
uniform highp vec3 _PlanetOrigin;
uniform highp mat4 _Object2World;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 unity_World2Shadow[4];
uniform lowp vec4 _WorldSpaceLightPos0;
uniform highp vec3 _WorldSpaceCameraPos;
attribute vec4 _glesMultiTexCoord1;
attribute vec4 _glesMultiTexCoord0;
attribute vec3 _glesNormal;
attribute vec4 _glesColor;
attribute vec4 _glesVertex;
void main ()
{
  mediump float NdotL_1;
  highp vec3 lightDirection_2;
  highp vec4 tmpvar_3;
  highp float tmpvar_4;
  highp vec3 tmpvar_5;
  tmpvar_5 = (_Object2World * _glesVertex).xyz;
  highp vec3 p_6;
  p_6 = (tmpvar_5 - _WorldSpaceCameraPos);
  tmpvar_3.w = sqrt(dot (p_6, p_6));
  highp vec4 tmpvar_7;
  tmpvar_7.x = _glesMultiTexCoord0.x;
  tmpvar_7.y = _glesMultiTexCoord0.y;
  tmpvar_7.z = _glesMultiTexCoord1.x;
  tmpvar_7.w = _glesMultiTexCoord1.y;
  highp vec3 tmpvar_8;
  tmpvar_8 = -(tmpvar_7.xyz);
  tmpvar_3.xyz = normalize(_glesNormal);
  lowp vec3 tmpvar_9;
  tmpvar_9 = normalize(_WorldSpaceLightPos0.xyz);
  lightDirection_2 = tmpvar_9;
  highp float tmpvar_10;
  tmpvar_10 = dot (tmpvar_8, lightDirection_2);
  NdotL_1 = tmpvar_10;
  mediump float tmpvar_11;
  tmpvar_11 = mix (1.0, clamp (floor((1.01 + NdotL_1)), 0.0, 1.0), clamp ((10.0 * -(NdotL_1)), 0.0, 1.0));
  tmpvar_4 = tmpvar_11;
  gl_Position = (glstate_matrix_mvp * _glesVertex);
  xlv_TEXCOORD0 = _glesColor;
  xlv_TEXCOORD1 = tmpvar_3;
  xlv_TEXCOORD2 = (unity_World2Shadow[0] * (_Object2World * _glesVertex));
  xlv_TEXCOORD4 = normalize((tmpvar_5 - _PlanetOrigin));
  xlv_TEXCOORD5 = tmpvar_8;
  xlv_TEXCOORD6 = tmpvar_4;
  xlv_TEXCOORD7 = normalize((tmpvar_5 - _WorldSpaceCameraPos));
}



#endif
#ifdef FRAGMENT

#extension GL_EXT_shader_texture_lod : enable
#extension GL_OES_standard_derivatives : enable
#extension GL_EXT_shadow_samplers : enable
varying highp vec3 xlv_TEXCOORD7;
varying highp vec3 xlv_TEXCOORD5;
varying highp vec3 xlv_TEXCOORD4;
varying highp vec4 xlv_TEXCOORD2;
varying highp vec4 xlv_TEXCOORD0;
uniform sampler2D _CityLightOverlayDetailTex;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform highp float _CityOverlayDetailScale;
uniform highp float _PlanetOpacity;
uniform mediump vec4 _SpecularColor;
uniform highp float _SpecularPower;
uniform sampler2D cube_CityOverlayTexzp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexxn;
uniform lowp vec4 _LightColor0;
uniform lowp sampler2DShadow _ShadowMapTexture;
uniform highp vec4 _LightShadowData;
uniform lowp vec4 _WorldSpaceLightPos0;
void main ()
{
  lowp vec4 tmpvar_1;
  mediump vec4 citylightoverlaydetail_2;
  mediump vec4 citydarkoverlaydetail_3;
  mediump vec4 cityoverlay_4;
  mediump vec4 color_5;
  mediump vec4 sampzp_6;
  mediump vec4 sampzn_7;
  mediump vec4 sampyp_8;
  mediump vec4 sampyn_9;
  mediump vec4 sampxp_10;
  mediump vec4 sampxn_11;
  highp vec2 uv_12;
  mediump vec3 detailCoords_13;
  mediump float s_14;
  mediump float nylerp_15;
  mediump float zxlerp_16;
  highp vec3 tmpvar_17;
  tmpvar_17 = normalize(xlv_TEXCOORD5);
  highp vec3 tmpvar_18;
  tmpvar_18 = abs(tmpvar_17);
  highp float tmpvar_19;
  tmpvar_19 = float((tmpvar_18.z >= tmpvar_18.x));
  zxlerp_16 = tmpvar_19;
  highp float tmpvar_20;
  tmpvar_20 = float((mix (tmpvar_18.x, tmpvar_18.z, zxlerp_16) >= tmpvar_18.y));
  nylerp_15 = tmpvar_20;
  highp float tmpvar_21;
  tmpvar_21 = mix (tmpvar_17.x, tmpvar_17.z, zxlerp_16);
  s_14 = tmpvar_21;
  highp float tmpvar_22;
  tmpvar_22 = sign(mix (-(tmpvar_17.y), s_14, nylerp_15));
  s_14 = tmpvar_22;
  mediump vec3 tmpvar_23;
  tmpvar_23.xz = vec2(1.0, 1.0);
  tmpvar_23.y = -(s_14);
  mediump vec3 tmpvar_24;
  tmpvar_24.xz = vec2(1.0, 1.0);
  tmpvar_24.y = s_14;
  highp vec3 tmpvar_25;
  tmpvar_25 = mix ((tmpvar_23 * tmpvar_17.xzy), (tmpvar_24 * tmpvar_17.zxy), vec3(zxlerp_16));
  detailCoords_13 = tmpvar_25;
  mediump vec3 tmpvar_26;
  tmpvar_26.xy = vec2(1.0, 1.0);
  tmpvar_26.z = -(s_14);
  highp vec3 tmpvar_27;
  tmpvar_27 = mix ((tmpvar_26 * tmpvar_17.yzx), detailCoords_13, vec3(nylerp_15));
  detailCoords_13 = tmpvar_27;
  mediump vec2 tmpvar_28;
  tmpvar_28 = (((0.5 * detailCoords_13.yz) / abs(detailCoords_13.x)) + 0.5);
  uv_12 = tmpvar_28;
  highp vec2 tmpvar_29;
  tmpvar_29 = abs((uv_12 - 0.5));
  highp vec4 tmpvar_30;
  tmpvar_30.xy = dFdx(tmpvar_29);
  tmpvar_30.zw = dFdy(tmpvar_29);
  lowp vec4 tmpvar_31;
  tmpvar_31 = texture2DGradEXT (cube_CityOverlayTexxn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxn_11 = tmpvar_31;
  lowp vec4 tmpvar_32;
  tmpvar_32 = texture2DGradEXT (cube_CityOverlayTexxp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampxp_10 = tmpvar_32;
  lowp vec4 tmpvar_33;
  tmpvar_33 = texture2DGradEXT (cube_CityOverlayTexyn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyn_9 = tmpvar_33;
  lowp vec4 tmpvar_34;
  tmpvar_34 = texture2DGradEXT (cube_CityOverlayTexyp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampyp_8 = tmpvar_34;
  lowp vec4 tmpvar_35;
  tmpvar_35 = texture2DGradEXT (cube_CityOverlayTexzn, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzn_7 = tmpvar_35;
  lowp vec4 tmpvar_36;
  tmpvar_36 = texture2DGradEXT (cube_CityOverlayTexzp, uv_12, tmpvar_30.xy, tmpvar_30.zw);
  sampzp_6 = tmpvar_36;
  mediump float tmpvar_37;
  mediump vec4 v_38;
  v_38 = (mix (mix (sampyn_9, sampyp_8, vec4(float((s_14 >= 0.0)))), mix (mix (sampxn_11, sampxp_10, vec4(float((s_14 >= 0.0)))), mix (sampzn_7, sampzp_6, vec4(float((s_14 >= 0.0)))), vec4(zxlerp_16)), vec4(nylerp_15)) * vec4(0.0, 0.0, 0.0, 1.0));
  tmpvar_37 = (((v_38.x + v_38.y) + v_38.z) + v_38.w);
  mediump vec4 tmpvar_39;
  tmpvar_39.xyz = vec3(1.0, 1.0, 1.0);
  tmpvar_39.w = tmpvar_37;
  cityoverlay_4.xyz = tmpvar_39.xyz;
  mediump vec4 tex_40;
  highp vec3 tmpvar_41;
  tmpvar_41 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_42;
  mediump float s_43;
  mediump float nylerp_44;
  mediump float zxlerp_45;
  highp vec3 tmpvar_46;
  tmpvar_46 = abs(tmpvar_41);
  highp float tmpvar_47;
  tmpvar_47 = float((tmpvar_46.z >= tmpvar_46.x));
  zxlerp_45 = tmpvar_47;
  highp float tmpvar_48;
  tmpvar_48 = float((max (tmpvar_46.x, tmpvar_46.z) >= tmpvar_46.y));
  nylerp_44 = tmpvar_48;
  highp float tmpvar_49;
  tmpvar_49 = mix (tmpvar_41.x, tmpvar_41.z, zxlerp_45);
  s_43 = tmpvar_49;
  highp float tmpvar_50;
  tmpvar_50 = sign(mix (tmpvar_41.y, s_43, nylerp_44));
  s_43 = tmpvar_50;
  mediump vec3 tmpvar_51;
  tmpvar_51.xz = vec2(1.0, 1.0);
  tmpvar_51.y = -(s_43);
  mediump vec3 tmpvar_52;
  tmpvar_52.xz = vec2(1.0, 1.0);
  tmpvar_52.y = s_43;
  mediump vec3 tmpvar_53;
  tmpvar_53.xy = vec2(1.0, 1.0);
  tmpvar_53.z = -(s_43);
  highp vec3 tmpvar_54;
  tmpvar_54 = mix ((tmpvar_53 * tmpvar_41.yxz), mix ((tmpvar_51 * tmpvar_41.xzy), (tmpvar_52 * tmpvar_41.zxy), vec3(zxlerp_45)), vec3(nylerp_44));
  uv_42.x = (((0.5 * tmpvar_54.y) / abs(tmpvar_54.x)) + 0.5);
  uv_42.y = (((0.5 * tmpvar_54.z) / abs(tmpvar_54.x)) + 0.5);
  highp vec2 tmpvar_55;
  tmpvar_55 = (uv_42 * _CityOverlayDetailScale);
  highp vec2 tmpvar_56;
  tmpvar_56 = abs((tmpvar_55 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_57;
  tmpvar_57.xy = dFdx(tmpvar_56);
  tmpvar_57.zw = dFdy(tmpvar_56);
  lowp vec4 tmpvar_58;
  tmpvar_58 = texture2DGradEXT (_CityDarkOverlayDetailTex, tmpvar_55, tmpvar_57.xy, tmpvar_57.zw);
  tex_40 = tmpvar_58;
  citydarkoverlaydetail_3.xyz = tex_40.xyz;
  mediump vec4 tex_59;
  highp vec3 tmpvar_60;
  tmpvar_60 = normalize(xlv_TEXCOORD5);
  highp vec2 uv_61;
  mediump float s_62;
  mediump float nylerp_63;
  mediump float zxlerp_64;
  highp vec3 tmpvar_65;
  tmpvar_65 = abs(tmpvar_60);
  highp float tmpvar_66;
  tmpvar_66 = float((tmpvar_65.z >= tmpvar_65.x));
  zxlerp_64 = tmpvar_66;
  highp float tmpvar_67;
  tmpvar_67 = float((max (tmpvar_65.x, tmpvar_65.z) >= tmpvar_65.y));
  nylerp_63 = tmpvar_67;
  highp float tmpvar_68;
  tmpvar_68 = mix (tmpvar_60.x, tmpvar_60.z, zxlerp_64);
  s_62 = tmpvar_68;
  highp float tmpvar_69;
  tmpvar_69 = sign(mix (tmpvar_60.y, s_62, nylerp_63));
  s_62 = tmpvar_69;
  mediump vec3 tmpvar_70;
  tmpvar_70.xz = vec2(1.0, 1.0);
  tmpvar_70.y = -(s_62);
  mediump vec3 tmpvar_71;
  tmpvar_71.xz = vec2(1.0, 1.0);
  tmpvar_71.y = s_62;
  mediump vec3 tmpvar_72;
  tmpvar_72.xy = vec2(1.0, 1.0);
  tmpvar_72.z = -(s_62);
  highp vec3 tmpvar_73;
  tmpvar_73 = mix ((tmpvar_72 * tmpvar_60.yxz), mix ((tmpvar_70 * tmpvar_60.xzy), (tmpvar_71 * tmpvar_60.zxy), vec3(zxlerp_64)), vec3(nylerp_63));
  uv_61.x = (((0.5 * tmpvar_73.y) / abs(tmpvar_73.x)) + 0.5);
  uv_61.y = (((0.5 * tmpvar_73.z) / abs(tmpvar_73.x)) + 0.5);
  highp vec2 tmpvar_74;
  tmpvar_74 = (uv_61 * _CityOverlayDetailScale);
  highp vec2 tmpvar_75;
  tmpvar_75 = abs((tmpvar_74 - (0.5 * _CityOverlayDetailScale)));
  highp vec4 tmpvar_76;
  tmpvar_76.xy = dFdx(tmpvar_75);
  tmpvar_76.zw = dFdy(tmpvar_75);
  lowp vec4 tmpvar_77;
  tmpvar_77 = texture2DGradEXT (_CityLightOverlayDetailTex, tmpvar_74, tmpvar_76.xy, tmpvar_76.zw);
  tex_59 = tmpvar_77;
  citylightoverlaydetail_2.xyz = tex_59.xyz;
  highp float tmpvar_78;
  tmpvar_78 = (tmpvar_37 * (1.0 - float((0.0 >= xlv_TEXCOORD0.w))));
  cityoverlay_4.w = tmpvar_78;
  citydarkoverlaydetail_3.w = (tex_40.w * cityoverlay_4.w);
  citylightoverlaydetail_2.w = (tex_59.w * cityoverlay_4.w);
  color_5.xyz = mix (vec3(0.0, 0.0, 0.0), tex_59.xyz, citylightoverlaydetail_2.www);
  color_5.w = 0.0;
  lowp vec3 tmpvar_79;
  tmpvar_79 = _WorldSpaceLightPos0.xyz;
  lowp float shadow_80;
  lowp float tmpvar_81;
  tmpvar_81 = shadow2DEXT (_ShadowMapTexture, xlv_TEXCOORD2.xyz);
  highp float tmpvar_82;
  tmpvar_82 = (_LightShadowData.x + (tmpvar_81 * (1.0 - _LightShadowData.x)));
  shadow_80 = tmpvar_82;
  mediump vec3 lightDir_83;
  lightDir_83 = tmpvar_79;
  mediump vec3 viewDir_84;
  viewDir_84 = xlv_TEXCOORD7;
  mediump vec3 normal_85;
  normal_85 = xlv_TEXCOORD4;
  mediump float atten_86;
  atten_86 = shadow_80;
  mediump vec4 c_87;
  highp float nh_88;
  mediump vec3 tmpvar_89;
  tmpvar_89 = normalize(lightDir_83);
  lightDir_83 = tmpvar_89;
  mediump vec3 tmpvar_90;
  tmpvar_90 = normalize(viewDir_84);
  viewDir_84 = tmpvar_90;
  mediump vec3 tmpvar_91;
  tmpvar_91 = normalize(normal_85);
  normal_85 = tmpvar_91;
  mediump float tmpvar_92;
  tmpvar_92 = dot (tmpvar_91, tmpvar_89);
  mediump float tmpvar_93;
  tmpvar_93 = clamp (dot (normalize((tmpvar_89 + tmpvar_90)), tmpvar_91), 0.0, 1.0);
  nh_88 = tmpvar_93;
  highp vec3 tmpvar_94;
  tmpvar_94 = ((((color_5.xyz * _LightColor0.xyz) * tmpvar_92) + ((_LightColor0.xyz * _SpecularColor.xyz) * (pow (nh_88, _SpecularPower) * _SpecularColor.w))) * (atten_86 * 4.0));
  c_87.xyz = tmpvar_94;
  c_87.w = (tmpvar_92 * (atten_86 * 4.0));
  lowp vec3 tmpvar_95;
  tmpvar_95 = normalize(_WorldSpaceLightPos0).xyz;
  mediump vec3 lightDir_96;
  lightDir_96 = tmpvar_95;
  mediump vec3 normal_97;
  normal_97 = xlv_TEXCOORD4;
  mediump float tmpvar_98;
  tmpvar_98 = dot (normal_97, lightDir_96);
  citydarkoverlaydetail_3.w = (citydarkoverlaydetail_3.w * (1.0 - clamp ((c_87 * mix (1.0, clamp (floor((1.01 + tmpvar_98)), 0.0, 1.0), clamp ((10.0 * -(tmpvar_98)), 0.0, 1.0))).w, 0.0, 1.0)));
  mediump vec4 tmpvar_99;
  tmpvar_99 = mix (citylightoverlaydetail_2, citydarkoverlaydetail_3, citydarkoverlaydetail_3.wwww);
  color_5.xyz = tmpvar_99.xyz;
  highp float tmpvar_100;
  tmpvar_100 = (tmpvar_99.w * _PlanetOpacity);
  color_5.w = tmpvar_100;
  tmpvar_1 = color_5;
  gl_FragData[0] = tmpvar_1;
}



#endif"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" "SHADOWS_NATIVE" "VERTEXLIGHT_ON" }
"!!GLES3#version 300 es


#ifdef VERTEX

#define gl_Vertex _glesVertex
in vec4 _glesVertex;
#define gl_Color _glesColor
in vec4 _glesColor;
#define gl_Normal (normalize(_glesNormal))
in vec3 _glesNormal;
#define gl_MultiTexCoord0 _glesMultiTexCoord0
in vec4 _glesMultiTexCoord0;
#define gl_MultiTexCoord1 _glesMultiTexCoord1
in vec4 _glesMultiTexCoord1;
#define TANGENT vec4(normalize(_glesTANGENT.xyz), _glesTANGENT.w)
in vec4 _glesTANGENT;
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 697
v2f vert( in appdata_t v ) {
    v2f o;
    o.pos = (glstate_matrix_mvp * v.vertex);
    #line 701
    highp vec3 vertexPos = (_Object2World * v.vertex).xyz;
    o.objnormal.w = distance( vertexPos, _WorldSpaceCameraPos);
    o.viewDir = normalize((vertexPos - _WorldSpaceCameraPos));
    o.worldNormal = normalize((vertexPos - _PlanetOrigin));
    #line 705
    o.sphereNormal = (-vec4( v.texcoord.x, v.texcoord.y, v.texcoord2.x, v.texcoord2.y).xyz);
    o.color = v.color;
    o.objnormal.xyz = v.normal;
    highp vec3 lightDirection = normalize(_WorldSpaceLightPos0.xyz);
    #line 709
    mediump float NdotL = dot( o.sphereNormal, lightDirection);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    o.terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    o._ShadowCoord = (unity_World2Shadow[0] * (_Object2World * v.vertex));
    #line 714
    return o;
}

out highp vec4 xlv_TEXCOORD0;
out highp vec4 xlv_TEXCOORD1;
out highp vec4 xlv_TEXCOORD2;
out highp vec3 xlv_TEXCOORD4;
out highp vec3 xlv_TEXCOORD5;
out highp float xlv_TEXCOORD6;
out highp vec3 xlv_TEXCOORD7;
void main() {
    v2f xl_retval;
    appdata_t xlt_v;
    xlt_v.vertex = vec4(gl_Vertex);
    xlt_v.color = vec4(gl_Color);
    xlt_v.normal = vec3(gl_Normal);
    xlt_v.texcoord = vec4(gl_MultiTexCoord0);
    xlt_v.texcoord2 = vec4(gl_MultiTexCoord1);
    xlt_v.tangent = vec3(TANGENT);
    xl_retval = vert( xlt_v);
    gl_Position = vec4(xl_retval.pos);
    xlv_TEXCOORD0 = vec4(xl_retval.color);
    xlv_TEXCOORD1 = vec4(xl_retval.objnormal);
    xlv_TEXCOORD2 = vec4(xl_retval._ShadowCoord);
    xlv_TEXCOORD4 = vec3(xl_retval.worldNormal);
    xlv_TEXCOORD5 = vec3(xl_retval.sphereNormal);
    xlv_TEXCOORD6 = float(xl_retval.terminator);
    xlv_TEXCOORD7 = vec3(xl_retval.viewDir);
}


#endif
#ifdef FRAGMENT

#define gl_FragData _glesFragData
layout(location = 0) out mediump vec4 _glesFragData[4];
float xll_dFdx_f(float f) {
  return dFdx(f);
}
vec2 xll_dFdx_vf2(vec2 v) {
  return dFdx(v);
}
vec3 xll_dFdx_vf3(vec3 v) {
  return dFdx(v);
}
vec4 xll_dFdx_vf4(vec4 v) {
  return dFdx(v);
}
mat2 xll_dFdx_mf2x2(mat2 m) {
  return mat2( dFdx(m[0]), dFdx(m[1]));
}
mat3 xll_dFdx_mf3x3(mat3 m) {
  return mat3( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]));
}
mat4 xll_dFdx_mf4x4(mat4 m) {
  return mat4( dFdx(m[0]), dFdx(m[1]), dFdx(m[2]), dFdx(m[3]));
}
float xll_dFdy_f(float f) {
  return dFdy(f);
}
vec2 xll_dFdy_vf2(vec2 v) {
  return dFdy(v);
}
vec3 xll_dFdy_vf3(vec3 v) {
  return dFdy(v);
}
vec4 xll_dFdy_vf4(vec4 v) {
  return dFdy(v);
}
mat2 xll_dFdy_mf2x2(mat2 m) {
  return mat2( dFdy(m[0]), dFdy(m[1]));
}
mat3 xll_dFdy_mf3x3(mat3 m) {
  return mat3( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]));
}
mat4 xll_dFdy_mf4x4(mat4 m) {
  return mat4( dFdy(m[0]), dFdy(m[1]), dFdy(m[2]), dFdy(m[3]));
}
vec4 xll_tex2Dgrad(sampler2D s, vec2 coord, vec2 ddx, vec2 ddy) {
   return textureGrad( s, coord, ddx, ddy);
}
float xll_shadow2D(mediump sampler2DShadow s, vec3 coord) { return texture (s, coord); }
float xll_saturate_f( float x) {
  return clamp( x, 0.0, 1.0);
}
vec2 xll_saturate_vf2( vec2 x) {
  return clamp( x, 0.0, 1.0);
}
vec3 xll_saturate_vf3( vec3 x) {
  return clamp( x, 0.0, 1.0);
}
vec4 xll_saturate_vf4( vec4 x) {
  return clamp( x, 0.0, 1.0);
}
mat2 xll_saturate_mf2x2(mat2 m) {
  return mat2( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0));
}
mat3 xll_saturate_mf3x3(mat3 m) {
  return mat3( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0));
}
mat4 xll_saturate_mf4x4(mat4 m) {
  return mat4( clamp(m[0], 0.0, 1.0), clamp(m[1], 0.0, 1.0), clamp(m[2], 0.0, 1.0), clamp(m[3], 0.0, 1.0));
}
#line 151
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 187
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 181
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 323
struct SurfaceOutput {
    lowp vec3 Albedo;
    lowp vec3 Normal;
    lowp vec3 Emission;
    mediump float Specular;
    lowp float Gloss;
    lowp float Alpha;
};
#line 685
struct v2f {
    highp vec4 pos;
    highp vec4 color;
    highp vec4 objnormal;
    highp vec4 _ShadowCoord;
    highp vec3 worldNormal;
    highp vec3 sphereNormal;
    highp float terminator;
    highp vec3 viewDir;
};
#line 675
struct appdata_t {
    highp vec4 vertex;
    lowp vec4 color;
    highp vec3 normal;
    highp vec4 texcoord;
    highp vec4 texcoord2;
    highp vec3 tangent;
};
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
#line 3
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
uniform highp vec3 _WorldSpaceCameraPos;
uniform highp vec4 _ProjectionParams;
#line 7
uniform highp vec4 _ScreenParams;
uniform highp vec4 _ZBufferParams;
uniform highp vec4 unity_CameraWorldClipPlanes[6];
uniform lowp vec4 _WorldSpaceLightPos0;
#line 11
uniform highp vec4 _LightPositionRange;
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
#line 15
uniform highp vec4 unity_4LightAtten0;
uniform highp vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
uniform highp vec4 unity_LightAtten[8];
#line 19
uniform highp vec4 unity_SpotDirection[8];
uniform highp vec4 unity_SHAr;
uniform highp vec4 unity_SHAg;
uniform highp vec4 unity_SHAb;
#line 23
uniform highp vec4 unity_SHBr;
uniform highp vec4 unity_SHBg;
uniform highp vec4 unity_SHBb;
uniform highp vec4 unity_SHC;
#line 27
uniform highp vec3 unity_LightColor0;
uniform highp vec3 unity_LightColor1;
uniform highp vec3 unity_LightColor2;
uniform highp vec3 unity_LightColor3;
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
#line 31
uniform highp vec4 _LightSplitsNear;
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform highp vec4 _LightShadowData;
#line 35
uniform highp vec4 unity_ShadowFadeCenterAndType;
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 39
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_Scale;
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 43
uniform highp mat4 glstate_matrix_texture0;
uniform highp mat4 glstate_matrix_texture1;
uniform highp mat4 glstate_matrix_texture2;
uniform highp mat4 glstate_matrix_texture3;
#line 47
uniform highp mat4 glstate_matrix_projection;
uniform highp vec4 glstate_lightmodel_ambient;
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 51
uniform lowp vec4 unity_ColorSpaceGrey;
#line 77
#line 82
#line 87
#line 91
#line 96
#line 120
#line 137
#line 158
#line 166
#line 193
#line 206
#line 215
#line 220
#line 229
#line 234
#line 243
#line 260
#line 265
#line 291
#line 299
#line 307
#line 311
#line 315
uniform highp vec4 _ShadowOffsets[4];
uniform lowp sampler2DShadow _ShadowMapTexture;
#line 333
uniform lowp vec4 _LightColor0;
uniform lowp vec4 _SpecColor;
#line 346
#line 354
#line 368
uniform highp mat4 _MainRotation;
uniform highp mat4 _DetailRotation;
#line 401
#line 417
#line 421
#line 433
#line 457
#line 474
#line 482
#line 642
#line 651
#line 659
uniform samplerCube cube_CityOverlayTex;
uniform sampler2D cube_CityOverlayTexPOS;
uniform sampler2D cube_CityOverlayTexNEG;
uniform sampler2D _CityOverlayTex;
#line 663
uniform sampler2D cube_CityOverlayTexxn;
uniform sampler2D cube_CityOverlayTexxp;
uniform sampler2D cube_CityOverlayTexyn;
uniform sampler2D cube_CityOverlayTexyp;
uniform sampler2D cube_CityOverlayTexzn;
uniform sampler2D cube_CityOverlayTexzp;
uniform lowp vec4 _Color;
#line 667
uniform highp float _SpecularPower;
uniform mediump vec4 _SpecularColor;
uniform highp float _DetailDist;
uniform highp float _PlanetOpacity;
#line 671
uniform highp vec3 _PlanetOrigin;
uniform highp float _CityOverlayDetailScale;
uniform sampler2D _CityDarkOverlayDetailTex;
uniform sampler2D _CityLightOverlayDetailTex;
#line 697
#line 468
highp vec4 CubeDerivatives( in highp vec2 uv, in highp float scale ) {
    #line 470
    highp vec2 uvCont = uv;
    uvCont = abs((uvCont - (0.5 * scale)));
    return vec4( xll_dFdx_vf2(uvCont), xll_dFdy_vf2(uvCont));
}
#line 482
highp vec2 GetCubeCubeUV( in highp vec3 cubeVectNorm ) {
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    #line 486
    mediump float nylerp = step( cubeVectNormAbs.y, max( cubeVectNormAbs.x, cubeVectNormAbs.z));
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( cubeVectNorm.y, s, nylerp));
    highp vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    #line 490
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yxz), detailCoords, vec3( nylerp));
    highp vec2 uv;
    uv.x = (((0.5 * detailCoords.y) / abs(detailCoords.x)) + 0.5);
    uv.y = (((0.5 * detailCoords.z) / abs(detailCoords.x)) + 0.5);
    #line 494
    return uv;
}
#line 651
mediump vec4 GetCubeDetailMap( in sampler2D texSampler, in highp vec3 cubeVect, in highp float detailScale ) {
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec2 uv = (GetCubeCubeUV( cubeVectNorm) * detailScale);
    #line 655
    highp vec4 uvdd = CubeDerivatives( uv, detailScale);
    mediump vec4 tex = xll_tex2Dgrad( texSampler, uv, uvdd.xy, uvdd.zw);
    return tex;
}
#line 578
mediump vec4 GetCubeMap( in sampler2D texXn, in sampler2D texXp, in sampler2D texYn, in sampler2D texYp, in sampler2D texZn, in sampler2D texZp, in highp vec3 cubeVect ) {
    #line 580
    highp vec3 cubeVectNorm = normalize(cubeVect);
    highp vec3 cubeVectNormAbs = abs(cubeVectNorm);
    mediump float zxlerp = step( cubeVectNormAbs.x, cubeVectNormAbs.z);
    mediump float nylerp = step( cubeVectNormAbs.y, mix( cubeVectNormAbs.x, cubeVectNormAbs.z, zxlerp));
    #line 584
    mediump float s = mix( cubeVectNorm.x, cubeVectNorm.z, zxlerp);
    s = sign(mix( (-cubeVectNorm.y), s, nylerp));
    mediump vec3 detailCoords = mix( (vec3( 1.0, (-s), 1.0) * cubeVectNorm.xzy), (vec3( 1.0, s, 1.0) * cubeVectNorm.zxy), vec3( zxlerp));
    detailCoords = mix( (vec3( 1.0, 1.0, (-s)) * cubeVectNorm.yzx), detailCoords, vec3( nylerp));
    #line 588
    highp vec2 uv = (((0.5 * detailCoords.yz) / abs(detailCoords.x)) + 0.5);
    highp vec4 uvdd = CubeDerivatives( uv, 1.0);
    mediump vec4 sampxn = xll_tex2Dgrad( texXn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampxp = xll_tex2Dgrad( texXp, uv, uvdd.xy, uvdd.zw);
    #line 592
    mediump vec4 sampyn = xll_tex2Dgrad( texYn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampyp = xll_tex2Dgrad( texYp, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzn = xll_tex2Dgrad( texZn, uv, uvdd.xy, uvdd.zw);
    mediump vec4 sampzp = xll_tex2Dgrad( texZp, uv, uvdd.xy, uvdd.zw);
    #line 596
    mediump vec4 sampx = mix( sampxn, sampxp, vec4( step( 0.0, s)));
    mediump vec4 sampy = mix( sampyn, sampyp, vec4( step( 0.0, s)));
    mediump vec4 sampz = mix( sampzn, sampzp, vec4( step( 0.0, s)));
    mediump vec4 samp = mix( sampx, sampz, vec4( zxlerp));
    #line 600
    samp = mix( sampy, samp, vec4( nylerp));
    return samp;
}
#line 443
mediump vec4 SpecularColorLight( in mediump vec3 lightDir, in mediump vec3 viewDir, in mediump vec3 normal, in mediump vec4 color, in mediump vec4 specColor, in highp float specK, in mediump float atten ) {
    #line 445
    lightDir = normalize(lightDir);
    viewDir = normalize(viewDir);
    normal = normalize(normal);
    mediump vec3 h = normalize((lightDir + viewDir));
    #line 449
    mediump float diffuse = dot( normal, lightDir);
    highp float nh = xll_saturate_f(dot( h, normal));
    highp float spec = (pow( nh, specK) * specColor.w);
    mediump vec4 c;
    #line 453
    c.xyz = ((((color.xyz * _LightColor0.xyz) * diffuse) + ((_LightColor0.xyz * specColor.xyz) * spec)) * (atten * 4.0));
    c.w = (diffuse * (atten * 4.0));
    return c;
}
#line 457
mediump float Terminator( in mediump vec3 lightDir, in mediump vec3 normal ) {
    mediump float NdotL = dot( normal, lightDir);
    mediump float termlerp = xll_saturate_f((10.0 * (-NdotL)));
    #line 461
    mediump float terminator = mix( 1.0, xll_saturate_f(floor((1.01 + NdotL))), termlerp);
    return terminator;
}
#line 317
lowp float unitySampleShadow( in highp vec4 shadowCoord ) {
    #line 319
    lowp float shadow = xll_shadow2D( _ShadowMapTexture, shadowCoord.xyz.xyz);
    shadow = (_LightShadowData.x + (shadow * (1.0 - _LightShadowData.x)));
    return shadow;
}
#line 464
mediump float vectorSum( in mediump vec4 v ) {
    #line 466
    return (((v.x + v.y) + v.z) + v.w);
}
#line 716
lowp vec4 frag( in v2f IN ) {
    #line 718
    mediump vec4 color;
    mediump vec4 cityoverlay = GetCubeMap( cube_CityOverlayTexxn, cube_CityOverlayTexxp, cube_CityOverlayTexyn, cube_CityOverlayTexyp, cube_CityOverlayTexzn, cube_CityOverlayTexzp, IN.sphereNormal);
    cityoverlay = vec4( 1.0, 1.0, 1.0, vectorSum( (cityoverlay * vec4( 0.0, 0.0, 0.0, 1.0))));
    mediump vec4 citydarkoverlaydetail = GetCubeDetailMap( _CityDarkOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    #line 722
    mediump vec4 citylightoverlaydetail = GetCubeDetailMap( _CityLightOverlayDetailTex, IN.sphereNormal, _CityOverlayDetailScale);
    cityoverlay.w *= (1.0 - step( IN.color.w, 0.0));
    citydarkoverlaydetail.w *= cityoverlay.w;
    citylightoverlaydetail.w *= cityoverlay.w;
    #line 726
    color.xyz = mix( vec3( 0.0, 0.0, 0.0), citylightoverlaydetail.xyz, vec3( citylightoverlaydetail.w));
    color.w = 0.0;
    mediump vec4 specColor = _SpecularColor;
    color = SpecularColorLight( vec3( _WorldSpaceLightPos0), IN.viewDir, IN.worldNormal, color, specColor, _SpecularPower, unitySampleShadow( IN._ShadowCoord));
    #line 730
    color *= Terminator( vec3( normalize(_WorldSpaceLightPos0)), IN.worldNormal);
    citydarkoverlaydetail.w *= (1.0 - xll_saturate_f(color.w));
    color = mix( citylightoverlaydetail, citydarkoverlaydetail, vec4( citydarkoverlaydetail.w));
    color.w *= _PlanetOpacity;
    #line 734
    return color;
}
in highp vec4 xlv_TEXCOORD0;
in highp vec4 xlv_TEXCOORD1;
in highp vec4 xlv_TEXCOORD2;
in highp vec3 xlv_TEXCOORD4;
in highp vec3 xlv_TEXCOORD5;
in highp float xlv_TEXCOORD6;
in highp vec3 xlv_TEXCOORD7;
void main() {
    lowp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.color = vec4(xlv_TEXCOORD0);
    xlt_IN.objnormal = vec4(xlv_TEXCOORD1);
    xlt_IN._ShadowCoord = vec4(xlv_TEXCOORD2);
    xlt_IN.worldNormal = vec3(xlv_TEXCOORD4);
    xlt_IN.sphereNormal = vec3(xlv_TEXCOORD5);
    xlt_IN.terminator = float(xlv_TEXCOORD6);
    xlt_IN.viewDir = vec3(xlv_TEXCOORD7);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}


#endif"
}

}
Program "fp" {
// Fragment combos: 120
//   d3d9 - ALU: 72 to 119, TEX: 7 to 25
//   d3d11 - ALU: 55 to 95, TEX: 0 to 2, FLOW: 1 to 1
SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 111 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c3.x, c3.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r2.y, r1.w
mov r0.y, -r1.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r2.w, r2, r0
mov r0.z, -r1.w
abs r1.w, r1.z
mov r0.xy, c3.x
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
max r2.w, r4.x, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rcp r2.x, r2.w
min r0.w, r4.x, r1
mul r0.w, r0, r2.x
mul r2.z, r0.w, r0.w
mad r2.x, r2.z, c5.z, c5.w
mad r2.x, r2, r2.z, c6
mad r2.y, r0.z, c3.z, c3.z
mad r0.z, r2.x, r2, c6.y
mul r0.x, r0.y, r0
mad r0.y, r0.z, r2.z, c6.z
mad r2.x, r0, c3.z, c3.z
mad r0.x, r0.y, r2.z, c6.w
mul r0.w, r0.x, r0
mul r3.xy, r2, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
add r0.z, r4.x, -r1.w
add r2.x, -r0.w, c7
cmp r0.z, -r0, r0.w, r2.x
add r0.w, -r0.z, c5.x
cmp r0.z, r1, r0, r0.w
abs r1.z, r1.y
cmp r1.x, r1, r0.z, -r0.z
mul r1.x, r1, c7.y
add r2.x, -r1.z, c3
mad r1.w, r1.z, c4.x, c4.y
mad r1.w, r1, r1.z, c3
rsq r2.x, r2.x
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.z, r1.x, c3
cmp r1.y, r1, c3, c3.x
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.x, r2.x
mad r1.z, r1.w, r1, c4
mul r1.z, r1, r2.x
mul r1.w, r1.y, r1.z
abs r2.x, r1
mad r1.x, -r1.w, c4.w, r1.z
mad r1.x, r1.y, c5, r1
mul r2.w, r1.x, c5.y
dp4_pp r1.z, c0, c0
rsq_pp r1.y, r1.z
mul_pp r1.xyz, r1.y, c0
dp3_pp r4.z, v1, r1
mov r2.y, r2.w
dsx r1.xy, r2
dsy r1.zw, r2.xyxy
texldd r1.w, r2.zwzw, s0, r1, r1.zwzw
add_pp r4.w, r4.z, c7
frc_pp r2.x, r4.w
add_pp_sat r2.x, r4.w, -r2
add_pp r1.y, r2.x, c8.x
mul_pp_sat r1.x, -r4.z, c7.z
mad_pp r2.w, r1.x, r1.y, c3.x
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v1
dp3_pp r1.x, r1, r2
mul_pp r1.y, r1.x, r2.w
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 105 instructions, 6 temp regs, 0 temp arrays:
// ALU 86 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 111 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c3.x, c3.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r2.y, r1.w
mov r0.y, -r1.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r2.w, r2, r0
mov r0.z, -r1.w
abs r1.w, r1.z
mov r0.xy, c3.x
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
max r2.w, r4.x, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rcp r2.x, r2.w
min r0.w, r4.x, r1
mul r0.w, r0, r2.x
mul r2.z, r0.w, r0.w
mad r2.x, r2.z, c5.z, c5.w
mad r2.x, r2, r2.z, c6
mad r2.y, r0.z, c3.z, c3.z
mad r0.z, r2.x, r2, c6.y
mul r0.x, r0.y, r0
mad r0.y, r0.z, r2.z, c6.z
mad r2.x, r0, c3.z, c3.z
mad r0.x, r0.y, r2.z, c6.w
mul r0.w, r0.x, r0
mul r3.xy, r2, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
add r0.z, r4.x, -r1.w
add r2.x, -r0.w, c7
cmp r0.z, -r0, r0.w, r2.x
add r0.w, -r0.z, c5.x
cmp r0.z, r1, r0, r0.w
abs r1.z, r1.y
cmp r1.x, r1, r0.z, -r0.z
mul r1.x, r1, c7.y
add r2.x, -r1.z, c3
mad r1.w, r1.z, c4.x, c4.y
mad r1.w, r1, r1.z, c3
rsq r2.x, r2.x
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.z, r1.x, c3
cmp r1.y, r1, c3, c3.x
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.x, r2.x
mad r1.z, r1.w, r1, c4
mul r1.z, r1, r2.x
mul r1.w, r1.y, r1.z
abs r2.x, r1
mad r1.x, -r1.w, c4.w, r1.z
mad r1.x, r1.y, c5, r1
mul r2.w, r1.x, c5.y
dp4_pp r1.z, c0, c0
rsq_pp r1.y, r1.z
mul_pp r1.xyz, r1.y, c0
dp3_pp r4.z, v1, r1
mov r2.y, r2.w
dsx r1.xy, r2
dsy r1.zw, r2.xyxy
texldd r1.w, r2.zwzw, s0, r1, r1.zwzw
add_pp r4.w, r4.z, c7
frc_pp r2.x, r4.w
add_pp_sat r2.x, r4.w, -r2
add_pp r1.y, r2.x, c8.x
mul_pp_sat r1.x, -r4.z, c7.z
mad_pp r2.w, r1.x, r1.y, c3.x
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v1
dp3_pp r1.x, r1, r2
mul_pp r1.y, r1.x, r2.w
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 105 instructions, 6 temp regs, 0 temp arrays:
// ALU 86 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 111 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r4.xyz, r1
add r0.y, r4.z, -r4.x
max r0.x, r4, r4.z
add r0.x, r0, -r4.y
add r0.z, r1, -r1.x
cmp r2.w, r0.y, c3.x, c3.y
mad r0.y, r2.w, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r2.y, r1.w
mov r0.y, -r1.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r2.w, r2, r0
mov r0.z, -r1.w
abs r1.w, r1.z
mov r0.xy, c3.x
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
max r2.w, r4.x, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
rcp r2.x, r2.w
min r0.w, r4.x, r1
mul r0.w, r0, r2.x
mul r2.z, r0.w, r0.w
mad r2.x, r2.z, c5.z, c5.w
mad r2.x, r2, r2.z, c6
mad r2.y, r0.z, c3.z, c3.z
mad r0.z, r2.x, r2, c6.y
mul r0.x, r0.y, r0
mad r0.y, r0.z, r2.z, c6.z
mad r2.x, r0, c3.z, c3.z
mad r0.x, r0.y, r2.z, c6.w
mul r0.w, r0.x, r0
mul r3.xy, r2, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
add r0.z, r4.x, -r1.w
add r2.x, -r0.w, c7
cmp r0.z, -r0, r0.w, r2.x
add r0.w, -r0.z, c5.x
cmp r0.z, r1, r0, r0.w
abs r1.z, r1.y
cmp r1.x, r1, r0.z, -r0.z
mul r1.x, r1, c7.y
add r2.x, -r1.z, c3
mad r1.w, r1.z, c4.x, c4.y
mad r1.w, r1, r1.z, c3
rsq r2.x, r2.x
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.z, r1.x, c3
cmp r1.y, r1, c3, c3.x
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.x, r2.x
mad r1.z, r1.w, r1, c4
mul r1.z, r1, r2.x
mul r1.w, r1.y, r1.z
abs r2.x, r1
mad r1.x, -r1.w, c4.w, r1.z
mad r1.x, r1.y, c5, r1
mul r2.w, r1.x, c5.y
dp4_pp r1.z, c0, c0
rsq_pp r1.y, r1.z
mul_pp r1.xyz, r1.y, c0
dp3_pp r4.z, v1, r1
mov r2.y, r2.w
dsx r1.xy, r2
dsy r1.zw, r2.xyxy
texldd r1.w, r2.zwzw, s0, r1, r1.zwzw
add_pp r4.w, r4.z, c7
frc_pp r2.x, r4.w
add_pp_sat r2.x, r4.w, -r2
add_pp r1.y, r2.x, c8.x
mul_pp_sat r1.x, -r4.z, c7.z
mad_pp r2.w, r1.x, r1.y, c3.x
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v1
dp3_pp r1.x, r1, r2
mul_pp r1.y, r1.x, r2.w
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 105 instructions, 6 temp regs, 0 temp arrays:
// ALU 86 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 112 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.z, r3.x, r3
cmp r2.w, r0.y, c3.x, c3.y
add r0.y, r0.z, -r3
add r0.x, r1.z, -r1
mad r0.x, r2.w, r0, r1
abs r3.z, r1.y
cmp r0.w, r0.y, c3.x, c3.y
add r0.x, -r1.y, r0
mad r0.y, r0.w, r0.x, r1
cmp r0.x, r0.y, c3.y, c3
cmp r0.y, -r0, c3, c3.x
add r1.w, r0.y, -r0.x
cmp r3.w, r1.y, c3.y, c3.x
mov r2.y, r1.w
mov r0.y, -r1.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r2.w, r2, r0
mov r0.z, -r1.w
mov r0.xy, c3.x
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
rcp r0.x, r0.w
min r0.w, r3.x, r1
mul r2.x, r0.w, r0
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c5.z, c5.w
mad r0.x, r0, r2.y, c6
mad r0.x, r0, r2.y, c6.y
mul r0.y, r0, r2.z
mad r0.w, r0.z, c3.z, c3.z
mad r0.z, r0.y, c3, c3
mul r2.zw, r0, c2.x
mad r0.x, r0, r2.y, c6.z
mad r0.z, r0.x, r2.y, c6.w
mul r0.w, r0.z, r2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r2.zwzw
abs r0.xy, r0
add r1.w, r3.x, -r1
add r0.z, -r0.w, c7.x
cmp r0.w, -r1, r0, r0.z
add r0.z, -r0.w, c5.x
cmp r1.z, r1, r0.w, r0
cmp r1.x, r1, r1.z, -r1.z
mul r1.z, r1.x, c7.y
add r1.x, -r3.z, c3
mad r1.w, r3.z, c4.x, c4.y
mad r1.w, r1, r3.z, c3
mad r1.w, r1, r3.z, c4.z
rsq r1.x, r1.x
rcp r1.x, r1.x
mul r1.w, r1, r1.x
mul r1.y, r3.w, r1.w
mad r1.y, -r1, c4.w, r1.w
mad r1.y, r3.w, c5.x, r1
mul r1.y, r1, c5
dsx r2.xy, r0
dsy r3.xy, r0
add r1.x, r1.z, c3.z
abs r3.z, r1
dp4_pp r1.z, c0, c0
rsq_pp r1.z, r1.z
mul_pp r4.xyz, r1.z, c0
dp3_pp r4.w, v2, r4
mov r3.w, r1.y
dsx r1.zw, r3
dsy r3.zw, r3
texldd r1.w, r1, s0, r1.zwzw, r3.zwzw
add_pp r4.x, r4.w, c7.w
frc_pp r4.y, r4.x
dp3_pp r1.y, v2, v2
dp3_pp r1.x, c0, c0
add_pp_sat r3.z, r4.x, -r4.y
rsq_pp r3.w, r1.y
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
mul_pp r4.xyz, r3.w, v2
dp3_pp r1.z, r4, r1
add_pp r1.x, r3.z, c8
mul_pp_sat r1.y, -r4.w, c7.z
mad_pp r1.y, r1, r1.x, c3.x
texldp r1.x, v1, s3
mul_pp r1.x, r1, r1.z
mul_pp r1.x, r1, r1.y
cmp r1.y, -v0.w, c3, c3.x
mul_pp_sat r1.x, r1, c8.y
mul_pp r3.w, r1, r1.y
texldd r0, r2.zwzw, s1, r2, r3
add_pp r1.x, -r1, c3
mul_pp r0.w, r0, r3
mul_pp r3.z, r0.w, r1.x
texldd r1, r2.zwzw, s2, r2, r3
mul_pp r1.w, r3, r1
mov_pp r0.w, r3.z
add_pp r0, r0, -r1
mad_pp r0, r3.z, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 88 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 112 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.z, r3.x, r3
cmp r2.w, r0.y, c3.x, c3.y
add r0.y, r0.z, -r3
add r0.x, r1.z, -r1
mad r0.x, r2.w, r0, r1
abs r3.z, r1.y
cmp r0.w, r0.y, c3.x, c3.y
add r0.x, -r1.y, r0
mad r0.y, r0.w, r0.x, r1
cmp r0.x, r0.y, c3.y, c3
cmp r0.y, -r0, c3, c3.x
add r1.w, r0.y, -r0.x
cmp r3.w, r1.y, c3.y, c3.x
mov r2.y, r1.w
mov r0.y, -r1.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r2.w, r2, r0
mov r0.z, -r1.w
mov r0.xy, c3.x
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
rcp r0.x, r0.w
min r0.w, r3.x, r1
mul r2.x, r0.w, r0
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c5.z, c5.w
mad r0.x, r0, r2.y, c6
mad r0.x, r0, r2.y, c6.y
mul r0.y, r0, r2.z
mad r0.w, r0.z, c3.z, c3.z
mad r0.z, r0.y, c3, c3
mul r2.zw, r0, c2.x
mad r0.x, r0, r2.y, c6.z
mad r0.z, r0.x, r2.y, c6.w
mul r0.w, r0.z, r2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r2.zwzw
abs r0.xy, r0
add r1.w, r3.x, -r1
add r0.z, -r0.w, c7.x
cmp r0.w, -r1, r0, r0.z
add r0.z, -r0.w, c5.x
cmp r1.z, r1, r0.w, r0
cmp r1.x, r1, r1.z, -r1.z
mul r1.z, r1.x, c7.y
add r1.x, -r3.z, c3
mad r1.w, r3.z, c4.x, c4.y
mad r1.w, r1, r3.z, c3
mad r1.w, r1, r3.z, c4.z
rsq r1.x, r1.x
rcp r1.x, r1.x
mul r1.w, r1, r1.x
mul r1.y, r3.w, r1.w
mad r1.y, -r1, c4.w, r1.w
mad r1.y, r3.w, c5.x, r1
mul r1.y, r1, c5
dsx r2.xy, r0
dsy r3.xy, r0
add r1.x, r1.z, c3.z
abs r3.z, r1
dp4_pp r1.z, c0, c0
rsq_pp r1.z, r1.z
mul_pp r4.xyz, r1.z, c0
dp3_pp r4.w, v2, r4
mov r3.w, r1.y
dsx r1.zw, r3
dsy r3.zw, r3
texldd r1.w, r1, s0, r1.zwzw, r3.zwzw
add_pp r4.x, r4.w, c7.w
frc_pp r4.y, r4.x
dp3_pp r1.y, v2, v2
dp3_pp r1.x, c0, c0
add_pp_sat r3.z, r4.x, -r4.y
rsq_pp r3.w, r1.y
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
mul_pp r4.xyz, r3.w, v2
dp3_pp r1.z, r4, r1
add_pp r1.x, r3.z, c8
mul_pp_sat r1.y, -r4.w, c7.z
mad_pp r1.y, r1, r1.x, c3.x
texldp r1.x, v1, s3
mul_pp r1.x, r1, r1.z
mul_pp r1.x, r1, r1.y
cmp r1.y, -v0.w, c3, c3.x
mul_pp_sat r1.x, r1, c8.y
mul_pp r3.w, r1, r1.y
texldd r0, r2.zwzw, s1, r2, r3
add_pp r1.x, -r1, c3
mul_pp r0.w, r0, r3
mul_pp r3.z, r0.w, r1.x
texldd r1, r2.zwzw, s2, r2, r3
mul_pp r1.w, r3, r1
mov_pp r0.w, r3.z
add_pp r0, r0, -r1
mad_pp r0, r3.z, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 88 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 112 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r3.xyz, r1
add r0.y, r3.z, -r3.x
max r0.z, r3.x, r3
cmp r2.w, r0.y, c3.x, c3.y
add r0.y, r0.z, -r3
add r0.x, r1.z, -r1
mad r0.x, r2.w, r0, r1
abs r3.z, r1.y
cmp r0.w, r0.y, c3.x, c3.y
add r0.x, -r1.y, r0
mad r0.y, r0.w, r0.x, r1
cmp r0.x, r0.y, c3.y, c3
cmp r0.y, -r0, c3, c3.x
add r1.w, r0.y, -r0.x
cmp r3.w, r1.y, c3.y, c3.x
mov r2.y, r1.w
mov r0.y, -r1.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r2.w, r2, r0
mov r0.z, -r1.w
mov r0.xy, c3.x
mad r2.xyz, r1.yxzw, -r0, r2
mul r0.xyz, r1.yxzw, r0
mad r0.xyz, r0.w, r2, r0
abs r1.w, r1.z
abs r2.y, r0.x
rcp r2.z, r2.y
max r0.w, r3.x, r1
rcp r0.x, r0.w
min r0.w, r3.x, r1
mul r2.x, r0.w, r0
mul r2.y, r2.x, r2.x
mul r0.z, r0, r2
mad r0.x, r2.y, c5.z, c5.w
mad r0.x, r0, r2.y, c6
mad r0.x, r0, r2.y, c6.y
mul r0.y, r0, r2.z
mad r0.w, r0.z, c3.z, c3.z
mad r0.z, r0.y, c3, c3
mul r2.zw, r0, c2.x
mad r0.x, r0, r2.y, c6.z
mad r0.z, r0.x, r2.y, c6.w
mul r0.w, r0.z, r2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r2.zwzw
abs r0.xy, r0
add r1.w, r3.x, -r1
add r0.z, -r0.w, c7.x
cmp r0.w, -r1, r0, r0.z
add r0.z, -r0.w, c5.x
cmp r1.z, r1, r0.w, r0
cmp r1.x, r1, r1.z, -r1.z
mul r1.z, r1.x, c7.y
add r1.x, -r3.z, c3
mad r1.w, r3.z, c4.x, c4.y
mad r1.w, r1, r3.z, c3
mad r1.w, r1, r3.z, c4.z
rsq r1.x, r1.x
rcp r1.x, r1.x
mul r1.w, r1, r1.x
mul r1.y, r3.w, r1.w
mad r1.y, -r1, c4.w, r1.w
mad r1.y, r3.w, c5.x, r1
mul r1.y, r1, c5
dsx r2.xy, r0
dsy r3.xy, r0
add r1.x, r1.z, c3.z
abs r3.z, r1
dp4_pp r1.z, c0, c0
rsq_pp r1.z, r1.z
mul_pp r4.xyz, r1.z, c0
dp3_pp r4.w, v2, r4
mov r3.w, r1.y
dsx r1.zw, r3
dsy r3.zw, r3
texldd r1.w, r1, s0, r1.zwzw, r3.zwzw
add_pp r4.x, r4.w, c7.w
frc_pp r4.y, r4.x
dp3_pp r1.y, v2, v2
dp3_pp r1.x, c0, c0
add_pp_sat r3.z, r4.x, -r4.y
rsq_pp r3.w, r1.y
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, c0
mul_pp r4.xyz, r3.w, v2
dp3_pp r1.z, r4, r1
add_pp r1.x, r3.z, c8
mul_pp_sat r1.y, -r4.w, c7.z
mad_pp r1.y, r1, r1.x, c3.x
texldp r1.x, v1, s3
mul_pp r1.x, r1, r1.z
mul_pp r1.x, r1, r1.y
cmp r1.y, -v0.w, c3, c3.x
mul_pp_sat r1.x, r1, c8.y
mul_pp r3.w, r1, r1.y
texldd r0, r2.zwzw, s1, r2, r3
add_pp r1.x, -r1, c3
mul_pp r0.w, r0, r3
mul_pp r3.z, r0.w, r1.x
texldd r1, r2.zwzw, s2, r2, r3
mul_pp r1.w, r3, r1
mov_pp r0.w, r3.z
add_pp r0, r0, -r1
mad_pp r0, r3.z, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 88 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r4.zw, r2.xyxy
dp4_pp r2.z, c0, c0
rsq_pp r2.x, r2.z
mul_pp r2.xyz, r2.x, c0
dp3_pp r2.x, v1, r2
texldd r1, r1, s0, r1.zwzw, r4.zwzw
mul_pp r1, r1, c3.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r2.y, r2.x, c7.w
add_pp r1.w, r1.x, r1
frc_pp r1.y, r2
add_pp_sat r1.y, r2, -r1
mul_pp_sat r1.x, -r2, c7.z
add_pp r1.y, r1, c8.x
mad_pp r2.w, r1.x, r1.y, c3.x
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v1
dp3_pp r1.x, r1, r2
mul_pp r1.y, r1.x, r2.w
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 105 instructions, 6 temp regs, 0 temp arrays:
// ALU 86 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r4.zw, r2.xyxy
dp4_pp r2.z, c0, c0
rsq_pp r2.x, r2.z
mul_pp r2.xyz, r2.x, c0
dp3_pp r2.x, v1, r2
texldd r1, r1, s0, r1.zwzw, r4.zwzw
mul_pp r1, r1, c3.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r2.y, r2.x, c7.w
add_pp r1.w, r1.x, r1
frc_pp r1.y, r2
add_pp_sat r1.y, r2, -r1
mul_pp_sat r1.x, -r2, c7.z
add_pp r1.y, r1, c8.x
mad_pp r2.w, r1.x, r1.y, c3.x
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v1
dp3_pp r1.x, r1, r2
mul_pp r1.y, r1.x, r2.w
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 105 instructions, 6 temp regs, 0 temp arrays:
// ALU 86 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r4.zw, r2.xyxy
dp4_pp r2.z, c0, c0
rsq_pp r2.x, r2.z
mul_pp r2.xyz, r2.x, c0
dp3_pp r2.x, v1, r2
texldd r1, r1, s0, r1.zwzw, r4.zwzw
mul_pp r1, r1, c3.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r2.y, r2.x, c7.w
add_pp r1.w, r1.x, r1
frc_pp r1.y, r2
add_pp_sat r1.y, r2, -r1
mul_pp_sat r1.x, -r2, c7.z
add_pp r1.y, r1, c8.x
mad_pp r2.w, r1.x, r1.y, c3.x
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v1
dp3_pp r1.x, r1, r2
mul_pp r1.y, r1.x, r2.w
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 105 instructions, 6 temp regs, 0 temp arrays:
// ALU 86 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
dp4_pp r2.z, c0, c0
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
mul_pp r1, r1, c3.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
rsq_pp r2.z, r2.z
mul_pp r2.xyz, r2.z, c0
dp3_pp r2.w, v2, r2
add_pp r1.y, r2.w, c7.w
frc_pp r1.z, r1.y
add_pp_sat r4.z, r1.y, -r1
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v2, v2
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v2
dp3_pp r1.y, r1, r2
mul_pp_sat r1.x, -r2.w, c7.z
add_pp r1.z, r4, c8.x
mad_pp r1.z, r1.x, r1, c3.x
texldp r1.x, v1, s3
mul_pp r1.x, r1, r1.y
mul_pp r1.y, r1.x, r1.z
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 88 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
dp4_pp r2.z, c0, c0
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
mul_pp r1, r1, c3.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
rsq_pp r2.z, r2.z
mul_pp r2.xyz, r2.z, c0
dp3_pp r2.w, v2, r2
add_pp r1.y, r2.w, c7.w
frc_pp r1.z, r1.y
add_pp_sat r4.z, r1.y, -r1
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v2, v2
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v2
dp3_pp r1.y, r1, r2
mul_pp_sat r1.x, -r2.w, c7.z
add_pp r1.z, r4, c8.x
mad_pp r1.z, r1.x, r1, c3.x
texldp r1.x, v1, s3
mul_pp r1.x, r1, r1.y
mul_pp r1.y, r1.x, r1.z
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 88 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedhpiphgocnkpimcigemnhglpiiklmbpfiabaaaaaaemapaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaiaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapalaaaaneaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahahaaaaneaaaaaaagaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaaiaaaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaaneaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcpmanaaaaeaaaaaaahpadaaaafjaaaaaeegiocaaa
aaaaaaaabeaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaafkaaaaadaagabaaa
aaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaad
aagabaaaadaaaaaafibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaa
abaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaa
adaaaaaaffffaaaagcbaaaadicbabaaaabaaaaaagcbaaaadlcbabaaaadaaaaaa
gcbaaaadhcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacagaaaaaabaaaaaajbcaabaaaaaaaaaaaegiccaaaabaaaaaa
aaaaaaaaegiccaaaabaaaaaaaaaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaabaaaaaa
aaaaaaaabaaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaaficaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaa
pgapbaaaaaaaaaaaegbcbaaaaeaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaa
abaaaaaaegacbaaaaaaaaaaaaoaaaaahgcaabaaaaaaaaaaaagbbbaaaadaaaaaa
pgbpbaaaadaaaaaaefaaaaajpcaabaaaabaaaaaajgafbaaaaaaaaaaaeghobaaa
adaaaaaaaagabaaaaaaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
akaabaaaabaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaa
aaaaiaeabbaaaaajccaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaa
abaaaaaaaaaaaaaaeeaaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaadiaaaaai
ocaabaaaaaaaaaaafgafbaaaaaaaaaaaagijcaaaabaaaaaaaaaaaaaabaaaaaah
ccaabaaaaaaaaaaaegbcbaaaaeaaaaaajgahbaaaaaaaaaaaaaaaaaahecaabaaa
aaaaaaaabkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafecaabaaaaaaaaaaackaabaaa
aaaaaaaaaaaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaialp
dcaaaaajccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaa
aaaaiadpdicaaaahbcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaa
aaaaaaaibcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadp
baaaaaahccaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaaf
ccaabaaaaaaaaaaabkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaafgafbaaa
aaaaaaaacgbjbaaaafaaaaaadeaaaaajecaabaaaaaaaaaaaakaabaiaibaaaaaa
abaaaaaabkaabaiaibaaaaaaabaaaaaaaoaaaaakecaabaaaaaaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaiadpaaaaiadpckaabaaaaaaaaaaaddaaaaajicaabaaa
aaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaadiaaaaah
ecaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahicaabaaa
aaaaaaaackaabaaaaaaaaaaackaabaaaaaaaaaaadcaaaaajicaabaaaabaaaaaa
dkaabaaaaaaaaaaaabeaaaaafpkokkdmabeaaaaadgfkkolndcaaaaajicaabaaa
abaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaabeaaaaaochgdidodcaaaaaj
icaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaabeaaaaaaebnkjlo
dcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaaabeaaaaa
diphhpdpdiaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaa
dcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaamaabeaaaaa
nlapmjdpdbaaaaajbcaabaaaacaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaia
ibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaakaabaaa
acaaaaaadcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaadbaaaaaidcaabaaaacaaaaaaigaabaaaabaaaaaaigaabaia
ebaaaaaaabaaaaaaabaaaaahicaabaaaaaaaaaaaakaabaaaacaaaaaaabeaaaaa
nlapejmaaaaaaaahecaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaa
ddaaaaahicaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaadbaaaaai
icaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaiaebaaaaaaaaaaaaaadeaaaaah
icaabaaaabaaaaaaakaabaaaabaaaaaabkaabaaaabaaaaaabnaaaaaiicaabaaa
abaaaaaadkaabaaaabaaaaaadkaabaiaebaaaaaaabaaaaaaabaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaadhaaaaakecaabaaaaaaaaaaa
dkaabaaaaaaaaaaackaabaiaebaaaaaaaaaaaaaackaabaaaaaaaaaaadiaaaaah
icaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaidpjccdodcaaaaajbcaabaaa
adaaaaaackaabaaaaaaaaaaaabeaaaaaidpjccdoabeaaaaaaaaaaadpdgaaaaag
ecaabaaaaaaaaaaadkaabaiaibaaaaaaaaaaaaaaalaaaaafbcaabaaaaeaaaaaa
ckaabaaaaaaaaaaaamaaaaafbcaabaaaafaaaaaackaabaaaaaaaaaaadcaaaaak
ecaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabeaaaaadagojjlmabeaaaaa
chbgjidndcaaaaakecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaiaibaaaaaa
abaaaaaaabeaaaaaiedefjlodcaaaaakecaabaaaaaaaaaaackaabaaaaaaaaaaa
ckaabaiaibaaaaaaabaaaaaaabeaaaaakeanmjdpaaaaaaaiicaabaaaaaaaaaaa
ckaabaiambaaaaaaabaaaaaaabeaaaaaaaaaiadpelaaaaaficaabaaaaaaaaaaa
dkaabaaaaaaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaackaabaaa
aaaaaaaadcaaaaajicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaama
abeaaaaanlapejeaabaaaaahicaabaaaabaaaaaabkaabaaaacaaaaaadkaabaaa
abaaaaaadcaaaaajecaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaabaaaaaadiaaaaahccaabaaaadaaaaaackaabaaaaaaaaaaaabeaaaaa
idpjkcdoalaaaaafccaabaaaaeaaaaaabkaabaaaadaaaaaaamaaaaafccaabaaa
afaaaaaabkaabaaaadaaaaaaejaaaaanpcaabaaaacaaaaaaegaabaaaadaaaaaa
eghobaaaaaaaaaaaaagabaaaabaaaaaaegaabaaaaeaaaaaaegaabaaaafaaaaaa
bnaaaaahecaabaaaaaaaaaaaabeaaaaaaaaaaaaadkbabaaaabaaaaaadhaaaaaj
ecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaaaaaabeaaaaaaaaaiadp
diaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaakaabaaaacaaaaaadcaaaaak
icaabaaaaaaaaaaackbabaaaafaaaaaabkaabaaaaaaaaaaabkaabaiaebaaaaaa
abaaaaaabnaaaaajicaabaaaabaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaia
ibaaaaaaabaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaa
aaaaiadpdcaaaaajicaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaa
bkaabaaaabaaaaaadcaaaaakccaabaaaaaaaaaaabkbabaiaebaaaaaaafaaaaaa
bkaabaaaaaaaaaaadkaabaaaaaaaaaaadeaaaaajicaabaaaaaaaaaaaakaabaia
ibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaabnaaaaaiicaabaaaaaaaaaaa
dkaabaaaaaaaaaaackaabaiaibaaaaaaabaaaaaaabaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaajccaabaaaaaaaaaaadkaabaaa
aaaaaaaabkaabaaaaaaaaaaackaabaaaabaaaaaadbaaaaahbcaabaaaacaaaaaa
abeaaaaaaaaaaaaabkaabaaaaaaaaaaadbaaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaaaaaboaaaaaiccaabaaaaaaaaaaaakaabaiaebaaaaaa
acaaaaaabkaabaaaaaaaaaaaclaaaaafccaabaaaacaaaaaabkaabaaaaaaaaaaa
dgaaaaagecaabaaaadaaaaaabkaabaiaebaaaaaaacaaaaaadgaaaaaidcaabaaa
adaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaa
aeaaaaaaggaibaaaabaaaaaaegacbaaaadaaaaaadgaaaaaifcaabaaaacaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaacaaaaaa
egacbaaaacaaaaaaegacbaaaabaaaaaajgaebaiaebaaaaaaaeaaaaaadcaaaaaj
hcaabaaaacaaaaaapgapbaaaabaaaaaaegacbaaaacaaaaaajgaebaaaaeaaaaaa
dcaaaaakhcaabaaaabaaaaaaegacbaiaebaaaaaaadaaaaaaggaibaaaabaaaaaa
egacbaaaacaaaaaadcaaaaajhcaabaaaabaaaaaapgapbaaaaaaaaaaaegacbaaa
abaaaaaaegacbaaaaeaaaaaadiaaaaakkcaabaaaaaaaaaaafgajbaaaabaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaaaaaaaaaadpaoaaaaaikcaabaaaaaaaaaaa
fganbaaaaaaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakkcaabaaaaaaaaaaa
fganbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaaaaaaaaaadpdiaaaaai
kcaabaaaaaaaaaaafganbaaaaaaaaaaapgipcaaaaaaaaaaabdaaaaaadcaaaaao
dcaabaaaabaaaaaapgipcaiaebaaaaaaaaaaaaaabdaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaangafbaaaaaaaaaaadgaaaaagdcaabaaaabaaaaaa
egaabaiaibaaaaaaabaaaaaaalaaaaafmcaabaaaabaaaaaaagaebaaaabaaaaaa
amaaaaafdcaabaaaabaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaacaaaaaa
ngafbaaaaaaaaaaaeghobaaaabaaaaaaaagabaaaacaaaaaaogakbaaaabaaaaaa
egaabaaaabaaaaaaejaaaaanpcaabaaaabaaaaaangafbaaaaaaaaaaaeghobaaa
acaaaaaaaagabaaaadaaaaaaogakbaaaabaaaaaaegaabaaaabaaaaaadiaaaaah
ccaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaacaaaaaadiaaaaahicaabaaa
abaaaaaackaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaahicaabaaaacaaaaaa
akaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaaipcaabaaaaaaaaaaaegaobaia
ebaaaaaaabaaaaaaegaobaaaacaaaaaadcaaaaajpcaabaaaaaaaaaaapgapbaaa
acaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaiiccabaaaaaaaaaaa
dkaabaaaaaaaaaaabkiacaaaaaaaaaaabcaaaaaadgaaaaafhccabaaaaaaaaaaa
egacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
dp4_pp r2.z, c0, c0
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
mul_pp r1, r1, c3.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
rsq_pp r2.z, r2.z
mul_pp r2.xyz, r2.z, c0
dp3_pp r2.w, v2, r2
add_pp r1.y, r2.w, c7.w
frc_pp r1.z, r1.y
add_pp_sat r4.z, r1.y, -r1
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v2, v2
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v2
dp3_pp r1.y, r1, r2
mul_pp_sat r1.x, -r2.w, c7.z
add_pp r1.z, r4, c8.x
mad_pp r1.z, r1.x, r1, c3.x
texldp r1.x, v1, s3
mul_pp r1.x, r1, r1.y
mul_pp r1.y, r1.x, r1.z
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 88 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r4.zw, r2.xyxy
dp4_pp r2.z, c0, c0
rsq_pp r2.x, r2.z
mul_pp r2.xyz, r2.x, c0
dp3_pp r2.x, v1, r2
texldd r1, r1, s0, r1.zwzw, r4.zwzw
mul_pp r1, r1, c3.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r2.y, r2.x, c7.w
add_pp r1.w, r1.x, r1
frc_pp r1.y, r2
add_pp_sat r1.y, r2, -r1
mul_pp_sat r1.x, -r2, c7.z
add_pp r1.y, r1, c8.x
mad_pp r2.w, r1.x, r1.y, c3.x
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v1
dp3_pp r1.x, r1, r2
mul_pp r1.y, r1.x, r2.w
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 105 instructions, 6 temp regs, 0 temp arrays:
// ALU 86 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r4.zw, r2.xyxy
dp4_pp r2.z, c0, c0
rsq_pp r2.x, r2.z
mul_pp r2.xyz, r2.x, c0
dp3_pp r2.x, v1, r2
texldd r1, r1, s0, r1.zwzw, r4.zwzw
mul_pp r1, r1, c3.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r2.y, r2.x, c7.w
add_pp r1.w, r1.x, r1
frc_pp r1.y, r2
add_pp_sat r1.y, r2, -r1
mul_pp_sat r1.x, -r2, c7.z
add_pp r1.y, r1, c8.x
mad_pp r2.w, r1.x, r1.y, c3.x
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v1
dp3_pp r1.x, r1, r2
mul_pp r1.y, r1.x, r2.w
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 105 instructions, 6 temp regs, 0 temp arrays:
// ALU 86 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r4.zw, r2.xyxy
dp4_pp r2.z, c0, c0
rsq_pp r2.x, r2.z
mul_pp r2.xyz, r2.x, c0
dp3_pp r2.x, v1, r2
texldd r1, r1, s0, r1.zwzw, r4.zwzw
mul_pp r1, r1, c3.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r2.y, r2.x, c7.w
add_pp r1.w, r1.x, r1
frc_pp r1.y, r2
add_pp_sat r1.y, r2, -r1
mul_pp_sat r1.x, -r2, c7.z
add_pp r1.y, r1, c8.x
mad_pp r2.w, r1.x, r1.y, c3.x
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v1
dp3_pp r1.x, r1, r2
mul_pp r1.y, r1.x, r2.w
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 105 instructions, 6 temp regs, 0 temp arrays:
// ALU 86 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
dp4_pp r2.z, c0, c0
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
mul_pp r1, r1, c3.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
rsq_pp r2.z, r2.z
mul_pp r2.xyz, r2.z, c0
dp3_pp r2.w, v2, r2
add_pp r1.y, r2.w, c7.w
frc_pp r1.z, r1.y
add_pp_sat r4.z, r1.y, -r1
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v2, v2
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v2
dp3_pp r1.y, r1, r2
mul_pp_sat r1.x, -r2.w, c7.z
add_pp r1.z, r4, c8.x
mad_pp r1.z, r1.x, r1, c3.x
texldp r1.x, v1, s3
mul_pp r1.x, r1, r1.y
mul_pp r1.y, r1.x, r1.z
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 88 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
dp4_pp r2.z, c0, c0
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
mul_pp r1, r1, c3.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
rsq_pp r2.z, r2.z
mul_pp r2.xyz, r2.z, c0
dp3_pp r2.w, v2, r2
add_pp r1.y, r2.w, c7.w
frc_pp r1.z, r1.y
add_pp_sat r4.z, r1.y, -r1
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v2, v2
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v2
dp3_pp r1.y, r1, r2
mul_pp_sat r1.x, -r2.w, c7.z
add_pp r1.z, r4, c8.x
mad_pp r1.z, r1.x, r1, c3.x
texldp r1.x, v1, s3
mul_pp r1.x, r1, r1.y
mul_pp r1.y, r1.x, r1.z
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 88 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
dp4_pp r2.z, c0, c0
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
mul_pp r1, r1, c3.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
rsq_pp r2.z, r2.z
mul_pp r2.xyz, r2.z, c0
dp3_pp r2.w, v2, r2
add_pp r1.y, r2.w, c7.w
frc_pp r1.z, r1.y
add_pp_sat r4.z, r1.y, -r1
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v2, v2
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v2
dp3_pp r1.y, r1, r2
mul_pp_sat r1.x, -r2.w, c7.z
add_pp r1.z, r4, c8.x
mad_pp r1.z, r1.x, r1, c3.x
texldp r1.x, v1, s3
mul_pp r1.x, r1, r1.y
mul_pp r1.y, r1.x, r1.z
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 88 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r4.zw, r2.xyxy
dp4_pp r2.z, c0, c0
rsq_pp r2.x, r2.z
mul_pp r2.xyz, r2.x, c0
dp3_pp r2.x, v1, r2
texldd r1, r1, s0, r1.zwzw, r4.zwzw
mul_pp r1, r1, c3.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r2.y, r2.x, c7.w
add_pp r1.w, r1.x, r1
frc_pp r1.y, r2
add_pp_sat r1.y, r2, -r1
mul_pp_sat r1.x, -r2, c7.z
add_pp r1.y, r1, c8.x
mad_pp r2.w, r1.x, r1.y, c3.x
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v1
dp3_pp r1.x, r1, r2
mul_pp r1.y, r1.x, r2.w
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 105 instructions, 6 temp regs, 0 temp arrays:
// ALU 86 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r4.zw, r2.xyxy
dp4_pp r2.z, c0, c0
rsq_pp r2.x, r2.z
mul_pp r2.xyz, r2.x, c0
dp3_pp r2.x, v1, r2
texldd r1, r1, s0, r1.zwzw, r4.zwzw
mul_pp r1, r1, c3.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r2.y, r2.x, c7.w
add_pp r1.w, r1.x, r1
frc_pp r1.y, r2
add_pp_sat r1.y, r2, -r1
mul_pp_sat r1.x, -r2, c7.z
add_pp r1.y, r1, c8.x
mad_pp r2.w, r1.x, r1.y, c3.x
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v1
dp3_pp r1.x, r1, r2
mul_pp r1.y, r1.x, r2.w
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 105 instructions, 6 temp regs, 0 temp arrays:
// ALU 86 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r4.zw, r2.xyxy
dp4_pp r2.z, c0, c0
rsq_pp r2.x, r2.z
mul_pp r2.xyz, r2.x, c0
dp3_pp r2.x, v1, r2
texldd r1, r1, s0, r1.zwzw, r4.zwzw
mul_pp r1, r1, c3.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r2.y, r2.x, c7.w
add_pp r1.w, r1.x, r1
frc_pp r1.y, r2
add_pp_sat r1.y, r2, -r1
mul_pp_sat r1.x, -r2, c7.z
add_pp r1.y, r1, c8.x
mad_pp r2.w, r1.x, r1.y, c3.x
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v1
dp3_pp r1.x, r1, r2
mul_pp r1.y, r1.x, r2.w
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 105 instructions, 6 temp regs, 0 temp arrays:
// ALU 86 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
dp4_pp r2.z, c0, c0
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
mul_pp r1, r1, c3.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
rsq_pp r2.z, r2.z
mul_pp r2.xyz, r2.z, c0
dp3_pp r2.w, v2, r2
add_pp r1.y, r2.w, c7.w
frc_pp r1.z, r1.y
add_pp_sat r4.z, r1.y, -r1
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v2, v2
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v2
dp3_pp r1.y, r1, r2
mul_pp_sat r1.x, -r2.w, c7.z
add_pp r1.z, r4, c8.x
mad_pp r1.z, r1.x, r1, c3.x
texldp r1.x, v1, s3
mul_pp r1.x, r1, r1.y
mul_pp r1.y, r1.x, r1.z
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 88 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
dp4_pp r2.z, c0, c0
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
mul_pp r1, r1, c3.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
rsq_pp r2.z, r2.z
mul_pp r2.xyz, r2.z, c0
dp3_pp r2.w, v2, r2
add_pp r1.y, r2.w, c7.w
frc_pp r1.z, r1.y
add_pp_sat r4.z, r1.y, -r1
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v2, v2
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v2
dp3_pp r1.y, r1, r2
mul_pp_sat r1.x, -r2.w, c7.z
add_pp r1.z, r4, c8.x
mad_pp r1.z, r1.x, r1, c3.x
texldp r1.x, v1, s3
mul_pp r1.x, r1, r1.y
mul_pp r1.y, r1.x, r1.z
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 88 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
dp4_pp r2.z, c0, c0
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
mul_pp r1, r1, c3.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
rsq_pp r2.z, r2.z
mul_pp r2.xyz, r2.z, c0
dp3_pp r2.w, v2, r2
add_pp r1.y, r2.w, c7.w
frc_pp r1.z, r1.y
add_pp_sat r4.z, r1.y, -r1
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v2, v2
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v2
dp3_pp r1.y, r1, r2
mul_pp_sat r1.x, -r2.w, c7.z
add_pp r1.z, r4, c8.x
mad_pp r1.z, r1.x, r1, c3.x
texldp r1.x, v1, s3
mul_pp r1.x, r1, r1.y
mul_pp r1.y, r1.x, r1.z
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 88 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r4.zw, r2.xyxy
dp4_pp r2.z, c0, c0
rsq_pp r2.x, r2.z
mul_pp r2.xyz, r2.x, c0
dp3_pp r2.x, v1, r2
texldd r1, r1, s0, r1.zwzw, r4.zwzw
mul_pp r1, r1, c3.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r2.y, r2.x, c7.w
add_pp r1.w, r1.x, r1
frc_pp r1.y, r2
add_pp_sat r1.y, r2, -r1
mul_pp_sat r1.x, -r2, c7.z
add_pp r1.y, r1, c8.x
mad_pp r2.w, r1.x, r1.y, c3.x
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v1
dp3_pp r1.x, r1, r2
mul_pp r1.y, r1.x, r2.w
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 105 instructions, 6 temp regs, 0 temp arrays:
// ALU 86 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r4.zw, r2.xyxy
dp4_pp r2.z, c0, c0
rsq_pp r2.x, r2.z
mul_pp r2.xyz, r2.x, c0
dp3_pp r2.x, v1, r2
texldd r1, r1, s0, r1.zwzw, r4.zwzw
mul_pp r1, r1, c3.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r2.y, r2.x, c7.w
add_pp r1.w, r1.x, r1
frc_pp r1.y, r2
add_pp_sat r1.y, r2, -r1
mul_pp_sat r1.x, -r2, c7.z
add_pp r1.y, r1, c8.x
mad_pp r2.w, r1.x, r1.y, c3.x
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v1
dp3_pp r1.x, r1, r2
mul_pp r1.y, r1.x, r2.w
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 105 instructions, 6 temp regs, 0 temp arrays:
// ALU 86 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 9 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r4.zw, r2.xyxy
dp4_pp r2.z, c0, c0
rsq_pp r2.x, r2.z
mul_pp r2.xyz, r2.x, c0
dp3_pp r2.x, v1, r2
texldd r1, r1, s0, r1.zwzw, r4.zwzw
mul_pp r1, r1, c3.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r2.y, r2.x, c7.w
add_pp r1.w, r1.x, r1
frc_pp r1.y, r2
add_pp_sat r1.y, r2, -r1
mul_pp_sat r1.x, -r2, c7.z
add_pp r1.y, r1, c8.x
mad_pp r2.w, r1.x, r1.y, c3.x
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v1, v1
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v1
dp3_pp r1.x, r1, r2
mul_pp r1.y, r1.x, r2.w
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 105 instructions, 6 temp regs, 0 temp arrays:
// ALU 86 float, 1 int, 6 uint
// TEX 0 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
dp4_pp r2.z, c0, c0
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
mul_pp r1, r1, c3.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
rsq_pp r2.z, r2.z
mul_pp r2.xyz, r2.z, c0
dp3_pp r2.w, v2, r2
add_pp r1.y, r2.w, c7.w
frc_pp r1.z, r1.y
add_pp_sat r4.z, r1.y, -r1
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v2, v2
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v2
dp3_pp r1.y, r1, r2
mul_pp_sat r1.x, -r2.w, c7.z
add_pp r1.z, r4, c8.x
mad_pp r1.z, r1.x, r1, c3.x
texldp r1.x, v1, s3
mul_pp r1.x, r1, r1.y
mul_pp r1.y, r1.x, r1.z
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 88 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
dp4_pp r2.z, c0, c0
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
mul_pp r1, r1, c3.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
rsq_pp r2.z, r2.z
mul_pp r2.xyz, r2.z, c0
dp3_pp r2.w, v2, r2
add_pp r1.y, r2.w, c7.w
frc_pp r1.z, r1.y
add_pp_sat r4.z, r1.y, -r1
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v2, v2
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v2
dp3_pp r1.y, r1, r2
mul_pp_sat r1.x, -r2.w, c7.z
add_pp r1.z, r4, c8.x
mad_pp r1.z, r1.x, r1, c3.x
texldp r1.x, v1, s3
mul_pp r1.x, r1, r1.y
mul_pp r1.y, r1.x, r1.z
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 88 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [_CityOverlayTex] 2D
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 10 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, -0.21211439
def c4, -0.01872930, 0.07426100, 1.57072902, 2.00000000
def c5, 3.14159298, 0.31830987, -0.01348047, 0.05747731
def c6, -0.12123910, 0.19563590, -0.33299461, 0.99999559
def c7, 1.57079601, 0.15915494, 10.00000000, 1.00976563
def c8, -1.00000000, 4.00000000, 0, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r2.xyw, r1.yzzx
add r0.y, r2, -r2.w
max r0.x, r2.w, r2.y
add r0.x, r0, -r2
add r0.z, r1, -r1.x
cmp r3.x, r0.y, c3, c3.y
mad r0.y, r3.x, r0.z, r1.x
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, -r1, r0
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r3.x, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r1.w, r1.z
max r0.w, r2, r1
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r2.y, r0.z, c3.z, c3.z
min r0.z, r2.w, r1.w
mul r0.x, r0.y, r0
mad r2.x, r0, c3.z, c3.z
rcp r0.w, r0.w
mul r0.z, r0, r0.w
mul r0.w, r0.z, r0.z
mul r3.xy, r2, c2.x
mad r0.x, r0.w, c5.z, c5.w
mad r2.x, r0, r0.w, c6
mad r2.x, r2, r0.w, c6.y
mad r2.x, r2, r0.w, c6.z
mad r0.w, r2.x, r0, c6
mul r2.x, r0.w, r0.z
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r3
abs r0.xy, r0
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
add r2.y, -r2.x, c7.x
add r1.w, r2, -r1
cmp r1.w, -r1, r2.x, r2.y
abs r2.y, r1
add r2.x, -r1.w, c5
cmp r1.w, r1.z, r1, r2.x
add r2.w, -r2.y, c3.x
mad r2.z, r2.y, c4.x, c4.y
mad r2.z, r2, r2.y, c3.w
rsq r2.w, r2.w
cmp r1.y, r1, c3, c3.x
cmp r1.w, r1.x, r1, -r1
texldd r0, r3, s1, r3.zwzw, r4
rcp r2.w, r2.w
mad r2.y, r2.z, r2, c4.z
mul r2.y, r2, r2.w
mul r2.z, r1.y, r2.y
mad r1.z, -r2, c4.w, r2.y
mad r1.x, r1.y, c5, r1.z
mul r1.z, r1.w, c7.y
mul r1.y, r1.x, c5
dp4_pp r2.z, c0, c0
mov r2.y, r1
abs r2.x, r1.z
add r1.x, r1.z, c3.z
dsx r1.zw, r2.xyxy
dsy r2.xy, r2
texldd r1, r1, s0, r1.zwzw, r2
mul_pp r1, r1, c3.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
add_pp r1.w, r1.x, r1
rsq_pp r2.z, r2.z
mul_pp r2.xyz, r2.z, c0
dp3_pp r2.w, v2, r2
add_pp r1.y, r2.w, c7.w
frc_pp r1.z, r1.y
add_pp_sat r4.z, r1.y, -r1
dp3_pp r1.y, c0, c0
rsq_pp r1.y, r1.y
dp3_pp r1.x, v2, v2
mul_pp r2.xyz, r1.y, c0
rsq_pp r1.x, r1.x
mul_pp r1.xyz, r1.x, v2
dp3_pp r1.y, r1, r2
mul_pp_sat r1.x, -r2.w, c7.z
add_pp r1.z, r4, c8.x
mad_pp r1.z, r1.x, r1, c3.x
texldp r1.x, v1, s3
mul_pp r1.x, r1, r1.y
mul_pp r1.y, r1.x, r1.z
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.x, r1.w, r1
mul_pp_sat r1.y, r1, c8
add_pp r1.x, -r1.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r3, s2, r3.zwzw, r4
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [_CityOverlayTex] 2D 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 88 float, 1 int, 6 uint
// TEX 1 (0 load, 0 comp, 0 bias, 3 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 72 ALU, 7 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mul r0.x, r0.y, r0
mad r2.y, r0.z, c3.z, c3.z
dp4_pp r0.z, c0, c0
mad r2.x, r0, c3.z, c3.z
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c0
dp3_pp r0.z, v1, r0
add_pp r0.w, r0.z, c4.x
frc_pp r1.w, r0
add_pp_sat r0.w, r0, -r1
mul r2.xy, r2, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r2
abs r0.xy, r0
dsx r2.zw, r0.xyxy
dsy r4.xy, r0
add_pp r0.y, r0.w, c4
mul_pp_sat r0.x, -r0.z, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r3.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r3
mul_pp r1.w, r0.x, r0
mul_pp_sat r3.y, r1.w, c4.z
texld r1.w, r1, s0
cmp r3.x, -v0.w, c3.y, c3
mul_pp r3.x, r1.w, r3
texldd r0, r2, s1, r2.zwzw, r4
add_pp r1.x, -r3.y, c3
mul_pp r0.w, r0, r3.x
mul_pp r3.y, r0.w, r1.x
texldd r1, r2, s2, r2.zwzw, r4
mul_pp r1.w, r3.x, r1
mov_pp r0.w, r3.y
add_pp r0, r0, -r1
mad_pp r0, r3.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 65 instructions, 5 temp regs, 0 temp arrays:
// ALU 52 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 72 ALU, 7 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mul r0.x, r0.y, r0
mad r2.y, r0.z, c3.z, c3.z
dp4_pp r0.z, c0, c0
mad r2.x, r0, c3.z, c3.z
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c0
dp3_pp r0.z, v1, r0
add_pp r0.w, r0.z, c4.x
frc_pp r1.w, r0
add_pp_sat r0.w, r0, -r1
mul r2.xy, r2, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r2
abs r0.xy, r0
dsx r2.zw, r0.xyxy
dsy r4.xy, r0
add_pp r0.y, r0.w, c4
mul_pp_sat r0.x, -r0.z, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r3.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r3
mul_pp r1.w, r0.x, r0
mul_pp_sat r3.y, r1.w, c4.z
texld r1.w, r1, s0
cmp r3.x, -v0.w, c3.y, c3
mul_pp r3.x, r1.w, r3
texldd r0, r2, s1, r2.zwzw, r4
add_pp r1.x, -r3.y, c3
mul_pp r0.w, r0, r3.x
mul_pp r3.y, r0.w, r1.x
texldd r1, r2, s2, r2.zwzw, r4
mul_pp r1.w, r3.x, r1
mov_pp r0.w, r3.y
add_pp r0, r0, -r1
mad_pp r0, r3.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 65 instructions, 5 temp regs, 0 temp arrays:
// ALU 52 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedclhohnlocjhhlkndefeokommioaiooieabaaaaaamaajaaaaadaaaaaa
cmaaaaaapmaaaaaadaabaaaaejfdeheomiaaaaaaahaaaaaaaiaaaaaalaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaalmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaiaaaalmaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apaaaaaalmaaaaaaaeaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaalmaaaaaa
agaaaaaaaaaaaaaaadaaaaaaadaaaaaaaiaaaaaalmaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaalmaaaaaaahaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheo
cmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaa
apaaaaaafdfgfpfegbhcghgfheaaklklfdeieefciiaiaaaaeaaaaaaaccacaaaa
fjaaaaaeegiocaaaaaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafidaaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaa
ffffaaaafibiaaaeaahabaaaacaaaaaaffffaaaagcbaaaadicbabaaaabaaaaaa
gcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaaaeaaaaaagfaaaaadpccabaaa
aaaaaaaagiaaaaacafaaaaaabbaaaaajbcaabaaaaaaaaaaaegiocaaaabaaaaaa
aaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaa
aaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaabaaaaaa
aaaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaaadaaaaaaegacbaaaaaaaaaaa
aaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaah
bcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaacambebcaaaafccaabaaa
aaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaa
abeaaaaaaaaaialpdcaaaaajbcaabaaaaaaaaaaaakaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaiadpbaaaaaajccaabaaaaaaaaaaaegiccaaaabaaaaaa
aaaaaaaaegiccaaaabaaaaaaaaaaaaaaeeaaaaafccaabaaaaaaaaaaabkaabaaa
aaaaaaaadiaaaaaiocaabaaaaaaaaaaafgafbaaaaaaaaaaaagijcaaaabaaaaaa
aaaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaaadaaaaaaegbcbaaaadaaaaaa
eeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaadiaaaaahhcaabaaaabaaaaaa
agaabaaaabaaaaaaegbcbaaaadaaaaaabaaaaaahccaabaaaaaaaaaaaegacbaaa
abaaaaaajgahbaaaaaaaaaaadiaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaa
abeaaaaaaaaaiaeadicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaabkaabaaa
aaaaaaaaaaaaaaaibcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabeaaaaa
aaaaiadpbaaaaaahccaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaa
eeaaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaa
fgafbaaaaaaaaaaacgbjbaaaaeaaaaaadcaaaaakecaabaaaaaaaaaaackbabaaa
aeaaaaaabkaabaaaaaaaaaaabkaabaiaebaaaaaaabaaaaaabnaaaaajicaabaaa
aaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaiaibaaaaaaabaaaaaaabaaaaah
icaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaajecaabaaa
aaaaaaaadkaabaaaaaaaaaaackaabaaaaaaaaaaabkaabaaaabaaaaaadcaaaaak
ccaabaaaaaaaaaaabkbabaiaebaaaaaaaeaaaaaabkaabaaaaaaaaaaackaabaaa
aaaaaaaadeaaaaajecaabaaaaaaaaaaaakaabaiaibaaaaaaabaaaaaabkaabaia
ibaaaaaaabaaaaaabnaaaaaiecaabaaaaaaaaaaackaabaaaaaaaaaaackaabaia
ibaaaaaaabaaaaaaabaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaa
aaaaiadpdcaaaaajccaabaaaaaaaaaaackaabaaaaaaaaaaabkaabaaaaaaaaaaa
ckaabaaaabaaaaaadbaaaaahicaabaaaabaaaaaaabeaaaaaaaaaaaaabkaabaaa
aaaaaaaadbaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaaaaa
boaaaaaiccaabaaaaaaaaaaadkaabaiaebaaaaaaabaaaaaabkaabaaaaaaaaaaa
claaaaafccaabaaaacaaaaaabkaabaaaaaaaaaaadgaaaaaifcaabaaaacaaaaaa
aceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadgaaaaagecaabaaaadaaaaaa
bkaabaiaebaaaaaaacaaaaaadgaaaaaidcaabaaaadaaaaaaaceaaaaaaaaaiadp
aaaaiadpaaaaaaaaaaaaaaaadiaaaaahhcaabaaaaeaaaaaaggaibaaaabaaaaaa
egacbaaaadaaaaaadcaaaaakhcaabaaaacaaaaaaegacbaaaacaaaaaaegacbaaa
abaaaaaajgaebaiaebaaaaaaaeaaaaaadcaaaaajhcaabaaaacaaaaaapgapbaaa
aaaaaaaaegacbaaaacaaaaaajgaebaaaaeaaaaaadcaaaaakhcaabaaaacaaaaaa
egacbaiaebaaaaaaadaaaaaaggaibaaaabaaaaaaegacbaaaacaaaaaaefaaaaaj
pcaabaaaabaaaaaajgaebaaaabaaaaaaeghobaaaaaaaaaaaaagabaaaaaaaaaaa
dcaaaaajocaabaaaaaaaaaaakgakbaaaaaaaaaaaagajbaaaacaaaaaaagajbaaa
aeaaaaaadiaaaaakmcaabaaaaaaaaaaakgaobaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaaaaaaaaaadpaaaaaadpaoaaaaaigcaabaaaaaaaaaaakgalbaaaaaaaaaaa
fgafbaiaibaaaaaaaaaaaaaaaaaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaadiaaaaaigcaabaaaaaaaaaaa
fgagbaaaaaaaaaaapgipcaaaaaaaaaaaapaaaaaadcaaaaaodcaabaaaabaaaaaa
pgipcaiaebaaaaaaaaaaaaaaapaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaajgafbaaaaaaaaaaadgaaaaagdcaabaaaabaaaaaaegaabaiaibaaaaaa
abaaaaaaalaaaaafdcaabaaaacaaaaaaegaabaaaabaaaaaaamaaaaafdcaabaaa
abaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaadaaaaaajgafbaaaaaaaaaaa
eghobaaaabaaaaaaaagabaaaabaaaaaaegaabaaaacaaaaaaegaabaaaabaaaaaa
ejaaaaanpcaabaaaacaaaaaajgafbaaaaaaaaaaaeghobaaaacaaaaaaaagabaaa
acaaaaaaegaabaaaacaaaaaaegaabaaaabaaaaaabnaaaaahccaabaaaaaaaaaaa
abeaaaaaaaaaaaaadkbabaaaabaaaaaadhaaaaajccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahccaabaaaaaaaaaaa
bkaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaahecaabaaaaaaaaaaabkaabaaa
aaaaaaaadkaabaaaadaaaaaadiaaaaahicaabaaaacaaaaaabkaabaaaaaaaaaaa
dkaabaaaacaaaaaadiaaaaahicaabaaaadaaaaaaakaabaaaaaaaaaaackaabaaa
aaaaaaaaaaaaaaaipcaabaaaaaaaaaaaegaobaiaebaaaaaaacaaaaaaegaobaaa
adaaaaaadcaaaaajpcaabaaaaaaaaaaapgapbaaaadaaaaaaegaobaaaaaaaaaaa
egaobaaaacaaaaaadiaaaaaiiccabaaaaaaaaaaadkaabaaaaaaaaaaabkiacaaa
aaaaaaaaaoaaaaaadgaaaaafhccabaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab
"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 72 ALU, 7 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r2.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r2.y, -r1.w
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r2.w, r0, r2
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mul r0.x, r0.y, r0
mad r2.y, r0.z, c3.z, c3.z
dp4_pp r0.z, c0, c0
mad r2.x, r0, c3.z, c3.z
rsq_pp r0.y, r0.z
mul_pp r0.xyz, r0.y, c0
dp3_pp r0.z, v1, r0
add_pp r0.w, r0.z, c4.x
frc_pp r1.w, r0
add_pp_sat r0.w, r0, -r1
mul r2.xy, r2, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r2
abs r0.xy, r0
dsx r2.zw, r0.xyxy
dsy r4.xy, r0
add_pp r0.y, r0.w, c4
mul_pp_sat r0.x, -r0.z, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r3.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r3
mul_pp r1.w, r0.x, r0
mul_pp_sat r3.y, r1.w, c4.z
texld r1.w, r1, s0
cmp r3.x, -v0.w, c3.y, c3
mul_pp r3.x, r1.w, r3
texldd r0, r2, s1, r2.zwzw, r4
add_pp r1.x, -r3.y, c3
mul_pp r0.w, r0, r3.x
mul_pp r3.y, r0.w, r1.x
texldd r1, r2, s2, r2.zwzw, r4
mul_pp r1.w, r3.x, r1
mov_pp r0.w, r3.y
add_pp r0, r0, -r1
mad_pp r0, r3.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 65 instructions, 5 temp regs, 0 temp arrays:
// ALU 52 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 73 ALU, 8 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r2.xyz, r0.x, v3
abs r0.xyz, r2
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r2, -r2.x
mad r0.z, r2.w, r0, r2.x
add r0.y, -r2, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c3.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r3
abs r0.x, r1
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
dp4_pp r0.z, c0, c0
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r3.xy, r0, c2.x
mov r0.w, c2.x
rsq_pp r0.z, r0.z
mad r1.xy, c3.z, -r0.w, r3
mul_pp r0.xyz, r0.z, c0
dp3_pp r0.w, v2, r0
abs r0.xy, r1
add_pp r0.z, r0.w, c4.x
frc_pp r1.x, r0.z
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
dp3_pp r0.y, c0, c0
dp3_pp r0.x, v2, v2
add_pp_sat r1.w, r0.z, -r1.x
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r1
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r1.w, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s3
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r0.y, r0.x, c4.z
texld r0.w, r2, s0
cmp r0.x, -v0.w, c3.y, c3
mul_pp r2.x, r0.w, r0
texldd r1, r3, s1, r3.zwzw, r4
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r0, c3.x
mul_pp r2.y, r0.x, r0
texldd r0, r3, s2, r3.zwzw, r4
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp r0, r2.y, r1, r0
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 68 instructions, 5 temp regs, 0 temp arrays:
// ALU 54 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 73 ALU, 8 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r2.xyz, r0.x, v3
abs r0.xyz, r2
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r2, -r2.x
mad r0.z, r2.w, r0, r2.x
add r0.y, -r2, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c3.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r3
abs r0.x, r1
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
dp4_pp r0.z, c0, c0
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r3.xy, r0, c2.x
mov r0.w, c2.x
rsq_pp r0.z, r0.z
mad r1.xy, c3.z, -r0.w, r3
mul_pp r0.xyz, r0.z, c0
dp3_pp r0.w, v2, r0
abs r0.xy, r1
add_pp r0.z, r0.w, c4.x
frc_pp r1.x, r0.z
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
dp3_pp r0.y, c0, c0
dp3_pp r0.x, v2, v2
add_pp_sat r1.w, r0.z, -r1.x
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r1
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r1.w, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s3
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r0.y, r0.x, c4.z
texld r0.w, r2, s0
cmp r0.x, -v0.w, c3.y, c3
mul_pp r2.x, r0.w, r0
texldd r1, r3, s1, r3.zwzw, r4
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r0, c3.x
mul_pp r2.y, r0.x, r0
texldd r0, r3, s2, r3.zwzw, r4
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp r0, r2.y, r1, r0
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 68 instructions, 5 temp regs, 0 temp arrays:
// ALU 54 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 73 ALU, 8 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r2.xyz, r0.x, v3
abs r0.xyz, r2
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r2.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r2, -r2.x
mad r0.z, r2.w, r0, r2.x
add r0.y, -r2, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r1.w, r0.x, -r0.y
mov r0.y, r1.w
mov r1.y, -r1.w
mov r1.xz, c3.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov r0.z, -r1.w
mov r0.xy, c3.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r1.xyz, r0.w, r0, r3
abs r0.x, r1
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
dp4_pp r0.z, c0, c0
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r3.xy, r0, c2.x
mov r0.w, c2.x
rsq_pp r0.z, r0.z
mad r1.xy, c3.z, -r0.w, r3
mul_pp r0.xyz, r0.z, c0
dp3_pp r0.w, v2, r0
abs r0.xy, r1
add_pp r0.z, r0.w, c4.x
frc_pp r1.x, r0.z
dsx r3.zw, r0.xyxy
dsy r4.xy, r0
dp3_pp r0.y, c0, c0
dp3_pp r0.x, v2, v2
add_pp_sat r1.w, r0.z, -r1.x
rsq_pp r0.y, r0.y
mul_pp r1.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r1
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r1.w, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s3
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r0.y, r0.x, c4.z
texld r0.w, r2, s0
cmp r0.x, -v0.w, c3.y, c3
mul_pp r2.x, r0.w, r0
texldd r1, r3, s1, r3.zwzw, r4
mul_pp r0.x, r1.w, r2
add_pp r0.y, -r0, c3.x
mul_pp r2.y, r0.x, r0
texldd r0, r3, s2, r3.zwzw, r4
mul_pp r0.w, r2.x, r0
mov_pp r1.w, r2.y
add_pp r1, r1, -r0
mad_pp r0, r2.y, r1, r0
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 68 instructions, 5 temp regs, 0 temp arrays:
// ALU 54 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 76 ALU, 7 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp4_pp r0.z, c0, c0
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
rsq_pp r0.z, r0.z
mul_pp r0.xyz, r0.z, c0
dp3_pp r2.w, v1, r0
add_pp r1.w, r2, c4.x
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v1, v1
texldd r0, r4, s1, r4.zwzw, r5
frc_pp r3.w, r1
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v1
dp3_pp r2.x, r2, r3
add_pp_sat r2.y, r1.w, -r3.w
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 65 instructions, 5 temp regs, 0 temp arrays:
// ALU 52 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 76 ALU, 7 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp4_pp r0.z, c0, c0
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
rsq_pp r0.z, r0.z
mul_pp r0.xyz, r0.z, c0
dp3_pp r2.w, v1, r0
add_pp r1.w, r2, c4.x
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v1, v1
texldd r0, r4, s1, r4.zwzw, r5
frc_pp r3.w, r1
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v1
dp3_pp r2.x, r2, r3
add_pp_sat r2.y, r1.w, -r3.w
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 65 instructions, 5 temp regs, 0 temp arrays:
// ALU 52 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 76 ALU, 7 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp4_pp r0.z, c0, c0
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
rsq_pp r0.z, r0.z
mul_pp r0.xyz, r0.z, c0
dp3_pp r2.w, v1, r0
add_pp r1.w, r2, c4.x
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v1, v1
texldd r0, r4, s1, r4.zwzw, r5
frc_pp r3.w, r1
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v1
dp3_pp r2.x, r2, r3
add_pp_sat r2.y, r1.w, -r3.w
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 65 instructions, 5 temp regs, 0 temp arrays:
// ALU 52 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 77 ALU, 8 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.x, r0.z
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.w, v2, r0
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v2, v2
add_pp r1.w, r2, c4.x
texldd r0, r4, s1, r4.zwzw, r5
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v2
dp3_pp r2.y, r2, r3
texldp r2.x, v1, s3
frc_pp r2.z, r1.w
mul_pp r2.x, r2, r2.y
add_pp_sat r2.y, r1.w, -r2.z
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 68 instructions, 5 temp regs, 0 temp arrays:
// ALU 54 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 77 ALU, 8 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.x, r0.z
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.w, v2, r0
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v2, v2
add_pp r1.w, r2, c4.x
texldd r0, r4, s1, r4.zwzw, r5
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v2
dp3_pp r2.y, r2, r3
texldp r2.x, v1, s3
frc_pp r2.z, r1.w
mul_pp r2.x, r2, r2.y
add_pp_sat r2.y, r1.w, -r2.z
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 68 instructions, 5 temp regs, 0 temp arrays:
// ALU 54 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 77 ALU, 8 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.x, r0.z
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.w, v2, r0
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v2, v2
add_pp r1.w, r2, c4.x
texldd r0, r4, s1, r4.zwzw, r5
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v2
dp3_pp r2.y, r2, r3
texldp r2.x, v1, s3
frc_pp r2.z, r1.w
mul_pp r2.x, r2, r2.y
add_pp_sat r2.y, r1.w, -r2.z
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.xyyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 68 instructions, 5 temp regs, 0 temp arrays:
// ALU 54 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 76 ALU, 7 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp4_pp r0.z, c0, c0
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
rsq_pp r0.z, r0.z
mul_pp r0.xyz, r0.z, c0
dp3_pp r2.w, v1, r0
add_pp r1.w, r2, c4.x
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v1, v1
texldd r0, r4, s1, r4.zwzw, r5
frc_pp r3.w, r1
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v1
dp3_pp r2.x, r2, r3
add_pp_sat r2.y, r1.w, -r3.w
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 65 instructions, 5 temp regs, 0 temp arrays:
// ALU 52 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 76 ALU, 7 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp4_pp r0.z, c0, c0
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
rsq_pp r0.z, r0.z
mul_pp r0.xyz, r0.z, c0
dp3_pp r2.w, v1, r0
add_pp r1.w, r2, c4.x
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v1, v1
texldd r0, r4, s1, r4.zwzw, r5
frc_pp r3.w, r1
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v1
dp3_pp r2.x, r2, r3
add_pp_sat r2.y, r1.w, -r3.w
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 65 instructions, 5 temp regs, 0 temp arrays:
// ALU 52 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 76 ALU, 7 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp4_pp r0.z, c0, c0
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
rsq_pp r0.z, r0.z
mul_pp r0.xyz, r0.z, c0
dp3_pp r2.w, v1, r0
add_pp r1.w, r2, c4.x
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v1, v1
texldd r0, r4, s1, r4.zwzw, r5
frc_pp r3.w, r1
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v1
dp3_pp r2.x, r2, r3
add_pp_sat r2.y, r1.w, -r3.w
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 65 instructions, 5 temp regs, 0 temp arrays:
// ALU 52 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 77 ALU, 8 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.x, r0.z
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.w, v2, r0
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v2, v2
add_pp r1.w, r2, c4.x
texldd r0, r4, s1, r4.zwzw, r5
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v2
dp3_pp r2.y, r2, r3
texldp r2.x, v1, s3
frc_pp r2.z, r1.w
mul_pp r2.x, r2, r2.y
add_pp_sat r2.y, r1.w, -r2.z
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 68 instructions, 5 temp regs, 0 temp arrays:
// ALU 54 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 77 ALU, 8 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.x, r0.z
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.w, v2, r0
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v2, v2
add_pp r1.w, r2, c4.x
texldd r0, r4, s1, r4.zwzw, r5
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v2
dp3_pp r2.y, r2, r3
texldp r2.x, v1, s3
frc_pp r2.z, r1.w
mul_pp r2.x, r2, r2.y
add_pp_sat r2.y, r1.w, -r2.z
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 68 instructions, 5 temp regs, 0 temp arrays:
// ALU 54 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 77 ALU, 8 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.x, r0.z
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.w, v2, r0
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v2, v2
add_pp r1.w, r2, c4.x
texldd r0, r4, s1, r4.zwzw, r5
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v2
dp3_pp r2.y, r2, r3
texldp r2.x, v1, s3
frc_pp r2.z, r1.w
mul_pp r2.x, r2, r2.y
add_pp_sat r2.y, r1.w, -r2.z
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.yxyy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 68 instructions, 5 temp regs, 0 temp arrays:
// ALU 54 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 76 ALU, 7 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp4_pp r0.z, c0, c0
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
rsq_pp r0.z, r0.z
mul_pp r0.xyz, r0.z, c0
dp3_pp r2.w, v1, r0
add_pp r1.w, r2, c4.x
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v1, v1
texldd r0, r4, s1, r4.zwzw, r5
frc_pp r3.w, r1
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v1
dp3_pp r2.x, r2, r3
add_pp_sat r2.y, r1.w, -r3.w
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 65 instructions, 5 temp regs, 0 temp arrays:
// ALU 52 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 76 ALU, 7 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp4_pp r0.z, c0, c0
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
rsq_pp r0.z, r0.z
mul_pp r0.xyz, r0.z, c0
dp3_pp r2.w, v1, r0
add_pp r1.w, r2, c4.x
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v1, v1
texldd r0, r4, s1, r4.zwzw, r5
frc_pp r3.w, r1
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v1
dp3_pp r2.x, r2, r3
add_pp_sat r2.y, r1.w, -r3.w
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 65 instructions, 5 temp regs, 0 temp arrays:
// ALU 52 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 76 ALU, 7 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp4_pp r0.z, c0, c0
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
rsq_pp r0.z, r0.z
mul_pp r0.xyz, r0.z, c0
dp3_pp r2.w, v1, r0
add_pp r1.w, r2, c4.x
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v1, v1
texldd r0, r4, s1, r4.zwzw, r5
frc_pp r3.w, r1
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v1
dp3_pp r2.x, r2, r3
add_pp_sat r2.y, r1.w, -r3.w
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 65 instructions, 5 temp regs, 0 temp arrays:
// ALU 52 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 77 ALU, 8 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.x, r0.z
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.w, v2, r0
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v2, v2
add_pp r1.w, r2, c4.x
texldd r0, r4, s1, r4.zwzw, r5
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v2
dp3_pp r2.y, r2, r3
texldp r2.x, v1, s3
frc_pp r2.z, r1.w
mul_pp r2.x, r2, r2.y
add_pp_sat r2.y, r1.w, -r2.z
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 68 instructions, 5 temp regs, 0 temp arrays:
// ALU 54 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 77 ALU, 8 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.x, r0.z
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.w, v2, r0
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v2, v2
add_pp r1.w, r2, c4.x
texldd r0, r4, s1, r4.zwzw, r5
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v2
dp3_pp r2.y, r2, r3
texldp r2.x, v1, s3
frc_pp r2.z, r1.w
mul_pp r2.x, r2, r2.y
add_pp_sat r2.y, r1.w, -r2.z
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 68 instructions, 5 temp regs, 0 temp arrays:
// ALU 54 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 77 ALU, 8 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.x, r0.z
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.w, v2, r0
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v2, v2
add_pp r1.w, r2, c4.x
texldd r0, r4, s1, r4.zwzw, r5
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v2
dp3_pp r2.y, r2, r3
texldp r2.x, v1, s3
frc_pp r2.z, r1.w
mul_pp r2.x, r2, r2.y
add_pp_sat r2.y, r1.w, -r2.z
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.yyxy
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 68 instructions, 5 temp regs, 0 temp arrays:
// ALU 54 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 76 ALU, 7 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp4_pp r0.z, c0, c0
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
rsq_pp r0.z, r0.z
mul_pp r0.xyz, r0.z, c0
dp3_pp r2.w, v1, r0
add_pp r1.w, r2, c4.x
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v1, v1
texldd r0, r4, s1, r4.zwzw, r5
frc_pp r3.w, r1
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v1
dp3_pp r2.x, r2, r3
add_pp_sat r2.y, r1.w, -r3.w
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 65 instructions, 5 temp regs, 0 temp arrays:
// ALU 52 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 76 ALU, 7 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp4_pp r0.z, c0, c0
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
rsq_pp r0.z, r0.z
mul_pp r0.xyz, r0.z, c0
dp3_pp r2.w, v1, r0
add_pp r1.w, r2, c4.x
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v1, v1
texldd r0, r4, s1, r4.zwzw, r5
frc_pp r3.w, r1
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v1
dp3_pp r2.x, r2, r3
add_pp_sat r2.y, r1.w, -r3.w
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 65 instructions, 5 temp regs, 0 temp arrays:
// ALU 52 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 76 ALU, 7 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r1.xyz, r0.x, v2
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
dp4_pp r0.z, c0, c0
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
rsq_pp r0.z, r0.z
mul_pp r0.xyz, r0.z, c0
dp3_pp r2.w, v1, r0
add_pp r1.w, r2, c4.x
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v1, v1
texldd r0, r4, s1, r4.zwzw, r5
frc_pp r3.w, r1
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v1
dp3_pp r2.x, r2, r3
add_pp_sat r2.y, r1.w, -r3.w
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 0
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 1
SetTexture 2 [_CityLightOverlayDetailTex] 2D 2
// 65 instructions, 5 temp regs, 0 temp arrays:
// ALU 52 float, 1 int, 2 uint
// TEX 1 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 77 ALU, 8 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.x, r0.z
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.w, v2, r0
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v2, v2
add_pp r1.w, r2, c4.x
texldd r0, r4, s1, r4.zwzw, r5
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v2
dp3_pp r2.y, r2, r3
texldp r2.x, v1, s3
frc_pp r2.z, r1.w
mul_pp r2.x, r2, r2.y
add_pp_sat r2.y, r1.w, -r2.z
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 68 instructions, 5 temp regs, 0 temp arrays:
// ALU 54 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 77 ALU, 8 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.x, r0.z
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.w, v2, r0
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v2, v2
add_pp r1.w, r2, c4.x
texldd r0, r4, s1, r4.zwzw, r5
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v2
dp3_pp r2.y, r2, r3
texldp r2.x, v1, s3
frc_pp r2.z, r1.w
mul_pp r2.x, r2, r2.y
add_pp_sat r2.y, r1.w, -r2.z
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 68 instructions, 5 temp regs, 0 temp arrays:
// ALU 54 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTex] CUBE
SetTexture 1 [_CityDarkOverlayDetailTex] 2D
SetTexture 2 [_CityLightOverlayDetailTex] 2D
SetTexture 3 [_ShadowMapTexture] 2D
"ps_3_0
; 77 ALU, 8 TEX
dcl_cube s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r0.xyz, r1
max r0.w, r0.x, r0.z
add r0.x, r0.z, -r0
cmp r1.w, r0.x, c3.x, c3.y
add r0.x, r0.w, -r0.y
add r0.z, r1, -r1.x
mad r0.z, r1.w, r0, r1.x
add r0.y, -r1, r0.z
cmp r0.w, r0.x, c3.x, c3.y
mad r0.x, r0.w, r0.y, r1.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r2.w, r0.x, -r0.y
mov r2.y, r2.w
mov r0.y, -r2.w
mov r0.xz, c3.x
mul r0.xyz, r1.xzyw, r0
mov r2.xz, c3.x
mad r2.xyz, r1.zxyw, r2, -r0
mad r2.xyz, r1.w, r2, r0
mov r0.z, -r2.w
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r0.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.w, r0.y, r0.x
mul r0.y, r0.z, r0.x
mad r0.x, r0.w, c3.z, c3.z
mad r0.y, r0, c3.z, c3.z
mul r4.xy, r0, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r4
abs r2.xy, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.x, r0.z
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.w, v2, r0
dsx r4.zw, r2.xyxy
dsy r5.xy, r2
dp3_pp r2.y, c0, c0
rsq_pp r2.y, r2.y
dp3_pp r2.x, v2, v2
add_pp r1.w, r2, c4.x
texldd r0, r4, s1, r4.zwzw, r5
mul_pp r3.xyz, r2.y, c0
rsq_pp r2.x, r2.x
mul_pp r2.xyz, r2.x, v2
dp3_pp r2.y, r2, r3
texldp r2.x, v1, s3
frc_pp r2.z, r1.w
mul_pp r2.x, r2, r2.y
add_pp_sat r2.y, r1.w, -r2.z
add_pp r2.z, r2.y, c4.y
texld r1, r1, s0
mul_pp r1, r1, c3.yyyx
add_pp r1.x, r1, r1.y
add_pp r1.x, r1, r1.z
mul_pp_sat r2.y, -r2.w, c3.w
mad_pp r2.y, r2, r2.z, c3.x
mul_pp r2.x, r2, r2.y
add_pp r1.x, r1, r1.w
mul_pp_sat r2.y, r2.x, c4.z
cmp r1.y, -v0.w, c3, c3.x
mul_pp r2.x, r1, r1.y
add_pp r1.x, -r2.y, c3
mul_pp r0.w, r0, r2.x
mul_pp r2.y, r0.w, r1.x
texldd r1, r4, s2, r4.zwzw, r5
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTex] CUBE 1
SetTexture 1 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 2 [_CityLightOverlayDetailTex] 2D 3
SetTexture 3 [_ShadowMapTexture] 2D 0
// 68 instructions, 5 temp regs, 0 temp arrays:
// ALU 54 float, 1 int, 2 uint
// TEX 2 (0 load, 0 comp, 0 bias, 2 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 110 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r2.xyz, r0.x, v2
abs r1.xyz, r2
add r0.x, r1.z, -r1
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r1.w, r0, r0.y, r2.x
add r0.z, r1, -r1.x
mad r0.x, r0.w, r0.z, r1
add r0.x, -r1.y, r0
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2, r1.w
mad r0.x, r2.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.w, r0.x, -r0.y
mov_pp r0.y, r3.w
mov_pp r3.y, -r3.w
mov_pp r3.xz, c3.x
mul r3.xyz, r2.xzyw, r3
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r3
mad r3.xyz, r0.w, r0, r3
mov_pp r0.z, -r3.w
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r3.xy, r0
dsy r4.zw, r3.xyxy
dsx r4.xy, r3
add_pp r0.xy, r0, c3.z
texldd r3.xyz, r0, s1, r4, r4.zwzw
texldd r0.xyz, r0, s0, r4, r4.zwzw
add_pp r0.xyz, r0, -r3
cmp_pp r3.w, r3, c3.x, c3.y
mad_pp r4.xyz, r3.w, r0, r3
max r1.x, r1, r1.z
add r0.x, r1, -r1.y
add r0.y, -r2, r1.w
cmp r1.w, r0.x, c3.x, c3.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.y, r0.x, c3, c3.x
add_pp r0.z, r4, -r4.x
mad_pp r3.y, r0.w, r0.z, r4.x
cmp r0.x, -r0, c3.y, c3
add r3.x, r0, -r0.y
mov r0.y, r3.x
mov r1.y, -r3.x
mov r1.xz, c3.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r0.w, r0, r1
add_pp r3.w, r3.y, -r4.y
mov r0.z, -r3.x
mov r0.xy, c3.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad_pp r0.w, r2, r3, r4.y
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
dp4_pp r1.x, c0, c0
rsq_pp r0.z, r1.x
mul_pp r1.xyz, r0.z, c0
mul r0.x, r0.y, r0
mad r0.z, r0.x, c3, c3
dp3_pp r2.x, v1, r1
mul r1.zw, r0, c2.x
add_pp r0.z, r2.x, c4.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.w, r0.z
add_pp_sat r0.x, r0.z, -r0.w
dsx r1.xy, r3
add_pp r0.y, r0.x, c4
mul_pp_sat r0.x, -r2, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r2
mul_pp r0.x, r0, r0.w
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 0
SetTexture 1 [cube_CityOverlayTexNEG] 2D 1
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 3 [_CityLightOverlayDetailTex] 2D 3
// 100 instructions, 5 temp regs, 0 temp arrays:
// ALU 79 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 110 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r2.xyz, r0.x, v2
abs r1.xyz, r2
add r0.x, r1.z, -r1
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r1.w, r0, r0.y, r2.x
add r0.z, r1, -r1.x
mad r0.x, r0.w, r0.z, r1
add r0.x, -r1.y, r0
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2, r1.w
mad r0.x, r2.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.w, r0.x, -r0.y
mov_pp r0.y, r3.w
mov_pp r3.y, -r3.w
mov_pp r3.xz, c3.x
mul r3.xyz, r2.xzyw, r3
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r3
mad r3.xyz, r0.w, r0, r3
mov_pp r0.z, -r3.w
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r3.xy, r0
dsy r4.zw, r3.xyxy
dsx r4.xy, r3
add_pp r0.xy, r0, c3.z
texldd r3.xyz, r0, s1, r4, r4.zwzw
texldd r0.xyz, r0, s0, r4, r4.zwzw
add_pp r0.xyz, r0, -r3
cmp_pp r3.w, r3, c3.x, c3.y
mad_pp r4.xyz, r3.w, r0, r3
max r1.x, r1, r1.z
add r0.x, r1, -r1.y
add r0.y, -r2, r1.w
cmp r1.w, r0.x, c3.x, c3.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.y, r0.x, c3, c3.x
add_pp r0.z, r4, -r4.x
mad_pp r3.y, r0.w, r0.z, r4.x
cmp r0.x, -r0, c3.y, c3
add r3.x, r0, -r0.y
mov r0.y, r3.x
mov r1.y, -r3.x
mov r1.xz, c3.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r0.w, r0, r1
add_pp r3.w, r3.y, -r4.y
mov r0.z, -r3.x
mov r0.xy, c3.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad_pp r0.w, r2, r3, r4.y
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
dp4_pp r1.x, c0, c0
rsq_pp r0.z, r1.x
mul_pp r1.xyz, r0.z, c0
mul r0.x, r0.y, r0
mad r0.z, r0.x, c3, c3
dp3_pp r2.x, v1, r1
mul r1.zw, r0, c2.x
add_pp r0.z, r2.x, c4.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.w, r0.z
add_pp_sat r0.x, r0.z, -r0.w
dsx r1.xy, r3
add_pp r0.y, r0.x, c4
mul_pp_sat r0.x, -r2, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r2
mul_pp r0.x, r0, r0.w
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 0
SetTexture 1 [cube_CityOverlayTexNEG] 2D 1
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 3 [_CityLightOverlayDetailTex] 2D 3
// 100 instructions, 5 temp regs, 0 temp arrays:
// ALU 79 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 110 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r2.xyz, r0.x, v2
abs r1.xyz, r2
add r0.x, r1.z, -r1
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r1.w, r0, r0.y, r2.x
add r0.z, r1, -r1.x
mad r0.x, r0.w, r0.z, r1
add r0.x, -r1.y, r0
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2, r1.w
mad r0.x, r2.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.w, r0.x, -r0.y
mov_pp r0.y, r3.w
mov_pp r3.y, -r3.w
mov_pp r3.xz, c3.x
mul r3.xyz, r2.xzyw, r3
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r3
mad r3.xyz, r0.w, r0, r3
mov_pp r0.z, -r3.w
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r3.xy, r0
dsy r4.zw, r3.xyxy
dsx r4.xy, r3
add_pp r0.xy, r0, c3.z
texldd r3.xyz, r0, s1, r4, r4.zwzw
texldd r0.xyz, r0, s0, r4, r4.zwzw
add_pp r0.xyz, r0, -r3
cmp_pp r3.w, r3, c3.x, c3.y
mad_pp r4.xyz, r3.w, r0, r3
max r1.x, r1, r1.z
add r0.x, r1, -r1.y
add r0.y, -r2, r1.w
cmp r1.w, r0.x, c3.x, c3.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.y, r0.x, c3, c3.x
add_pp r0.z, r4, -r4.x
mad_pp r3.y, r0.w, r0.z, r4.x
cmp r0.x, -r0, c3.y, c3
add r3.x, r0, -r0.y
mov r0.y, r3.x
mov r1.y, -r3.x
mov r1.xz, c3.x
mul r1.xyz, r2.xzyw, r1
mov r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r0.w, r0, r1
add_pp r3.w, r3.y, -r4.y
mov r0.z, -r3.x
mov r0.xy, c3.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad_pp r0.w, r2, r3, r4.y
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
dp4_pp r1.x, c0, c0
rsq_pp r0.z, r1.x
mul_pp r1.xyz, r0.z, c0
mul r0.x, r0.y, r0
mad r0.z, r0.x, c3, c3
dp3_pp r2.x, v1, r1
mul r1.zw, r0, c2.x
add_pp r0.z, r2.x, c4.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.w, r0.z
add_pp_sat r0.x, r0.z, -r0.w
dsx r1.xy, r3
add_pp r0.y, r0.x, c4
mul_pp_sat r0.x, -r2, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r2
mul_pp r0.x, r0, r0.w
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 0
SetTexture 1 [cube_CityOverlayTexNEG] 2D 1
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 3 [_CityLightOverlayDetailTex] 2D 3
// 100 instructions, 5 temp regs, 0 temp arrays:
// ALU 79 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
"ps_3_0
; 111 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r2.xyz, r1
add r0.x, r2.z, -r2
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, r1.z, -r1.x
mad r1.w, r0, r0.y, r1.x
add r0.z, r2, -r2.x
mad r0.x, r0.w, r0.z, r2
add r0.x, -r2.y, r0
max r2.x, r2, r2.z
add r2.x, r2, -r2.y
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r1, r1.w
mad r0.x, r2.w, r0.y, -r1.y
add r2.y, -r1, r1.w
cmp r1.w, r2.x, c3.x, c3.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.w, r0.x, -r0.y
mad r2.x, r1.w, r2.y, r1.y
cmp_pp r2.z, r3.w, c3.x, c3.y
mov_pp r0.y, r3.w
mov_pp r3.y, -r3.w
mov_pp r3.xz, c3.x
mul r3.xyz, r1.xzyw, r3
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r0.w, r0, r3
mov_pp r0.z, -r3.w
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r3.xy, r0
dsy r4.zw, r3.xyxy
dsx r4.xy, r3
add_pp r0.xy, r0, c3.z
texldd r3.xyz, r0, s1, r4, r4.zwzw
texldd r0.xyz, r0, s0, r4, r4.zwzw
add_pp r0.xyz, r0, -r3
mad_pp r4.xyz, r2.z, r0, r3
add_pp r3.y, r4.z, -r4.x
cmp r0.y, r2.x, c3, c3.x
cmp r0.x, -r2, c3.y, c3
add r3.x, r0, -r0.y
mad_pp r3.w, r0, r3.y, r4.x
mov r0.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r0.w, r0, r2
add_pp r0.w, r3, -r4.y
mov r0.z, -r3.x
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad_pp r0.w, r2, r0, r4.y
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
mul r0.x, r0.y, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.y, r0.z
mad r0.z, r0.x, c3, c3
mul r1.zw, r0, c2.x
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.w, v2, r2
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
add_pp r0.z, r0.w, c4.x
frc_pp r0.x, r0.z
dsx r1.xy, r3
add_pp_sat r3.z, r0, -r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r2
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r3, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s4
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 1
SetTexture 1 [cube_CityOverlayTexNEG] 2D 2
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 3 [_CityLightOverlayDetailTex] 2D 4
SetTexture 4 [_ShadowMapTexture] 2D 0
// 103 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
"ps_3_0
; 111 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r2.xyz, r1
add r0.x, r2.z, -r2
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, r1.z, -r1.x
mad r1.w, r0, r0.y, r1.x
add r0.z, r2, -r2.x
mad r0.x, r0.w, r0.z, r2
add r0.x, -r2.y, r0
max r2.x, r2, r2.z
add r2.x, r2, -r2.y
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r1, r1.w
mad r0.x, r2.w, r0.y, -r1.y
add r2.y, -r1, r1.w
cmp r1.w, r2.x, c3.x, c3.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.w, r0.x, -r0.y
mad r2.x, r1.w, r2.y, r1.y
cmp_pp r2.z, r3.w, c3.x, c3.y
mov_pp r0.y, r3.w
mov_pp r3.y, -r3.w
mov_pp r3.xz, c3.x
mul r3.xyz, r1.xzyw, r3
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r0.w, r0, r3
mov_pp r0.z, -r3.w
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r3.xy, r0
dsy r4.zw, r3.xyxy
dsx r4.xy, r3
add_pp r0.xy, r0, c3.z
texldd r3.xyz, r0, s1, r4, r4.zwzw
texldd r0.xyz, r0, s0, r4, r4.zwzw
add_pp r0.xyz, r0, -r3
mad_pp r4.xyz, r2.z, r0, r3
add_pp r3.y, r4.z, -r4.x
cmp r0.y, r2.x, c3, c3.x
cmp r0.x, -r2, c3.y, c3
add r3.x, r0, -r0.y
mad_pp r3.w, r0, r3.y, r4.x
mov r0.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r0.w, r0, r2
add_pp r0.w, r3, -r4.y
mov r0.z, -r3.x
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad_pp r0.w, r2, r0, r4.y
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
mul r0.x, r0.y, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.y, r0.z
mad r0.z, r0.x, c3, c3
mul r1.zw, r0, c2.x
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.w, v2, r2
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
add_pp r0.z, r0.w, c4.x
frc_pp r0.x, r0.z
dsx r1.xy, r3
add_pp_sat r3.z, r0, -r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r2
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r3, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s4
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 1
SetTexture 1 [cube_CityOverlayTexNEG] 2D 2
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 3 [_CityLightOverlayDetailTex] 2D 4
SetTexture 4 [_ShadowMapTexture] 2D 0
// 103 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
"ps_3_0
; 111 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r1.xyz, r0.x, v3
abs r2.xyz, r1
add r0.x, r2.z, -r2
cmp r0.w, r0.x, c3.x, c3.y
add r0.y, r1.z, -r1.x
mad r1.w, r0, r0.y, r1.x
add r0.z, r2, -r2.x
mad r0.x, r0.w, r0.z, r2
add r0.x, -r2.y, r0
max r2.x, r2, r2.z
add r2.x, r2, -r2.y
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r1, r1.w
mad r0.x, r2.w, r0.y, -r1.y
add r2.y, -r1, r1.w
cmp r1.w, r2.x, c3.x, c3.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.w, r0.x, -r0.y
mad r2.x, r1.w, r2.y, r1.y
cmp_pp r2.z, r3.w, c3.x, c3.y
mov_pp r0.y, r3.w
mov_pp r3.y, -r3.w
mov_pp r3.xz, c3.x
mul r3.xyz, r1.xzyw, r3
mov_pp r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r3
mad r3.xyz, r0.w, r0, r3
mov_pp r0.z, -r3.w
mov_pp r0.xy, c3.x
mul r4.xyz, r1.yzxw, r0
mad r0.xyz, r1.yzxw, -r0, r3
mad r0.xyz, r2.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r3.xy, r0
dsy r4.zw, r3.xyxy
dsx r4.xy, r3
add_pp r0.xy, r0, c3.z
texldd r3.xyz, r0, s1, r4, r4.zwzw
texldd r0.xyz, r0, s0, r4, r4.zwzw
add_pp r0.xyz, r0, -r3
mad_pp r4.xyz, r2.z, r0, r3
add_pp r3.y, r4.z, -r4.x
cmp r0.y, r2.x, c3, c3.x
cmp r0.x, -r2, c3.y, c3
add r3.x, r0, -r0.y
mad_pp r3.w, r0, r3.y, r4.x
mov r0.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r1.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r1.zxyw, r0, -r2
mad r2.xyz, r0.w, r0, r2
add_pp r0.w, r3, -r4.y
mov r0.z, -r3.x
mov r0.xy, c3.x
mul r3.xyz, r1.yxzw, r0
mad r0.xyz, r1.yxzw, -r0, r2
mad r0.xyz, r1.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad_pp r0.w, r2, r0, r4.y
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
mul r0.x, r0.y, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.y, r0.z
mad r0.z, r0.x, c3, c3
mul r1.zw, r0, c2.x
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.w, v2, r2
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
add_pp r0.z, r0.w, c4.x
frc_pp r0.x, r0.z
dsx r1.xy, r3
add_pp_sat r3.z, r0, -r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r2
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r3, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s4
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 1
SetTexture 1 [cube_CityOverlayTexNEG] 2D 2
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 3 [_CityLightOverlayDetailTex] 2D 4
SetTexture 4 [_ShadowMapTexture] 2D 0
// 103 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r2.xyz, r0.x, v2
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
max r0.x, r3, r3.z
mov_pp r1.xyz, r0.w
add r0.x, r0, -r3.y
add r0.y, -r2, r3.w
cmp r3.w, r0.x, c3.x, c3.y
mad r3.x, r3.w, r0.y, r2.y
mul_pp r0, r1, c3.xyyy
add_pp r0.x, r0, r0.y
add_pp r4.x, r0, r0.z
cmp r1.y, r3.x, c3, c3.x
cmp r1.x, -r3, c3.y, c3
add r1.w, r1.x, -r1.y
mov r0.z, -r1.w
mov r1.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c3.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r1.xyz, r2.w, r1, r3
mov r0.xy, c3.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r3.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mul r0.x, r0.y, r0
add_pp r0.w, r4.x, r0
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
dp4_pp r1.x, c0, c0
rsq_pp r0.z, r1.x
mul_pp r1.xyz, r0.z, c0
mad r0.z, r0.x, c3, c3
dp3_pp r2.x, v1, r1
mul r1.zw, r0, c2.x
add_pp r0.z, r2.x, c4.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.w, r0.z
add_pp_sat r0.x, r0.z, -r0.w
dsx r1.xy, r3
add_pp r0.y, r0.x, c4
mul_pp_sat r0.x, -r2, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r2
mul_pp r0.x, r0, r0.w
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 0
SetTexture 1 [cube_CityOverlayTexNEG] 2D 1
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 3 [_CityLightOverlayDetailTex] 2D 3
// 96 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r2.xyz, r0.x, v2
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
max r0.x, r3, r3.z
mov_pp r1.xyz, r0.w
add r0.x, r0, -r3.y
add r0.y, -r2, r3.w
cmp r3.w, r0.x, c3.x, c3.y
mad r3.x, r3.w, r0.y, r2.y
mul_pp r0, r1, c3.xyyy
add_pp r0.x, r0, r0.y
add_pp r4.x, r0, r0.z
cmp r1.y, r3.x, c3, c3.x
cmp r1.x, -r3, c3.y, c3
add r1.w, r1.x, -r1.y
mov r0.z, -r1.w
mov r1.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c3.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r1.xyz, r2.w, r1, r3
mov r0.xy, c3.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r3.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mul r0.x, r0.y, r0
add_pp r0.w, r4.x, r0
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
dp4_pp r1.x, c0, c0
rsq_pp r0.z, r1.x
mul_pp r1.xyz, r0.z, c0
mad r0.z, r0.x, c3, c3
dp3_pp r2.x, v1, r1
mul r1.zw, r0, c2.x
add_pp r0.z, r2.x, c4.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.w, r0.z
add_pp_sat r0.x, r0.z, -r0.w
dsx r1.xy, r3
add_pp r0.y, r0.x, c4
mul_pp_sat r0.x, -r2, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r2
mul_pp r0.x, r0, r0.w
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 0
SetTexture 1 [cube_CityOverlayTexNEG] 2D 1
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 3 [_CityLightOverlayDetailTex] 2D 3
// 96 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r2.xyz, r0.x, v2
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
max r0.x, r3, r3.z
mov_pp r1.xyz, r0.w
add r0.x, r0, -r3.y
add r0.y, -r2, r3.w
cmp r3.w, r0.x, c3.x, c3.y
mad r3.x, r3.w, r0.y, r2.y
mul_pp r0, r1, c3.xyyy
add_pp r0.x, r0, r0.y
add_pp r4.x, r0, r0.z
cmp r1.y, r3.x, c3, c3.x
cmp r1.x, -r3, c3.y, c3
add r1.w, r1.x, -r1.y
mov r0.z, -r1.w
mov r1.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c3.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r1.xyz, r2.w, r1, r3
mov r0.xy, c3.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r3.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mul r0.x, r0.y, r0
add_pp r0.w, r4.x, r0
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
dp4_pp r1.x, c0, c0
rsq_pp r0.z, r1.x
mul_pp r1.xyz, r0.z, c0
mad r0.z, r0.x, c3, c3
dp3_pp r2.x, v1, r1
mul r1.zw, r0, c2.x
add_pp r0.z, r2.x, c4.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.w, r0.z
add_pp_sat r0.x, r0.z, -r0.w
dsx r1.xy, r3
add_pp r0.y, r0.x, c4
mul_pp_sat r0.x, -r2, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r2
mul_pp r0.x, r0, r0.w
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 0
SetTexture 1 [cube_CityOverlayTexNEG] 2D 1
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 3 [_CityLightOverlayDetailTex] 2D 3
// 96 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r2.xyz, r0.x, v3
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.z, -r0.y, r0.x
max r0.x, r3, r3.z
add r0.x, r0, -r3.y
mad_pp r4.w, r4, r0.z, r0.y
add r0.y, -r2, r3.w
cmp r1.w, r0.x, c3.x, c3.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.w, r0.x, -r0.y
mov_pp r4.xyz, r0.w
mul_pp r0, r4, c3.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.y, r0.x, r0.z
add_pp r0.z, r0.y, r0.w
cmp r0.w, -v0, c3.y, c3.x
mov r1.y, r3.w
mov r3.xz, c3.x
mov r3.y, -r3.w
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r2.w, r1, r3
mul_pp r2.w, r0.z, r0
dp4_pp r0.z, c0, c0
mov r1.z, -r3.w
mov r1.xy, c3.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r1.w, r1, r4
abs r0.x, r1
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c0
dp3_pp r0.w, v2, r2
add_pp r0.z, r0.w, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.x, r0.z
dsx r1.xy, r3
add_pp_sat r3.z, r0, -r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r2
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r3, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s4
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 1
SetTexture 1 [cube_CityOverlayTexNEG] 2D 2
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 3 [_CityLightOverlayDetailTex] 2D 4
SetTexture 4 [_ShadowMapTexture] 2D 0
// 99 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r2.xyz, r0.x, v3
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.z, -r0.y, r0.x
max r0.x, r3, r3.z
add r0.x, r0, -r3.y
mad_pp r4.w, r4, r0.z, r0.y
add r0.y, -r2, r3.w
cmp r1.w, r0.x, c3.x, c3.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.w, r0.x, -r0.y
mov_pp r4.xyz, r0.w
mul_pp r0, r4, c3.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.y, r0.x, r0.z
add_pp r0.z, r0.y, r0.w
cmp r0.w, -v0, c3.y, c3.x
mov r1.y, r3.w
mov r3.xz, c3.x
mov r3.y, -r3.w
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r2.w, r1, r3
mul_pp r2.w, r0.z, r0
dp4_pp r0.z, c0, c0
mov r1.z, -r3.w
mov r1.xy, c3.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r1.w, r1, r4
abs r0.x, r1
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c0
dp3_pp r0.w, v2, r2
add_pp r0.z, r0.w, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.x, r0.z
dsx r1.xy, r3
add_pp_sat r3.z, r0, -r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r2
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r3, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s4
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 1
SetTexture 1 [cube_CityOverlayTexNEG] 2D 2
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 3 [_CityLightOverlayDetailTex] 2D 4
SetTexture 4 [_ShadowMapTexture] 2D 0
// 99 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r2.xyz, r0.x, v3
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.z, -r0.y, r0.x
max r0.x, r3, r3.z
add r0.x, r0, -r3.y
mad_pp r4.w, r4, r0.z, r0.y
add r0.y, -r2, r3.w
cmp r1.w, r0.x, c3.x, c3.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.w, r0.x, -r0.y
mov_pp r4.xyz, r0.w
mul_pp r0, r4, c3.xyyy
add_pp r0.x, r0, r0.y
add_pp r0.y, r0.x, r0.z
add_pp r0.z, r0.y, r0.w
cmp r0.w, -v0, c3.y, c3.x
mov r1.y, r3.w
mov r3.xz, c3.x
mov r3.y, -r3.w
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r2.w, r1, r3
mul_pp r2.w, r0.z, r0
dp4_pp r0.z, c0, c0
mov r1.z, -r3.w
mov r1.xy, c3.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r1.w, r1, r4
abs r0.x, r1
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c0
dp3_pp r0.w, v2, r2
add_pp r0.z, r0.w, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.x, r0.z
dsx r1.xy, r3
add_pp_sat r3.z, r0, -r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r2
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r3, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s4
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 1
SetTexture 1 [cube_CityOverlayTexNEG] 2D 2
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 3 [_CityLightOverlayDetailTex] 2D 4
SetTexture 4 [_ShadowMapTexture] 2D 0
// 99 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r2.xyz, r0.x, v2
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
max r0.x, r3, r3.z
mov_pp r1.xyz, r0.w
add r0.x, r0, -r3.y
add r0.y, -r2, r3.w
cmp r3.w, r0.x, c3.x, c3.y
mad r3.x, r3.w, r0.y, r2.y
mul_pp r0, r1, c3.yxyy
add_pp r0.x, r0, r0.y
add_pp r4.x, r0, r0.z
cmp r1.y, r3.x, c3, c3.x
cmp r1.x, -r3, c3.y, c3
add r1.w, r1.x, -r1.y
mov r0.z, -r1.w
mov r1.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c3.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r1.xyz, r2.w, r1, r3
mov r0.xy, c3.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r3.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mul r0.x, r0.y, r0
add_pp r0.w, r4.x, r0
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
dp4_pp r1.x, c0, c0
rsq_pp r0.z, r1.x
mul_pp r1.xyz, r0.z, c0
mad r0.z, r0.x, c3, c3
dp3_pp r2.x, v1, r1
mul r1.zw, r0, c2.x
add_pp r0.z, r2.x, c4.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.w, r0.z
add_pp_sat r0.x, r0.z, -r0.w
dsx r1.xy, r3
add_pp r0.y, r0.x, c4
mul_pp_sat r0.x, -r2, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r2
mul_pp r0.x, r0, r0.w
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 0
SetTexture 1 [cube_CityOverlayTexNEG] 2D 1
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 3 [_CityLightOverlayDetailTex] 2D 3
// 96 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r2.xyz, r0.x, v2
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
max r0.x, r3, r3.z
mov_pp r1.xyz, r0.w
add r0.x, r0, -r3.y
add r0.y, -r2, r3.w
cmp r3.w, r0.x, c3.x, c3.y
mad r3.x, r3.w, r0.y, r2.y
mul_pp r0, r1, c3.yxyy
add_pp r0.x, r0, r0.y
add_pp r4.x, r0, r0.z
cmp r1.y, r3.x, c3, c3.x
cmp r1.x, -r3, c3.y, c3
add r1.w, r1.x, -r1.y
mov r0.z, -r1.w
mov r1.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c3.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r1.xyz, r2.w, r1, r3
mov r0.xy, c3.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r3.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mul r0.x, r0.y, r0
add_pp r0.w, r4.x, r0
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
dp4_pp r1.x, c0, c0
rsq_pp r0.z, r1.x
mul_pp r1.xyz, r0.z, c0
mad r0.z, r0.x, c3, c3
dp3_pp r2.x, v1, r1
mul r1.zw, r0, c2.x
add_pp r0.z, r2.x, c4.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.w, r0.z
add_pp_sat r0.x, r0.z, -r0.w
dsx r1.xy, r3
add_pp r0.y, r0.x, c4
mul_pp_sat r0.x, -r2, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r2
mul_pp r0.x, r0, r0.w
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 0
SetTexture 1 [cube_CityOverlayTexNEG] 2D 1
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 3 [_CityLightOverlayDetailTex] 2D 3
// 96 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r2.xyz, r0.x, v2
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
max r0.x, r3, r3.z
mov_pp r1.xyz, r0.w
add r0.x, r0, -r3.y
add r0.y, -r2, r3.w
cmp r3.w, r0.x, c3.x, c3.y
mad r3.x, r3.w, r0.y, r2.y
mul_pp r0, r1, c3.yxyy
add_pp r0.x, r0, r0.y
add_pp r4.x, r0, r0.z
cmp r1.y, r3.x, c3, c3.x
cmp r1.x, -r3, c3.y, c3
add r1.w, r1.x, -r1.y
mov r0.z, -r1.w
mov r1.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c3.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r1.xyz, r2.w, r1, r3
mov r0.xy, c3.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r3.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mul r0.x, r0.y, r0
add_pp r0.w, r4.x, r0
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
dp4_pp r1.x, c0, c0
rsq_pp r0.z, r1.x
mul_pp r1.xyz, r0.z, c0
mad r0.z, r0.x, c3, c3
dp3_pp r2.x, v1, r1
mul r1.zw, r0, c2.x
add_pp r0.z, r2.x, c4.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.w, r0.z
add_pp_sat r0.x, r0.z, -r0.w
dsx r1.xy, r3
add_pp r0.y, r0.x, c4
mul_pp_sat r0.x, -r2, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r2
mul_pp r0.x, r0, r0.w
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 0
SetTexture 1 [cube_CityOverlayTexNEG] 2D 1
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 3 [_CityLightOverlayDetailTex] 2D 3
// 96 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r2.xyz, r0.x, v3
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.z, -r0.y, r0.x
max r0.x, r3, r3.z
add r0.x, r0, -r3.y
mad_pp r4.w, r4, r0.z, r0.y
add r0.y, -r2, r3.w
cmp r1.w, r0.x, c3.x, c3.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.w, r0.x, -r0.y
mov_pp r4.xyz, r0.w
mul_pp r0, r4, c3.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.y, r0.x, r0.z
add_pp r0.z, r0.y, r0.w
cmp r0.w, -v0, c3.y, c3.x
mov r1.y, r3.w
mov r3.xz, c3.x
mov r3.y, -r3.w
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r2.w, r1, r3
mul_pp r2.w, r0.z, r0
dp4_pp r0.z, c0, c0
mov r1.z, -r3.w
mov r1.xy, c3.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r1.w, r1, r4
abs r0.x, r1
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c0
dp3_pp r0.w, v2, r2
add_pp r0.z, r0.w, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.x, r0.z
dsx r1.xy, r3
add_pp_sat r3.z, r0, -r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r2
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r3, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s4
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 1
SetTexture 1 [cube_CityOverlayTexNEG] 2D 2
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 3 [_CityLightOverlayDetailTex] 2D 4
SetTexture 4 [_ShadowMapTexture] 2D 0
// 99 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r2.xyz, r0.x, v3
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.z, -r0.y, r0.x
max r0.x, r3, r3.z
add r0.x, r0, -r3.y
mad_pp r4.w, r4, r0.z, r0.y
add r0.y, -r2, r3.w
cmp r1.w, r0.x, c3.x, c3.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.w, r0.x, -r0.y
mov_pp r4.xyz, r0.w
mul_pp r0, r4, c3.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.y, r0.x, r0.z
add_pp r0.z, r0.y, r0.w
cmp r0.w, -v0, c3.y, c3.x
mov r1.y, r3.w
mov r3.xz, c3.x
mov r3.y, -r3.w
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r2.w, r1, r3
mul_pp r2.w, r0.z, r0
dp4_pp r0.z, c0, c0
mov r1.z, -r3.w
mov r1.xy, c3.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r1.w, r1, r4
abs r0.x, r1
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c0
dp3_pp r0.w, v2, r2
add_pp r0.z, r0.w, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.x, r0.z
dsx r1.xy, r3
add_pp_sat r3.z, r0, -r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r2
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r3, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s4
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 1
SetTexture 1 [cube_CityOverlayTexNEG] 2D 2
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 3 [_CityLightOverlayDetailTex] 2D 4
SetTexture 4 [_ShadowMapTexture] 2D 0
// 99 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r2.xyz, r0.x, v3
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.z, -r0.y, r0.x
max r0.x, r3, r3.z
add r0.x, r0, -r3.y
mad_pp r4.w, r4, r0.z, r0.y
add r0.y, -r2, r3.w
cmp r1.w, r0.x, c3.x, c3.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.w, r0.x, -r0.y
mov_pp r4.xyz, r0.w
mul_pp r0, r4, c3.yxyy
add_pp r0.x, r0, r0.y
add_pp r0.y, r0.x, r0.z
add_pp r0.z, r0.y, r0.w
cmp r0.w, -v0, c3.y, c3.x
mov r1.y, r3.w
mov r3.xz, c3.x
mov r3.y, -r3.w
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r2.w, r1, r3
mul_pp r2.w, r0.z, r0
dp4_pp r0.z, c0, c0
mov r1.z, -r3.w
mov r1.xy, c3.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r1.w, r1, r4
abs r0.x, r1
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c0
dp3_pp r0.w, v2, r2
add_pp r0.z, r0.w, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.x, r0.z
dsx r1.xy, r3
add_pp_sat r3.z, r0, -r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r2
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r3, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s4
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 1
SetTexture 1 [cube_CityOverlayTexNEG] 2D 2
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 3 [_CityLightOverlayDetailTex] 2D 4
SetTexture 4 [_ShadowMapTexture] 2D 0
// 99 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r2.xyz, r0.x, v2
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
max r0.x, r3, r3.z
mov_pp r1.xyz, r0.w
add r0.x, r0, -r3.y
add r0.y, -r2, r3.w
cmp r3.w, r0.x, c3.x, c3.y
mad r3.x, r3.w, r0.y, r2.y
mul_pp r0, r1, c3.yyxy
add_pp r0.x, r0, r0.y
add_pp r4.x, r0, r0.z
cmp r1.y, r3.x, c3, c3.x
cmp r1.x, -r3, c3.y, c3
add r1.w, r1.x, -r1.y
mov r0.z, -r1.w
mov r1.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c3.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r1.xyz, r2.w, r1, r3
mov r0.xy, c3.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r3.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mul r0.x, r0.y, r0
add_pp r0.w, r4.x, r0
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
dp4_pp r1.x, c0, c0
rsq_pp r0.z, r1.x
mul_pp r1.xyz, r0.z, c0
mad r0.z, r0.x, c3, c3
dp3_pp r2.x, v1, r1
mul r1.zw, r0, c2.x
add_pp r0.z, r2.x, c4.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.w, r0.z
add_pp_sat r0.x, r0.z, -r0.w
dsx r1.xy, r3
add_pp r0.y, r0.x, c4
mul_pp_sat r0.x, -r2, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r2
mul_pp r0.x, r0, r0.w
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 0
SetTexture 1 [cube_CityOverlayTexNEG] 2D 1
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 3 [_CityLightOverlayDetailTex] 2D 3
// 96 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r2.xyz, r0.x, v2
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
max r0.x, r3, r3.z
mov_pp r1.xyz, r0.w
add r0.x, r0, -r3.y
add r0.y, -r2, r3.w
cmp r3.w, r0.x, c3.x, c3.y
mad r3.x, r3.w, r0.y, r2.y
mul_pp r0, r1, c3.yyxy
add_pp r0.x, r0, r0.y
add_pp r4.x, r0, r0.z
cmp r1.y, r3.x, c3, c3.x
cmp r1.x, -r3, c3.y, c3
add r1.w, r1.x, -r1.y
mov r0.z, -r1.w
mov r1.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c3.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r1.xyz, r2.w, r1, r3
mov r0.xy, c3.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r3.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mul r0.x, r0.y, r0
add_pp r0.w, r4.x, r0
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
dp4_pp r1.x, c0, c0
rsq_pp r0.z, r1.x
mul_pp r1.xyz, r0.z, c0
mad r0.z, r0.x, c3, c3
dp3_pp r2.x, v1, r1
mul r1.zw, r0, c2.x
add_pp r0.z, r2.x, c4.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.w, r0.z
add_pp_sat r0.x, r0.z, -r0.w
dsx r1.xy, r3
add_pp r0.y, r0.x, c4
mul_pp_sat r0.x, -r2, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r2
mul_pp r0.x, r0, r0.w
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 0
SetTexture 1 [cube_CityOverlayTexNEG] 2D 1
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 3 [_CityLightOverlayDetailTex] 2D 3
// 96 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r2.xyz, r0.x, v2
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
max r0.x, r3, r3.z
mov_pp r1.xyz, r0.w
add r0.x, r0, -r3.y
add r0.y, -r2, r3.w
cmp r3.w, r0.x, c3.x, c3.y
mad r3.x, r3.w, r0.y, r2.y
mul_pp r0, r1, c3.yyxy
add_pp r0.x, r0, r0.y
add_pp r4.x, r0, r0.z
cmp r1.y, r3.x, c3, c3.x
cmp r1.x, -r3, c3.y, c3
add r1.w, r1.x, -r1.y
mov r0.z, -r1.w
mov r1.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c3.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r1.xyz, r2.w, r1, r3
mov r0.xy, c3.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r3.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mul r0.x, r0.y, r0
add_pp r0.w, r4.x, r0
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
dp4_pp r1.x, c0, c0
rsq_pp r0.z, r1.x
mul_pp r1.xyz, r0.z, c0
mad r0.z, r0.x, c3, c3
dp3_pp r2.x, v1, r1
mul r1.zw, r0, c2.x
add_pp r0.z, r2.x, c4.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.w, r0.z
add_pp_sat r0.x, r0.z, -r0.w
dsx r1.xy, r3
add_pp r0.y, r0.x, c4
mul_pp_sat r0.x, -r2, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r2
mul_pp r0.x, r0, r0.w
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 0
SetTexture 1 [cube_CityOverlayTexNEG] 2D 1
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 3 [_CityLightOverlayDetailTex] 2D 3
// 96 instructions, 5 temp regs, 0 temp arrays:
// ALU 75 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r2.xyz, r0.x, v3
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.z, -r0.y, r0.x
max r0.x, r3, r3.z
add r0.x, r0, -r3.y
mad_pp r4.w, r4, r0.z, r0.y
add r0.y, -r2, r3.w
cmp r1.w, r0.x, c3.x, c3.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.w, r0.x, -r0.y
mov_pp r4.xyz, r0.w
mul_pp r0, r4, c3.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.y, r0.x, r0.z
add_pp r0.z, r0.y, r0.w
cmp r0.w, -v0, c3.y, c3.x
mov r1.y, r3.w
mov r3.xz, c3.x
mov r3.y, -r3.w
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r2.w, r1, r3
mul_pp r2.w, r0.z, r0
dp4_pp r0.z, c0, c0
mov r1.z, -r3.w
mov r1.xy, c3.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r1.w, r1, r4
abs r0.x, r1
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c0
dp3_pp r0.w, v2, r2
add_pp r0.z, r0.w, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.x, r0.z
dsx r1.xy, r3
add_pp_sat r3.z, r0, -r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r2
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r3, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s4
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 1
SetTexture 1 [cube_CityOverlayTexNEG] 2D 2
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 3 [_CityLightOverlayDetailTex] 2D 4
SetTexture 4 [_ShadowMapTexture] 2D 0
// 99 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r2.xyz, r0.x, v3
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.z, -r0.y, r0.x
max r0.x, r3, r3.z
add r0.x, r0, -r3.y
mad_pp r4.w, r4, r0.z, r0.y
add r0.y, -r2, r3.w
cmp r1.w, r0.x, c3.x, c3.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.w, r0.x, -r0.y
mov_pp r4.xyz, r0.w
mul_pp r0, r4, c3.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.y, r0.x, r0.z
add_pp r0.z, r0.y, r0.w
cmp r0.w, -v0, c3.y, c3.x
mov r1.y, r3.w
mov r3.xz, c3.x
mov r3.y, -r3.w
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r2.w, r1, r3
mul_pp r2.w, r0.z, r0
dp4_pp r0.z, c0, c0
mov r1.z, -r3.w
mov r1.xy, c3.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r1.w, r1, r4
abs r0.x, r1
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c0
dp3_pp r0.w, v2, r2
add_pp r0.z, r0.w, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.x, r0.z
dsx r1.xy, r3
add_pp_sat r3.z, r0, -r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r2
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r3, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s4
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 1
SetTexture 1 [cube_CityOverlayTexNEG] 2D 2
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 3 [_CityLightOverlayDetailTex] 2D 4
SetTexture 4 [_ShadowMapTexture] 2D 0
// 99 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r2.xyz, r0.x, v3
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.z, -r0.y, r0.x
max r0.x, r3, r3.z
add r0.x, r0, -r3.y
mad_pp r4.w, r4, r0.z, r0.y
add r0.y, -r2, r3.w
cmp r1.w, r0.x, c3.x, c3.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.w, r0.x, -r0.y
mov_pp r4.xyz, r0.w
mul_pp r0, r4, c3.yyxy
add_pp r0.x, r0, r0.y
add_pp r0.y, r0.x, r0.z
add_pp r0.z, r0.y, r0.w
cmp r0.w, -v0, c3.y, c3.x
mov r1.y, r3.w
mov r3.xz, c3.x
mov r3.y, -r3.w
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r2.w, r1, r3
mul_pp r2.w, r0.z, r0
dp4_pp r0.z, c0, c0
mov r1.z, -r3.w
mov r1.xy, c3.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r1.w, r1, r4
abs r0.x, r1
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c0
dp3_pp r0.w, v2, r2
add_pp r0.z, r0.w, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.x, r0.z
dsx r1.xy, r3
add_pp_sat r3.z, r0, -r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r2
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r3, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s4
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 1
SetTexture 1 [cube_CityOverlayTexNEG] 2D 2
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 3 [_CityLightOverlayDetailTex] 2D 4
SetTexture 4 [_ShadowMapTexture] 2D 0
// 99 instructions, 5 temp regs, 0 temp arrays:
// ALU 77 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedamnmphbkaaciidpdnjlmlodcdgjkgeplabaaaaaafmaoaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaiaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapalaaaaneaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahahaaaaneaaaaaaagaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaaiaaaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaaneaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcamanaaaaeaaaaaaaedadaaaafjaaaaaeegiocaaa
aaaaaaaabeaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaafkaaaaadaagabaaa
aaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaad
aagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaa
ffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaa
ffffaaaagcbaaaadicbabaaaabaaaaaagcbaaaadlcbabaaaadaaaaaagcbaaaad
hcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagfaaaaadpccabaaaaaaaaaaa
giaaaaacafaaaaaabaaaaaajbcaabaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaa
egiccaaaabaaaaaaaaaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaa
aaaaaaaaegbcbaaaaeaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaaabaaaaaa
egacbaaaaaaaaaaaaoaaaaahgcaabaaaaaaaaaaaagbbbaaaadaaaaaapgbpbaaa
adaaaaaaefaaaaajpcaabaaaabaaaaaajgafbaaaaaaaaaaaeghobaaaaeaaaaaa
aagabaaaaaaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaa
abaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiaea
bbaaaaajccaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaa
aaaaaaaaeeaaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaadiaaaaaiocaabaaa
aaaaaaaafgafbaaaaaaaaaaaagijcaaaabaaaaaaaaaaaaaabaaaaaahccaabaaa
aaaaaaaaegbcbaaaaeaaaaaajgahbaaaaaaaaaaaaaaaaaahecaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaacambebcaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
aaaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaaj
ccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaiadp
dicaaaahbcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaai
bcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpdgaaaaai
fcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaah
ccaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaafccaabaaa
aaaaaaaabkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaafgafbaaaaaaaaaaa
cgbjbaaaafaaaaaabnaaaaajecaabaaaaaaaaaaaakaabaiaibaaaaaaacaaaaaa
bkaabaiaibaaaaaaacaaaaaaabaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaa
abeaaaaaaaaaiadpaaaaaaajicaabaaaaaaaaaaabkaabaiambaaaaaaacaaaaaa
akaabaiaibaaaaaaacaaaaaadcaaaaakicaabaaaaaaaaaaackaabaaaaaaaaaaa
dkaabaaaaaaaaaaabkaabaiaibaaaaaaacaaaaaabnaaaaaiicaabaaaaaaaaaaa
dkaabaaaaaaaaaaackaabaiaibaaaaaaacaaaaaaabaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaaabaaaaaackbabaaa
afaaaaaabkaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaa
abaaaaaackaabaaaaaaaaaaadkaabaaaabaaaaaabkaabaaaacaaaaaadcaaaaaj
icaabaaaacaaaaaabkbabaaaafaaaaaabkaabaaaaaaaaaaadkaabaaaabaaaaaa
dcaaaaakccaabaaaaaaaaaaabkbabaiaebaaaaaaafaaaaaabkaabaaaaaaaaaaa
dkaabaaaabaaaaaadcaaaaakicaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaa
acaaaaaackaabaiaebaaaaaaacaaaaaadbaaaaahicaabaaaacaaaaaaabeaaaaa
aaaaaaaadkaabaaaabaaaaaadbaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaaaaaboaaaaaiicaabaaaabaaaaaadkaabaiaebaaaaaaacaaaaaa
dkaabaaaabaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaaabaaaaaadgaaaaag
ccaabaaaabaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
egacbaaaabaaaaaabgagbaaaacaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaa
aaaaiadpdcaaaaakhcaabaaaaeaaaaaabgafbaaaadaaaaaaegacbaaaacaaaaaa
egacbaiaebaaaaaaabaaaaaadcaaaaajhcaabaaaabaaaaaakgakbaaaaaaaaaaa
egacbaaaaeaaaaaaegacbaaaabaaaaaadgaaaaagecaabaaaadaaaaaaakaabaia
ebaaaaaaadaaaaaabnaaaaahicaabaaaabaaaaaaakaabaaaadaaaaaaabeaaaaa
aaaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadp
dcaaaaakhcaabaaaabaaaaaafgagbaiaebaaaaaaadaaaaaacgajbaaaacaaaaaa
egacbaaaabaaaaaadiaaaaahhcaabaaaadaaaaaacgajbaaaacaaaaaafgagbaaa
adaaaaaadcaaaaajhcaabaaaabaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaa
egacbaaaadaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaa
abaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaadaaaaaaegaabaaa
abaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaa
abaaaaaaegaabaiaibaaaaaaabaaaaaaalaaaaafmcaabaaaadaaaaaaagaebaaa
abaaaaaaamaaaaafdcaabaaaabaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaadaaaaaaeghobaaaaaaaaaaaaagabaaaabaaaaaaogakbaaa
adaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaadaaaaaa
eghobaaaabaaaaaaaagabaaaacaaaaaaogakbaaaadaaaaaaegaabaaaabaaaaaa
aaaaaaaiicaabaaaaaaaaaaadkaabaiaebaaaaaaadaaaaaadkaabaaaaeaaaaaa
dcaaaaajicaabaaaaaaaaaaadkaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaa
adaaaaaabnaaaaahbcaabaaaabaaaaaaabeaaaaaaaaaaaaadkbabaaaabaaaaaa
dhaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaaaaaabeaaaaa
aaaaiadpdiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaa
deaaaaajbcaabaaaabaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaa
acaaaaaabnaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaackaabaiaibaaaaaa
acaaaaaaabaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadp
dcaaaaajccaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaaaaaaaaaackaabaaa
acaaaaaadbaaaaahccaabaaaabaaaaaaabeaaaaaaaaaaaaabkaabaaaaaaaaaaa
dbaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaai
ccaabaaaaaaaaaaabkaabaiaebaaaaaaabaaaaaabkaabaaaaaaaaaaaclaaaaaf
ccaabaaaadaaaaaabkaabaaaaaaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaia
ebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadp
aaaaaaaaaaaaaaaadiaaaaahocaabaaaabaaaaaakgabbaaaacaaaaaaagajbaaa
aeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadp
aaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaaegacbaaaacaaaaaa
ogajbaiaebaaaaaaabaaaaaadcaaaaajhcaabaaaadaaaaaakgakbaaaaaaaaaaa
egacbaaaadaaaaaaogajbaaaabaaaaaadcaaaaakhcaabaaaacaaaaaaegacbaia
ebaaaaaaaeaaaaaaggaibaaaacaaaaaaegacbaaaadaaaaaadcaaaaajhcaabaaa
abaaaaaaagaabaaaabaaaaaaegacbaaaacaaaaaajgahbaaaabaaaaaadiaaaaak
gcaabaaaaaaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaigcaabaaaaaaaaaaafgagbaaaaaaaaaaaagaabaiaibaaaaaa
abaaaaaaaaaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaadiaaaaaigcaabaaaaaaaaaaafgagbaaaaaaaaaaa
pgipcaaaaaaaaaaabdaaaaaadcaaaaaodcaabaaaabaaaaaapgipcaiaebaaaaaa
aaaaaaaabdaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaajgafbaaa
aaaaaaaadgaaaaagdcaabaaaabaaaaaaegaabaiaibaaaaaaabaaaaaaalaaaaaf
mcaabaaaabaaaaaaagaebaaaabaaaaaaamaaaaafdcaabaaaabaaaaaaegaabaaa
abaaaaaaejaaaaanpcaabaaaacaaaaaajgafbaaaaaaaaaaaeghobaaaacaaaaaa
aagabaaaadaaaaaaogakbaaaabaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaa
abaaaaaajgafbaaaaaaaaaaaeghobaaaadaaaaaaaagabaaaaeaaaaaaogakbaaa
abaaaaaaegaabaaaabaaaaaadiaaaaahccaabaaaaaaaaaaadkaabaaaaaaaaaaa
dkaabaaaacaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaa
abaaaaaadiaaaaahicaabaaaacaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaa
aaaaaaaipcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaa
dcaaaaajpcaabaaaaaaaaaaapgapbaaaacaaaaaaegaobaaaaaaaaaaaegaobaaa
abaaaaaadiaaaaaiiccabaaaaaaaaaaadkaabaaaaaaaaaaabkiacaaaaaaaaaaa
bcaaaaaadgaaaaafhccabaaaaaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r2.xyz, r0.x, v2
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
max r0.x, r3, r3.z
mov_pp r1.xyz, r0.w
add r0.x, r0, -r3.y
add r0.y, -r2, r3.w
cmp r3.w, r0.x, c3.x, c3.y
mad r3.x, r3.w, r0.y, r2.y
mul_pp r0, r1, c3.yyyx
add_pp r0.x, r0, r0.y
add_pp r4.x, r0, r0.z
cmp r1.y, r3.x, c3, c3.x
cmp r1.x, -r3, c3.y, c3
add r1.w, r1.x, -r1.y
mov r0.z, -r1.w
mov r1.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c3.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r1.xyz, r2.w, r1, r3
mov r0.xy, c3.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r3.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mul r0.x, r0.y, r0
add_pp r0.w, r4.x, r0
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
dp4_pp r1.x, c0, c0
rsq_pp r0.z, r1.x
mul_pp r1.xyz, r0.z, c0
mad r0.z, r0.x, c3, c3
dp3_pp r2.x, v1, r1
mul r1.zw, r0, c2.x
add_pp r0.z, r2.x, c4.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.w, r0.z
add_pp_sat r0.x, r0.z, -r0.w
dsx r1.xy, r3
add_pp r0.y, r0.x, c4
mul_pp_sat r0.x, -r2, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r2
mul_pp r0.x, r0, r0.w
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 0
SetTexture 1 [cube_CityOverlayTexNEG] 2D 1
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 3 [_CityLightOverlayDetailTex] 2D 3
// 100 instructions, 5 temp regs, 0 temp arrays:
// ALU 79 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r2.xyz, r0.x, v2
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
max r0.x, r3, r3.z
mov_pp r1.xyz, r0.w
add r0.x, r0, -r3.y
add r0.y, -r2, r3.w
cmp r3.w, r0.x, c3.x, c3.y
mad r3.x, r3.w, r0.y, r2.y
mul_pp r0, r1, c3.yyyx
add_pp r0.x, r0, r0.y
add_pp r4.x, r0, r0.z
cmp r1.y, r3.x, c3, c3.x
cmp r1.x, -r3, c3.y, c3
add r1.w, r1.x, -r1.y
mov r0.z, -r1.w
mov r1.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c3.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r1.xyz, r2.w, r1, r3
mov r0.xy, c3.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r3.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mul r0.x, r0.y, r0
add_pp r0.w, r4.x, r0
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
dp4_pp r1.x, c0, c0
rsq_pp r0.z, r1.x
mul_pp r1.xyz, r0.z, c0
mad r0.z, r0.x, c3, c3
dp3_pp r2.x, v1, r1
mul r1.zw, r0, c2.x
add_pp r0.z, r2.x, c4.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.w, r0.z
add_pp_sat r0.x, r0.z, -r0.w
dsx r1.xy, r3
add_pp r0.y, r0.x, c4
mul_pp_sat r0.x, -r2, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r2
mul_pp r0.x, r0, r0.w
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 0
SetTexture 1 [cube_CityOverlayTexNEG] 2D 1
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 3 [_CityLightOverlayDetailTex] 2D 3
// 100 instructions, 5 temp regs, 0 temp arrays:
// ALU 79 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 115 ALU, 12 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r2.xyz, r0.x, v2
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.x, -r0.y, r0
mad_pp r1.w, r4, r0.x, r0.y
max r0.x, r3, r3.z
mov_pp r1.xyz, r0.w
add r0.x, r0, -r3.y
add r0.y, -r2, r3.w
cmp r3.w, r0.x, c3.x, c3.y
mad r3.x, r3.w, r0.y, r2.y
mul_pp r0, r1, c3.yyyx
add_pp r0.x, r0, r0.y
add_pp r4.x, r0, r0.z
cmp r1.y, r3.x, c3, c3.x
cmp r1.x, -r3, c3.y, c3
add r1.w, r1.x, -r1.y
mov r0.z, -r1.w
mov r1.y, r1.w
mov r3.y, -r1.w
mov r3.xz, c3.x
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r1.xyz, r2.w, r1, r3
mov r0.xy, c3.x
mul r3.xyz, r2.yxzw, r0
mad r0.xyz, r2.yxzw, -r0, r1
mad r0.xyz, r3.w, r0, r3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mul r0.x, r0.y, r0
add_pp r0.w, r4.x, r0
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
dp4_pp r1.x, c0, c0
rsq_pp r0.z, r1.x
mul_pp r1.xyz, r0.z, c0
mad r0.z, r0.x, c3, c3
dp3_pp r2.x, v1, r1
mul r1.zw, r0, c2.x
add_pp r0.z, r2.x, c4.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.w, r0.z
add_pp_sat r0.x, r0.z, -r0.w
dsx r1.xy, r3
add_pp r0.y, r0.x, c4
mul_pp_sat r0.x, -r2, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r2
mul_pp r0.x, r0, r0.w
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 0
SetTexture 1 [cube_CityOverlayTexNEG] 2D 1
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 2
SetTexture 3 [_CityLightOverlayDetailTex] 2D 3
// 100 instructions, 5 temp regs, 0 temp arrays:
// ALU 79 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r2.xyz, r0.x, v3
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.z, -r0.y, r0.x
max r0.x, r3, r3.z
add r0.x, r0, -r3.y
mad_pp r4.w, r4, r0.z, r0.y
add r0.y, -r2, r3.w
cmp r1.w, r0.x, c3.x, c3.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.w, r0.x, -r0.y
mov_pp r4.xyz, r0.w
mul_pp r0, r4, c3.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.y, r0.x, r0.z
add_pp r0.z, r0.y, r0.w
cmp r0.w, -v0, c3.y, c3.x
mov r1.y, r3.w
mov r3.xz, c3.x
mov r3.y, -r3.w
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r2.w, r1, r3
mul_pp r2.w, r0.z, r0
dp4_pp r0.z, c0, c0
mov r1.z, -r3.w
mov r1.xy, c3.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r1.w, r1, r4
abs r0.x, r1
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c0
dp3_pp r0.w, v2, r2
add_pp r0.z, r0.w, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.x, r0.z
dsx r1.xy, r3
add_pp_sat r3.z, r0, -r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r2
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r3, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s4
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 1
SetTexture 1 [cube_CityOverlayTexNEG] 2D 2
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 3 [_CityLightOverlayDetailTex] 2D 4
SetTexture 4 [_ShadowMapTexture] 2D 0
// 103 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r2.xyz, r0.x, v3
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.z, -r0.y, r0.x
max r0.x, r3, r3.z
add r0.x, r0, -r3.y
mad_pp r4.w, r4, r0.z, r0.y
add r0.y, -r2, r3.w
cmp r1.w, r0.x, c3.x, c3.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.w, r0.x, -r0.y
mov_pp r4.xyz, r0.w
mul_pp r0, r4, c3.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.y, r0.x, r0.z
add_pp r0.z, r0.y, r0.w
cmp r0.w, -v0, c3.y, c3.x
mov r1.y, r3.w
mov r3.xz, c3.x
mov r3.y, -r3.w
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r2.w, r1, r3
mul_pp r2.w, r0.z, r0
dp4_pp r0.z, c0, c0
mov r1.z, -r3.w
mov r1.xy, c3.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r1.w, r1, r4
abs r0.x, r1
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c0
dp3_pp r0.w, v2, r2
add_pp r0.z, r0.w, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.x, r0.z
dsx r1.xy, r3
add_pp_sat r3.z, r0, -r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r2
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r3, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s4
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 1
SetTexture 1 [cube_CityOverlayTexNEG] 2D 2
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 3 [_CityLightOverlayDetailTex] 2D 4
SetTexture 4 [_ShadowMapTexture] 2D 0
// 103 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexPOS] 2D
SetTexture 1 [cube_CityOverlayTexNEG] 2D
SetTexture 2 [_CityDarkOverlayDetailTex] 2D
SetTexture 3 [_CityLightOverlayDetailTex] 2D
SetTexture 4 [_ShadowMapTexture] 2D
"ps_3_0
; 116 ALU, 13 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r2.xyz, r0.x, v3
abs r3.xyz, r2
add r0.x, r3.z, -r3
cmp r2.w, r0.x, c3.x, c3.y
add r0.y, r2.z, -r2.x
mad r3.w, r2, r0.y, r2.x
add r0.z, r3, -r3.x
mad r0.x, r2.w, r0.z, r3
add r0.x, -r3.y, r0
add r0.y, r2, r3.w
cmp r4.w, r0.x, c3.x, c3.y
mad r0.x, r4.w, r0.y, -r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r5.x, r0, -r0.y
mov_pp r0.y, r5.x
mov_pp r1.xz, c3.x
mov_pp r1.y, -r5.x
mul r1.xyz, r2.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r2.zxyw, r0, -r1
mad r1.xyz, r2.w, r0, r1
mov_pp r0.z, -r5.x
mov_pp r0.xy, c3.x
mul r4.xyz, r2.yzxw, r0
mad r0.xyz, r2.yzxw, -r0, r1
mad r0.xyz, r4.w, r0, r4
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.xy, r0, c3.z
abs r0.zw, r0.xyxy
dsy r4.xy, r0.zwzw
add_pp r0.xy, r0, c3.z
dsx r0.zw, r0
texldd r1, r0, s1, r0.zwzw, r4
texldd r0, r0, s0, r0.zwzw, r4
add_pp r0, r0, -r1
cmp_pp r4.x, r5, c3, c3.y
mad_pp r0, r4.x, r0, r1
add_pp r0.z, r0, -r0.x
mad_pp r0.x, r2.w, r0.z, r0
add_pp r0.z, -r0.y, r0.x
max r0.x, r3, r3.z
add r0.x, r0, -r3.y
mad_pp r4.w, r4, r0.z, r0.y
add r0.y, -r2, r3.w
cmp r1.w, r0.x, c3.x, c3.y
mad r0.x, r1.w, r0.y, r2.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r3.w, r0.x, -r0.y
mov_pp r4.xyz, r0.w
mul_pp r0, r4, c3.yyyx
add_pp r0.x, r0, r0.y
add_pp r0.y, r0.x, r0.z
add_pp r0.z, r0.y, r0.w
cmp r0.w, -v0, c3.y, c3.x
mov r1.y, r3.w
mov r3.xz, c3.x
mov r3.y, -r3.w
mul r3.xyz, r2.xzyw, r3
mov r1.xz, c3.x
mad r1.xyz, r2.zxyw, r1, -r3
mad r3.xyz, r2.w, r1, r3
mul_pp r2.w, r0.z, r0
dp4_pp r0.z, c0, c0
mov r1.z, -r3.w
mov r1.xy, c3.x
mul r4.xyz, r2.yxzw, r1
mad r1.xyz, r2.yxzw, -r1, r3
mad r1.xyz, r1.w, r1, r4
abs r0.x, r1
rcp r0.x, r0.x
mul r0.y, r1.z, r0.x
mul r0.x, r1.y, r0
rsq_pp r0.z, r0.z
mul_pp r2.xyz, r0.z, c0
dp3_pp r0.w, v2, r2
add_pp r0.z, r0.w, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.x, r0.z
dsx r1.xy, r3
add_pp_sat r3.z, r0, -r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r2
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r3, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s4
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s2, r1, r3
texldd r1, r1.zwzw, s3, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexPOS] 2D 1
SetTexture 1 [cube_CityOverlayTexNEG] 2D 2
SetTexture 2 [_CityDarkOverlayDetailTex] 2D 3
SetTexture 3 [_CityLightOverlayDetailTex] 2D 4
SetTexture 4 [_ShadowMapTexture] 2D 0
// 103 instructions, 5 temp regs, 0 temp arrays:
// ALU 81 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 4 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecednghmjcpmlgffndbabfebbpckgccabnaaabaaaaaaoeaoaaaaadaaaaaa
cmaaaaaabeabaaaaeiabaaaaejfdeheooaaaaaaaaiaaaaaaaiaaaaaamiaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaaneaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaiaaaaneaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apaaaaaaneaaaaaaacaaaaaaaaaaaaaaadaaaaaaadaaaaaaapalaaaaneaaaaaa
aeaaaaaaaaaaaaaaadaaaaaaaeaaaaaaahahaaaaneaaaaaaagaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaaiaaaaaaneaaaaaaafaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahahaaaaneaaaaaaahaaaaaaaaaaaaaaadaaaaaaagaaaaaaahaaaaaafdfgfpfa
epfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheocmaaaaaaabaaaaaa
aiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapaaaaaafdfgfpfe
gbhcghgfheaaklklfdeieefcjeanaaaaeaaaaaaagfadaaaafjaaaaaeegiocaaa
aaaaaaaabeaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaafkaaaaadaagabaaa
aaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaaacaaaaaafkaaaaad
aagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafibiaaaeaahabaaaaaaaaaaa
ffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaafibiaaaeaahabaaaacaaaaaa
ffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaafibiaaaeaahabaaaaeaaaaaa
ffffaaaagcbaaaadicbabaaaabaaaaaagcbaaaadlcbabaaaadaaaaaagcbaaaad
hcbabaaaaeaaaaaagcbaaaadhcbabaaaafaaaaaagfaaaaadpccabaaaaaaaaaaa
giaaaaacafaaaaaabaaaaaajbcaabaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaa
egiccaaaabaaaaaaaaaaaaaaeeaaaaafbcaabaaaaaaaaaaaakaabaaaaaaaaaaa
diaaaaaihcaabaaaaaaaaaaaagaabaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaa
baaaaaahicaabaaaaaaaaaaaegbcbaaaaeaaaaaaegbcbaaaaeaaaaaaeeaaaaaf
icaabaaaaaaaaaaadkaabaaaaaaaaaaadiaaaaahhcaabaaaabaaaaaapgapbaaa
aaaaaaaaegbcbaaaaeaaaaaabaaaaaahbcaabaaaaaaaaaaaegacbaaaabaaaaaa
egacbaaaaaaaaaaaaoaaaaahgcaabaaaaaaaaaaaagbbbaaaadaaaaaapgbpbaaa
adaaaaaaefaaaaajpcaabaaaabaaaaaajgafbaaaaaaaaaaaeghobaaaaeaaaaaa
aagabaaaaaaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaakaabaaa
abaaaaaadiaaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaaaaaaiaea
bbaaaaajccaabaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaa
aaaaaaaaeeaaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaadiaaaaaiocaabaaa
aaaaaaaafgafbaaaaaaaaaaaagijcaaaabaaaaaaaaaaaaaabaaaaaahccaabaaa
aaaaaaaaegbcbaaaaeaaaaaajgahbaaaaaaaaaaaaaaaaaahecaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaakoehibdpdicaaaahccaabaaaaaaaaaaabkaabaaa
aaaaaaaaabeaaaaaaaaacambebcaaaafecaabaaaaaaaaaaackaabaaaaaaaaaaa
aaaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaaj
ccaabaaaaaaaaaaabkaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaiadp
dicaaaahbcaabaaaaaaaaaaabkaabaaaaaaaaaaaakaabaaaaaaaaaaaaaaaaaai
bcaabaaaaaaaaaaaakaabaiaebaaaaaaaaaaaaaaabeaaaaaaaaaiadpdgaaaaai
fcaabaaaabaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaah
ccaabaaaaaaaaaaaegbcbaaaafaaaaaaegbcbaaaafaaaaaaeeaaaaafccaabaaa
aaaaaaaabkaabaaaaaaaaaaadiaaaaahhcaabaaaacaaaaaafgafbaaaaaaaaaaa
cgbjbaaaafaaaaaabnaaaaajecaabaaaaaaaaaaaakaabaiaibaaaaaaacaaaaaa
bkaabaiaibaaaaaaacaaaaaaabaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaa
abeaaaaaaaaaiadpaaaaaaajicaabaaaaaaaaaaabkaabaiambaaaaaaacaaaaaa
akaabaiaibaaaaaaacaaaaaadcaaaaakicaabaaaaaaaaaaackaabaaaaaaaaaaa
dkaabaaaaaaaaaaabkaabaiaibaaaaaaacaaaaaabnaaaaaiicaabaaaaaaaaaaa
dkaabaaaaaaaaaaackaabaiaibaaaaaaacaaaaaaabaaaaahicaabaaaaaaaaaaa
dkaabaaaaaaaaaaaabeaaaaaaaaaiadpdcaaaaakicaabaaaabaaaaaackbabaaa
afaaaaaabkaabaaaaaaaaaaabkaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaa
abaaaaaackaabaaaaaaaaaaadkaabaaaabaaaaaabkaabaaaacaaaaaadcaaaaaj
icaabaaaacaaaaaabkbabaaaafaaaaaabkaabaaaaaaaaaaadkaabaaaabaaaaaa
dcaaaaakccaabaaaaaaaaaaabkbabaiaebaaaaaaafaaaaaabkaabaaaaaaaaaaa
dkaabaaaabaaaaaadcaaaaakicaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaa
acaaaaaackaabaiaebaaaaaaacaaaaaadbaaaaahicaabaaaacaaaaaaabeaaaaa
aaaaaaaadkaabaaaabaaaaaadbaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaa
abeaaaaaaaaaaaaaboaaaaaiicaabaaaabaaaaaadkaabaiaebaaaaaaacaaaaaa
dkaabaaaabaaaaaaclaaaaafbcaabaaaadaaaaaadkaabaaaabaaaaaadgaaaaag
ccaabaaaabaaaaaaakaabaiaebaaaaaaadaaaaaadiaaaaahhcaabaaaabaaaaaa
egacbaaaabaaaaaabgagbaaaacaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaa
aaaaiadpdcaaaaakhcaabaaaaeaaaaaabgafbaaaadaaaaaaegacbaaaacaaaaaa
egacbaiaebaaaaaaabaaaaaadcaaaaajhcaabaaaabaaaaaakgakbaaaaaaaaaaa
egacbaaaaeaaaaaaegacbaaaabaaaaaadgaaaaagecaabaaaadaaaaaaakaabaia
ebaaaaaaadaaaaaabnaaaaahicaabaaaabaaaaaaakaabaaaadaaaaaaabeaaaaa
aaaaaaaaabaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadp
dcaaaaakhcaabaaaabaaaaaafgagbaiaebaaaaaaadaaaaaacgajbaaaacaaaaaa
egacbaaaabaaaaaadiaaaaahhcaabaaaadaaaaaacgajbaaaacaaaaaafgagbaaa
adaaaaaadcaaaaajhcaabaaaabaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaa
egacbaaaadaaaaaadiaaaaakgcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaa
aaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaa
abaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakdcaabaaaadaaaaaaegaabaaa
abaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaa
abaaaaaaegaabaiaibaaaaaaabaaaaaaalaaaaafmcaabaaaadaaaaaaagaebaaa
abaaaaaaamaaaaafdcaabaaaabaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaadaaaaaaeghobaaaaaaaaaaaaagabaaaabaaaaaaogakbaaa
adaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaadaaaaaaegaabaaaadaaaaaa
eghobaaaabaaaaaaaagabaaaacaaaaaaogakbaaaadaaaaaaegaabaaaabaaaaaa
aaaaaaaihcaabaaaabaaaaaaegacbaiaebaaaaaaadaaaaaaegacbaaaaeaaaaaa
dcaaaaajhcaabaaaabaaaaaapgapbaaaabaaaaaaegacbaaaabaaaaaaegacbaaa
adaaaaaaaaaaaaaiecaabaaaabaaaaaaakaabaiaebaaaaaaabaaaaaackaabaaa
abaaaaaadcaaaaajbcaabaaaabaaaaaackaabaaaaaaaaaaackaabaaaabaaaaaa
akaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaabkaabaiaebaaaaaaabaaaaaa
akaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaadkaabaaaaaaaaaaaakaabaaa
abaaaaaabkaabaaaabaaaaaabnaaaaahbcaabaaaabaaaaaaabeaaaaaaaaaaaaa
dkbabaaaabaaaaaadhaaaaajbcaabaaaabaaaaaaakaabaaaabaaaaaaabeaaaaa
aaaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaa
akaabaaaabaaaaaadeaaaaajbcaabaaaabaaaaaaakaabaiaibaaaaaaacaaaaaa
bkaabaiaibaaaaaaacaaaaaabnaaaaaibcaabaaaabaaaaaaakaabaaaabaaaaaa
ckaabaiaibaaaaaaacaaaaaaabaaaaahbcaabaaaabaaaaaaakaabaaaabaaaaaa
abeaaaaaaaaaiadpdcaaaaajccaabaaaaaaaaaaaakaabaaaabaaaaaabkaabaaa
aaaaaaaackaabaaaacaaaaaadbaaaaahccaabaaaabaaaaaaabeaaaaaaaaaaaaa
bkaabaaaaaaaaaaadbaaaaahccaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaa
aaaaaaaaboaaaaaiccaabaaaaaaaaaaabkaabaiaebaaaaaaabaaaaaabkaabaaa
aaaaaaaaclaaaaafccaabaaaadaaaaaabkaabaaaaaaaaaaadgaaaaagecaabaaa
aeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaaidcaabaaaaeaaaaaaaceaaaaa
aaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaahocaabaaaabaaaaaakgabbaaa
acaaaaaaagajbaaaaeaaaaaadgaaaaaifcaabaaaadaaaaaaaceaaaaaaaaaiadp
aaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaaadaaaaaaegacbaaaadaaaaaa
egacbaaaacaaaaaaogajbaiaebaaaaaaabaaaaaadcaaaaajhcaabaaaadaaaaaa
kgakbaaaaaaaaaaaegacbaaaadaaaaaaogajbaaaabaaaaaadcaaaaakhcaabaaa
acaaaaaaegacbaiaebaaaaaaaeaaaaaaggaibaaaacaaaaaaegacbaaaadaaaaaa
dcaaaaajhcaabaaaabaaaaaaagaabaaaabaaaaaaegacbaaaacaaaaaajgahbaaa
abaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaa
aaaaaadpaaaaaadpaaaaaaaaaoaaaaaigcaabaaaaaaaaaaafgagbaaaaaaaaaaa
agaabaiaibaaaaaaabaaaaaaaaaaaaakgcaabaaaaaaaaaaafgagbaaaaaaaaaaa
aceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaadiaaaaaigcaabaaaaaaaaaaa
fgagbaaaaaaaaaaapgipcaaaaaaaaaaabdaaaaaadcaaaaaodcaabaaaabaaaaaa
pgipcaiaebaaaaaaaaaaaaaabdaaaaaaaceaaaaaaaaaaadpaaaaaadpaaaaaaaa
aaaaaaaajgafbaaaaaaaaaaadgaaaaagdcaabaaaabaaaaaaegaabaiaibaaaaaa
abaaaaaaalaaaaafmcaabaaaabaaaaaaagaebaaaabaaaaaaamaaaaafdcaabaaa
abaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaacaaaaaajgafbaaaaaaaaaaa
eghobaaaacaaaaaaaagabaaaadaaaaaaogakbaaaabaaaaaaegaabaaaabaaaaaa
ejaaaaanpcaabaaaabaaaaaajgafbaaaaaaaaaaaeghobaaaadaaaaaaaagabaaa
aeaaaaaaogakbaaaabaaaaaaegaabaaaabaaaaaadiaaaaahccaabaaaaaaaaaaa
dkaabaaaaaaaaaaadkaabaaaacaaaaaadiaaaaahicaabaaaabaaaaaadkaabaaa
aaaaaaaadkaabaaaabaaaaaadiaaaaahicaabaaaacaaaaaaakaabaaaaaaaaaaa
bkaabaaaaaaaaaaaaaaaaaaipcaabaaaaaaaaaaaegaobaiaebaaaaaaabaaaaaa
egaobaaaacaaaaaadcaaaaajpcaabaaaaaaaaaaapgapbaaaacaaaaaaegaobaaa
aaaaaaaaegaobaaaabaaaaaadiaaaaaiiccabaaaaaaaaaaadkaabaaaaaaaaaaa
bkiacaaaaaaaaaaabcaaaaaadgaaaaafhccabaaaaaaaaaaaegacbaaaaaaaaaaa
doaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE2_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 114 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r3.w, r0, c3.x, c3.y
add r2.x, r1.z, -r1
mad r0.w, r3, r2.x, r1.x
add r1.w, r0.z, -r0.x
mad r4.w, r3, r1, r0.x
add r0.w, -r1.y, r0
max r1.x, r1, r1.z
add r1.x, r1, -r1.y
cmp r5.x, r0.w, c3, c3.y
add r1.w, r0.y, r4
mad r0.w, r5.x, r1, -r0.y
cmp r1.w, r0, c3.y, c3.x
cmp r0.w, -r0, c3.y, c3.x
add r5.y, r0.w, -r1.w
add r1.y, -r0, r4.w
mov_pp r2.y, r5
mov_pp r3.xz, c3.x
mov_pp r3.y, -r5
mul r3.xyz, r0.xzyw, r3
mov_pp r2.xz, c3.x
mad r2.xyz, r0.zxyw, r2, -r3
mad r3.xyz, r3.w, r2, r3
mov_pp r2.z, -r5.y
mov_pp r2.xy, c3.x
mul r4.xyz, r0.yzxw, r2
mad r2.xyz, r0.yzxw, -r2, r3
mad r2.xyz, r5.x, r2, r4
abs_pp r0.w, r2.x
rcp_pp r0.w, r0.w
mul_pp r2.xy, r2.yzzw, r0.w
mul_pp r2.xy, r2, c3.z
abs r2.zw, r2.xyxy
add_pp r2.xy, r2, c3.z
dsx r3.xy, r2.zwzw
dsy r4.xy, r2.zwzw
texldd r0.w, r2, s4, r3, r4
texldd r1.w, r2, s5, r3, r4
add_pp r3.z, r1.w, -r0.w
cmp_pp r2.z, r5.y, c3.x, c3.y
texldd r1.w, r2, s0, r3, r4
texldd r2.w, r2, s1, r3, r4
add_pp r2.w, r2, -r1
mad_pp r1.w, r2.z, r2, r1
mad_pp r0.w, r2.z, r3.z, r0
add_pp r0.w, r0, -r1
mad_pp r2.w, r3, r0, r1
texldd r1.w, r2, s2, r3, r4
texldd r0.w, r2, s3, r3, r4
cmp r4.x, r1, c3, c3.y
mad r1.x, r4, r1.y, r0.y
add_pp r1.z, r0.w, -r1.w
cmp r1.y, r1.x, c3, c3.x
cmp r0.w, -r1.x, c3.y, c3.x
add r3.x, r0.w, -r1.y
mad_pp r0.w, r2.z, r1.z, r1
add_pp r1.w, r2, -r0
mad_pp r0.w, r5.x, r1, r0
mov r1.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c3.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r3.w, r1, r2
mov r1.z, -r3.x
mov r1.xy, c3.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r4.x, r0, r3
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r0.w, r0.z, c3.z, c3.z
dp4_pp r1.x, c0, c0
rsq_pp r0.z, r1.x
mul_pp r1.xyz, r0.z, c0
mul r0.x, r0.y, r0
mad r0.z, r0.x, c3, c3
dp3_pp r2.x, v1, r1
mul r1.zw, r0, c2.x
add_pp r0.z, r2.x, c4.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.w, r0.z
add_pp_sat r0.x, r0.z, -r0.w
dsx r1.xy, r3
add_pp r0.y, r0.x, c4
mul_pp_sat r0.x, -r2, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r2
mul_pp r0.x, r0, r0.w
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s6, r1, r3
texldd r1, r1.zwzw, s7, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 0
SetTexture 1 [cube_CityOverlayTexxp] 2D 1
SetTexture 2 [cube_CityOverlayTexyn] 2D 2
SetTexture 3 [cube_CityOverlayTexyp] 2D 3
SetTexture 4 [cube_CityOverlayTexzn] 2D 4
SetTexture 5 [cube_CityOverlayTexzp] 2D 5
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 7 [_CityLightOverlayDetailTex] 2D 7
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 114 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r3.w, r0, c3.x, c3.y
add r2.x, r1.z, -r1
mad r0.w, r3, r2.x, r1.x
add r1.w, r0.z, -r0.x
mad r4.w, r3, r1, r0.x
add r0.w, -r1.y, r0
max r1.x, r1, r1.z
add r1.x, r1, -r1.y
cmp r5.x, r0.w, c3, c3.y
add r1.w, r0.y, r4
mad r0.w, r5.x, r1, -r0.y
cmp r1.w, r0, c3.y, c3.x
cmp r0.w, -r0, c3.y, c3.x
add r5.y, r0.w, -r1.w
add r1.y, -r0, r4.w
mov_pp r2.y, r5
mov_pp r3.xz, c3.x
mov_pp r3.y, -r5
mul r3.xyz, r0.xzyw, r3
mov_pp r2.xz, c3.x
mad r2.xyz, r0.zxyw, r2, -r3
mad r3.xyz, r3.w, r2, r3
mov_pp r2.z, -r5.y
mov_pp r2.xy, c3.x
mul r4.xyz, r0.yzxw, r2
mad r2.xyz, r0.yzxw, -r2, r3
mad r2.xyz, r5.x, r2, r4
abs_pp r0.w, r2.x
rcp_pp r0.w, r0.w
mul_pp r2.xy, r2.yzzw, r0.w
mul_pp r2.xy, r2, c3.z
abs r2.zw, r2.xyxy
add_pp r2.xy, r2, c3.z
dsx r3.xy, r2.zwzw
dsy r4.xy, r2.zwzw
texldd r0.w, r2, s4, r3, r4
texldd r1.w, r2, s5, r3, r4
add_pp r3.z, r1.w, -r0.w
cmp_pp r2.z, r5.y, c3.x, c3.y
texldd r1.w, r2, s0, r3, r4
texldd r2.w, r2, s1, r3, r4
add_pp r2.w, r2, -r1
mad_pp r1.w, r2.z, r2, r1
mad_pp r0.w, r2.z, r3.z, r0
add_pp r0.w, r0, -r1
mad_pp r2.w, r3, r0, r1
texldd r1.w, r2, s2, r3, r4
texldd r0.w, r2, s3, r3, r4
cmp r4.x, r1, c3, c3.y
mad r1.x, r4, r1.y, r0.y
add_pp r1.z, r0.w, -r1.w
cmp r1.y, r1.x, c3, c3.x
cmp r0.w, -r1.x, c3.y, c3.x
add r3.x, r0.w, -r1.y
mad_pp r0.w, r2.z, r1.z, r1
add_pp r1.w, r2, -r0
mad_pp r0.w, r5.x, r1, r0
mov r1.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c3.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r3.w, r1, r2
mov r1.z, -r3.x
mov r1.xy, c3.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r4.x, r0, r3
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r0.w, r0.z, c3.z, c3.z
dp4_pp r1.x, c0, c0
rsq_pp r0.z, r1.x
mul_pp r1.xyz, r0.z, c0
mul r0.x, r0.y, r0
mad r0.z, r0.x, c3, c3
dp3_pp r2.x, v1, r1
mul r1.zw, r0, c2.x
add_pp r0.z, r2.x, c4.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.w, r0.z
add_pp_sat r0.x, r0.z, -r0.w
dsx r1.xy, r3
add_pp r0.y, r0.x, c4
mul_pp_sat r0.x, -r2, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r2
mul_pp r0.x, r0, r0.w
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s6, r1, r3
texldd r1, r1.zwzw, s7, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 0
SetTexture 1 [cube_CityOverlayTexxp] 2D 1
SetTexture 2 [cube_CityOverlayTexyn] 2D 2
SetTexture 3 [cube_CityOverlayTexyp] 2D 3
SetTexture 4 [cube_CityOverlayTexzn] 2D 4
SetTexture 5 [cube_CityOverlayTexzp] 2D 5
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 7 [_CityLightOverlayDetailTex] 2D 7
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0
eefiecedfgbffnpfhomakealkeeidomfnnjinallabaaaaaababaaaaaadaaaaaa
cmaaaaaapmaaaaaadaabaaaaejfdeheomiaaaaaaahaaaaaaaiaaaaaalaaaaaaa
aaaaaaaaabaaaaaaadaaaaaaaaaaaaaaapaaaaaalmaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaapaiaaaalmaaaaaaabaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apaaaaaalmaaaaaaaeaaaaaaaaaaaaaaadaaaaaaadaaaaaaahahaaaalmaaaaaa
agaaaaaaaaaaaaaaadaaaaaaadaaaaaaaiaaaaaalmaaaaaaafaaaaaaaaaaaaaa
adaaaaaaaeaaaaaaahahaaaalmaaaaaaahaaaaaaaaaaaaaaadaaaaaaafaaaaaa
ahaaaaaafdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklepfdeheo
cmaaaaaaabaaaaaaaiaaaaaacaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaaaaaaaaa
apaaaaaafdfgfpfegbhcghgfheaaklklfdeieefcniaoaaaaeaaaaaaalgadaaaa
fjaaaaaeegiocaaaaaaaaaaabaaaaaaafjaaaaaeegiocaaaabaaaaaaabaaaaaa
fkaaaaadaagabaaaaaaaaaaafkaaaaadaagabaaaabaaaaaafkaaaaadaagabaaa
acaaaaaafkaaaaadaagabaaaadaaaaaafkaaaaadaagabaaaaeaaaaaafkaaaaad
aagabaaaafaaaaaafkaaaaadaagabaaaagaaaaaafkaaaaadaagabaaaahaaaaaa
fibiaaaeaahabaaaaaaaaaaaffffaaaafibiaaaeaahabaaaabaaaaaaffffaaaa
fibiaaaeaahabaaaacaaaaaaffffaaaafibiaaaeaahabaaaadaaaaaaffffaaaa
fibiaaaeaahabaaaaeaaaaaaffffaaaafibiaaaeaahabaaaafaaaaaaffffaaaa
fibiaaaeaahabaaaagaaaaaaffffaaaafibiaaaeaahabaaaahaaaaaaffffaaaa
gcbaaaadicbabaaaabaaaaaagcbaaaadhcbabaaaadaaaaaagcbaaaadhcbabaaa
aeaaaaaagfaaaaadpccabaaaaaaaaaaagiaaaaacagaaaaaabbaaaaajbcaabaaa
aaaaaaaaegiocaaaabaaaaaaaaaaaaaaegiocaaaabaaaaaaaaaaaaaaeeaaaaaf
bcaabaaaaaaaaaaaakaabaaaaaaaaaaadiaaaaaihcaabaaaaaaaaaaaagaabaaa
aaaaaaaaegiccaaaabaaaaaaaaaaaaaabaaaaaahbcaabaaaaaaaaaaaegbcbaaa
adaaaaaaegacbaaaaaaaaaaaaaaaaaahccaabaaaaaaaaaaaakaabaaaaaaaaaaa
abeaaaaakoehibdpdicaaaahbcaabaaaaaaaaaaaakaabaaaaaaaaaaaabeaaaaa
aaaacambebcaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaahccaabaaa
aaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaialpdcaaaaajbcaabaaaaaaaaaaa
akaabaaaaaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiadpbaaaaaajccaabaaa
aaaaaaaaegiccaaaabaaaaaaaaaaaaaaegiccaaaabaaaaaaaaaaaaaaeeaaaaaf
ccaabaaaaaaaaaaabkaabaaaaaaaaaaadiaaaaaiocaabaaaaaaaaaaafgafbaaa
aaaaaaaaagijcaaaabaaaaaaaaaaaaaabaaaaaahbcaabaaaabaaaaaaegbcbaaa
adaaaaaaegbcbaaaadaaaaaaeeaaaaafbcaabaaaabaaaaaaakaabaaaabaaaaaa
diaaaaahhcaabaaaabaaaaaaagaabaaaabaaaaaaegbcbaaaadaaaaaabaaaaaah
ccaabaaaaaaaaaaaegacbaaaabaaaaaajgahbaaaaaaaaaaadiaaaaahccaabaaa
aaaaaaaabkaabaaaaaaaaaaaabeaaaaaaaaaiaeadicaaaahbcaabaaaaaaaaaaa
akaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaaibcaabaaaaaaaaaaaakaabaia
ebaaaaaaaaaaaaaaabeaaaaaaaaaiadpdgaaaaaifcaabaaaabaaaaaaaceaaaaa
aaaaiadpaaaaaaaaaaaaiadpaaaaaaaabaaaaaahccaabaaaaaaaaaaaegbcbaaa
aeaaaaaaegbcbaaaaeaaaaaaeeaaaaafccaabaaaaaaaaaaabkaabaaaaaaaaaaa
diaaaaahhcaabaaaacaaaaaafgafbaaaaaaaaaaacgbjbaaaaeaaaaaabnaaaaaj
ecaabaaaaaaaaaaaakaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaa
abaaaaahecaabaaaaaaaaaaackaabaaaaaaaaaaaabeaaaaaaaaaiadpaaaaaaaj
icaabaaaaaaaaaaabkaabaiambaaaaaaacaaaaaaakaabaiaibaaaaaaacaaaaaa
dcaaaaakicaabaaaaaaaaaaackaabaaaaaaaaaaadkaabaaaaaaaaaaabkaabaia
ibaaaaaaacaaaaaabnaaaaaiicaabaaaaaaaaaaadkaabaaaaaaaaaaackaabaia
ibaaaaaaacaaaaaaabaaaaahicaabaaaaaaaaaaadkaabaaaaaaaaaaaabeaaaaa
aaaaiadpdcaaaaakicaabaaaabaaaaaackbabaaaaeaaaaaabkaabaaaaaaaaaaa
bkaabaiaebaaaaaaacaaaaaadcaaaaajicaabaaaabaaaaaackaabaaaaaaaaaaa
dkaabaaaabaaaaaabkaabaaaacaaaaaadcaaaaajicaabaaaacaaaaaabkbabaaa
aeaaaaaabkaabaaaaaaaaaaadkaabaaaabaaaaaadcaaaaakccaabaaaaaaaaaaa
bkbabaiaebaaaaaaaeaaaaaabkaabaaaaaaaaaaadkaabaaaabaaaaaadcaaaaak
icaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaaacaaaaaackaabaiaebaaaaaa
acaaaaaadbaaaaahicaabaaaacaaaaaaabeaaaaaaaaaaaaadkaabaaaabaaaaaa
dbaaaaahicaabaaaabaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaaaaaboaaaaai
icaabaaaabaaaaaadkaabaiaebaaaaaaacaaaaaadkaabaaaabaaaaaaclaaaaaf
bcaabaaaadaaaaaadkaabaaaabaaaaaadgaaaaagccaabaaaabaaaaaaakaabaia
ebaaaaaaadaaaaaadiaaaaahhcaabaaaabaaaaaaegacbaaaabaaaaaabgagbaaa
acaaaaaadgaaaaafccaabaaaadaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaa
aeaaaaaabgafbaaaadaaaaaaegacbaaaacaaaaaaegacbaiaebaaaaaaabaaaaaa
dcaaaaajhcaabaaaabaaaaaakgakbaaaaaaaaaaaegacbaaaaeaaaaaaegacbaaa
abaaaaaadgaaaaagecaabaaaadaaaaaaakaabaiaebaaaaaaadaaaaaabnaaaaah
icaabaaaabaaaaaaakaabaaaadaaaaaaabeaaaaaaaaaaaaaabaaaaahicaabaaa
abaaaaaadkaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaakhcaabaaaabaaaaaa
fgagbaiaebaaaaaaadaaaaaacgajbaaaacaaaaaaegacbaaaabaaaaaadiaaaaah
hcaabaaaadaaaaaacgajbaaaacaaaaaafgagbaaaadaaaaaadcaaaaajhcaabaaa
abaaaaaapgapbaaaaaaaaaaaegacbaaaabaaaaaaegacbaaaadaaaaaadiaaaaak
gcaabaaaabaaaaaafgagbaaaabaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadp
aaaaaaaaaoaaaaaidcaabaaaabaaaaaajgafbaaaabaaaaaaagaabaiaibaaaaaa
abaaaaaaaaaaaaakdcaabaaaadaaaaaaegaabaaaabaaaaaaaceaaaaaaaaaaadp
aaaaaadpaaaaaaaaaaaaaaaadgaaaaagdcaabaaaabaaaaaaegaabaiaibaaaaaa
abaaaaaaalaaaaafmcaabaaaadaaaaaaagaebaaaabaaaaaaamaaaaafdcaabaaa
abaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaaadaaaaaa
eghobaaaafaaaaaaaagabaaaafaaaaaaogakbaaaadaaaaaaegaabaaaabaaaaaa
ejaaaaanpcaabaaaafaaaaaaegaabaaaadaaaaaaeghobaaaaeaaaaaaaagabaaa
aeaaaaaaogakbaaaadaaaaaaegaabaaaabaaaaaaaaaaaaaiecaabaaaabaaaaaa
dkaabaaaaeaaaaaadkaabaiaebaaaaaaafaaaaaadcaaaaajecaabaaaabaaaaaa
dkaabaaaabaaaaaackaabaaaabaaaaaadkaabaaaafaaaaaaejaaaaanpcaabaaa
aeaaaaaaegaabaaaadaaaaaaeghobaaaabaaaaaaaagabaaaabaaaaaaogakbaaa
adaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaafaaaaaaegaabaaaadaaaaaa
eghobaaaaaaaaaaaaagabaaaaaaaaaaaogakbaaaadaaaaaaegaabaaaabaaaaaa
aaaaaaaiicaabaaaacaaaaaadkaabaaaaeaaaaaadkaabaiaebaaaaaaafaaaaaa
dcaaaaajicaabaaaacaaaaaadkaabaaaabaaaaaadkaabaaaacaaaaaadkaabaaa
afaaaaaaaaaaaaaiecaabaaaabaaaaaackaabaaaabaaaaaadkaabaiaebaaaaaa
acaaaaaadcaaaaajecaabaaaabaaaaaackaabaaaaaaaaaaackaabaaaabaaaaaa
dkaabaaaacaaaaaaejaaaaanpcaabaaaaeaaaaaaegaabaaaadaaaaaaeghobaaa
adaaaaaaaagabaaaadaaaaaaogakbaaaadaaaaaaegaabaaaabaaaaaaejaaaaan
pcaabaaaadaaaaaaegaabaaaadaaaaaaeghobaaaacaaaaaaaagabaaaacaaaaaa
ogakbaaaadaaaaaaegaabaaaabaaaaaaaaaaaaaibcaabaaaabaaaaaadkaabaia
ebaaaaaaadaaaaaadkaabaaaaeaaaaaadcaaaaajbcaabaaaabaaaaaadkaabaaa
abaaaaaaakaabaaaabaaaaaadkaabaaaadaaaaaaaaaaaaaiccaabaaaabaaaaaa
akaabaiaebaaaaaaabaaaaaackaabaaaabaaaaaadcaaaaajicaabaaaaaaaaaaa
dkaabaaaaaaaaaaabkaabaaaabaaaaaaakaabaaaabaaaaaabnaaaaahbcaabaaa
abaaaaaaabeaaaaaaaaaaaaadkbabaaaabaaaaaadhaaaaajbcaabaaaabaaaaaa
akaabaaaabaaaaaaabeaaaaaaaaaaaaaabeaaaaaaaaaiadpdiaaaaahicaabaaa
aaaaaaaadkaabaaaaaaaaaaaakaabaaaabaaaaaadeaaaaajbcaabaaaabaaaaaa
akaabaiaibaaaaaaacaaaaaabkaabaiaibaaaaaaacaaaaaabnaaaaaibcaabaaa
abaaaaaaakaabaaaabaaaaaackaabaiaibaaaaaaacaaaaaaabaaaaahbcaabaaa
abaaaaaaakaabaaaabaaaaaaabeaaaaaaaaaiadpdcaaaaajccaabaaaaaaaaaaa
akaabaaaabaaaaaabkaabaaaaaaaaaaackaabaaaacaaaaaadbaaaaahccaabaaa
abaaaaaaabeaaaaaaaaaaaaabkaabaaaaaaaaaaadbaaaaahccaabaaaaaaaaaaa
bkaabaaaaaaaaaaaabeaaaaaaaaaaaaaboaaaaaiccaabaaaaaaaaaaabkaabaia
ebaaaaaaabaaaaaabkaabaaaaaaaaaaaclaaaaafccaabaaaadaaaaaabkaabaaa
aaaaaaaadgaaaaagecaabaaaaeaaaaaabkaabaiaebaaaaaaadaaaaaadgaaaaai
dcaabaaaaeaaaaaaaceaaaaaaaaaiadpaaaaiadpaaaaaaaaaaaaaaaadiaaaaah
ocaabaaaabaaaaaakgabbaaaacaaaaaaagajbaaaaeaaaaaadgaaaaaifcaabaaa
adaaaaaaaceaaaaaaaaaiadpaaaaaaaaaaaaiadpaaaaaaaadcaaaaakhcaabaaa
adaaaaaaegacbaaaadaaaaaaegacbaaaacaaaaaaogajbaiaebaaaaaaabaaaaaa
dcaaaaajhcaabaaaadaaaaaakgakbaaaaaaaaaaaegacbaaaadaaaaaaogajbaaa
abaaaaaadcaaaaakhcaabaaaacaaaaaaegacbaiaebaaaaaaaeaaaaaaggaibaaa
acaaaaaaegacbaaaadaaaaaadcaaaaajhcaabaaaabaaaaaaagaabaaaabaaaaaa
egacbaaaacaaaaaajgahbaaaabaaaaaadiaaaaakgcaabaaaaaaaaaaafgagbaaa
abaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaaaoaaaaaigcaabaaa
aaaaaaaafgagbaaaaaaaaaaaagaabaiaibaaaaaaabaaaaaaaaaaaaakgcaabaaa
aaaaaaaafgagbaaaaaaaaaaaaceaaaaaaaaaaaaaaaaaaadpaaaaaadpaaaaaaaa
diaaaaaigcaabaaaaaaaaaaafgagbaaaaaaaaaaapgipcaaaaaaaaaaaapaaaaaa
dcaaaaaodcaabaaaabaaaaaapgipcaiaebaaaaaaaaaaaaaaapaaaaaaaceaaaaa
aaaaaadpaaaaaadpaaaaaaaaaaaaaaaajgafbaaaaaaaaaaadgaaaaagdcaabaaa
abaaaaaaegaabaiaibaaaaaaabaaaaaaalaaaaafmcaabaaaabaaaaaaagaebaaa
abaaaaaaamaaaaafdcaabaaaabaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaa
acaaaaaajgafbaaaaaaaaaaaeghobaaaagaaaaaaaagabaaaagaaaaaaogakbaaa
abaaaaaaegaabaaaabaaaaaaejaaaaanpcaabaaaabaaaaaajgafbaaaaaaaaaaa
eghobaaaahaaaaaaaagabaaaahaaaaaaogakbaaaabaaaaaaegaabaaaabaaaaaa
diaaaaahccaabaaaaaaaaaaadkaabaaaaaaaaaaadkaabaaaacaaaaaadiaaaaah
icaabaaaabaaaaaadkaabaaaaaaaaaaadkaabaaaabaaaaaadiaaaaahicaabaaa
acaaaaaaakaabaaaaaaaaaaabkaabaaaaaaaaaaaaaaaaaaipcaabaaaaaaaaaaa
egaobaiaebaaaaaaabaaaaaaegaobaaaacaaaaaadcaaaaajpcaabaaaaaaaaaaa
pgapbaaaacaaaaaaegaobaaaaaaaaaaaegaobaaaabaaaaaadiaaaaaiiccabaaa
aaaaaaaadkaabaaaaaaaaaaabkiacaaaaaaaaaaaaoaaaaaadgaaaaafhccabaaa
aaaaaaaaegacbaaaaaaaaaaadoaaaaab"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 114 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r0.xyz, r0.x, v2
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r3.w, r0, c3.x, c3.y
add r2.x, r1.z, -r1
mad r0.w, r3, r2.x, r1.x
add r1.w, r0.z, -r0.x
mad r4.w, r3, r1, r0.x
add r0.w, -r1.y, r0
max r1.x, r1, r1.z
add r1.x, r1, -r1.y
cmp r5.x, r0.w, c3, c3.y
add r1.w, r0.y, r4
mad r0.w, r5.x, r1, -r0.y
cmp r1.w, r0, c3.y, c3.x
cmp r0.w, -r0, c3.y, c3.x
add r5.y, r0.w, -r1.w
add r1.y, -r0, r4.w
mov_pp r2.y, r5
mov_pp r3.xz, c3.x
mov_pp r3.y, -r5
mul r3.xyz, r0.xzyw, r3
mov_pp r2.xz, c3.x
mad r2.xyz, r0.zxyw, r2, -r3
mad r3.xyz, r3.w, r2, r3
mov_pp r2.z, -r5.y
mov_pp r2.xy, c3.x
mul r4.xyz, r0.yzxw, r2
mad r2.xyz, r0.yzxw, -r2, r3
mad r2.xyz, r5.x, r2, r4
abs_pp r0.w, r2.x
rcp_pp r0.w, r0.w
mul_pp r2.xy, r2.yzzw, r0.w
mul_pp r2.xy, r2, c3.z
abs r2.zw, r2.xyxy
add_pp r2.xy, r2, c3.z
dsx r3.xy, r2.zwzw
dsy r4.xy, r2.zwzw
texldd r0.w, r2, s4, r3, r4
texldd r1.w, r2, s5, r3, r4
add_pp r3.z, r1.w, -r0.w
cmp_pp r2.z, r5.y, c3.x, c3.y
texldd r1.w, r2, s0, r3, r4
texldd r2.w, r2, s1, r3, r4
add_pp r2.w, r2, -r1
mad_pp r1.w, r2.z, r2, r1
mad_pp r0.w, r2.z, r3.z, r0
add_pp r0.w, r0, -r1
mad_pp r2.w, r3, r0, r1
texldd r1.w, r2, s2, r3, r4
texldd r0.w, r2, s3, r3, r4
cmp r4.x, r1, c3, c3.y
mad r1.x, r4, r1.y, r0.y
add_pp r1.z, r0.w, -r1.w
cmp r1.y, r1.x, c3, c3.x
cmp r0.w, -r1.x, c3.y, c3.x
add r3.x, r0.w, -r1.y
mad_pp r0.w, r2.z, r1.z, r1
add_pp r1.w, r2, -r0
mad_pp r0.w, r5.x, r1, r0
mov r1.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c3.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r3.w, r1, r2
mov r1.z, -r3.x
mov r1.xy, c3.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r4.x, r0, r3
cmp r1.x, -v0.w, c3.y, c3
mul_pp r2.w, r0, r1.x
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mad r0.w, r0.z, c3.z, c3.z
dp4_pp r1.x, c0, c0
rsq_pp r0.z, r1.x
mul_pp r1.xyz, r0.z, c0
mul r0.x, r0.y, r0
mad r0.z, r0.x, c3, c3
dp3_pp r2.x, v1, r1
mul r1.zw, r0, c2.x
add_pp r0.z, r2.x, c4.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
frc_pp r0.w, r0.z
add_pp_sat r0.x, r0.z, -r0.w
dsx r1.xy, r3
add_pp r0.y, r0.x, c4
mul_pp_sat r0.x, -r2, c3.w
mad_pp r0.w, r0.x, r0.y, c3.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v1, v1
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v1
dp3_pp r0.x, r0, r2
mul_pp r0.x, r0, r0.w
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s6, r1, r3
texldd r1, r1.zwzw, s7, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 0
SetTexture 1 [cube_CityOverlayTexxp] 2D 1
SetTexture 2 [cube_CityOverlayTexyn] 2D 2
SetTexture 3 [cube_CityOverlayTexyp] 2D 3
SetTexture 4 [cube_CityOverlayTexzn] 2D 4
SetTexture 5 [cube_CityOverlayTexzp] 2D 5
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 7 [_CityLightOverlayDetailTex] 2D 7
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 115 ALU, 25 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r3.w, r0, c3.x, c3.y
add r2.x, r1.z, -r1
mad r0.w, r3, r2.x, r1.x
add r1.w, r0.z, -r0.x
mad r5.x, r3.w, r1.w, r0
add r0.w, -r1.y, r0
cmp r4.w, r0, c3.x, c3.y
add r1.w, r0.y, r5.x
mad r0.w, r4, r1, -r0.y
cmp r1.w, r0, c3.y, c3.x
cmp r0.w, -r0, c3.y, c3.x
add r5.y, r0.w, -r1.w
mov_pp r2.y, r5
mov_pp r3.xz, c3.x
mov_pp r3.y, -r5
mul r3.xyz, r0.xzyw, r3
mov_pp r2.xz, c3.x
mad r2.xyz, r0.zxyw, r2, -r3
mad r3.xyz, r3.w, r2, r3
mov_pp r2.z, -r5.y
mov_pp r2.xy, c3.x
mul r4.xyz, r0.yzxw, r2
mad r2.xyz, r0.yzxw, -r2, r3
mad r2.xyz, r4.w, r2, r4
abs_pp r0.w, r2.x
rcp_pp r0.w, r0.w
mul_pp r2.xy, r2.yzzw, r0.w
mul_pp r2.xy, r2, c3.z
abs r2.zw, r2.xyxy
add_pp r2.xy, r2, c3.z
dsx r3.xy, r2.zwzw
dsy r4.xy, r2.zwzw
texldd r0.w, r2, s4, r3, r4
texldd r1.w, r2, s5, r3, r4
add_pp r2.z, r1.w, -r0.w
cmp_pp r3.z, r5.y, c3.x, c3.y
texldd r1.w, r2, s0, r3, r4
texldd r2.w, r2, s1, r3, r4
add_pp r2.w, r2, -r1
mad_pp r1.w, r3.z, r2, r1
mad_pp r0.w, r3.z, r2.z, r0
add_pp r0.w, r0, -r1
mad_pp r2.w, r3, r0, r1
max r0.w, r1.x, r1.z
add r0.w, r0, -r1.y
cmp r4.z, r0.w, c3.x, c3.y
add r1.x, -r0.y, r5
mad r1.x, r4.z, r1, r0.y
cmp r1.y, r1.x, c3, c3.x
texldd r0.w, r2, s2, r3, r4
texldd r1.w, r2, s3, r3, r4
add_pp r1.w, r1, -r0
cmp r1.x, -r1, c3.y, c3
add r3.x, r1, -r1.y
mad_pp r0.w, r3.z, r1, r0
mov r1.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c3.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r3.w, r1, r2
mov r1.z, -r3.x
mov r1.xy, c3.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r4.z, r0, r3
add_pp r1.x, r2.w, -r0.w
mad_pp r0.w, r4, r1.x, r0
cmp r1.x, -v0.w, c3.y, c3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
mul r0.x, r0.y, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.y, r0.z
mad r0.z, r0.x, c3, c3
mul r1.zw, r0, c2.x
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.w, v2, r2
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
add_pp r0.z, r0.w, c4.x
frc_pp r0.x, r0.z
dsx r1.xy, r3
add_pp_sat r3.z, r0, -r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r2
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r3, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s8
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s6, r1, r3
texldd r1, r1.zwzw, s7, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 1
SetTexture 1 [cube_CityOverlayTexxp] 2D 2
SetTexture 2 [cube_CityOverlayTexyn] 2D 3
SetTexture 3 [cube_CityOverlayTexyp] 2D 4
SetTexture 4 [cube_CityOverlayTexzn] 2D 5
SetTexture 5 [cube_CityOverlayTexzp] 2D 6
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 7 [_CityLightOverlayDetailTex] 2D 8
SetTexture 8 [_ShadowMapTexture] 2D 0
// 111 instructions, 6 temp regs, 0 temp arrays:
// ALU 85 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 115 ALU, 25 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r3.w, r0, c3.x, c3.y
add r2.x, r1.z, -r1
mad r0.w, r3, r2.x, r1.x
add r1.w, r0.z, -r0.x
mad r5.x, r3.w, r1.w, r0
add r0.w, -r1.y, r0
cmp r4.w, r0, c3.x, c3.y
add r1.w, r0.y, r5.x
mad r0.w, r4, r1, -r0.y
cmp r1.w, r0, c3.y, c3.x
cmp r0.w, -r0, c3.y, c3.x
add r5.y, r0.w, -r1.w
mov_pp r2.y, r5
mov_pp r3.xz, c3.x
mov_pp r3.y, -r5
mul r3.xyz, r0.xzyw, r3
mov_pp r2.xz, c3.x
mad r2.xyz, r0.zxyw, r2, -r3
mad r3.xyz, r3.w, r2, r3
mov_pp r2.z, -r5.y
mov_pp r2.xy, c3.x
mul r4.xyz, r0.yzxw, r2
mad r2.xyz, r0.yzxw, -r2, r3
mad r2.xyz, r4.w, r2, r4
abs_pp r0.w, r2.x
rcp_pp r0.w, r0.w
mul_pp r2.xy, r2.yzzw, r0.w
mul_pp r2.xy, r2, c3.z
abs r2.zw, r2.xyxy
add_pp r2.xy, r2, c3.z
dsx r3.xy, r2.zwzw
dsy r4.xy, r2.zwzw
texldd r0.w, r2, s4, r3, r4
texldd r1.w, r2, s5, r3, r4
add_pp r2.z, r1.w, -r0.w
cmp_pp r3.z, r5.y, c3.x, c3.y
texldd r1.w, r2, s0, r3, r4
texldd r2.w, r2, s1, r3, r4
add_pp r2.w, r2, -r1
mad_pp r1.w, r3.z, r2, r1
mad_pp r0.w, r3.z, r2.z, r0
add_pp r0.w, r0, -r1
mad_pp r2.w, r3, r0, r1
max r0.w, r1.x, r1.z
add r0.w, r0, -r1.y
cmp r4.z, r0.w, c3.x, c3.y
add r1.x, -r0.y, r5
mad r1.x, r4.z, r1, r0.y
cmp r1.y, r1.x, c3, c3.x
texldd r0.w, r2, s2, r3, r4
texldd r1.w, r2, s3, r3, r4
add_pp r1.w, r1, -r0
cmp r1.x, -r1, c3.y, c3
add r3.x, r1, -r1.y
mad_pp r0.w, r3.z, r1, r0
mov r1.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c3.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r3.w, r1, r2
mov r1.z, -r3.x
mov r1.xy, c3.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r4.z, r0, r3
add_pp r1.x, r2.w, -r0.w
mad_pp r0.w, r4, r1.x, r0
cmp r1.x, -v0.w, c3.y, c3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
mul r0.x, r0.y, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.y, r0.z
mad r0.z, r0.x, c3, c3
mul r1.zw, r0, c2.x
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.w, v2, r2
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
add_pp r0.z, r0.w, c4.x
frc_pp r0.x, r0.z
dsx r1.xy, r3
add_pp_sat r3.z, r0, -r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r2
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r3, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s8
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s6, r1, r3
texldd r1, r1.zwzw, s7, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 1
SetTexture 1 [cube_CityOverlayTexxp] 2D 2
SetTexture 2 [cube_CityOverlayTexyn] 2D 3
SetTexture 3 [cube_CityOverlayTexyp] 2D 4
SetTexture 4 [cube_CityOverlayTexzn] 2D 5
SetTexture 5 [cube_CityOverlayTexzp] 2D 6
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 7 [_CityLightOverlayDetailTex] 2D 8
SetTexture 8 [_ShadowMapTexture] 2D 0
// 111 instructions, 6 temp regs, 0 temp arrays:
// ALU 85 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 115 ALU, 25 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r0.xyz, r0.x, v3
abs r1.xyz, r0
add r0.w, r1.z, -r1.x
cmp r3.w, r0, c3.x, c3.y
add r2.x, r1.z, -r1
mad r0.w, r3, r2.x, r1.x
add r1.w, r0.z, -r0.x
mad r5.x, r3.w, r1.w, r0
add r0.w, -r1.y, r0
cmp r4.w, r0, c3.x, c3.y
add r1.w, r0.y, r5.x
mad r0.w, r4, r1, -r0.y
cmp r1.w, r0, c3.y, c3.x
cmp r0.w, -r0, c3.y, c3.x
add r5.y, r0.w, -r1.w
mov_pp r2.y, r5
mov_pp r3.xz, c3.x
mov_pp r3.y, -r5
mul r3.xyz, r0.xzyw, r3
mov_pp r2.xz, c3.x
mad r2.xyz, r0.zxyw, r2, -r3
mad r3.xyz, r3.w, r2, r3
mov_pp r2.z, -r5.y
mov_pp r2.xy, c3.x
mul r4.xyz, r0.yzxw, r2
mad r2.xyz, r0.yzxw, -r2, r3
mad r2.xyz, r4.w, r2, r4
abs_pp r0.w, r2.x
rcp_pp r0.w, r0.w
mul_pp r2.xy, r2.yzzw, r0.w
mul_pp r2.xy, r2, c3.z
abs r2.zw, r2.xyxy
add_pp r2.xy, r2, c3.z
dsx r3.xy, r2.zwzw
dsy r4.xy, r2.zwzw
texldd r0.w, r2, s4, r3, r4
texldd r1.w, r2, s5, r3, r4
add_pp r2.z, r1.w, -r0.w
cmp_pp r3.z, r5.y, c3.x, c3.y
texldd r1.w, r2, s0, r3, r4
texldd r2.w, r2, s1, r3, r4
add_pp r2.w, r2, -r1
mad_pp r1.w, r3.z, r2, r1
mad_pp r0.w, r3.z, r2.z, r0
add_pp r0.w, r0, -r1
mad_pp r2.w, r3, r0, r1
max r0.w, r1.x, r1.z
add r0.w, r0, -r1.y
cmp r4.z, r0.w, c3.x, c3.y
add r1.x, -r0.y, r5
mad r1.x, r4.z, r1, r0.y
cmp r1.y, r1.x, c3, c3.x
texldd r0.w, r2, s2, r3, r4
texldd r1.w, r2, s3, r3, r4
add_pp r1.w, r1, -r0
cmp r1.x, -r1, c3.y, c3
add r3.x, r1, -r1.y
mad_pp r0.w, r3.z, r1, r0
mov r1.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r0.xzyw, r2
mov r1.xz, c3.x
mad r1.xyz, r0.zxyw, r1, -r2
mad r2.xyz, r3.w, r1, r2
mov r1.z, -r3.x
mov r1.xy, c3.x
mul r3.xyz, r0.yxzw, r1
mad r0.xyz, r0.yxzw, -r1, r2
mad r0.xyz, r4.z, r0, r3
add_pp r1.x, r2.w, -r0.w
mad_pp r0.w, r4, r1.x, r0
cmp r1.x, -v0.w, c3.y, c3
abs r0.x, r0
rcp r0.x, r0.x
mul r0.z, r0, r0.x
mul_pp r2.w, r0, r1.x
mad r0.w, r0.z, c3.z, c3.z
mul r0.x, r0.y, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.y, r0.z
mad r0.z, r0.x, c3, c3
mul r1.zw, r0, c2.x
mul_pp r2.xyz, r0.y, c0
dp3_pp r0.w, v2, r2
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r3.xy, r0
add_pp r0.z, r0.w, c4.x
frc_pp r0.x, r0.z
dsx r1.xy, r3
add_pp_sat r3.z, r0, -r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
dp3_pp r0.x, v2, v2
mul_pp r2.xyz, r0.y, c0
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, v2
dp3_pp r0.y, r0, r2
mul_pp_sat r0.x, -r0.w, c3.w
add_pp r0.z, r3, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s8
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.x, r0, c4.z
dsy r3.xy, r3
texldd r0, r1.zwzw, s6, r1, r3
texldd r1, r1.zwzw, s7, r1, r3
mul_pp r0.w, r0, r2
add_pp r2.x, -r2, c3
mul_pp r2.x, r0.w, r2
mul_pp r1.w, r2, r1
mov_pp r0.w, r2.x
add_pp r0, r0, -r1
mad_pp r0, r2.x, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 1
SetTexture 1 [cube_CityOverlayTexxp] 2D 2
SetTexture 2 [cube_CityOverlayTexyn] 2D 3
SetTexture 3 [cube_CityOverlayTexyp] 2D 4
SetTexture 4 [cube_CityOverlayTexzn] 2D 5
SetTexture 5 [cube_CityOverlayTexzp] 2D 6
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 7 [_CityLightOverlayDetailTex] 2D 8
SetTexture 8 [_ShadowMapTexture] 2D 0
// 111 instructions, 6 temp regs, 0 temp arrays:
// ALU 85 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_N_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 118 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r3.xyz, r0.x, v2
abs r2.xyz, r3
add r0.z, r2, -r2.x
cmp r2.w, r0.z, c3.x, c3.y
add r0.y, r3.z, -r3.x
add r0.x, r2.z, -r2
mad r0.x, r2.w, r0, r2
mad r3.w, r2, r0.y, r3.x
add r0.y, -r2, r0.x
add r0.x, r3.y, r3.w
cmp r8.x, r0.y, c3, c3.y
mad r0.y, r8.x, r0.x, -r3
cmp r0.x, r0.y, c3.y, c3
cmp r0.y, -r0, c3, c3.x
add r8.y, r0, -r0.x
mov_pp r4.z, -r8.y
mov_pp r4.xy, c3.x
mov_pp r1.y, r8
mov_pp r0.y, -r8
mov_pp r0.xz, c3.x
mul r0.xyz, r3.xzyw, r0
mov_pp r1.xz, c3.x
mad r1.xyz, r3.zxyw, r1, -r0
mad r1.xyz, r2.w, r1, r0
mad r1.xyz, r3.yzxw, -r4, r1
mul r0.xyz, r3.yzxw, r4
mad r0.xyz, r8.x, r1, r0
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r7.zw, r0, c3.z
dsy r7.xy, r0
dsx r8.zw, r0.xyxy
texldd r0, r7.zwzw, s2, r8.zwzw, r7
texldd r1, r7.zwzw, s3, r8.zwzw, r7
add_pp r1, r1, -r0
cmp_pp r8.y, r8, c3.x, c3
texldd r4, r7.zwzw, s4, r8.zwzw, r7
texldd r5, r7.zwzw, s5, r8.zwzw, r7
texldd r6, r7.zwzw, s0, r8.zwzw, r7
add_pp r5, r5, -r4
texldd r7, r7.zwzw, s1, r8.zwzw, r7
add_pp r7, r7, -r6
mad_pp r0, r8.y, r1, r0
mad_pp r6, r8.y, r7, r6
mad_pp r4, r8.y, r5, r4
add_pp r4, r4, -r6
mad_pp r1, r2.w, r4, r6
add_pp r1, r1, -r0
mad_pp r0, r8.x, r1, r0
mul_pp r0, r0, c3.xyyy
max r2.x, r2, r2.z
add r1.y, r2.x, -r2
add r1.x, -r3.y, r3.w
cmp r1.w, r1.y, c3.x, c3.y
mad r1.y, r1.w, r1.x, r3
cmp r1.x, r1.y, c3.y, c3
cmp r1.y, -r1, c3, c3.x
add r4.x, r1.y, -r1
add_pp r0.x, r0, r0.y
mov r2.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c3.x
mul r1.xyz, r3.xzyw, r1
mov r2.xz, c3.x
mad r2.xyz, r3.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r4.x
add_pp r3.w, r0.x, r0.z
mov r1.xy, c3.x
mul r0.xyz, r3.yxzw, r1
mad r1.xyz, r3.yxzw, -r1, r2
mad r1.xyz, r1.w, r1, r0
abs r0.z, r1.x
add_pp r0.y, r3.w, r0.w
rcp r0.z, r0.z
cmp r0.x, -v0.w, c3.y, c3
mul_pp r2.x, r0.y, r0
mul r0.y, r1.z, r0.z
mul r0.w, r1.y, r0.z
dp4_pp r0.x, c0, c0
mad r1.w, r0.y, c3.z, c3.z
mad r1.z, r0.w, c3, c3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.y, v1, r0
add_pp r0.w, r2.y, c4.x
frc_pp r0.z, r0.w
add_pp_sat r0.z, r0.w, -r0
mul_pp_sat r0.w, -r2.y, c3
add_pp r0.z, r0, c4.y
mad_pp r0.z, r0.w, r0, c3.x
dp3_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
dp3_pp r2.y, v1, v1
rsq_pp r2.y, r2.y
mul r1.zw, r1, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r0.xy, r0
dsx r1.xy, r0
dsy r2.zw, r0.xyxy
mul_pp r4.xyz, r2.y, v1
mul_pp r3.xyz, r0.w, c0
dp3_pp r0.w, r4, r3
mul_pp r0.z, r0.w, r0
mul_pp_sat r2.y, r0.z, c4.z
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 0
SetTexture 1 [cube_CityOverlayTexxp] 2D 1
SetTexture 2 [cube_CityOverlayTexyn] 2D 2
SetTexture 3 [cube_CityOverlayTexyp] 2D 3
SetTexture 4 [cube_CityOverlayTexzn] 2D 4
SetTexture 5 [cube_CityOverlayTexzp] 2D 5
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 7 [_CityLightOverlayDetailTex] 2D 7
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 118 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r3.xyz, r0.x, v2
abs r2.xyz, r3
add r0.z, r2, -r2.x
cmp r2.w, r0.z, c3.x, c3.y
add r0.y, r3.z, -r3.x
add r0.x, r2.z, -r2
mad r0.x, r2.w, r0, r2
mad r3.w, r2, r0.y, r3.x
add r0.y, -r2, r0.x
add r0.x, r3.y, r3.w
cmp r8.x, r0.y, c3, c3.y
mad r0.y, r8.x, r0.x, -r3
cmp r0.x, r0.y, c3.y, c3
cmp r0.y, -r0, c3, c3.x
add r8.y, r0, -r0.x
mov_pp r4.z, -r8.y
mov_pp r4.xy, c3.x
mov_pp r1.y, r8
mov_pp r0.y, -r8
mov_pp r0.xz, c3.x
mul r0.xyz, r3.xzyw, r0
mov_pp r1.xz, c3.x
mad r1.xyz, r3.zxyw, r1, -r0
mad r1.xyz, r2.w, r1, r0
mad r1.xyz, r3.yzxw, -r4, r1
mul r0.xyz, r3.yzxw, r4
mad r0.xyz, r8.x, r1, r0
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r7.zw, r0, c3.z
dsy r7.xy, r0
dsx r8.zw, r0.xyxy
texldd r0, r7.zwzw, s2, r8.zwzw, r7
texldd r1, r7.zwzw, s3, r8.zwzw, r7
add_pp r1, r1, -r0
cmp_pp r8.y, r8, c3.x, c3
texldd r4, r7.zwzw, s4, r8.zwzw, r7
texldd r5, r7.zwzw, s5, r8.zwzw, r7
texldd r6, r7.zwzw, s0, r8.zwzw, r7
add_pp r5, r5, -r4
texldd r7, r7.zwzw, s1, r8.zwzw, r7
add_pp r7, r7, -r6
mad_pp r0, r8.y, r1, r0
mad_pp r6, r8.y, r7, r6
mad_pp r4, r8.y, r5, r4
add_pp r4, r4, -r6
mad_pp r1, r2.w, r4, r6
add_pp r1, r1, -r0
mad_pp r0, r8.x, r1, r0
mul_pp r0, r0, c3.xyyy
max r2.x, r2, r2.z
add r1.y, r2.x, -r2
add r1.x, -r3.y, r3.w
cmp r1.w, r1.y, c3.x, c3.y
mad r1.y, r1.w, r1.x, r3
cmp r1.x, r1.y, c3.y, c3
cmp r1.y, -r1, c3, c3.x
add r4.x, r1.y, -r1
add_pp r0.x, r0, r0.y
mov r2.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c3.x
mul r1.xyz, r3.xzyw, r1
mov r2.xz, c3.x
mad r2.xyz, r3.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r4.x
add_pp r3.w, r0.x, r0.z
mov r1.xy, c3.x
mul r0.xyz, r3.yxzw, r1
mad r1.xyz, r3.yxzw, -r1, r2
mad r1.xyz, r1.w, r1, r0
abs r0.z, r1.x
add_pp r0.y, r3.w, r0.w
rcp r0.z, r0.z
cmp r0.x, -v0.w, c3.y, c3
mul_pp r2.x, r0.y, r0
mul r0.y, r1.z, r0.z
mul r0.w, r1.y, r0.z
dp4_pp r0.x, c0, c0
mad r1.w, r0.y, c3.z, c3.z
mad r1.z, r0.w, c3, c3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.y, v1, r0
add_pp r0.w, r2.y, c4.x
frc_pp r0.z, r0.w
add_pp_sat r0.z, r0.w, -r0
mul_pp_sat r0.w, -r2.y, c3
add_pp r0.z, r0, c4.y
mad_pp r0.z, r0.w, r0, c3.x
dp3_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
dp3_pp r2.y, v1, v1
rsq_pp r2.y, r2.y
mul r1.zw, r1, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r0.xy, r0
dsx r1.xy, r0
dsy r2.zw, r0.xyxy
mul_pp r4.xyz, r2.y, v1
mul_pp r3.xyz, r0.w, c0
dp3_pp r0.w, r4, r3
mul_pp r0.z, r0.w, r0
mul_pp_sat r2.y, r0.z, c4.z
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 0
SetTexture 1 [cube_CityOverlayTexxp] 2D 1
SetTexture 2 [cube_CityOverlayTexyn] 2D 2
SetTexture 3 [cube_CityOverlayTexyp] 2D 3
SetTexture 4 [cube_CityOverlayTexzn] 2D 4
SetTexture 5 [cube_CityOverlayTexzp] 2D 5
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 7 [_CityLightOverlayDetailTex] 2D 7
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 118 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r3.xyz, r0.x, v2
abs r2.xyz, r3
add r0.z, r2, -r2.x
cmp r2.w, r0.z, c3.x, c3.y
add r0.y, r3.z, -r3.x
add r0.x, r2.z, -r2
mad r0.x, r2.w, r0, r2
mad r3.w, r2, r0.y, r3.x
add r0.y, -r2, r0.x
add r0.x, r3.y, r3.w
cmp r8.x, r0.y, c3, c3.y
mad r0.y, r8.x, r0.x, -r3
cmp r0.x, r0.y, c3.y, c3
cmp r0.y, -r0, c3, c3.x
add r8.y, r0, -r0.x
mov_pp r4.z, -r8.y
mov_pp r4.xy, c3.x
mov_pp r1.y, r8
mov_pp r0.y, -r8
mov_pp r0.xz, c3.x
mul r0.xyz, r3.xzyw, r0
mov_pp r1.xz, c3.x
mad r1.xyz, r3.zxyw, r1, -r0
mad r1.xyz, r2.w, r1, r0
mad r1.xyz, r3.yzxw, -r4, r1
mul r0.xyz, r3.yzxw, r4
mad r0.xyz, r8.x, r1, r0
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r7.zw, r0, c3.z
dsy r7.xy, r0
dsx r8.zw, r0.xyxy
texldd r0, r7.zwzw, s2, r8.zwzw, r7
texldd r1, r7.zwzw, s3, r8.zwzw, r7
add_pp r1, r1, -r0
cmp_pp r8.y, r8, c3.x, c3
texldd r4, r7.zwzw, s4, r8.zwzw, r7
texldd r5, r7.zwzw, s5, r8.zwzw, r7
texldd r6, r7.zwzw, s0, r8.zwzw, r7
add_pp r5, r5, -r4
texldd r7, r7.zwzw, s1, r8.zwzw, r7
add_pp r7, r7, -r6
mad_pp r0, r8.y, r1, r0
mad_pp r6, r8.y, r7, r6
mad_pp r4, r8.y, r5, r4
add_pp r4, r4, -r6
mad_pp r1, r2.w, r4, r6
add_pp r1, r1, -r0
mad_pp r0, r8.x, r1, r0
mul_pp r0, r0, c3.xyyy
max r2.x, r2, r2.z
add r1.y, r2.x, -r2
add r1.x, -r3.y, r3.w
cmp r1.w, r1.y, c3.x, c3.y
mad r1.y, r1.w, r1.x, r3
cmp r1.x, r1.y, c3.y, c3
cmp r1.y, -r1, c3, c3.x
add r4.x, r1.y, -r1
add_pp r0.x, r0, r0.y
mov r2.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c3.x
mul r1.xyz, r3.xzyw, r1
mov r2.xz, c3.x
mad r2.xyz, r3.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r4.x
add_pp r3.w, r0.x, r0.z
mov r1.xy, c3.x
mul r0.xyz, r3.yxzw, r1
mad r1.xyz, r3.yxzw, -r1, r2
mad r1.xyz, r1.w, r1, r0
abs r0.z, r1.x
add_pp r0.y, r3.w, r0.w
rcp r0.z, r0.z
cmp r0.x, -v0.w, c3.y, c3
mul_pp r2.x, r0.y, r0
mul r0.y, r1.z, r0.z
mul r0.w, r1.y, r0.z
dp4_pp r0.x, c0, c0
mad r1.w, r0.y, c3.z, c3.z
mad r1.z, r0.w, c3, c3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.y, v1, r0
add_pp r0.w, r2.y, c4.x
frc_pp r0.z, r0.w
add_pp_sat r0.z, r0.w, -r0
mul_pp_sat r0.w, -r2.y, c3
add_pp r0.z, r0, c4.y
mad_pp r0.z, r0.w, r0, c3.x
dp3_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
dp3_pp r2.y, v1, v1
rsq_pp r2.y, r2.y
mul r1.zw, r1, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r0.xy, r0
dsx r1.xy, r0
dsy r2.zw, r0.xyxy
mul_pp r4.xyz, r2.y, v1
mul_pp r3.xyz, r0.w, c0
dp3_pp r0.w, r4, r3
mul_pp r0.z, r0.w, r0
mul_pp_sat r2.y, r0.z, c4.z
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 0
SetTexture 1 [cube_CityOverlayTexxp] 2D 1
SetTexture 2 [cube_CityOverlayTexyn] 2D 2
SetTexture 3 [cube_CityOverlayTexyp] 2D 3
SetTexture 4 [cube_CityOverlayTexzn] 2D 4
SetTexture 5 [cube_CityOverlayTexzp] 2D 5
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 7 [_CityLightOverlayDetailTex] 2D 7
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 119 ALU, 25 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r4.xyz, r0.x, v3
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c3.x, c3.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c3.x, c3.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c3.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c3.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c3.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s0, r6.zwzw, r7
cmp_pp r7.w, r7, c3.x, c3.y
texldd r0, r6, s4, r6.zwzw, r7
texldd r1, r6, s5, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s1, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r2, r0, -r1
mad_pp r1, r4.w, r2, r1
max r2.x, r5, r5.z
add r2.x, r2, -r5.y
cmp r2.w, r2.x, c3.x, c3.y
add r2.y, -r4, r5.w
mad r2.x, r2.w, r2.y, r4.y
texldd r0, r6, s2, r6.zwzw, r7
texldd r3, r6, s3, r6.zwzw, r7
add_pp r3, r3, -r0
mad_pp r0, r7.w, r3, r0
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
cmp r1.y, r2.x, c3, c3.x
cmp r1.x, -r2, c3.y, c3
add r3.x, r1, -r1.y
mul_pp r1, r0, c3.xyyy
add_pp r0.w, r1.x, r1.y
mov r0.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r4.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r2
mad r2.xyz, r4.w, r0, r2
mov r0.z, -r3.x
mov r0.xy, c3.x
mul r3.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r3
add_pp r0.y, r0.w, r1.z
abs r0.x, r2
add_pp r0.z, r0.y, r1.w
rcp r0.x, r0.x
mul r0.y, r2.z, r0.x
cmp r0.w, -v0, c3.y, c3.x
mul_pp r2.x, r0.z, r0.w
mul r0.x, r2.y, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.z, r0.z
mul_pp r3.xyz, r0.z, c0
dp3_pp r2.y, v2, r3
add_pp r0.z, r2.y, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r2.zw, r0.xyxy
frc_pp r0.x, r0.z
dsx r1.xy, r2.zwzw
add_pp_sat r3.w, r0.z, -r0.x
dp3_pp r0.x, v2, v2
rsq_pp r0.w, r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r0.xyz, r0.y, c0
mul_pp r3.xyz, r0.w, v2
dp3_pp r0.y, r3, r0
mul_pp_sat r0.x, -r2.y, c3.w
add_pp r0.z, r3.w, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s8
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.y, r0.x, c4.z
dsy r2.zw, r2
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 1
SetTexture 1 [cube_CityOverlayTexxp] 2D 2
SetTexture 2 [cube_CityOverlayTexyn] 2D 3
SetTexture 3 [cube_CityOverlayTexyp] 2D 4
SetTexture 4 [cube_CityOverlayTexzn] 2D 5
SetTexture 5 [cube_CityOverlayTexzp] 2D 6
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 7 [_CityLightOverlayDetailTex] 2D 8
SetTexture 8 [_ShadowMapTexture] 2D 0
// 111 instructions, 6 temp regs, 0 temp arrays:
// ALU 85 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 119 ALU, 25 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r4.xyz, r0.x, v3
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c3.x, c3.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c3.x, c3.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c3.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c3.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c3.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s0, r6.zwzw, r7
cmp_pp r7.w, r7, c3.x, c3.y
texldd r0, r6, s4, r6.zwzw, r7
texldd r1, r6, s5, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s1, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r2, r0, -r1
mad_pp r1, r4.w, r2, r1
max r2.x, r5, r5.z
add r2.x, r2, -r5.y
cmp r2.w, r2.x, c3.x, c3.y
add r2.y, -r4, r5.w
mad r2.x, r2.w, r2.y, r4.y
texldd r0, r6, s2, r6.zwzw, r7
texldd r3, r6, s3, r6.zwzw, r7
add_pp r3, r3, -r0
mad_pp r0, r7.w, r3, r0
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
cmp r1.y, r2.x, c3, c3.x
cmp r1.x, -r2, c3.y, c3
add r3.x, r1, -r1.y
mul_pp r1, r0, c3.xyyy
add_pp r0.w, r1.x, r1.y
mov r0.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r4.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r2
mad r2.xyz, r4.w, r0, r2
mov r0.z, -r3.x
mov r0.xy, c3.x
mul r3.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r3
add_pp r0.y, r0.w, r1.z
abs r0.x, r2
add_pp r0.z, r0.y, r1.w
rcp r0.x, r0.x
mul r0.y, r2.z, r0.x
cmp r0.w, -v0, c3.y, c3.x
mul_pp r2.x, r0.z, r0.w
mul r0.x, r2.y, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.z, r0.z
mul_pp r3.xyz, r0.z, c0
dp3_pp r2.y, v2, r3
add_pp r0.z, r2.y, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r2.zw, r0.xyxy
frc_pp r0.x, r0.z
dsx r1.xy, r2.zwzw
add_pp_sat r3.w, r0.z, -r0.x
dp3_pp r0.x, v2, v2
rsq_pp r0.w, r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r0.xyz, r0.y, c0
mul_pp r3.xyz, r0.w, v2
dp3_pp r0.y, r3, r0
mul_pp_sat r0.x, -r2.y, c3.w
add_pp r0.z, r3.w, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s8
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.y, r0.x, c4.z
dsy r2.zw, r2
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 1
SetTexture 1 [cube_CityOverlayTexxp] 2D 2
SetTexture 2 [cube_CityOverlayTexyn] 2D 3
SetTexture 3 [cube_CityOverlayTexyp] 2D 4
SetTexture 4 [cube_CityOverlayTexzn] 2D 5
SetTexture 5 [cube_CityOverlayTexzp] 2D 6
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 7 [_CityLightOverlayDetailTex] 2D 8
SetTexture 8 [_ShadowMapTexture] 2D 0
// 111 instructions, 6 temp regs, 0 temp arrays:
// ALU 85 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 119 ALU, 25 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r4.xyz, r0.x, v3
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c3.x, c3.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c3.x, c3.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c3.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c3.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c3.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s0, r6.zwzw, r7
cmp_pp r7.w, r7, c3.x, c3.y
texldd r0, r6, s4, r6.zwzw, r7
texldd r1, r6, s5, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s1, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r2, r0, -r1
mad_pp r1, r4.w, r2, r1
max r2.x, r5, r5.z
add r2.x, r2, -r5.y
cmp r2.w, r2.x, c3.x, c3.y
add r2.y, -r4, r5.w
mad r2.x, r2.w, r2.y, r4.y
texldd r0, r6, s2, r6.zwzw, r7
texldd r3, r6, s3, r6.zwzw, r7
add_pp r3, r3, -r0
mad_pp r0, r7.w, r3, r0
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
cmp r1.y, r2.x, c3, c3.x
cmp r1.x, -r2, c3.y, c3
add r3.x, r1, -r1.y
mul_pp r1, r0, c3.xyyy
add_pp r0.w, r1.x, r1.y
mov r0.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r4.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r2
mad r2.xyz, r4.w, r0, r2
mov r0.z, -r3.x
mov r0.xy, c3.x
mul r3.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r3
add_pp r0.y, r0.w, r1.z
abs r0.x, r2
add_pp r0.z, r0.y, r1.w
rcp r0.x, r0.x
mul r0.y, r2.z, r0.x
cmp r0.w, -v0, c3.y, c3.x
mul_pp r2.x, r0.z, r0.w
mul r0.x, r2.y, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.z, r0.z
mul_pp r3.xyz, r0.z, c0
dp3_pp r2.y, v2, r3
add_pp r0.z, r2.y, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r2.zw, r0.xyxy
frc_pp r0.x, r0.z
dsx r1.xy, r2.zwzw
add_pp_sat r3.w, r0.z, -r0.x
dp3_pp r0.x, v2, v2
rsq_pp r0.w, r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r0.xyz, r0.y, c0
mul_pp r3.xyz, r0.w, v2
dp3_pp r0.y, r3, r0
mul_pp_sat r0.x, -r2.y, c3.w
add_pp r0.z, r3.w, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s8
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.y, r0.x, c4.z
dsy r2.zw, r2
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 1
SetTexture 1 [cube_CityOverlayTexxp] 2D 2
SetTexture 2 [cube_CityOverlayTexyn] 2D 3
SetTexture 3 [cube_CityOverlayTexyp] 2D 4
SetTexture 4 [cube_CityOverlayTexzn] 2D 5
SetTexture 5 [cube_CityOverlayTexzp] 2D 6
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 7 [_CityLightOverlayDetailTex] 2D 8
SetTexture 8 [_ShadowMapTexture] 2D 0
// 111 instructions, 6 temp regs, 0 temp arrays:
// ALU 85 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_R_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 118 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r3.xyz, r0.x, v2
abs r2.xyz, r3
add r0.z, r2, -r2.x
cmp r2.w, r0.z, c3.x, c3.y
add r0.y, r3.z, -r3.x
add r0.x, r2.z, -r2
mad r0.x, r2.w, r0, r2
mad r3.w, r2, r0.y, r3.x
add r0.y, -r2, r0.x
add r0.x, r3.y, r3.w
cmp r8.x, r0.y, c3, c3.y
mad r0.y, r8.x, r0.x, -r3
cmp r0.x, r0.y, c3.y, c3
cmp r0.y, -r0, c3, c3.x
add r8.y, r0, -r0.x
mov_pp r4.z, -r8.y
mov_pp r4.xy, c3.x
mov_pp r1.y, r8
mov_pp r0.y, -r8
mov_pp r0.xz, c3.x
mul r0.xyz, r3.xzyw, r0
mov_pp r1.xz, c3.x
mad r1.xyz, r3.zxyw, r1, -r0
mad r1.xyz, r2.w, r1, r0
mad r1.xyz, r3.yzxw, -r4, r1
mul r0.xyz, r3.yzxw, r4
mad r0.xyz, r8.x, r1, r0
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r7.zw, r0, c3.z
dsy r7.xy, r0
dsx r8.zw, r0.xyxy
texldd r0, r7.zwzw, s2, r8.zwzw, r7
texldd r1, r7.zwzw, s3, r8.zwzw, r7
add_pp r1, r1, -r0
cmp_pp r8.y, r8, c3.x, c3
texldd r4, r7.zwzw, s4, r8.zwzw, r7
texldd r5, r7.zwzw, s5, r8.zwzw, r7
texldd r6, r7.zwzw, s0, r8.zwzw, r7
add_pp r5, r5, -r4
texldd r7, r7.zwzw, s1, r8.zwzw, r7
add_pp r7, r7, -r6
mad_pp r0, r8.y, r1, r0
mad_pp r6, r8.y, r7, r6
mad_pp r4, r8.y, r5, r4
add_pp r4, r4, -r6
mad_pp r1, r2.w, r4, r6
add_pp r1, r1, -r0
mad_pp r0, r8.x, r1, r0
mul_pp r0, r0, c3.yxyy
max r2.x, r2, r2.z
add r1.y, r2.x, -r2
add r1.x, -r3.y, r3.w
cmp r1.w, r1.y, c3.x, c3.y
mad r1.y, r1.w, r1.x, r3
cmp r1.x, r1.y, c3.y, c3
cmp r1.y, -r1, c3, c3.x
add r4.x, r1.y, -r1
add_pp r0.x, r0, r0.y
mov r2.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c3.x
mul r1.xyz, r3.xzyw, r1
mov r2.xz, c3.x
mad r2.xyz, r3.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r4.x
add_pp r3.w, r0.x, r0.z
mov r1.xy, c3.x
mul r0.xyz, r3.yxzw, r1
mad r1.xyz, r3.yxzw, -r1, r2
mad r1.xyz, r1.w, r1, r0
abs r0.z, r1.x
add_pp r0.y, r3.w, r0.w
rcp r0.z, r0.z
cmp r0.x, -v0.w, c3.y, c3
mul_pp r2.x, r0.y, r0
mul r0.y, r1.z, r0.z
mul r0.w, r1.y, r0.z
dp4_pp r0.x, c0, c0
mad r1.w, r0.y, c3.z, c3.z
mad r1.z, r0.w, c3, c3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.y, v1, r0
add_pp r0.w, r2.y, c4.x
frc_pp r0.z, r0.w
add_pp_sat r0.z, r0.w, -r0
mul_pp_sat r0.w, -r2.y, c3
add_pp r0.z, r0, c4.y
mad_pp r0.z, r0.w, r0, c3.x
dp3_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
dp3_pp r2.y, v1, v1
rsq_pp r2.y, r2.y
mul r1.zw, r1, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r0.xy, r0
dsx r1.xy, r0
dsy r2.zw, r0.xyxy
mul_pp r4.xyz, r2.y, v1
mul_pp r3.xyz, r0.w, c0
dp3_pp r0.w, r4, r3
mul_pp r0.z, r0.w, r0
mul_pp_sat r2.y, r0.z, c4.z
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 0
SetTexture 1 [cube_CityOverlayTexxp] 2D 1
SetTexture 2 [cube_CityOverlayTexyn] 2D 2
SetTexture 3 [cube_CityOverlayTexyp] 2D 3
SetTexture 4 [cube_CityOverlayTexzn] 2D 4
SetTexture 5 [cube_CityOverlayTexzp] 2D 5
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 7 [_CityLightOverlayDetailTex] 2D 7
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 118 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r3.xyz, r0.x, v2
abs r2.xyz, r3
add r0.z, r2, -r2.x
cmp r2.w, r0.z, c3.x, c3.y
add r0.y, r3.z, -r3.x
add r0.x, r2.z, -r2
mad r0.x, r2.w, r0, r2
mad r3.w, r2, r0.y, r3.x
add r0.y, -r2, r0.x
add r0.x, r3.y, r3.w
cmp r8.x, r0.y, c3, c3.y
mad r0.y, r8.x, r0.x, -r3
cmp r0.x, r0.y, c3.y, c3
cmp r0.y, -r0, c3, c3.x
add r8.y, r0, -r0.x
mov_pp r4.z, -r8.y
mov_pp r4.xy, c3.x
mov_pp r1.y, r8
mov_pp r0.y, -r8
mov_pp r0.xz, c3.x
mul r0.xyz, r3.xzyw, r0
mov_pp r1.xz, c3.x
mad r1.xyz, r3.zxyw, r1, -r0
mad r1.xyz, r2.w, r1, r0
mad r1.xyz, r3.yzxw, -r4, r1
mul r0.xyz, r3.yzxw, r4
mad r0.xyz, r8.x, r1, r0
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r7.zw, r0, c3.z
dsy r7.xy, r0
dsx r8.zw, r0.xyxy
texldd r0, r7.zwzw, s2, r8.zwzw, r7
texldd r1, r7.zwzw, s3, r8.zwzw, r7
add_pp r1, r1, -r0
cmp_pp r8.y, r8, c3.x, c3
texldd r4, r7.zwzw, s4, r8.zwzw, r7
texldd r5, r7.zwzw, s5, r8.zwzw, r7
texldd r6, r7.zwzw, s0, r8.zwzw, r7
add_pp r5, r5, -r4
texldd r7, r7.zwzw, s1, r8.zwzw, r7
add_pp r7, r7, -r6
mad_pp r0, r8.y, r1, r0
mad_pp r6, r8.y, r7, r6
mad_pp r4, r8.y, r5, r4
add_pp r4, r4, -r6
mad_pp r1, r2.w, r4, r6
add_pp r1, r1, -r0
mad_pp r0, r8.x, r1, r0
mul_pp r0, r0, c3.yxyy
max r2.x, r2, r2.z
add r1.y, r2.x, -r2
add r1.x, -r3.y, r3.w
cmp r1.w, r1.y, c3.x, c3.y
mad r1.y, r1.w, r1.x, r3
cmp r1.x, r1.y, c3.y, c3
cmp r1.y, -r1, c3, c3.x
add r4.x, r1.y, -r1
add_pp r0.x, r0, r0.y
mov r2.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c3.x
mul r1.xyz, r3.xzyw, r1
mov r2.xz, c3.x
mad r2.xyz, r3.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r4.x
add_pp r3.w, r0.x, r0.z
mov r1.xy, c3.x
mul r0.xyz, r3.yxzw, r1
mad r1.xyz, r3.yxzw, -r1, r2
mad r1.xyz, r1.w, r1, r0
abs r0.z, r1.x
add_pp r0.y, r3.w, r0.w
rcp r0.z, r0.z
cmp r0.x, -v0.w, c3.y, c3
mul_pp r2.x, r0.y, r0
mul r0.y, r1.z, r0.z
mul r0.w, r1.y, r0.z
dp4_pp r0.x, c0, c0
mad r1.w, r0.y, c3.z, c3.z
mad r1.z, r0.w, c3, c3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.y, v1, r0
add_pp r0.w, r2.y, c4.x
frc_pp r0.z, r0.w
add_pp_sat r0.z, r0.w, -r0
mul_pp_sat r0.w, -r2.y, c3
add_pp r0.z, r0, c4.y
mad_pp r0.z, r0.w, r0, c3.x
dp3_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
dp3_pp r2.y, v1, v1
rsq_pp r2.y, r2.y
mul r1.zw, r1, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r0.xy, r0
dsx r1.xy, r0
dsy r2.zw, r0.xyxy
mul_pp r4.xyz, r2.y, v1
mul_pp r3.xyz, r0.w, c0
dp3_pp r0.w, r4, r3
mul_pp r0.z, r0.w, r0
mul_pp_sat r2.y, r0.z, c4.z
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 0
SetTexture 1 [cube_CityOverlayTexxp] 2D 1
SetTexture 2 [cube_CityOverlayTexyn] 2D 2
SetTexture 3 [cube_CityOverlayTexyp] 2D 3
SetTexture 4 [cube_CityOverlayTexzn] 2D 4
SetTexture 5 [cube_CityOverlayTexzp] 2D 5
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 7 [_CityLightOverlayDetailTex] 2D 7
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 118 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r3.xyz, r0.x, v2
abs r2.xyz, r3
add r0.z, r2, -r2.x
cmp r2.w, r0.z, c3.x, c3.y
add r0.y, r3.z, -r3.x
add r0.x, r2.z, -r2
mad r0.x, r2.w, r0, r2
mad r3.w, r2, r0.y, r3.x
add r0.y, -r2, r0.x
add r0.x, r3.y, r3.w
cmp r8.x, r0.y, c3, c3.y
mad r0.y, r8.x, r0.x, -r3
cmp r0.x, r0.y, c3.y, c3
cmp r0.y, -r0, c3, c3.x
add r8.y, r0, -r0.x
mov_pp r4.z, -r8.y
mov_pp r4.xy, c3.x
mov_pp r1.y, r8
mov_pp r0.y, -r8
mov_pp r0.xz, c3.x
mul r0.xyz, r3.xzyw, r0
mov_pp r1.xz, c3.x
mad r1.xyz, r3.zxyw, r1, -r0
mad r1.xyz, r2.w, r1, r0
mad r1.xyz, r3.yzxw, -r4, r1
mul r0.xyz, r3.yzxw, r4
mad r0.xyz, r8.x, r1, r0
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r7.zw, r0, c3.z
dsy r7.xy, r0
dsx r8.zw, r0.xyxy
texldd r0, r7.zwzw, s2, r8.zwzw, r7
texldd r1, r7.zwzw, s3, r8.zwzw, r7
add_pp r1, r1, -r0
cmp_pp r8.y, r8, c3.x, c3
texldd r4, r7.zwzw, s4, r8.zwzw, r7
texldd r5, r7.zwzw, s5, r8.zwzw, r7
texldd r6, r7.zwzw, s0, r8.zwzw, r7
add_pp r5, r5, -r4
texldd r7, r7.zwzw, s1, r8.zwzw, r7
add_pp r7, r7, -r6
mad_pp r0, r8.y, r1, r0
mad_pp r6, r8.y, r7, r6
mad_pp r4, r8.y, r5, r4
add_pp r4, r4, -r6
mad_pp r1, r2.w, r4, r6
add_pp r1, r1, -r0
mad_pp r0, r8.x, r1, r0
mul_pp r0, r0, c3.yxyy
max r2.x, r2, r2.z
add r1.y, r2.x, -r2
add r1.x, -r3.y, r3.w
cmp r1.w, r1.y, c3.x, c3.y
mad r1.y, r1.w, r1.x, r3
cmp r1.x, r1.y, c3.y, c3
cmp r1.y, -r1, c3, c3.x
add r4.x, r1.y, -r1
add_pp r0.x, r0, r0.y
mov r2.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c3.x
mul r1.xyz, r3.xzyw, r1
mov r2.xz, c3.x
mad r2.xyz, r3.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r4.x
add_pp r3.w, r0.x, r0.z
mov r1.xy, c3.x
mul r0.xyz, r3.yxzw, r1
mad r1.xyz, r3.yxzw, -r1, r2
mad r1.xyz, r1.w, r1, r0
abs r0.z, r1.x
add_pp r0.y, r3.w, r0.w
rcp r0.z, r0.z
cmp r0.x, -v0.w, c3.y, c3
mul_pp r2.x, r0.y, r0
mul r0.y, r1.z, r0.z
mul r0.w, r1.y, r0.z
dp4_pp r0.x, c0, c0
mad r1.w, r0.y, c3.z, c3.z
mad r1.z, r0.w, c3, c3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.y, v1, r0
add_pp r0.w, r2.y, c4.x
frc_pp r0.z, r0.w
add_pp_sat r0.z, r0.w, -r0
mul_pp_sat r0.w, -r2.y, c3
add_pp r0.z, r0, c4.y
mad_pp r0.z, r0.w, r0, c3.x
dp3_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
dp3_pp r2.y, v1, v1
rsq_pp r2.y, r2.y
mul r1.zw, r1, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r0.xy, r0
dsx r1.xy, r0
dsy r2.zw, r0.xyxy
mul_pp r4.xyz, r2.y, v1
mul_pp r3.xyz, r0.w, c0
dp3_pp r0.w, r4, r3
mul_pp r0.z, r0.w, r0
mul_pp_sat r2.y, r0.z, c4.z
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 0
SetTexture 1 [cube_CityOverlayTexxp] 2D 1
SetTexture 2 [cube_CityOverlayTexyn] 2D 2
SetTexture 3 [cube_CityOverlayTexyp] 2D 3
SetTexture 4 [cube_CityOverlayTexzn] 2D 4
SetTexture 5 [cube_CityOverlayTexzp] 2D 5
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 7 [_CityLightOverlayDetailTex] 2D 7
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 119 ALU, 25 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r4.xyz, r0.x, v3
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c3.x, c3.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c3.x, c3.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c3.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c3.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c3.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s0, r6.zwzw, r7
cmp_pp r7.w, r7, c3.x, c3.y
texldd r0, r6, s4, r6.zwzw, r7
texldd r1, r6, s5, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s1, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r2, r0, -r1
mad_pp r1, r4.w, r2, r1
max r2.x, r5, r5.z
add r2.x, r2, -r5.y
cmp r2.w, r2.x, c3.x, c3.y
add r2.y, -r4, r5.w
mad r2.x, r2.w, r2.y, r4.y
texldd r0, r6, s2, r6.zwzw, r7
texldd r3, r6, s3, r6.zwzw, r7
add_pp r3, r3, -r0
mad_pp r0, r7.w, r3, r0
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
cmp r1.y, r2.x, c3, c3.x
cmp r1.x, -r2, c3.y, c3
add r3.x, r1, -r1.y
mul_pp r1, r0, c3.yxyy
add_pp r0.w, r1.x, r1.y
mov r0.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r4.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r2
mad r2.xyz, r4.w, r0, r2
mov r0.z, -r3.x
mov r0.xy, c3.x
mul r3.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r3
add_pp r0.y, r0.w, r1.z
abs r0.x, r2
add_pp r0.z, r0.y, r1.w
rcp r0.x, r0.x
mul r0.y, r2.z, r0.x
cmp r0.w, -v0, c3.y, c3.x
mul_pp r2.x, r0.z, r0.w
mul r0.x, r2.y, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.z, r0.z
mul_pp r3.xyz, r0.z, c0
dp3_pp r2.y, v2, r3
add_pp r0.z, r2.y, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r2.zw, r0.xyxy
frc_pp r0.x, r0.z
dsx r1.xy, r2.zwzw
add_pp_sat r3.w, r0.z, -r0.x
dp3_pp r0.x, v2, v2
rsq_pp r0.w, r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r0.xyz, r0.y, c0
mul_pp r3.xyz, r0.w, v2
dp3_pp r0.y, r3, r0
mul_pp_sat r0.x, -r2.y, c3.w
add_pp r0.z, r3.w, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s8
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.y, r0.x, c4.z
dsy r2.zw, r2
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 1
SetTexture 1 [cube_CityOverlayTexxp] 2D 2
SetTexture 2 [cube_CityOverlayTexyn] 2D 3
SetTexture 3 [cube_CityOverlayTexyp] 2D 4
SetTexture 4 [cube_CityOverlayTexzn] 2D 5
SetTexture 5 [cube_CityOverlayTexzp] 2D 6
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 7 [_CityLightOverlayDetailTex] 2D 8
SetTexture 8 [_ShadowMapTexture] 2D 0
// 111 instructions, 6 temp regs, 0 temp arrays:
// ALU 85 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 119 ALU, 25 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r4.xyz, r0.x, v3
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c3.x, c3.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c3.x, c3.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c3.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c3.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c3.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s0, r6.zwzw, r7
cmp_pp r7.w, r7, c3.x, c3.y
texldd r0, r6, s4, r6.zwzw, r7
texldd r1, r6, s5, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s1, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r2, r0, -r1
mad_pp r1, r4.w, r2, r1
max r2.x, r5, r5.z
add r2.x, r2, -r5.y
cmp r2.w, r2.x, c3.x, c3.y
add r2.y, -r4, r5.w
mad r2.x, r2.w, r2.y, r4.y
texldd r0, r6, s2, r6.zwzw, r7
texldd r3, r6, s3, r6.zwzw, r7
add_pp r3, r3, -r0
mad_pp r0, r7.w, r3, r0
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
cmp r1.y, r2.x, c3, c3.x
cmp r1.x, -r2, c3.y, c3
add r3.x, r1, -r1.y
mul_pp r1, r0, c3.yxyy
add_pp r0.w, r1.x, r1.y
mov r0.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r4.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r2
mad r2.xyz, r4.w, r0, r2
mov r0.z, -r3.x
mov r0.xy, c3.x
mul r3.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r3
add_pp r0.y, r0.w, r1.z
abs r0.x, r2
add_pp r0.z, r0.y, r1.w
rcp r0.x, r0.x
mul r0.y, r2.z, r0.x
cmp r0.w, -v0, c3.y, c3.x
mul_pp r2.x, r0.z, r0.w
mul r0.x, r2.y, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.z, r0.z
mul_pp r3.xyz, r0.z, c0
dp3_pp r2.y, v2, r3
add_pp r0.z, r2.y, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r2.zw, r0.xyxy
frc_pp r0.x, r0.z
dsx r1.xy, r2.zwzw
add_pp_sat r3.w, r0.z, -r0.x
dp3_pp r0.x, v2, v2
rsq_pp r0.w, r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r0.xyz, r0.y, c0
mul_pp r3.xyz, r0.w, v2
dp3_pp r0.y, r3, r0
mul_pp_sat r0.x, -r2.y, c3.w
add_pp r0.z, r3.w, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s8
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.y, r0.x, c4.z
dsy r2.zw, r2
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 1
SetTexture 1 [cube_CityOverlayTexxp] 2D 2
SetTexture 2 [cube_CityOverlayTexyn] 2D 3
SetTexture 3 [cube_CityOverlayTexyp] 2D 4
SetTexture 4 [cube_CityOverlayTexzn] 2D 5
SetTexture 5 [cube_CityOverlayTexzp] 2D 6
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 7 [_CityLightOverlayDetailTex] 2D 8
SetTexture 8 [_ShadowMapTexture] 2D 0
// 111 instructions, 6 temp regs, 0 temp arrays:
// ALU 85 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 119 ALU, 25 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r4.xyz, r0.x, v3
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c3.x, c3.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c3.x, c3.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c3.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c3.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c3.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s0, r6.zwzw, r7
cmp_pp r7.w, r7, c3.x, c3.y
texldd r0, r6, s4, r6.zwzw, r7
texldd r1, r6, s5, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s1, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r2, r0, -r1
mad_pp r1, r4.w, r2, r1
max r2.x, r5, r5.z
add r2.x, r2, -r5.y
cmp r2.w, r2.x, c3.x, c3.y
add r2.y, -r4, r5.w
mad r2.x, r2.w, r2.y, r4.y
texldd r0, r6, s2, r6.zwzw, r7
texldd r3, r6, s3, r6.zwzw, r7
add_pp r3, r3, -r0
mad_pp r0, r7.w, r3, r0
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
cmp r1.y, r2.x, c3, c3.x
cmp r1.x, -r2, c3.y, c3
add r3.x, r1, -r1.y
mul_pp r1, r0, c3.yxyy
add_pp r0.w, r1.x, r1.y
mov r0.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r4.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r2
mad r2.xyz, r4.w, r0, r2
mov r0.z, -r3.x
mov r0.xy, c3.x
mul r3.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r3
add_pp r0.y, r0.w, r1.z
abs r0.x, r2
add_pp r0.z, r0.y, r1.w
rcp r0.x, r0.x
mul r0.y, r2.z, r0.x
cmp r0.w, -v0, c3.y, c3.x
mul_pp r2.x, r0.z, r0.w
mul r0.x, r2.y, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.z, r0.z
mul_pp r3.xyz, r0.z, c0
dp3_pp r2.y, v2, r3
add_pp r0.z, r2.y, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r2.zw, r0.xyxy
frc_pp r0.x, r0.z
dsx r1.xy, r2.zwzw
add_pp_sat r3.w, r0.z, -r0.x
dp3_pp r0.x, v2, v2
rsq_pp r0.w, r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r0.xyz, r0.y, c0
mul_pp r3.xyz, r0.w, v2
dp3_pp r0.y, r3, r0
mul_pp_sat r0.x, -r2.y, c3.w
add_pp r0.z, r3.w, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s8
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.y, r0.x, c4.z
dsy r2.zw, r2
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 1
SetTexture 1 [cube_CityOverlayTexxp] 2D 2
SetTexture 2 [cube_CityOverlayTexyn] 2D 3
SetTexture 3 [cube_CityOverlayTexyp] 2D 4
SetTexture 4 [cube_CityOverlayTexzn] 2D 5
SetTexture 5 [cube_CityOverlayTexzp] 2D 6
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 7 [_CityLightOverlayDetailTex] 2D 8
SetTexture 8 [_ShadowMapTexture] 2D 0
// 111 instructions, 6 temp regs, 0 temp arrays:
// ALU 85 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_G_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 118 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r3.xyz, r0.x, v2
abs r2.xyz, r3
add r0.z, r2, -r2.x
cmp r2.w, r0.z, c3.x, c3.y
add r0.y, r3.z, -r3.x
add r0.x, r2.z, -r2
mad r0.x, r2.w, r0, r2
mad r3.w, r2, r0.y, r3.x
add r0.y, -r2, r0.x
add r0.x, r3.y, r3.w
cmp r8.x, r0.y, c3, c3.y
mad r0.y, r8.x, r0.x, -r3
cmp r0.x, r0.y, c3.y, c3
cmp r0.y, -r0, c3, c3.x
add r8.y, r0, -r0.x
mov_pp r4.z, -r8.y
mov_pp r4.xy, c3.x
mov_pp r1.y, r8
mov_pp r0.y, -r8
mov_pp r0.xz, c3.x
mul r0.xyz, r3.xzyw, r0
mov_pp r1.xz, c3.x
mad r1.xyz, r3.zxyw, r1, -r0
mad r1.xyz, r2.w, r1, r0
mad r1.xyz, r3.yzxw, -r4, r1
mul r0.xyz, r3.yzxw, r4
mad r0.xyz, r8.x, r1, r0
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r7.zw, r0, c3.z
dsy r7.xy, r0
dsx r8.zw, r0.xyxy
texldd r0, r7.zwzw, s2, r8.zwzw, r7
texldd r1, r7.zwzw, s3, r8.zwzw, r7
add_pp r1, r1, -r0
cmp_pp r8.y, r8, c3.x, c3
texldd r4, r7.zwzw, s4, r8.zwzw, r7
texldd r5, r7.zwzw, s5, r8.zwzw, r7
texldd r6, r7.zwzw, s0, r8.zwzw, r7
add_pp r5, r5, -r4
texldd r7, r7.zwzw, s1, r8.zwzw, r7
add_pp r7, r7, -r6
mad_pp r0, r8.y, r1, r0
mad_pp r6, r8.y, r7, r6
mad_pp r4, r8.y, r5, r4
add_pp r4, r4, -r6
mad_pp r1, r2.w, r4, r6
add_pp r1, r1, -r0
mad_pp r0, r8.x, r1, r0
mul_pp r0, r0, c3.yyxy
max r2.x, r2, r2.z
add r1.y, r2.x, -r2
add r1.x, -r3.y, r3.w
cmp r1.w, r1.y, c3.x, c3.y
mad r1.y, r1.w, r1.x, r3
cmp r1.x, r1.y, c3.y, c3
cmp r1.y, -r1, c3, c3.x
add r4.x, r1.y, -r1
add_pp r0.x, r0, r0.y
mov r2.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c3.x
mul r1.xyz, r3.xzyw, r1
mov r2.xz, c3.x
mad r2.xyz, r3.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r4.x
add_pp r3.w, r0.x, r0.z
mov r1.xy, c3.x
mul r0.xyz, r3.yxzw, r1
mad r1.xyz, r3.yxzw, -r1, r2
mad r1.xyz, r1.w, r1, r0
abs r0.z, r1.x
add_pp r0.y, r3.w, r0.w
rcp r0.z, r0.z
cmp r0.x, -v0.w, c3.y, c3
mul_pp r2.x, r0.y, r0
mul r0.y, r1.z, r0.z
mul r0.w, r1.y, r0.z
dp4_pp r0.x, c0, c0
mad r1.w, r0.y, c3.z, c3.z
mad r1.z, r0.w, c3, c3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.y, v1, r0
add_pp r0.w, r2.y, c4.x
frc_pp r0.z, r0.w
add_pp_sat r0.z, r0.w, -r0
mul_pp_sat r0.w, -r2.y, c3
add_pp r0.z, r0, c4.y
mad_pp r0.z, r0.w, r0, c3.x
dp3_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
dp3_pp r2.y, v1, v1
rsq_pp r2.y, r2.y
mul r1.zw, r1, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r0.xy, r0
dsx r1.xy, r0
dsy r2.zw, r0.xyxy
mul_pp r4.xyz, r2.y, v1
mul_pp r3.xyz, r0.w, c0
dp3_pp r0.w, r4, r3
mul_pp r0.z, r0.w, r0
mul_pp_sat r2.y, r0.z, c4.z
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 0
SetTexture 1 [cube_CityOverlayTexxp] 2D 1
SetTexture 2 [cube_CityOverlayTexyn] 2D 2
SetTexture 3 [cube_CityOverlayTexyp] 2D 3
SetTexture 4 [cube_CityOverlayTexzn] 2D 4
SetTexture 5 [cube_CityOverlayTexzp] 2D 5
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 7 [_CityLightOverlayDetailTex] 2D 7
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 118 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r3.xyz, r0.x, v2
abs r2.xyz, r3
add r0.z, r2, -r2.x
cmp r2.w, r0.z, c3.x, c3.y
add r0.y, r3.z, -r3.x
add r0.x, r2.z, -r2
mad r0.x, r2.w, r0, r2
mad r3.w, r2, r0.y, r3.x
add r0.y, -r2, r0.x
add r0.x, r3.y, r3.w
cmp r8.x, r0.y, c3, c3.y
mad r0.y, r8.x, r0.x, -r3
cmp r0.x, r0.y, c3.y, c3
cmp r0.y, -r0, c3, c3.x
add r8.y, r0, -r0.x
mov_pp r4.z, -r8.y
mov_pp r4.xy, c3.x
mov_pp r1.y, r8
mov_pp r0.y, -r8
mov_pp r0.xz, c3.x
mul r0.xyz, r3.xzyw, r0
mov_pp r1.xz, c3.x
mad r1.xyz, r3.zxyw, r1, -r0
mad r1.xyz, r2.w, r1, r0
mad r1.xyz, r3.yzxw, -r4, r1
mul r0.xyz, r3.yzxw, r4
mad r0.xyz, r8.x, r1, r0
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r7.zw, r0, c3.z
dsy r7.xy, r0
dsx r8.zw, r0.xyxy
texldd r0, r7.zwzw, s2, r8.zwzw, r7
texldd r1, r7.zwzw, s3, r8.zwzw, r7
add_pp r1, r1, -r0
cmp_pp r8.y, r8, c3.x, c3
texldd r4, r7.zwzw, s4, r8.zwzw, r7
texldd r5, r7.zwzw, s5, r8.zwzw, r7
texldd r6, r7.zwzw, s0, r8.zwzw, r7
add_pp r5, r5, -r4
texldd r7, r7.zwzw, s1, r8.zwzw, r7
add_pp r7, r7, -r6
mad_pp r0, r8.y, r1, r0
mad_pp r6, r8.y, r7, r6
mad_pp r4, r8.y, r5, r4
add_pp r4, r4, -r6
mad_pp r1, r2.w, r4, r6
add_pp r1, r1, -r0
mad_pp r0, r8.x, r1, r0
mul_pp r0, r0, c3.yyxy
max r2.x, r2, r2.z
add r1.y, r2.x, -r2
add r1.x, -r3.y, r3.w
cmp r1.w, r1.y, c3.x, c3.y
mad r1.y, r1.w, r1.x, r3
cmp r1.x, r1.y, c3.y, c3
cmp r1.y, -r1, c3, c3.x
add r4.x, r1.y, -r1
add_pp r0.x, r0, r0.y
mov r2.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c3.x
mul r1.xyz, r3.xzyw, r1
mov r2.xz, c3.x
mad r2.xyz, r3.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r4.x
add_pp r3.w, r0.x, r0.z
mov r1.xy, c3.x
mul r0.xyz, r3.yxzw, r1
mad r1.xyz, r3.yxzw, -r1, r2
mad r1.xyz, r1.w, r1, r0
abs r0.z, r1.x
add_pp r0.y, r3.w, r0.w
rcp r0.z, r0.z
cmp r0.x, -v0.w, c3.y, c3
mul_pp r2.x, r0.y, r0
mul r0.y, r1.z, r0.z
mul r0.w, r1.y, r0.z
dp4_pp r0.x, c0, c0
mad r1.w, r0.y, c3.z, c3.z
mad r1.z, r0.w, c3, c3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.y, v1, r0
add_pp r0.w, r2.y, c4.x
frc_pp r0.z, r0.w
add_pp_sat r0.z, r0.w, -r0
mul_pp_sat r0.w, -r2.y, c3
add_pp r0.z, r0, c4.y
mad_pp r0.z, r0.w, r0, c3.x
dp3_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
dp3_pp r2.y, v1, v1
rsq_pp r2.y, r2.y
mul r1.zw, r1, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r0.xy, r0
dsx r1.xy, r0
dsy r2.zw, r0.xyxy
mul_pp r4.xyz, r2.y, v1
mul_pp r3.xyz, r0.w, c0
dp3_pp r0.w, r4, r3
mul_pp r0.z, r0.w, r0
mul_pp_sat r2.y, r0.z, c4.z
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 0
SetTexture 1 [cube_CityOverlayTexxp] 2D 1
SetTexture 2 [cube_CityOverlayTexyn] 2D 2
SetTexture 3 [cube_CityOverlayTexyp] 2D 3
SetTexture 4 [cube_CityOverlayTexzn] 2D 4
SetTexture 5 [cube_CityOverlayTexzp] 2D 5
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 7 [_CityLightOverlayDetailTex] 2D 7
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 118 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r3.xyz, r0.x, v2
abs r2.xyz, r3
add r0.z, r2, -r2.x
cmp r2.w, r0.z, c3.x, c3.y
add r0.y, r3.z, -r3.x
add r0.x, r2.z, -r2
mad r0.x, r2.w, r0, r2
mad r3.w, r2, r0.y, r3.x
add r0.y, -r2, r0.x
add r0.x, r3.y, r3.w
cmp r8.x, r0.y, c3, c3.y
mad r0.y, r8.x, r0.x, -r3
cmp r0.x, r0.y, c3.y, c3
cmp r0.y, -r0, c3, c3.x
add r8.y, r0, -r0.x
mov_pp r4.z, -r8.y
mov_pp r4.xy, c3.x
mov_pp r1.y, r8
mov_pp r0.y, -r8
mov_pp r0.xz, c3.x
mul r0.xyz, r3.xzyw, r0
mov_pp r1.xz, c3.x
mad r1.xyz, r3.zxyw, r1, -r0
mad r1.xyz, r2.w, r1, r0
mad r1.xyz, r3.yzxw, -r4, r1
mul r0.xyz, r3.yzxw, r4
mad r0.xyz, r8.x, r1, r0
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r7.zw, r0, c3.z
dsy r7.xy, r0
dsx r8.zw, r0.xyxy
texldd r0, r7.zwzw, s2, r8.zwzw, r7
texldd r1, r7.zwzw, s3, r8.zwzw, r7
add_pp r1, r1, -r0
cmp_pp r8.y, r8, c3.x, c3
texldd r4, r7.zwzw, s4, r8.zwzw, r7
texldd r5, r7.zwzw, s5, r8.zwzw, r7
texldd r6, r7.zwzw, s0, r8.zwzw, r7
add_pp r5, r5, -r4
texldd r7, r7.zwzw, s1, r8.zwzw, r7
add_pp r7, r7, -r6
mad_pp r0, r8.y, r1, r0
mad_pp r6, r8.y, r7, r6
mad_pp r4, r8.y, r5, r4
add_pp r4, r4, -r6
mad_pp r1, r2.w, r4, r6
add_pp r1, r1, -r0
mad_pp r0, r8.x, r1, r0
mul_pp r0, r0, c3.yyxy
max r2.x, r2, r2.z
add r1.y, r2.x, -r2
add r1.x, -r3.y, r3.w
cmp r1.w, r1.y, c3.x, c3.y
mad r1.y, r1.w, r1.x, r3
cmp r1.x, r1.y, c3.y, c3
cmp r1.y, -r1, c3, c3.x
add r4.x, r1.y, -r1
add_pp r0.x, r0, r0.y
mov r2.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c3.x
mul r1.xyz, r3.xzyw, r1
mov r2.xz, c3.x
mad r2.xyz, r3.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r4.x
add_pp r3.w, r0.x, r0.z
mov r1.xy, c3.x
mul r0.xyz, r3.yxzw, r1
mad r1.xyz, r3.yxzw, -r1, r2
mad r1.xyz, r1.w, r1, r0
abs r0.z, r1.x
add_pp r0.y, r3.w, r0.w
rcp r0.z, r0.z
cmp r0.x, -v0.w, c3.y, c3
mul_pp r2.x, r0.y, r0
mul r0.y, r1.z, r0.z
mul r0.w, r1.y, r0.z
dp4_pp r0.x, c0, c0
mad r1.w, r0.y, c3.z, c3.z
mad r1.z, r0.w, c3, c3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.y, v1, r0
add_pp r0.w, r2.y, c4.x
frc_pp r0.z, r0.w
add_pp_sat r0.z, r0.w, -r0
mul_pp_sat r0.w, -r2.y, c3
add_pp r0.z, r0, c4.y
mad_pp r0.z, r0.w, r0, c3.x
dp3_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
dp3_pp r2.y, v1, v1
rsq_pp r2.y, r2.y
mul r1.zw, r1, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r0.xy, r0
dsx r1.xy, r0
dsy r2.zw, r0.xyxy
mul_pp r4.xyz, r2.y, v1
mul_pp r3.xyz, r0.w, c0
dp3_pp r0.w, r4, r3
mul_pp r0.z, r0.w, r0
mul_pp_sat r2.y, r0.z, c4.z
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 0
SetTexture 1 [cube_CityOverlayTexxp] 2D 1
SetTexture 2 [cube_CityOverlayTexyn] 2D 2
SetTexture 3 [cube_CityOverlayTexyp] 2D 3
SetTexture 4 [cube_CityOverlayTexzn] 2D 4
SetTexture 5 [cube_CityOverlayTexzp] 2D 5
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 7 [_CityLightOverlayDetailTex] 2D 7
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 119 ALU, 25 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r4.xyz, r0.x, v3
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c3.x, c3.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c3.x, c3.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c3.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c3.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c3.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s0, r6.zwzw, r7
cmp_pp r7.w, r7, c3.x, c3.y
texldd r0, r6, s4, r6.zwzw, r7
texldd r1, r6, s5, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s1, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r2, r0, -r1
mad_pp r1, r4.w, r2, r1
max r2.x, r5, r5.z
add r2.x, r2, -r5.y
cmp r2.w, r2.x, c3.x, c3.y
add r2.y, -r4, r5.w
mad r2.x, r2.w, r2.y, r4.y
texldd r0, r6, s2, r6.zwzw, r7
texldd r3, r6, s3, r6.zwzw, r7
add_pp r3, r3, -r0
mad_pp r0, r7.w, r3, r0
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
cmp r1.y, r2.x, c3, c3.x
cmp r1.x, -r2, c3.y, c3
add r3.x, r1, -r1.y
mul_pp r1, r0, c3.yyxy
add_pp r0.w, r1.x, r1.y
mov r0.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r4.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r2
mad r2.xyz, r4.w, r0, r2
mov r0.z, -r3.x
mov r0.xy, c3.x
mul r3.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r3
add_pp r0.y, r0.w, r1.z
abs r0.x, r2
add_pp r0.z, r0.y, r1.w
rcp r0.x, r0.x
mul r0.y, r2.z, r0.x
cmp r0.w, -v0, c3.y, c3.x
mul_pp r2.x, r0.z, r0.w
mul r0.x, r2.y, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.z, r0.z
mul_pp r3.xyz, r0.z, c0
dp3_pp r2.y, v2, r3
add_pp r0.z, r2.y, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r2.zw, r0.xyxy
frc_pp r0.x, r0.z
dsx r1.xy, r2.zwzw
add_pp_sat r3.w, r0.z, -r0.x
dp3_pp r0.x, v2, v2
rsq_pp r0.w, r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r0.xyz, r0.y, c0
mul_pp r3.xyz, r0.w, v2
dp3_pp r0.y, r3, r0
mul_pp_sat r0.x, -r2.y, c3.w
add_pp r0.z, r3.w, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s8
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.y, r0.x, c4.z
dsy r2.zw, r2
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 1
SetTexture 1 [cube_CityOverlayTexxp] 2D 2
SetTexture 2 [cube_CityOverlayTexyn] 2D 3
SetTexture 3 [cube_CityOverlayTexyp] 2D 4
SetTexture 4 [cube_CityOverlayTexzn] 2D 5
SetTexture 5 [cube_CityOverlayTexzp] 2D 6
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 7 [_CityLightOverlayDetailTex] 2D 8
SetTexture 8 [_ShadowMapTexture] 2D 0
// 111 instructions, 6 temp regs, 0 temp arrays:
// ALU 85 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 119 ALU, 25 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r4.xyz, r0.x, v3
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c3.x, c3.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c3.x, c3.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c3.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c3.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c3.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s0, r6.zwzw, r7
cmp_pp r7.w, r7, c3.x, c3.y
texldd r0, r6, s4, r6.zwzw, r7
texldd r1, r6, s5, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s1, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r2, r0, -r1
mad_pp r1, r4.w, r2, r1
max r2.x, r5, r5.z
add r2.x, r2, -r5.y
cmp r2.w, r2.x, c3.x, c3.y
add r2.y, -r4, r5.w
mad r2.x, r2.w, r2.y, r4.y
texldd r0, r6, s2, r6.zwzw, r7
texldd r3, r6, s3, r6.zwzw, r7
add_pp r3, r3, -r0
mad_pp r0, r7.w, r3, r0
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
cmp r1.y, r2.x, c3, c3.x
cmp r1.x, -r2, c3.y, c3
add r3.x, r1, -r1.y
mul_pp r1, r0, c3.yyxy
add_pp r0.w, r1.x, r1.y
mov r0.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r4.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r2
mad r2.xyz, r4.w, r0, r2
mov r0.z, -r3.x
mov r0.xy, c3.x
mul r3.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r3
add_pp r0.y, r0.w, r1.z
abs r0.x, r2
add_pp r0.z, r0.y, r1.w
rcp r0.x, r0.x
mul r0.y, r2.z, r0.x
cmp r0.w, -v0, c3.y, c3.x
mul_pp r2.x, r0.z, r0.w
mul r0.x, r2.y, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.z, r0.z
mul_pp r3.xyz, r0.z, c0
dp3_pp r2.y, v2, r3
add_pp r0.z, r2.y, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r2.zw, r0.xyxy
frc_pp r0.x, r0.z
dsx r1.xy, r2.zwzw
add_pp_sat r3.w, r0.z, -r0.x
dp3_pp r0.x, v2, v2
rsq_pp r0.w, r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r0.xyz, r0.y, c0
mul_pp r3.xyz, r0.w, v2
dp3_pp r0.y, r3, r0
mul_pp_sat r0.x, -r2.y, c3.w
add_pp r0.z, r3.w, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s8
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.y, r0.x, c4.z
dsy r2.zw, r2
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 1
SetTexture 1 [cube_CityOverlayTexxp] 2D 2
SetTexture 2 [cube_CityOverlayTexyn] 2D 3
SetTexture 3 [cube_CityOverlayTexyp] 2D 4
SetTexture 4 [cube_CityOverlayTexzn] 2D 5
SetTexture 5 [cube_CityOverlayTexzp] 2D 6
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 7 [_CityLightOverlayDetailTex] 2D 8
SetTexture 8 [_ShadowMapTexture] 2D 0
// 111 instructions, 6 temp regs, 0 temp arrays:
// ALU 85 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 119 ALU, 25 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r4.xyz, r0.x, v3
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c3.x, c3.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c3.x, c3.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c3.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c3.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c3.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s0, r6.zwzw, r7
cmp_pp r7.w, r7, c3.x, c3.y
texldd r0, r6, s4, r6.zwzw, r7
texldd r1, r6, s5, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s1, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r2, r0, -r1
mad_pp r1, r4.w, r2, r1
max r2.x, r5, r5.z
add r2.x, r2, -r5.y
cmp r2.w, r2.x, c3.x, c3.y
add r2.y, -r4, r5.w
mad r2.x, r2.w, r2.y, r4.y
texldd r0, r6, s2, r6.zwzw, r7
texldd r3, r6, s3, r6.zwzw, r7
add_pp r3, r3, -r0
mad_pp r0, r7.w, r3, r0
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
cmp r1.y, r2.x, c3, c3.x
cmp r1.x, -r2, c3.y, c3
add r3.x, r1, -r1.y
mul_pp r1, r0, c3.yyxy
add_pp r0.w, r1.x, r1.y
mov r0.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r4.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r2
mad r2.xyz, r4.w, r0, r2
mov r0.z, -r3.x
mov r0.xy, c3.x
mul r3.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r3
add_pp r0.y, r0.w, r1.z
abs r0.x, r2
add_pp r0.z, r0.y, r1.w
rcp r0.x, r0.x
mul r0.y, r2.z, r0.x
cmp r0.w, -v0, c3.y, c3.x
mul_pp r2.x, r0.z, r0.w
mul r0.x, r2.y, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.z, r0.z
mul_pp r3.xyz, r0.z, c0
dp3_pp r2.y, v2, r3
add_pp r0.z, r2.y, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r2.zw, r0.xyxy
frc_pp r0.x, r0.z
dsx r1.xy, r2.zwzw
add_pp_sat r3.w, r0.z, -r0.x
dp3_pp r0.x, v2, v2
rsq_pp r0.w, r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r0.xyz, r0.y, c0
mul_pp r3.xyz, r0.w, v2
dp3_pp r0.y, r3, r0
mul_pp_sat r0.x, -r2.y, c3.w
add_pp r0.z, r3.w, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s8
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.y, r0.x, c4.z
dsy r2.zw, r2
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 1
SetTexture 1 [cube_CityOverlayTexxp] 2D 2
SetTexture 2 [cube_CityOverlayTexyn] 2D 3
SetTexture 3 [cube_CityOverlayTexyp] 2D 4
SetTexture 4 [cube_CityOverlayTexzn] 2D 5
SetTexture 5 [cube_CityOverlayTexzp] 2D 6
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 7 [_CityLightOverlayDetailTex] 2D 8
SetTexture 8 [_ShadowMapTexture] 2D 0
// 111 instructions, 6 temp regs, 0 temp arrays:
// ALU 85 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_B_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 118 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r3.xyz, r0.x, v2
abs r2.xyz, r3
add r0.z, r2, -r2.x
cmp r2.w, r0.z, c3.x, c3.y
add r0.y, r3.z, -r3.x
add r0.x, r2.z, -r2
mad r0.x, r2.w, r0, r2
mad r3.w, r2, r0.y, r3.x
add r0.y, -r2, r0.x
add r0.x, r3.y, r3.w
cmp r8.x, r0.y, c3, c3.y
mad r0.y, r8.x, r0.x, -r3
cmp r0.x, r0.y, c3.y, c3
cmp r0.y, -r0, c3, c3.x
add r8.y, r0, -r0.x
mov_pp r4.z, -r8.y
mov_pp r4.xy, c3.x
mov_pp r1.y, r8
mov_pp r0.y, -r8
mov_pp r0.xz, c3.x
mul r0.xyz, r3.xzyw, r0
mov_pp r1.xz, c3.x
mad r1.xyz, r3.zxyw, r1, -r0
mad r1.xyz, r2.w, r1, r0
mad r1.xyz, r3.yzxw, -r4, r1
mul r0.xyz, r3.yzxw, r4
mad r0.xyz, r8.x, r1, r0
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r7.zw, r0, c3.z
dsy r7.xy, r0
dsx r8.zw, r0.xyxy
texldd r0, r7.zwzw, s2, r8.zwzw, r7
texldd r1, r7.zwzw, s3, r8.zwzw, r7
add_pp r1, r1, -r0
cmp_pp r8.y, r8, c3.x, c3
texldd r4, r7.zwzw, s4, r8.zwzw, r7
texldd r5, r7.zwzw, s5, r8.zwzw, r7
texldd r6, r7.zwzw, s0, r8.zwzw, r7
add_pp r5, r5, -r4
texldd r7, r7.zwzw, s1, r8.zwzw, r7
add_pp r7, r7, -r6
mad_pp r0, r8.y, r1, r0
mad_pp r6, r8.y, r7, r6
mad_pp r4, r8.y, r5, r4
add_pp r4, r4, -r6
mad_pp r1, r2.w, r4, r6
add_pp r1, r1, -r0
mad_pp r0, r8.x, r1, r0
mul_pp r0, r0, c3.yyyx
max r2.x, r2, r2.z
add r1.y, r2.x, -r2
add r1.x, -r3.y, r3.w
cmp r1.w, r1.y, c3.x, c3.y
mad r1.y, r1.w, r1.x, r3
cmp r1.x, r1.y, c3.y, c3
cmp r1.y, -r1, c3, c3.x
add r4.x, r1.y, -r1
add_pp r0.x, r0, r0.y
mov r2.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c3.x
mul r1.xyz, r3.xzyw, r1
mov r2.xz, c3.x
mad r2.xyz, r3.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r4.x
add_pp r3.w, r0.x, r0.z
mov r1.xy, c3.x
mul r0.xyz, r3.yxzw, r1
mad r1.xyz, r3.yxzw, -r1, r2
mad r1.xyz, r1.w, r1, r0
abs r0.z, r1.x
add_pp r0.y, r3.w, r0.w
rcp r0.z, r0.z
cmp r0.x, -v0.w, c3.y, c3
mul_pp r2.x, r0.y, r0
mul r0.y, r1.z, r0.z
mul r0.w, r1.y, r0.z
dp4_pp r0.x, c0, c0
mad r1.w, r0.y, c3.z, c3.z
mad r1.z, r0.w, c3, c3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.y, v1, r0
add_pp r0.w, r2.y, c4.x
frc_pp r0.z, r0.w
add_pp_sat r0.z, r0.w, -r0
mul_pp_sat r0.w, -r2.y, c3
add_pp r0.z, r0, c4.y
mad_pp r0.z, r0.w, r0, c3.x
dp3_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
dp3_pp r2.y, v1, v1
rsq_pp r2.y, r2.y
mul r1.zw, r1, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r0.xy, r0
dsx r1.xy, r0
dsy r2.zw, r0.xyxy
mul_pp r4.xyz, r2.y, v1
mul_pp r3.xyz, r0.w, c0
dp3_pp r0.w, r4, r3
mul_pp r0.z, r0.w, r0
mul_pp_sat r2.y, r0.z, c4.z
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 0
SetTexture 1 [cube_CityOverlayTexxp] 2D 1
SetTexture 2 [cube_CityOverlayTexyn] 2D 2
SetTexture 3 [cube_CityOverlayTexyp] 2D 3
SetTexture 4 [cube_CityOverlayTexzn] 2D 4
SetTexture 5 [cube_CityOverlayTexzp] 2D 5
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 7 [_CityLightOverlayDetailTex] 2D 7
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 118 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r3.xyz, r0.x, v2
abs r2.xyz, r3
add r0.z, r2, -r2.x
cmp r2.w, r0.z, c3.x, c3.y
add r0.y, r3.z, -r3.x
add r0.x, r2.z, -r2
mad r0.x, r2.w, r0, r2
mad r3.w, r2, r0.y, r3.x
add r0.y, -r2, r0.x
add r0.x, r3.y, r3.w
cmp r8.x, r0.y, c3, c3.y
mad r0.y, r8.x, r0.x, -r3
cmp r0.x, r0.y, c3.y, c3
cmp r0.y, -r0, c3, c3.x
add r8.y, r0, -r0.x
mov_pp r4.z, -r8.y
mov_pp r4.xy, c3.x
mov_pp r1.y, r8
mov_pp r0.y, -r8
mov_pp r0.xz, c3.x
mul r0.xyz, r3.xzyw, r0
mov_pp r1.xz, c3.x
mad r1.xyz, r3.zxyw, r1, -r0
mad r1.xyz, r2.w, r1, r0
mad r1.xyz, r3.yzxw, -r4, r1
mul r0.xyz, r3.yzxw, r4
mad r0.xyz, r8.x, r1, r0
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r7.zw, r0, c3.z
dsy r7.xy, r0
dsx r8.zw, r0.xyxy
texldd r0, r7.zwzw, s2, r8.zwzw, r7
texldd r1, r7.zwzw, s3, r8.zwzw, r7
add_pp r1, r1, -r0
cmp_pp r8.y, r8, c3.x, c3
texldd r4, r7.zwzw, s4, r8.zwzw, r7
texldd r5, r7.zwzw, s5, r8.zwzw, r7
texldd r6, r7.zwzw, s0, r8.zwzw, r7
add_pp r5, r5, -r4
texldd r7, r7.zwzw, s1, r8.zwzw, r7
add_pp r7, r7, -r6
mad_pp r0, r8.y, r1, r0
mad_pp r6, r8.y, r7, r6
mad_pp r4, r8.y, r5, r4
add_pp r4, r4, -r6
mad_pp r1, r2.w, r4, r6
add_pp r1, r1, -r0
mad_pp r0, r8.x, r1, r0
mul_pp r0, r0, c3.yyyx
max r2.x, r2, r2.z
add r1.y, r2.x, -r2
add r1.x, -r3.y, r3.w
cmp r1.w, r1.y, c3.x, c3.y
mad r1.y, r1.w, r1.x, r3
cmp r1.x, r1.y, c3.y, c3
cmp r1.y, -r1, c3, c3.x
add r4.x, r1.y, -r1
add_pp r0.x, r0, r0.y
mov r2.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c3.x
mul r1.xyz, r3.xzyw, r1
mov r2.xz, c3.x
mad r2.xyz, r3.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r4.x
add_pp r3.w, r0.x, r0.z
mov r1.xy, c3.x
mul r0.xyz, r3.yxzw, r1
mad r1.xyz, r3.yxzw, -r1, r2
mad r1.xyz, r1.w, r1, r0
abs r0.z, r1.x
add_pp r0.y, r3.w, r0.w
rcp r0.z, r0.z
cmp r0.x, -v0.w, c3.y, c3
mul_pp r2.x, r0.y, r0
mul r0.y, r1.z, r0.z
mul r0.w, r1.y, r0.z
dp4_pp r0.x, c0, c0
mad r1.w, r0.y, c3.z, c3.z
mad r1.z, r0.w, c3, c3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.y, v1, r0
add_pp r0.w, r2.y, c4.x
frc_pp r0.z, r0.w
add_pp_sat r0.z, r0.w, -r0
mul_pp_sat r0.w, -r2.y, c3
add_pp r0.z, r0, c4.y
mad_pp r0.z, r0.w, r0, c3.x
dp3_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
dp3_pp r2.y, v1, v1
rsq_pp r2.y, r2.y
mul r1.zw, r1, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r0.xy, r0
dsx r1.xy, r0
dsy r2.zw, r0.xyxy
mul_pp r4.xyz, r2.y, v1
mul_pp r3.xyz, r0.w, c0
dp3_pp r0.w, r4, r3
mul_pp r0.z, r0.w, r0
mul_pp_sat r2.y, r0.z, c4.z
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 0
SetTexture 1 [cube_CityOverlayTexxp] 2D 1
SetTexture 2 [cube_CityOverlayTexyn] 2D 2
SetTexture 3 [cube_CityOverlayTexyp] 2D 3
SetTexture 4 [cube_CityOverlayTexzn] 2D 4
SetTexture 5 [cube_CityOverlayTexzp] 2D 5
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 7 [_CityLightOverlayDetailTex] 2D 7
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
"ps_3_0
; 118 ALU, 24 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord4 v1.xyz
dcl_texcoord5 v2.xyz
dp3 r0.x, v2, v2
rsq r0.x, r0.x
mul r3.xyz, r0.x, v2
abs r2.xyz, r3
add r0.z, r2, -r2.x
cmp r2.w, r0.z, c3.x, c3.y
add r0.y, r3.z, -r3.x
add r0.x, r2.z, -r2
mad r0.x, r2.w, r0, r2
mad r3.w, r2, r0.y, r3.x
add r0.y, -r2, r0.x
add r0.x, r3.y, r3.w
cmp r8.x, r0.y, c3, c3.y
mad r0.y, r8.x, r0.x, -r3
cmp r0.x, r0.y, c3.y, c3
cmp r0.y, -r0, c3, c3.x
add r8.y, r0, -r0.x
mov_pp r4.z, -r8.y
mov_pp r4.xy, c3.x
mov_pp r1.y, r8
mov_pp r0.y, -r8
mov_pp r0.xz, c3.x
mul r0.xyz, r3.xzyw, r0
mov_pp r1.xz, c3.x
mad r1.xyz, r3.zxyw, r1, -r0
mad r1.xyz, r2.w, r1, r0
mad r1.xyz, r3.yzxw, -r4, r1
mul r0.xyz, r3.yzxw, r4
mad r0.xyz, r8.x, r1, r0
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r7.zw, r0, c3.z
dsy r7.xy, r0
dsx r8.zw, r0.xyxy
texldd r0, r7.zwzw, s2, r8.zwzw, r7
texldd r1, r7.zwzw, s3, r8.zwzw, r7
add_pp r1, r1, -r0
cmp_pp r8.y, r8, c3.x, c3
texldd r4, r7.zwzw, s4, r8.zwzw, r7
texldd r5, r7.zwzw, s5, r8.zwzw, r7
texldd r6, r7.zwzw, s0, r8.zwzw, r7
add_pp r5, r5, -r4
texldd r7, r7.zwzw, s1, r8.zwzw, r7
add_pp r7, r7, -r6
mad_pp r0, r8.y, r1, r0
mad_pp r6, r8.y, r7, r6
mad_pp r4, r8.y, r5, r4
add_pp r4, r4, -r6
mad_pp r1, r2.w, r4, r6
add_pp r1, r1, -r0
mad_pp r0, r8.x, r1, r0
mul_pp r0, r0, c3.yyyx
max r2.x, r2, r2.z
add r1.y, r2.x, -r2
add r1.x, -r3.y, r3.w
cmp r1.w, r1.y, c3.x, c3.y
mad r1.y, r1.w, r1.x, r3
cmp r1.x, r1.y, c3.y, c3
cmp r1.y, -r1, c3, c3.x
add r4.x, r1.y, -r1
add_pp r0.x, r0, r0.y
mov r2.y, r4.x
mov r1.y, -r4.x
mov r1.xz, c3.x
mul r1.xyz, r3.xzyw, r1
mov r2.xz, c3.x
mad r2.xyz, r3.zxyw, r2, -r1
mad r2.xyz, r2.w, r2, r1
mov r1.z, -r4.x
add_pp r3.w, r0.x, r0.z
mov r1.xy, c3.x
mul r0.xyz, r3.yxzw, r1
mad r1.xyz, r3.yxzw, -r1, r2
mad r1.xyz, r1.w, r1, r0
abs r0.z, r1.x
add_pp r0.y, r3.w, r0.w
rcp r0.z, r0.z
cmp r0.x, -v0.w, c3.y, c3
mul_pp r2.x, r0.y, r0
mul r0.y, r1.z, r0.z
mul r0.w, r1.y, r0.z
dp4_pp r0.x, c0, c0
mad r1.w, r0.y, c3.z, c3.z
mad r1.z, r0.w, c3, c3
rsq_pp r0.x, r0.x
mul_pp r0.xyz, r0.x, c0
dp3_pp r2.y, v1, r0
add_pp r0.w, r2.y, c4.x
frc_pp r0.z, r0.w
add_pp_sat r0.z, r0.w, -r0
mul_pp_sat r0.w, -r2.y, c3
add_pp r0.z, r0, c4.y
mad_pp r0.z, r0.w, r0, c3.x
dp3_pp r0.w, c0, c0
rsq_pp r0.w, r0.w
dp3_pp r2.y, v1, v1
rsq_pp r2.y, r2.y
mul r1.zw, r1, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r0.xy, r0
dsx r1.xy, r0
dsy r2.zw, r0.xyxy
mul_pp r4.xyz, r2.y, v1
mul_pp r3.xyz, r0.w, c0
dp3_pp r0.w, r4, r3
mul_pp r0.z, r0.w, r0
mul_pp_sat r2.y, r0.z, c4.z
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
ConstBuffer "$Globals" 256 // 256 used size, 12 vars
Float 228 [_PlanetOpacity]
Float 252 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 0
SetTexture 1 [cube_CityOverlayTexxp] 2D 1
SetTexture 2 [cube_CityOverlayTexyn] 2D 2
SetTexture 3 [cube_CityOverlayTexyp] 2D 3
SetTexture 4 [cube_CityOverlayTexzn] 2D 4
SetTexture 5 [cube_CityOverlayTexzp] 2D 5
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 6
SetTexture 7 [_CityLightOverlayDetailTex] 2D 7
// 108 instructions, 6 temp regs, 0 temp arrays:
// ALU 83 float, 2 int, 4 uint
// TEX 0 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_OFF" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 119 ALU, 25 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r4.xyz, r0.x, v3
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c3.x, c3.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c3.x, c3.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c3.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c3.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c3.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s0, r6.zwzw, r7
cmp_pp r7.w, r7, c3.x, c3.y
texldd r0, r6, s4, r6.zwzw, r7
texldd r1, r6, s5, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s1, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r2, r0, -r1
mad_pp r1, r4.w, r2, r1
max r2.x, r5, r5.z
add r2.x, r2, -r5.y
cmp r2.w, r2.x, c3.x, c3.y
add r2.y, -r4, r5.w
mad r2.x, r2.w, r2.y, r4.y
texldd r0, r6, s2, r6.zwzw, r7
texldd r3, r6, s3, r6.zwzw, r7
add_pp r3, r3, -r0
mad_pp r0, r7.w, r3, r0
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
cmp r1.y, r2.x, c3, c3.x
cmp r1.x, -r2, c3.y, c3
add r3.x, r1, -r1.y
mul_pp r1, r0, c3.yyyx
add_pp r0.w, r1.x, r1.y
mov r0.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r4.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r2
mad r2.xyz, r4.w, r0, r2
mov r0.z, -r3.x
mov r0.xy, c3.x
mul r3.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r3
add_pp r0.y, r0.w, r1.z
abs r0.x, r2
add_pp r0.z, r0.y, r1.w
rcp r0.x, r0.x
mul r0.y, r2.z, r0.x
cmp r0.w, -v0, c3.y, c3.x
mul_pp r2.x, r0.z, r0.w
mul r0.x, r2.y, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.z, r0.z
mul_pp r3.xyz, r0.z, c0
dp3_pp r2.y, v2, r3
add_pp r0.z, r2.y, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r2.zw, r0.xyxy
frc_pp r0.x, r0.z
dsx r1.xy, r2.zwzw
add_pp_sat r3.w, r0.z, -r0.x
dp3_pp r0.x, v2, v2
rsq_pp r0.w, r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r0.xyz, r0.y, c0
mul_pp r3.xyz, r0.w, v2
dp3_pp r0.y, r3, r0
mul_pp_sat r0.x, -r2.y, c3.w
add_pp r0.z, r3.w, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s8
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.y, r0.x, c4.z
dsy r2.zw, r2
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 1
SetTexture 1 [cube_CityOverlayTexxp] 2D 2
SetTexture 2 [cube_CityOverlayTexyn] 2D 3
SetTexture 3 [cube_CityOverlayTexyp] 2D 4
SetTexture 4 [cube_CityOverlayTexzn] 2D 5
SetTexture 5 [cube_CityOverlayTexzp] 2D 6
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 7 [_CityLightOverlayDetailTex] 2D 8
SetTexture 8 [_ShadowMapTexture] 2D 0
// 111 instructions, 6 temp regs, 0 temp arrays:
// ALU 85 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_OFF" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 119 ALU, 25 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r4.xyz, r0.x, v3
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c3.x, c3.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c3.x, c3.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c3.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c3.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c3.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s0, r6.zwzw, r7
cmp_pp r7.w, r7, c3.x, c3.y
texldd r0, r6, s4, r6.zwzw, r7
texldd r1, r6, s5, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s1, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r2, r0, -r1
mad_pp r1, r4.w, r2, r1
max r2.x, r5, r5.z
add r2.x, r2, -r5.y
cmp r2.w, r2.x, c3.x, c3.y
add r2.y, -r4, r5.w
mad r2.x, r2.w, r2.y, r4.y
texldd r0, r6, s2, r6.zwzw, r7
texldd r3, r6, s3, r6.zwzw, r7
add_pp r3, r3, -r0
mad_pp r0, r7.w, r3, r0
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
cmp r1.y, r2.x, c3, c3.x
cmp r1.x, -r2, c3.y, c3
add r3.x, r1, -r1.y
mul_pp r1, r0, c3.yyyx
add_pp r0.w, r1.x, r1.y
mov r0.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r4.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r2
mad r2.xyz, r4.w, r0, r2
mov r0.z, -r3.x
mov r0.xy, c3.x
mul r3.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r3
add_pp r0.y, r0.w, r1.z
abs r0.x, r2
add_pp r0.z, r0.y, r1.w
rcp r0.x, r0.x
mul r0.y, r2.z, r0.x
cmp r0.w, -v0, c3.y, c3.x
mul_pp r2.x, r0.z, r0.w
mul r0.x, r2.y, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.z, r0.z
mul_pp r3.xyz, r0.z, c0
dp3_pp r2.y, v2, r3
add_pp r0.z, r2.y, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r2.zw, r0.xyxy
frc_pp r0.x, r0.z
dsx r1.xy, r2.zwzw
add_pp_sat r3.w, r0.z, -r0.x
dp3_pp r0.x, v2, v2
rsq_pp r0.w, r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r0.xyz, r0.y, c0
mul_pp r3.xyz, r0.w, v2
dp3_pp r0.y, r3, r0
mul_pp_sat r0.x, -r2.y, c3.w
add_pp r0.z, r3.w, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s8
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.y, r0.x, c4.z
dsy r2.zw, r2
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 1
SetTexture 1 [cube_CityOverlayTexxp] 2D 2
SetTexture 2 [cube_CityOverlayTexyn] 2D 3
SetTexture 3 [cube_CityOverlayTexyp] 2D 4
SetTexture 4 [cube_CityOverlayTexzn] 2D 5
SetTexture 5 [cube_CityOverlayTexzp] 2D 6
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 7 [_CityLightOverlayDetailTex] 2D 8
SetTexture 8 [_ShadowMapTexture] 2D 0
// 111 instructions, 6 temp regs, 0 temp arrays:
// ALU 85 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_OFF" "SHADOWS_SCREEN" }
"!!GLES3"
}

SubProgram "opengl " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLSL"
}

SubProgram "d3d9 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
Vector 0 [_WorldSpaceLightPos0]
Float 1 [_PlanetOpacity]
Float 2 [_CityOverlayDetailScale]
SetTexture 0 [cube_CityOverlayTexxn] 2D
SetTexture 1 [cube_CityOverlayTexxp] 2D
SetTexture 2 [cube_CityOverlayTexyn] 2D
SetTexture 3 [cube_CityOverlayTexyp] 2D
SetTexture 4 [cube_CityOverlayTexzn] 2D
SetTexture 5 [cube_CityOverlayTexzp] 2D
SetTexture 6 [_CityDarkOverlayDetailTex] 2D
SetTexture 7 [_CityLightOverlayDetailTex] 2D
SetTexture 8 [_ShadowMapTexture] 2D
"ps_3_0
; 119 ALU, 25 TEX
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dcl_2d s6
dcl_2d s7
dcl_2d s8
def c3, 1.00000000, 0.00000000, 0.50000000, 10.00000000
def c4, 1.00976563, -1.00000000, 4.00000000, 0
dcl_texcoord0 v0.xyzw
dcl_texcoord2 v1
dcl_texcoord4 v2.xyz
dcl_texcoord5 v3.xyz
dp3 r0.x, v3, v3
rsq r0.x, r0.x
mul r4.xyz, r0.x, v3
abs r5.xyz, r4
add r0.x, r5.z, -r5
cmp r4.w, r0.x, c3.x, c3.y
add r0.y, r4.z, -r4.x
mad r5.w, r4, r0.y, r4.x
add r0.z, r5, -r5.x
mad r0.x, r4.w, r0.z, r5
add r0.x, -r5.y, r0
cmp r7.z, r0.x, c3.x, c3.y
add r0.y, r4, r5.w
mad r0.x, r7.z, r0.y, -r4.y
cmp r0.y, r0.x, c3, c3.x
cmp r0.x, -r0, c3.y, c3
add r7.w, r0.x, -r0.y
mov_pp r0.y, r7.w
mov_pp r1.y, -r7.w
mov_pp r1.xz, c3.x
mul r1.xyz, r4.xzyw, r1
mov_pp r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r1
mad r1.xyz, r4.w, r0, r1
mov_pp r0.z, -r7.w
mov_pp r0.xy, c3.x
mul r2.xyz, r4.yzxw, r0
mad r0.xyz, r4.yzxw, -r0, r1
mad r0.xyz, r7.z, r0, r2
abs_pp r0.x, r0
rcp_pp r0.x, r0.x
mul_pp r0.xy, r0.yzzw, r0.x
mul_pp r0.zw, r0.xyxy, c3.z
abs r0.xy, r0.zwzw
add_pp r6.xy, r0.zwzw, c3.z
dsy r7.xy, r0
dsx r6.zw, r0.xyxy
texldd r2, r6, s0, r6.zwzw, r7
cmp_pp r7.w, r7, c3.x, c3.y
texldd r0, r6, s4, r6.zwzw, r7
texldd r1, r6, s5, r6.zwzw, r7
add_pp r3, r1, -r0
mad_pp r0, r7.w, r3, r0
texldd r1, r6, s1, r6.zwzw, r7
add_pp r1, r1, -r2
mad_pp r1, r7.w, r1, r2
add_pp r2, r0, -r1
mad_pp r1, r4.w, r2, r1
max r2.x, r5, r5.z
add r2.x, r2, -r5.y
cmp r2.w, r2.x, c3.x, c3.y
add r2.y, -r4, r5.w
mad r2.x, r2.w, r2.y, r4.y
texldd r0, r6, s2, r6.zwzw, r7
texldd r3, r6, s3, r6.zwzw, r7
add_pp r3, r3, -r0
mad_pp r0, r7.w, r3, r0
add_pp r1, r1, -r0
mad_pp r0, r7.z, r1, r0
cmp r1.y, r2.x, c3, c3.x
cmp r1.x, -r2, c3.y, c3
add r3.x, r1, -r1.y
mul_pp r1, r0, c3.yyyx
add_pp r0.w, r1.x, r1.y
mov r0.y, r3.x
mov r2.y, -r3.x
mov r2.xz, c3.x
mul r2.xyz, r4.xzyw, r2
mov r0.xz, c3.x
mad r0.xyz, r4.zxyw, r0, -r2
mad r2.xyz, r4.w, r0, r2
mov r0.z, -r3.x
mov r0.xy, c3.x
mul r3.xyz, r4.yxzw, r0
mad r0.xyz, r4.yxzw, -r0, r2
mad r2.xyz, r2.w, r0, r3
add_pp r0.y, r0.w, r1.z
abs r0.x, r2
add_pp r0.z, r0.y, r1.w
rcp r0.x, r0.x
mul r0.y, r2.z, r0.x
cmp r0.w, -v0, c3.y, c3.x
mul_pp r2.x, r0.z, r0.w
mul r0.x, r2.y, r0
dp4_pp r0.z, c0, c0
rsq_pp r0.z, r0.z
mul_pp r3.xyz, r0.z, c0
dp3_pp r2.y, v2, r3
add_pp r0.z, r2.y, c4.x
mad r0.y, r0, c3.z, c3.z
mad r0.x, r0, c3.z, c3.z
mul r1.zw, r0.xyxy, c2.x
mov r0.x, c2
mad r0.xy, c3.z, -r0.x, r1.zwzw
abs r2.zw, r0.xyxy
frc_pp r0.x, r0.z
dsx r1.xy, r2.zwzw
add_pp_sat r3.w, r0.z, -r0.x
dp3_pp r0.x, v2, v2
rsq_pp r0.w, r0.x
dp3_pp r0.y, c0, c0
rsq_pp r0.y, r0.y
mul_pp r0.xyz, r0.y, c0
mul_pp r3.xyz, r0.w, v2
dp3_pp r0.y, r3, r0
mul_pp_sat r0.x, -r2.y, c3.w
add_pp r0.z, r3.w, c4.y
mad_pp r0.z, r0.x, r0, c3.x
texldp r0.x, v1, s8
mul_pp r0.x, r0, r0.y
mul_pp r0.x, r0, r0.z
mul_pp_sat r2.y, r0.x, c4.z
dsy r2.zw, r2
texldd r0, r1.zwzw, s6, r1, r2.zwzw
texldd r1, r1.zwzw, s7, r1, r2.zwzw
mul_pp r0.w, r0, r2.x
add_pp r2.y, -r2, c3.x
mul_pp r2.y, r0.w, r2
mul_pp r1.w, r2.x, r1
mov_pp r0.w, r2.y
add_pp r0, r0, -r1
mad_pp r0, r2.y, r0, r1
mul_pp oC0.w, r0, c1.x
mov_pp oC0.xyz, r0
"
}

SubProgram "d3d11 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
ConstBuffer "$Globals" 320 // 320 used size, 13 vars
Float 292 [_PlanetOpacity]
Float 316 [_CityOverlayDetailScale]
ConstBuffer "UnityLighting" 720 // 16 used size, 17 vars
Vector 0 [_WorldSpaceLightPos0] 4
BindCB "$Globals" 0
BindCB "UnityLighting" 1
SetTexture 0 [cube_CityOverlayTexxn] 2D 1
SetTexture 1 [cube_CityOverlayTexxp] 2D 2
SetTexture 2 [cube_CityOverlayTexyn] 2D 3
SetTexture 3 [cube_CityOverlayTexyp] 2D 4
SetTexture 4 [cube_CityOverlayTexzn] 2D 5
SetTexture 5 [cube_CityOverlayTexzp] 2D 6
SetTexture 6 [_CityDarkOverlayDetailTex] 2D 7
SetTexture 7 [_CityLightOverlayDetailTex] 2D 8
SetTexture 8 [_ShadowMapTexture] 2D 0
// 111 instructions, 6 temp regs, 0 temp arrays:
// ALU 85 float, 2 int, 4 uint
// TEX 1 (0 load, 0 comp, 0 bias, 8 grad)
// FLOW 1 static, 0 dynamic
"ps_4_0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"
}

SubProgram "gles " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "glesdesktop " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES"
}

SubProgram "gles3 " {
Keywords { "MAP_TYPE_CUBE6_1" "ALPHAMAP_A_1" "DIRECTIONAL" "LIGHTMAP_ON" "DIRLIGHTMAP_ON" "SHADOWS_SCREEN" }
"!!GLES3"
}

}

#LINE 136


			}
		}
	}
}